import { SaffronTableDataClick } from './models/_07-saffron-table-data-click';
import { SaffronTableSortState } from './models/_10-saffron-table-sort-state';
import { EventEmitter } from '@angular/core';
import { PageEvent } from '@angular/material/paginator';
import { SaffronActionColumnEvent } from './models/_03-saffron-action-column-event';
import { SaffronTableColumn } from './models/_06-saffron-table-column';
import * as i0 from "@angular/core";
export declare class SaffronTableComponent<T> {
    rows: T[];
    columns: SaffronTableColumn[];
    totalCount: number;
    pageSize: number;
    pageNumber: number;
    pageSizeOptions: number[];
    hideTopPaginator: boolean;
    hideBottomPaginator: boolean;
    stickyHeader: boolean;
    pageEvent: EventEmitter<PageEvent>;
    actionClicked: EventEmitter<SaffronActionColumnEvent>;
    sortStateChanged: EventEmitter<SaffronTableSortState[]>;
    dataClicked: EventEmitter<SaffronTableDataClick<T>>;
    pageSizeChange: EventEmitter<number>;
    pageNumberChange: EventEmitter<number>;
    constructor();
    onPageChange(pageEvent: PageEvent): void;
    onSortStateChange(data: SaffronTableSortState[]): void;
    onActionClicked(data: SaffronActionColumnEvent): void;
    onDataClicked(data: SaffronTableDataClick<T>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaffronTableComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SaffronTableComponent<any>, "saffron-table", never, { "rows": { "alias": "rows"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "totalCount": { "alias": "totalCount"; "required": false; }; "pageSize": { "alias": "pageSize"; "required": false; }; "pageNumber": { "alias": "pageNumber"; "required": false; }; "pageSizeOptions": { "alias": "pageSizeOptions"; "required": false; }; "hideTopPaginator": { "alias": "hideTopPaginator"; "required": false; }; "hideBottomPaginator": { "alias": "hideBottomPaginator"; "required": false; }; "stickyHeader": { "alias": "stickyHeader"; "required": false; }; }, { "pageEvent": "pageEvent"; "actionClicked": "actionClicked"; "sortStateChanged": "sortStateChanged"; "dataClicked": "dataClicked"; "pageSizeChange": "pageSizeChange"; "pageNumberChange": "pageNumberChange"; }, never, never, true, never>;
}
