import * as i0 from '@angular/core';
import { Component, Input, Pipe, EventEmitter, Output, ViewChild, Inject, Injectable, ViewEncapsulation, NgModule, Directive, HostBinding, ViewContainerRef, HostListener, InjectionToken, forwardRef, Optional, ɵcreateInjector as _createInjector } from '@angular/core';
import * as i1$1 from '@angular/forms';
import { FormsModule, ReactiveFormsModule, Validators, NG_VALUE_ACCESSOR } from '@angular/forms';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@angular/material/form-field';
import { MatFormFieldModule, MatLabel, MatFormField, MatError } from '@angular/material/form-field';
import * as i5 from '@angular/material/input';
import { MatInputModule } from '@angular/material/input';
import * as i3$1 from '@angular/material/icon';
import { MatIconModule, MatIcon } from '@angular/material/icon';
import * as i3$2 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i8 from '@angular/material/tooltip';
import { MatTooltipModule, MatTooltip } from '@angular/material/tooltip';
import * as i4 from '@angular/cdk/bidi';
import * as i1$2 from '@angular/material/dialog';
import { MatDialogModule, MAT_DIALOG_DATA, MatDialogContent } from '@angular/material/dialog';
import * as i2 from '@angular/material/chips';
import { MatChipsModule } from '@angular/material/chips';
import { tap, startWith, map, of, Subject, ReplaySubject, firstValueFrom } from 'rxjs';
import * as i5$1 from '@angular/material/autocomplete';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import * as i6 from '@angular/material/core';
import { DateAdapter, MAT_DATE_LOCALE, MAT_DATE_FORMATS, MatOption } from '@angular/material/core';
import * as i2$1 from '@angular/material/card';
import { MatCardModule, MatCardContent, MatCard } from '@angular/material/card';
import jalaliMoment from 'jalali-moment';
import * as i4$1 from '@angular/material/datepicker';
import { MatDatepickerModule } from '@angular/material/datepicker';
import * as i2$3 from '@angular/material/paginator';
import { MatPaginatorIntl, MatPaginatorModule } from '@angular/material/paginator';
import * as i2$2 from '@angular/material/table';
import { MatTableModule } from '@angular/material/table';
import * as i4$2 from '@angular/material/sidenav';
import { MatSidenav, MatSidenavModule, MatDrawerContainer, MatDrawer } from '@angular/material/sidenav';
import { v4 } from 'uuid';
import * as i2$4 from 'ang-jsoneditor';
import { JsonEditorOptions, JsonEditorComponent, NgJsonEditorModule } from 'ang-jsoneditor';
import * as i1$3 from 'primeng/tree';
import { Tree, TreeModule } from 'primeng/tree';
import * as i5$2 from '@angular/material/select';
import { MatSelectTrigger, MatSelectModule } from '@angular/material/select';
import { MatCheckboxModule } from '@angular/material/checkbox';
import * as i5$3 from '@angular/material/slider';
import { MatSlider } from '@angular/material/slider';
import * as i5$4 from '@angular/material/list';
import { MatNavList, MatListItem } from '@angular/material/list';
import * as i1$4 from '@angular/router';
import { RouterModule } from '@angular/router';
import * as i1$5 from 'primeng/api';

class SaffronDataType {
    static { this.Text = 0; }
    static { this.Boolean = 1; }
    static { this.Image = 2; }
    static { this.GeoLocation = 3; }
    static { this.Number = 4; }
    static { this.DropDown = 5; }
    static { this.Date = 6; }
    static { this.Currency = 7; }
    static { this.Password = 8; }
}

const AdvancedFilterInputTypes = [
    SaffronDataType.Currency,
    SaffronDataType.Text,
    SaffronDataType.Number,
];

class SaffronAdvancedFilterModel {
}

class SaffronButtonTypes {
    static { this.Basic = ''; }
    static { this.Primary = 'primary'; }
}

class SaffronInputErrorComponent {
    constructor() {
        this.requiredMessage = 'تکمیل این بخش اجباری است';
        this.minlengthMessage = 'تعداد کاراکتر وارد شده کمتر از مقدار مجاز می باشد';
        this.maxlengthMessage = 'تعداد کاراکتر وارد شده بیشتر از مقدار مجاز می باشد';
        this.nationalCodeMessage = 'شناسه مشتری وارد شد صحیح نمی باشد. ';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronInputErrorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronInputErrorComponent, isStandalone: true, selector: "saffron-input-error", inputs: { errors: "errors" }, ngImport: i0, template: "<div class=\"d-flex\" style=\"margin-top: 5px;\">\r\n  <div *ngIf=\"errors?.['required']\" style=\"text-align: right;\" [innerText]=\"requiredMessage\">\r\n  </div>\r\n  <div *ngIf=\"errors?.['minlength']\" style=\"text-align: right;\" [innerText]=\"minlengthMessage\">\r\n  </div>\r\n  <div *ngIf=\"errors?.['maxlength']\" style=\"text-align: right;\" [innerText]=\"maxlengthMessage\">\r\n  </div>\r\n  <div *ngIf=\"errors?.['nationalCodeValid']\" style=\"text-align: right;\" [innerText]=\"nationalCodeMessage\">\r\n  </div>\r\n</div>\r\n\r\n", styles: ["*{font-family:iransans!important}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: ReactiveFormsModule }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronInputErrorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-input-error', standalone: true, imports: [CommonModule, FormsModule, ReactiveFormsModule], template: "<div class=\"d-flex\" style=\"margin-top: 5px;\">\r\n  <div *ngIf=\"errors?.['required']\" style=\"text-align: right;\" [innerText]=\"requiredMessage\">\r\n  </div>\r\n  <div *ngIf=\"errors?.['minlength']\" style=\"text-align: right;\" [innerText]=\"minlengthMessage\">\r\n  </div>\r\n  <div *ngIf=\"errors?.['maxlength']\" style=\"text-align: right;\" [innerText]=\"maxlengthMessage\">\r\n  </div>\r\n  <div *ngIf=\"errors?.['nationalCodeValid']\" style=\"text-align: right;\" [innerText]=\"nationalCodeMessage\">\r\n  </div>\r\n</div>\r\n\r\n", styles: ["*{font-family:iransans!important}\n"] }]
        }], propDecorators: { errors: [{
                type: Input
            }] } });

class SaffronInputLabelComponent {
    constructor() {
        this.placeholder = '';
        this.Validators = Validators;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronInputLabelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronInputLabelComponent, isStandalone: true, selector: "saffron-input-label", inputs: { control: "control", placeholder: "placeholder" }, ngImport: i0, template: "<span style=\"margin-inline-end: 0.5rem;\">\r\n  <span style=\"margin-inline-start: 0.5rem;\" [ngClass]=\"{'input-has-error': control?.errors}\">{{placeholder}}</span>\r\n  <span style=\"margin-inline-start: 0.2rem;\" [ngClass]=\"{'input-has-error': control?.errors}\"\r\n    *ngIf=\"control?.hasValidator(Validators.required)\">*</span>\r\n</span>\r\n", styles: ["*{font-family:iransans!important}.input-has-error{color:red}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: ReactiveFormsModule }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronInputLabelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-input-label', standalone: true, imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        SaffronInputErrorComponent,
                    ], template: "<span style=\"margin-inline-end: 0.5rem;\">\r\n  <span style=\"margin-inline-start: 0.5rem;\" [ngClass]=\"{'input-has-error': control?.errors}\">{{placeholder}}</span>\r\n  <span style=\"margin-inline-start: 0.2rem;\" [ngClass]=\"{'input-has-error': control?.errors}\"\r\n    *ngIf=\"control?.hasValidator(Validators.required)\">*</span>\r\n</span>\r\n", styles: ["*{font-family:iransans!important}.input-has-error{color:red}\n"] }]
        }], propDecorators: { control: [{
                type: Input
            }], placeholder: [{
                type: Input
            }] } });

class SaffronNumberToPersianPipe {
    constructor() {
        this.spliter = ' و ';
        this.zero = 'صفر';
        this.Letters = [
            ['', 'یك', 'دو', 'سه', 'چهار', 'پنج', 'شش', 'هفت', 'هشت', 'نه'],
            [
                'ده',
                'یازده',
                'دوازده',
                'سیزده',
                'چهارده',
                'پانزده',
                'شانزده',
                'هفده',
                'هجده',
                'نوزده',
                'بیست',
            ],
            ['', '', 'بیست', 'سی', 'چهل', 'پنجاه', 'شصت', 'هفتاد', 'هشتاد', 'نود'],
            [
                '',
                'یكصد',
                'دویست',
                'سیصد',
                'چهارصد',
                'پانصد',
                'ششصد',
                'هفتصد',
                'هشتصد',
                'نهصد',
            ],
            [
                '',
                ' هزار ',
                ' میلیون ',
                ' میلیارد ',
                ' بیلیون ',
                ' بیلیارد ',
                ' تریلیون ',
                ' تریلیارد ',
                ' کوآدریلیون ',
                ' کادریلیارد ',
                ' کوینتیلیون ',
                ' کوانتینیارد ',
                ' سکستیلیون ',
                ' سکستیلیارد ',
                ' سپتیلیون ',
                ' سپتیلیارد ',
                ' اکتیلیون ',
                ' اکتیلیارد ',
                ' نانیلیون ',
                ' نانیلیارد ',
                ' دسیلیون ',
                ' دسیلیارد ',
            ],
        ];
    }
    ThreeNumbersToLetter(num) {
        // return zero
        if (parseInt(num, 0) === 0) {
            return '';
        }
        const parsedInt = parseInt(num, 0);
        if (parsedInt < 10) {
            return this.Letters[0][parsedInt];
        }
        if (parsedInt <= 20) {
            return this.Letters[1][parsedInt - 10];
        }
        if (parsedInt < 100) {
            // tslint:disable-next-line:no-shadowed-variable
            const one = parsedInt % 10;
            // tslint:disable-next-line:no-shadowed-variable
            const ten = (parsedInt - one) / 10;
            if (one > 0) {
                return this.Letters[2][ten] + this.spliter + this.Letters[0][one];
            }
            return this.Letters[2][ten];
        }
        const one = parsedInt % 10;
        const hundreds = (parsedInt - (parsedInt % 100)) / 100;
        const ten = (parsedInt - (hundreds * 100 + one)) / 10;
        const out = [this.Letters[3][hundreds]];
        const SecendPart = ten * 10 + one;
        if (SecendPart > 0) {
            if (SecendPart < 10) {
                out.push(this.Letters[0][SecendPart]);
            }
            else if (SecendPart <= 20) {
                out.push(this.Letters[1][SecendPart - 10]);
            }
            else {
                out.push(this.Letters[2][ten]);
                if (one > 0) {
                    out.push(this.Letters[0][one]);
                }
            }
        }
        return out.join(this.spliter);
    }
    PrepareNumber(num) {
        if (typeof num === 'number') {
            num = num.toString();
        }
        const NumberLength = num.length % 3;
        if (NumberLength === 1) {
            num = '00' + num;
        }
        else if (NumberLength === 2) {
            num = '0' + num;
        }
        // Explode to array
        return num.replace(/\d{3}(?=\d)/g, '$&*').split('*');
    }
    transform(value, args) {
        if (value === 0) {
            return this.zero;
        }
        if (value.length > 66) {
            return 'خارج از محدوده';
        }
        const SplitedNumber = this.PrepareNumber(value);
        const funcout = [];
        const SplitLength = SplitedNumber.length;
        for (let i = 0; i < SplitLength; i++) {
            const SectionTitle = this.Letters[4][SplitLength - (i + 1)];
            const converted = this.ThreeNumbersToLetter(SplitedNumber[i]);
            if (converted !== '') {
                funcout.push(converted + SectionTitle);
            }
        }
        return funcout.join(this.spliter) + ' ریال';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronNumberToPersianPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "17.1.0", ngImport: i0, type: SaffronNumberToPersianPipe, isStandalone: true, name: "numberToPersian" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronNumberToPersianPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'numberToPersian',
                    standalone: true,
                }]
        }] });

class SaffronInputComponent {
    constructor() {
        //general
        this.dataType = SaffronDataType.Text;
        this.controlName = '';
        this.placeholder = '';
        //number
        this.min = 0;
        this.max = 90000000000000000;
        this.isButton = false;
        this.isReadOnly = false;
        this.icon = 'search';
        this.tooltip = '';
        this.position = 'above';
        //text
        this.maxlength = 1000;
        this.showLength = true;
        this.showToPersian = true;
        this.onClick = new EventEmitter();
        this.enterPressed = new EventEmitter();
        this.SaffronDataType = SaffronDataType;
        this.inputValue = '';
    }
    ngOnChanges(changes) {
        this.setControl(changes);
    }
    setControl(changes) {
        if (changes['formGroup'] || changes['controlName']) {
            this.control = this.formGroup.controls[this.controlName];
            // this.control.valueChanges.subscribe((newValue) => {
            //   this.inputValue = newValue;
            // });
        }
    }
    onButtonClicked() {
        this.onClick.emit(this.control?.value);
        //  this.onClick.emit(this.inputValue);
    }
    onEnterPressed() {
        this.enterPressed.emit();
        this.onClick.emit(this.control?.value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronInputComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronInputComponent, isStandalone: true, selector: "saffron-input", inputs: { dataType: "dataType", formGroup: "formGroup", controlName: "controlName", placeholder: "placeholder", min: "min", max: "max", isButton: "isButton", isReadOnly: "isReadOnly", icon: "icon", tooltip: "tooltip", position: "position", maxlength: "maxlength", showLength: "showLength", showToPersian: "showToPersian" }, outputs: { onClick: "onClick", enterPressed: "enterPressed" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"saffron-input\" dir=\"rtl\" [formGroup]=\"formGroup\" [ngStyle]=\"{'cursor': isReadOnly ? 'not-allowed' : 'unset'}\">\r\n  <mat-form-field appearance=\"outline\" style=\"width: 100%\" [hideRequiredMarker]=\"true\" [ngClass]=\"{'is-read-only': isReadOnly}\">\r\n    <mat-label>\r\n      <saffron-input-label [control]=\"control\" [placeholder]=\"placeholder\"></saffron-input-label>\r\n    </mat-label>\r\n    <div style=\"display: flex;\">\r\n      <div [ngSwitch]=\"dataType\" style=\"display: flex;\">\r\n        <div *ngSwitchCase=\"SaffronDataType.Text\">\r\n          <input class=\"input-of-saffron\" [formControlName]=\"controlName\" matInput [maxLength]=\"maxlength\" autocomplete=\"off\"\r\n            (keyup.enter)=\"onEnterPressed()\">\r\n        </div>\r\n        <div *ngSwitchCase=\"SaffronDataType.Password\">\r\n          <input class=\"input-of-saffron\" [formControlName]=\"controlName\" matInput [type]=\"true ? 'password' : 'text'\"\r\n            [maxLength]=\"maxlength\" autocomplete=\"off\" (keyup.enter)=\"onEnterPressed()\">\r\n        </div>\r\n        <div *ngSwitchCase=\"SaffronDataType.Number\">\r\n          <input class=\"input-of-saffron\" [formControlName]=\"controlName\" matInput [min]=\"min\" [max]=\"max\" [maxLength]=\"maxlength\"\r\n            autocomplete=\"off\" (keyup.enter)=\"onEnterPressed()\">\r\n        </div>\r\n        <div *ngSwitchCase=\"SaffronDataType.Currency\">\r\n          <input class=\"input-of-saffron\" [formControlName]=\"controlName\" matInput currencyMask [min]=\"min\" [max]=\"max\"\r\n            [maxLength]=\"maxlength\" autocomplete=\"off\" (keyup.enter)=\"onEnterPressed()\">\r\n        </div>\r\n      </div>\r\n      <div style=\"display: flex;\">\r\n        <button *ngIf=\"isButton\" matSuffix mat-icon-button aria-label=\"\u062C\u0633\u062A\u062C\u0648\" (click)=\"onButtonClicked()\">\r\n          <mat-icon class=\"search-icon\">{{icon}}</mat-icon>\r\n        </button>\r\n        <a [tabIndex]=\"-1\" *ngIf=\"tooltip\" (click)=\"tooltipCtrl.show()\" #tooltipCtrl=\"matTooltip\" matSuffix mat-icon-button\r\n          [matTooltip]=\"tooltip\" [matTooltipPosition]=\"position\">\r\n          <mat-icon class=\"search-icon\">info</mat-icon>\r\n        </a>\r\n      </div>\r\n    </div>\r\n    <mat-error>\r\n      <saffron-input-error [errors]=\"control?.errors\"></saffron-input-error>\r\n    </mat-error>\r\n    <mat-hint *ngIf=\"showLength && dataType === SaffronDataType.Number\" align=\"end\">{{((control?.value ?? '') + '').length}} /\r\n      {{maxlength}}</mat-hint>\r\n    <mat-hint *ngIf=\"showToPersian && dataType === SaffronDataType.Currency\" class=\"number-persian\"> {{ control?.value |\r\n      numberToPersian}}</mat-hint>\r\n  </mat-form-field>\r\n</div>", styles: ["mat-form-field,mat-select,mat-option{font-family:iransans!important}.saffron-input::ng-deep .mat-mdc-form-field-appearance-outline .mat-mdc-form-field-outline-thick{color:#6299cf!important}.saffron-input::ng-deep .mat-mdc-form-field-appearance-outline.mat-mdc-form-field-invalid.mat-mdc-form-field-invalid .mat-mdc-form-field-outline-thick{color:red!important}:host{width:100%}.number-persian{font-size:10px}.tooltip-icon{background-color:#009ef7;border-radius:100%}a{color:#009ef7!important}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}input[type=number]{-moz-appearance:textfield}.is-read-only{pointer-events:none;cursor:not-allowed!important}input{direction:rtl}::ng-deep mat-hint{font-family:iransans}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "ngmodule", type: MatFormFieldModule }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i3.MatError, selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix], [matIconSuffix], [matTextSuffix]", inputs: ["matTextSuffix"] }, { kind: "directive", type: i4.Dir, selector: "[dir]", inputs: ["dir"], outputs: ["dirChange"], exportAs: ["dir"] }, { kind: "ngmodule", type: MatInputModule }, { kind: "directive", type: i5.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i3$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i3$2.MatIconAnchor, selector: "a[mat-icon-button]", exportAs: ["matButton", "matAnchor"] }, { kind: "component", type: i3$2.MatIconButton, selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "ngmodule", type: MatTooltipModule }, { kind: "directive", type: i8.MatTooltip, selector: "[matTooltip]", inputs: ["matTooltipPosition", "matTooltipPositionAtOrigin", "matTooltipDisabled", "matTooltipShowDelay", "matTooltipHideDelay", "matTooltipTouchGestures", "matTooltip", "matTooltipClass"], exportAs: ["matTooltip"] }, { kind: "component", type: SaffronInputLabelComponent, selector: "saffron-input-label", inputs: ["control", "placeholder"] }, { kind: "pipe", type: SaffronNumberToPersianPipe, name: "numberToPersian" }, { kind: "component", type: SaffronInputErrorComponent, selector: "saffron-input-error", inputs: ["errors"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-input', standalone: true, imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        MatFormFieldModule,
                        MatInputModule,
                        MatIconModule,
                        MatButtonModule,
                        MatTooltipModule,
                        SaffronInputLabelComponent,
                        SaffronNumberToPersianPipe,
                        SaffronInputErrorComponent
                    ], template: "<div class=\"saffron-input\" dir=\"rtl\" [formGroup]=\"formGroup\" [ngStyle]=\"{'cursor': isReadOnly ? 'not-allowed' : 'unset'}\">\r\n  <mat-form-field appearance=\"outline\" style=\"width: 100%\" [hideRequiredMarker]=\"true\" [ngClass]=\"{'is-read-only': isReadOnly}\">\r\n    <mat-label>\r\n      <saffron-input-label [control]=\"control\" [placeholder]=\"placeholder\"></saffron-input-label>\r\n    </mat-label>\r\n    <div style=\"display: flex;\">\r\n      <div [ngSwitch]=\"dataType\" style=\"display: flex;\">\r\n        <div *ngSwitchCase=\"SaffronDataType.Text\">\r\n          <input class=\"input-of-saffron\" [formControlName]=\"controlName\" matInput [maxLength]=\"maxlength\" autocomplete=\"off\"\r\n            (keyup.enter)=\"onEnterPressed()\">\r\n        </div>\r\n        <div *ngSwitchCase=\"SaffronDataType.Password\">\r\n          <input class=\"input-of-saffron\" [formControlName]=\"controlName\" matInput [type]=\"true ? 'password' : 'text'\"\r\n            [maxLength]=\"maxlength\" autocomplete=\"off\" (keyup.enter)=\"onEnterPressed()\">\r\n        </div>\r\n        <div *ngSwitchCase=\"SaffronDataType.Number\">\r\n          <input class=\"input-of-saffron\" [formControlName]=\"controlName\" matInput [min]=\"min\" [max]=\"max\" [maxLength]=\"maxlength\"\r\n            autocomplete=\"off\" (keyup.enter)=\"onEnterPressed()\">\r\n        </div>\r\n        <div *ngSwitchCase=\"SaffronDataType.Currency\">\r\n          <input class=\"input-of-saffron\" [formControlName]=\"controlName\" matInput currencyMask [min]=\"min\" [max]=\"max\"\r\n            [maxLength]=\"maxlength\" autocomplete=\"off\" (keyup.enter)=\"onEnterPressed()\">\r\n        </div>\r\n      </div>\r\n      <div style=\"display: flex;\">\r\n        <button *ngIf=\"isButton\" matSuffix mat-icon-button aria-label=\"\u062C\u0633\u062A\u062C\u0648\" (click)=\"onButtonClicked()\">\r\n          <mat-icon class=\"search-icon\">{{icon}}</mat-icon>\r\n        </button>\r\n        <a [tabIndex]=\"-1\" *ngIf=\"tooltip\" (click)=\"tooltipCtrl.show()\" #tooltipCtrl=\"matTooltip\" matSuffix mat-icon-button\r\n          [matTooltip]=\"tooltip\" [matTooltipPosition]=\"position\">\r\n          <mat-icon class=\"search-icon\">info</mat-icon>\r\n        </a>\r\n      </div>\r\n    </div>\r\n    <mat-error>\r\n      <saffron-input-error [errors]=\"control?.errors\"></saffron-input-error>\r\n    </mat-error>\r\n    <mat-hint *ngIf=\"showLength && dataType === SaffronDataType.Number\" align=\"end\">{{((control?.value ?? '') + '').length}} /\r\n      {{maxlength}}</mat-hint>\r\n    <mat-hint *ngIf=\"showToPersian && dataType === SaffronDataType.Currency\" class=\"number-persian\"> {{ control?.value |\r\n      numberToPersian}}</mat-hint>\r\n  </mat-form-field>\r\n</div>", styles: ["mat-form-field,mat-select,mat-option{font-family:iransans!important}.saffron-input::ng-deep .mat-mdc-form-field-appearance-outline .mat-mdc-form-field-outline-thick{color:#6299cf!important}.saffron-input::ng-deep .mat-mdc-form-field-appearance-outline.mat-mdc-form-field-invalid.mat-mdc-form-field-invalid .mat-mdc-form-field-outline-thick{color:red!important}:host{width:100%}.number-persian{font-size:10px}.tooltip-icon{background-color:#009ef7;border-radius:100%}a{color:#009ef7!important}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}input[type=number]{-moz-appearance:textfield}.is-read-only{pointer-events:none;cursor:not-allowed!important}input{direction:rtl}::ng-deep mat-hint{font-family:iransans}\n"] }]
        }], ctorParameters: () => [], propDecorators: { dataType: [{
                type: Input
            }], formGroup: [{
                type: Input
            }], controlName: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], min: [{
                type: Input,
                args: ['min']
            }], max: [{
                type: Input,
                args: ['max']
            }], isButton: [{
                type: Input
            }], isReadOnly: [{
                type: Input
            }], icon: [{
                type: Input
            }], tooltip: [{
                type: Input,
                args: ['tooltip']
            }], position: [{
                type: Input,
                args: ['position']
            }], maxlength: [{
                type: Input,
                args: ['maxlength']
            }], showLength: [{
                type: Input
            }], showToPersian: [{
                type: Input
            }], onClick: [{
                type: Output
            }], enterPressed: [{
                type: Output
            }] } });

class SaffronModalComponent {
    constructor(dialog, chRef) {
        this.dialog = dialog;
        this.chRef = chRef;
        this.open = false;
        this.hasAccept = false;
        this.hasCancel = false;
        this.disableCancel = false;
        this.disableAccept = false;
        this.acceptTitle = 'تایید';
        this.cancelTitle = 'لغو';
        this.config = { disableClose: true, autoFocus: false };
        this.customButtons = [];
        this.showHeaderBorder = false;
        this.showFooterBorder = false;
        this.acceptClicked = new EventEmitter();
        this.cancelClicked = new EventEmitter();
        this.SaffronButtonTypes = SaffronButtonTypes;
        this.isViewInited = false;
        this.isOpenChangeCalled = false;
    }
    ngOnChanges(changes) {
        if (changes['open']) {
            this.onOpenChange();
        }
    }
    ngAfterViewInit() {
        this.isViewInited = true;
        if (this.isOpenChangeCalled) {
            this.onOpenChange();
        }
        this.chRef.detectChanges();
    }
    onOpenChange() {
        if (!this.isViewInited) {
            this.isOpenChangeCalled = true;
            return;
        }
        if (this.open) {
            this.openDialog();
        }
        else {
            this.closeDialog();
        }
    }
    openDialog() {
        this.dialogRef = this.dialog.open(this.templateref, this.config);
    }
    closeDialog() {
        this.dialogRef?.close();
    }
    customButtonClick(button) {
        if (button.action) {
            button.action();
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronModalComponent, deps: [{ token: i1$2.MatDialog }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronModalComponent, isStandalone: true, selector: "saffron-modal", inputs: { modalTemplate: "modalTemplate", open: "open", hasAccept: "hasAccept", hasCancel: "hasCancel", disableCancel: "disableCancel", disableAccept: "disableAccept", acceptTitle: "acceptTitle", cancelTitle: "cancelTitle", config: "config", customButtons: "customButtons", showHeaderBorder: "showHeaderBorder", showFooterBorder: "showFooterBorder" }, outputs: { acceptClicked: "acceptClicked", cancelClicked: "cancelClicked" }, viewQueries: [{ propertyName: "templateref", first: true, predicate: ["templateref"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div direction=\"rtl\" dir=\"rtl\" style=\"direction: rtl;background-color: aquamarine;\" id=\"saffron-modal-component\">\r\n  <ng-template #templateref>\r\n    <ng-container *ngTemplateOutlet=\"modalTemplate\">\r\n    </ng-container>\r\n    <ng-container *ngIf=\"customButtons.length > 0 ;then customBtns else defaultButtons\">\r\n    </ng-container>\r\n  </ng-template>\r\n</div>\r\n\r\n<ng-template #defaultButtons>\r\n  <mat-dialog-actions id=\"saffron-modal-actions\" align=\"end\"\r\n    style=\"direction: rtl;display: flex;flex-direction: row-reverse;justify-content: end;gap:0.5rem\" *ngIf=\"hasCancel || hasAccept\">\r\n    <button [ngClass]=\"{'is-disabled': disableAccept}\" id=\"saffron-modal-accept-button\" *ngIf=\"hasAccept\" (click)=\"acceptClicked.emit()\"\r\n      cdkFocusInitial mat-raised-button [color]=\"'primary'\" style=\"width: 9rem;\">\r\n      <div class=\"icon-container\">\r\n        <span class=\"button-title\" style=\"margin-inline-start: 0.5rem\" [innerText]=\"acceptTitle\"></span>\r\n      </div>\r\n    </button>\r\n\r\n    <button [ngClass]=\"{'is-disabled': disableCancel}\" id=\"saffron-modal-cancel-button\" *ngIf=\"hasCancel\" (click)=\"cancelClicked.emit()\"\r\n      mat-raised-button [color]=\"'basic'\" style=\"width: 9rem;\">\r\n      <div class=\"icon-container\">\r\n        <span class=\"button-title\" [innerText]=\"cancelTitle\"></span>\r\n      </div>\r\n    </button>\r\n  </mat-dialog-actions>\r\n</ng-template>\r\n\r\n<ng-template #customBtns>\r\n  <mat-dialog-actions id=\"saffron-modal-actions\" align=\"end\"\r\n    style=\"position: relative;background-color: #f3f4f5;display: flex;flex-direction: row-reverse;gap:1rem;padding: 5px 20px;margin: -24px;box-shadow: 0 0 5px #c1c5c9;\">\r\n    <button *ngFor=\"let button of customButtons\" [ngClass]=\"{'is-disabled': button.disabled}\" [id]=\"button.htmlId\"\r\n      (click)=\"customButtonClick(button)\" mat-raised-button [color]=\"button.buttonType\">\r\n      <div class=\"icon-container\">\r\n        <span class=\"button-title\" [innerText]=\"button.title\"></span>\r\n        <!-- <mat-icon role=\"img\" class=\"mat-icon notranslate material-icons mat-ligature-font mat-icon-no-color ng-star-inserted\" aria-hidden=\"true\" data-mat-icon-type=\"font\">manage_search</mat-icon> -->\r\n      </div>\r\n    </button>\r\n  </mat-dialog-actions>\r\n</ng-template>\r\n", styles: ["mat-form-field,mat-select,mat-error,mat-option,mat-label,button,input{font-family:iransans!important}button{font-size:14px!important}.content-container{direction:rtl!important}.icon-container{display:flex;justify-content:center;align-items:center}.mat-button,.button-title,#saffron-modal-component{font-family:iransans!important}.is-disabled{opacity:.6;pointer-events:none;cursor:not-allowed!important}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i3$2.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "directive", type: i4.Dir, selector: "[dir]", inputs: ["dir"], outputs: ["dirChange"], exportAs: ["dir"] }, { kind: "ngmodule", type: MatDialogModule }, { kind: "directive", type: i1$2.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]", inputs: ["align"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronModalComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-modal', standalone: true, imports: [CommonModule, FormsModule, MatButtonModule, MatDialogModule], template: "<div direction=\"rtl\" dir=\"rtl\" style=\"direction: rtl;background-color: aquamarine;\" id=\"saffron-modal-component\">\r\n  <ng-template #templateref>\r\n    <ng-container *ngTemplateOutlet=\"modalTemplate\">\r\n    </ng-container>\r\n    <ng-container *ngIf=\"customButtons.length > 0 ;then customBtns else defaultButtons\">\r\n    </ng-container>\r\n  </ng-template>\r\n</div>\r\n\r\n<ng-template #defaultButtons>\r\n  <mat-dialog-actions id=\"saffron-modal-actions\" align=\"end\"\r\n    style=\"direction: rtl;display: flex;flex-direction: row-reverse;justify-content: end;gap:0.5rem\" *ngIf=\"hasCancel || hasAccept\">\r\n    <button [ngClass]=\"{'is-disabled': disableAccept}\" id=\"saffron-modal-accept-button\" *ngIf=\"hasAccept\" (click)=\"acceptClicked.emit()\"\r\n      cdkFocusInitial mat-raised-button [color]=\"'primary'\" style=\"width: 9rem;\">\r\n      <div class=\"icon-container\">\r\n        <span class=\"button-title\" style=\"margin-inline-start: 0.5rem\" [innerText]=\"acceptTitle\"></span>\r\n      </div>\r\n    </button>\r\n\r\n    <button [ngClass]=\"{'is-disabled': disableCancel}\" id=\"saffron-modal-cancel-button\" *ngIf=\"hasCancel\" (click)=\"cancelClicked.emit()\"\r\n      mat-raised-button [color]=\"'basic'\" style=\"width: 9rem;\">\r\n      <div class=\"icon-container\">\r\n        <span class=\"button-title\" [innerText]=\"cancelTitle\"></span>\r\n      </div>\r\n    </button>\r\n  </mat-dialog-actions>\r\n</ng-template>\r\n\r\n<ng-template #customBtns>\r\n  <mat-dialog-actions id=\"saffron-modal-actions\" align=\"end\"\r\n    style=\"position: relative;background-color: #f3f4f5;display: flex;flex-direction: row-reverse;gap:1rem;padding: 5px 20px;margin: -24px;box-shadow: 0 0 5px #c1c5c9;\">\r\n    <button *ngFor=\"let button of customButtons\" [ngClass]=\"{'is-disabled': button.disabled}\" [id]=\"button.htmlId\"\r\n      (click)=\"customButtonClick(button)\" mat-raised-button [color]=\"button.buttonType\">\r\n      <div class=\"icon-container\">\r\n        <span class=\"button-title\" [innerText]=\"button.title\"></span>\r\n        <!-- <mat-icon role=\"img\" class=\"mat-icon notranslate material-icons mat-ligature-font mat-icon-no-color ng-star-inserted\" aria-hidden=\"true\" data-mat-icon-type=\"font\">manage_search</mat-icon> -->\r\n      </div>\r\n    </button>\r\n  </mat-dialog-actions>\r\n</ng-template>\r\n", styles: ["mat-form-field,mat-select,mat-error,mat-option,mat-label,button,input{font-family:iransans!important}button{font-size:14px!important}.content-container{direction:rtl!important}.icon-container{display:flex;justify-content:center;align-items:center}.mat-button,.button-title,#saffron-modal-component{font-family:iransans!important}.is-disabled{opacity:.6;pointer-events:none;cursor:not-allowed!important}\n"] }]
        }], ctorParameters: () => [{ type: i1$2.MatDialog }, { type: i0.ChangeDetectorRef }], propDecorators: { modalTemplate: [{
                type: Input
            }], open: [{
                type: Input
            }], hasAccept: [{
                type: Input
            }], hasCancel: [{
                type: Input
            }], disableCancel: [{
                type: Input
            }], disableAccept: [{
                type: Input
            }], acceptTitle: [{
                type: Input
            }], cancelTitle: [{
                type: Input
            }], config: [{
                type: Input
            }], customButtons: [{
                type: Input
            }], showHeaderBorder: [{
                type: Input
            }], showFooterBorder: [{
                type: Input
            }], acceptClicked: [{
                type: Output
            }], cancelClicked: [{
                type: Output
            }], templateref: [{
                type: ViewChild,
                args: ['templateref']
            }] } });

class SaffronAdvancedFilterModalComponent {
    set openModal(value) {
        if (this._openModal === value) {
            return;
        }
        this._openModal = value;
        this.openModalChange.emit(value);
    }
    get openModal() {
        return this._openModal;
    }
    constructor() {
        this.secondryFilters = [];
        this.openModalChange = new EventEmitter();
        this.customButtons = [
            {
                id: '1',
                action: () => {
                    this.onModalAccept();
                },
                title: 'اعمال جستجو',
                buttonType: SaffronButtonTypes.Primary,
            },
            {
                id: '2',
                action: () => {
                    this.onModalCancel();
                },
                title: 'انصراف',
                buttonType: SaffronButtonTypes.Basic,
            },
        ];
        this.config = {
            disableClose: true,
            autoFocus: false,
            width: '80%',
        };
        this.inputTypes = AdvancedFilterInputTypes;
        this._openModal = false;
    }
    ngOnInit() { }
    onModalAccept() {
        //this.setChipsList();
        this.openModal = false;
    }
    onModalCancel() {
        this.openModal = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronAdvancedFilterModalComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronAdvancedFilterModalComponent, isStandalone: true, selector: "saffron-advanced-filter-modal", inputs: { formGroup: "formGroup", openModal: "openModal", secondryFilters: "secondryFilters" }, outputs: { openModalChange: "openModalChange" }, ngImport: i0, template: "<saffron-modal [config]=\"config\" [modalTemplate]=\"modalTemplate\" [open]=\"openModal\" [customButtons]=\"customButtons\">\r\n</saffron-modal>\r\n<ng-template #modalTemplate>\r\n  <div style=\"display: flex;flex-direction: column;direction: rtl !important;box-shadow: 0 0 5px #c1c5c9;margin: -24px;\">\r\n\r\n\r\n    <div style=\"background-color: rgb(249 250 251);\">\r\n      <h2 mat-dialog-title [innerText]=\"'\u062C\u0633\u062A\u062C\u0648\u06CC \u067E\u06CC\u0634\u0631\u0641\u062A\u0647'\" style=\"text-align: right;padding: 1rem 2rem;margin: 0rem;\"></h2>\r\n    </div>\r\n    <div class=\"nep-item-panel\">\r\n      <div *ngFor=\"let filter of secondryFilters\" class=\"nep-item-search\">\r\n        <div [ngSwitch]=\"true\">\r\n          <div *ngSwitchCase=\"inputTypes.includes(filter.dataType)\">\r\n            <saffron-input [formGroup]=\"formGroup\" [dataType]=\"filter.dataType\" [placeholder]=\"filter.title\" [controlName]=\"filter.controlName\">\r\n            </saffron-input>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n\r\n\r\n  </div>\r\n</ng-template>\r\n", styles: ["h2{font-family:iransans!important}.mat-h2,.mat-title,.mat-typography .mat-h2,.mat-typography .mat-title,.mat-typography h2{font:500 16px/26px iransans}.nep-item-panel{width:100%;display:grid;gap:1rem;height:30rem;overflow-y:auto;padding:30px 25px}.nep-item-panel .nep-item-search{height:max-content}@media screen and (min-width: 992px) and (max-width: 1240px){.nep-item-panel{grid-template-columns:repeat(2,minmax(0,1fr))}}@media screen and (min-width: 1240px) and (max-width: 1440px){.nep-item-panel{grid-template-columns:repeat(3,minmax(0,1fr))}}@media screen and (min-width: 1440px) and (max-width: 1920px){.nep-item-panel{grid-template-columns:repeat(4,minmax(0,1fr))}}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "component", type: SaffronInputComponent, selector: "saffron-input", inputs: ["dataType", "formGroup", "controlName", "placeholder", "min", "max", "isButton", "isReadOnly", "icon", "tooltip", "position", "maxlength", "showLength", "showToPersian"], outputs: ["onClick", "enterPressed"] }, { kind: "component", type: SaffronModalComponent, selector: "saffron-modal", inputs: ["modalTemplate", "open", "hasAccept", "hasCancel", "disableCancel", "disableAccept", "acceptTitle", "cancelTitle", "config", "customButtons", "showHeaderBorder", "showFooterBorder"], outputs: ["acceptClicked", "cancelClicked"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronAdvancedFilterModalComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-advanced-filter-modal', standalone: true, imports: [
                        CommonModule,
                        FormsModule,
                        SaffronInputComponent,
                        SaffronModalComponent,
                    ], template: "<saffron-modal [config]=\"config\" [modalTemplate]=\"modalTemplate\" [open]=\"openModal\" [customButtons]=\"customButtons\">\r\n</saffron-modal>\r\n<ng-template #modalTemplate>\r\n  <div style=\"display: flex;flex-direction: column;direction: rtl !important;box-shadow: 0 0 5px #c1c5c9;margin: -24px;\">\r\n\r\n\r\n    <div style=\"background-color: rgb(249 250 251);\">\r\n      <h2 mat-dialog-title [innerText]=\"'\u062C\u0633\u062A\u062C\u0648\u06CC \u067E\u06CC\u0634\u0631\u0641\u062A\u0647'\" style=\"text-align: right;padding: 1rem 2rem;margin: 0rem;\"></h2>\r\n    </div>\r\n    <div class=\"nep-item-panel\">\r\n      <div *ngFor=\"let filter of secondryFilters\" class=\"nep-item-search\">\r\n        <div [ngSwitch]=\"true\">\r\n          <div *ngSwitchCase=\"inputTypes.includes(filter.dataType)\">\r\n            <saffron-input [formGroup]=\"formGroup\" [dataType]=\"filter.dataType\" [placeholder]=\"filter.title\" [controlName]=\"filter.controlName\">\r\n            </saffron-input>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n\r\n\r\n  </div>\r\n</ng-template>\r\n", styles: ["h2{font-family:iransans!important}.mat-h2,.mat-title,.mat-typography .mat-h2,.mat-typography .mat-title,.mat-typography h2{font:500 16px/26px iransans}.nep-item-panel{width:100%;display:grid;gap:1rem;height:30rem;overflow-y:auto;padding:30px 25px}.nep-item-panel .nep-item-search{height:max-content}@media screen and (min-width: 992px) and (max-width: 1240px){.nep-item-panel{grid-template-columns:repeat(2,minmax(0,1fr))}}@media screen and (min-width: 1240px) and (max-width: 1440px){.nep-item-panel{grid-template-columns:repeat(3,minmax(0,1fr))}}@media screen and (min-width: 1440px) and (max-width: 1920px){.nep-item-panel{grid-template-columns:repeat(4,minmax(0,1fr))}}\n"] }]
        }], ctorParameters: () => [], propDecorators: { formGroup: [{
                type: Input
            }], openModal: [{
                type: Input
            }], secondryFilters: [{
                type: Input
            }], openModalChange: [{
                type: Output
            }] } });

class SaffronButtonComponent {
    constructor() {
        this.htmlButtonType = 'button';
        this.buttonClicked = new EventEmitter();
    }
    clicked() {
        this.buttonClicked.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronButtonComponent, isStandalone: true, selector: "saffron-button", inputs: { title: "title", buttonStyle: "buttonStyle", matIcon: "matIcon", buttonType: "buttonType", htmlButtonType: "htmlButtonType", tooltip: "tooltip" }, outputs: { buttonClicked: "buttonClicked" }, ngImport: i0, template: "<button mat-raised-button [type]=\"htmlButtonType\" [color]=\"buttonType\" [style]=\"buttonStyle\" (click)=\"clicked();\">\r\n  <div style=\"display: flex;gap: 0.5rem;justify-content: center;align-items: center;text-align: center;\">\r\n    <mat-icon *ngIf=\"matIcon\">{{matIcon}}</mat-icon>\r\n    <span class=\"title-container\" *ngIf=\"title\" [innerText]=\"title\" style=\"overflow: hidden;white-space: nowrap;\"></span>\r\n  </div>\r\n</button>\r\n", styles: [".title-container{font-family:iransans!important;font-size:14px;white-space:nowrap}button{width:100%;letter-spacing:unset!important}:host{width:100%}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i3$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i3$2.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-button', standalone: true, imports: [
                        CommonModule,
                        FormsModule,
                        MatIconModule,
                        MatButtonModule,
                    ], template: "<button mat-raised-button [type]=\"htmlButtonType\" [color]=\"buttonType\" [style]=\"buttonStyle\" (click)=\"clicked();\">\r\n  <div style=\"display: flex;gap: 0.5rem;justify-content: center;align-items: center;text-align: center;\">\r\n    <mat-icon *ngIf=\"matIcon\">{{matIcon}}</mat-icon>\r\n    <span class=\"title-container\" *ngIf=\"title\" [innerText]=\"title\" style=\"overflow: hidden;white-space: nowrap;\"></span>\r\n  </div>\r\n</button>\r\n", styles: [".title-container{font-family:iransans!important;font-size:14px;white-space:nowrap}button{width:100%;letter-spacing:unset!important}:host{width:100%}\n"] }]
        }], propDecorators: { title: [{
                type: Input
            }], buttonStyle: [{
                type: Input
            }], matIcon: [{
                type: Input
            }], buttonType: [{
                type: Input
            }], htmlButtonType: [{
                type: Input
            }], tooltip: [{
                type: Input
            }], buttonClicked: [{
                type: Output
            }] } });

class SaffronChipsComponent {
    constructor() {
        this.chipList = [];
        this.remove = new EventEmitter();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronChipsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronChipsComponent, isStandalone: true, selector: "saffron-chips", inputs: { chipList: "chipList" }, outputs: { remove: "remove" }, ngImport: i0, template: "<div id=\"saffron-chips\">\r\n    <div class=\"nep-chips\">\r\n        <mat-chip-listbox>\r\n            <mat-chip-option *ngFor=\"let chip of chipList\" (click)=\"remove.emit(chip)\">\r\n                <div style=\"display: flex;align-items: center;gap: 3px;\">\r\n                    <span>{{chip.title}}</span>\r\n                    <mat-icon>cancel</mat-icon>\r\n                </div>\r\n            </mat-chip-option>\r\n        </mat-chip-listbox>\r\n    </div>\r\n</div>", styles: [":host{display:block}#saffron-chips::ng-deep mat-chip,#saffron-chips::ng-deep .mat-mdc-chip-action-label,#saffron-chips::ng-deep h2{font-family:iransans!important;cursor:pointer!important}#saffron-chips::ng-deep mat-chip-option{display:flex}#saffron-chips::ng-deep mat-icon{font-size:16px;display:flex;justify-content:center;align-items:center;color:#5fa8ff;cursor:pointer!important}#saffron-chips::ng-deep .nep-chips{display:flex;margin-bottom:1.5rem;margin-top:.8rem;cursor:pointer!important}#saffron-chips::ng-deep .nep-chips .mat-mdc-chip.mat-mdc-standard-chip{border:1px solid #b8d5f1;background-color:#e8f1fb;min-height:26px;height:26px;font-size:12px;color:#333}#saffron-chips::ng-deep .nep-chips .mat-mdc-chip.mat-mdc-standard-chip .mat-mdc-chip-remove{color:#4791db;opacity:none}#saffron-chips::ng-deep .nep-chips .mat-mdc-chip.mat-mdc-standard-chip .mat-mdc-chip-remove,#saffron-chips::ng-deep .nep-chips .mat-mdc-chip.mat-mdc-standard-chip .mat-mdc-chip-trailing-icon{width:16px;height:16px}#saffron-chips::ng-deep .nep-chips .mat-mdc-chip.mat-mdc-standard-chip:hover{background-color:#b9d6ff!important;border-color:#bedcf9}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: MatChipsModule }, { kind: "component", type: i2.MatChipListbox, selector: "mat-chip-listbox", inputs: ["multiple", "aria-orientation", "selectable", "compareWith", "required", "hideSingleSelectionIndicator", "value"], outputs: ["change"] }, { kind: "component", type: i2.MatChipOption, selector: "mat-basic-chip-option, [mat-basic-chip-option], mat-chip-option, [mat-chip-option]", inputs: ["selectable", "selected"], outputs: ["selectionChange"] }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i3$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronChipsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-chips', standalone: true, imports: [CommonModule, FormsModule, MatChipsModule, MatIconModule], template: "<div id=\"saffron-chips\">\r\n    <div class=\"nep-chips\">\r\n        <mat-chip-listbox>\r\n            <mat-chip-option *ngFor=\"let chip of chipList\" (click)=\"remove.emit(chip)\">\r\n                <div style=\"display: flex;align-items: center;gap: 3px;\">\r\n                    <span>{{chip.title}}</span>\r\n                    <mat-icon>cancel</mat-icon>\r\n                </div>\r\n            </mat-chip-option>\r\n        </mat-chip-listbox>\r\n    </div>\r\n</div>", styles: [":host{display:block}#saffron-chips::ng-deep mat-chip,#saffron-chips::ng-deep .mat-mdc-chip-action-label,#saffron-chips::ng-deep h2{font-family:iransans!important;cursor:pointer!important}#saffron-chips::ng-deep mat-chip-option{display:flex}#saffron-chips::ng-deep mat-icon{font-size:16px;display:flex;justify-content:center;align-items:center;color:#5fa8ff;cursor:pointer!important}#saffron-chips::ng-deep .nep-chips{display:flex;margin-bottom:1.5rem;margin-top:.8rem;cursor:pointer!important}#saffron-chips::ng-deep .nep-chips .mat-mdc-chip.mat-mdc-standard-chip{border:1px solid #b8d5f1;background-color:#e8f1fb;min-height:26px;height:26px;font-size:12px;color:#333}#saffron-chips::ng-deep .nep-chips .mat-mdc-chip.mat-mdc-standard-chip .mat-mdc-chip-remove{color:#4791db;opacity:none}#saffron-chips::ng-deep .nep-chips .mat-mdc-chip.mat-mdc-standard-chip .mat-mdc-chip-remove,#saffron-chips::ng-deep .nep-chips .mat-mdc-chip.mat-mdc-standard-chip .mat-mdc-chip-trailing-icon{width:16px;height:16px}#saffron-chips::ng-deep .nep-chips .mat-mdc-chip.mat-mdc-standard-chip:hover{background-color:#b9d6ff!important;border-color:#bedcf9}\n"] }]
        }], propDecorators: { chipList: [{
                type: Input
            }], remove: [{
                type: Output
            }] } });

class SaffronAdvancedFilterComponent {
    constructor() {
        this.primaryFilters = [];
        this.secondryFilters = [];
        this.searched = new EventEmitter();
        this.SaffronDataType = SaffronDataType;
        this.SaffronButtonTypes = SaffronButtonTypes;
        this.inputTypes = AdvancedFilterInputTypes;
        this.chipList = [];
        this.maxPrimaryFilters = 4;
        this.openModal = false;
    }
    ngOnInit() {
        this.formGroup.valueChanges.subscribe((value) => {
            console.log(value);
        });
        this.setChipsList();
    }
    setChipsList() {
        this.chipList = [];
        if (!this.formGroup) {
            return;
        }
        const primaryFilters = this.primaryFilters.slice(0, this.maxPrimaryFilters);
        const allFilters = [...primaryFilters, ...this.secondryFilters];
        allFilters.forEach((filter) => {
            const filterValue = this.formGroup.value[filter.controlName];
            if (filterValue != undefined) {
                this.chipList.push({
                    title: filter.title,
                    id: filter.id,
                    controlName: filter.controlName,
                });
            }
        });
    }
    onChipRemove(chip) {
        const chipToRemove = this.chipList.find((x) => x.id === chip.id);
        if (!chipToRemove) {
            return;
        }
        this.chipList = this.chipList.filter((x) => x != chipToRemove);
        const formControl = this.formGroup.get(chipToRemove.controlName);
        if (formControl) {
            formControl.setValue(undefined);
        }
    }
    onSearch() {
        this.searched.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronAdvancedFilterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronAdvancedFilterComponent, isStandalone: true, selector: "saffron-advanced-filter", inputs: { formGroup: "formGroup", primaryFilters: "primaryFilters", secondryFilters: "secondryFilters" }, outputs: { searched: "searched" }, ngImport: i0, template: "<div class=\"nep-search-panel\">\r\n  <div class=\"nep-content-search\">\r\n    <div class=\"nep-input-search\">\r\n      <div *ngFor=\"let filter of primaryFilters.slice(0, maxPrimaryFilters);let index = index;\">\r\n        <div [ngSwitch]=\"true\">\r\n          <div *ngSwitchCase=\"inputTypes.includes(filter.dataType)\">\r\n            <saffron-input [formGroup]=\"formGroup\" [dataType]=\"filter.dataType\" [placeholder]=\"filter.title\"\r\n              [controlName]=\"filter.controlName\">\r\n            </saffron-input>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class=\"nep-chips\">\r\n      <saffron-chips [chipList]=\"chipList\" (remove)=\"onChipRemove($event)\"></saffron-chips>\r\n    </div>\r\n  </div>\r\n  <div class=\"nep-footer-search\">\r\n    <div>\r\n      <saffron-button [title]=\"'\u062C\u0633\u062A\u062C\u0648\u06CC \u067E\u06CC\u0634\u0631\u0641\u062A\u0647'\" (click)=\"this.openModal = true\" [matIcon]=\"'ads_click'\"\r\n        [buttonType]=\"SaffronButtonTypes.Basic\">\r\n      </saffron-button>\r\n      <saffron-button (click)=\"onSearch()\" [title]=\"'\u0627\u0639\u0645\u0627\u0644 \u062C\u0633\u062A\u062C\u0648'\" [matIcon]=\"'manage_search'\" [buttonType]=\"SaffronButtonTypes.Primary\">\r\n      </saffron-button>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<saffron-advanced-filter-modal [(openModal)]=\"openModal\" [formGroup]=\"formGroup\" [secondryFilters]=\"secondryFilters\">\r\n</saffron-advanced-filter-modal>", styles: ["mat-chip,h2{font-family:iransans!important}.nep-search-panel{display:flex;flex-direction:column;border-radius:.4rem;overflow:hidden;box-shadow:0 0 3px #0000001a,0 1px 10px -1px #0000001a}.nep-search-panel .nep-content-search{display:flex;flex-direction:column;padding:2rem 2rem 0}.nep-input-search{display:grid;gap:1rem;width:100%}.nep-input-search div{flex-grow:1}.nep-chips{display:flex;margin-bottom:1.5rem;margin-top:.8rem}.nep-chips .mat-mdc-chip.mat-mdc-standard-chip{border:1px solid #b8d5f1;background-color:#e8f1fb;min-height:26px;height:26px;font-size:12px;color:#333}.nep-chips .mat-mdc-chip.mat-mdc-standard-chip .mat-mdc-chip-remove{color:#4791db;opacity:none}.nep-chips .mat-mdc-chip.mat-mdc-standard-chip .mat-mdc-chip-remove,.nep-chips .mat-mdc-chip.mat-mdc-standard-chip .mat-mdc-chip-trailing-icon{width:16px;height:16px}.nep-chips .mat-mdc-chip.mat-mdc-standard-chip:hover{background-color:transparent!important;border-color:#bedcf9}.nep-footer-search{background-color:#f1f1f1;padding:1rem 1.5rem;display:flex;flex-direction:row-reverse}.nep-footer-search div{display:flex;gap:1rem}@media screen and (min-width: 992px) and (max-width: 1240px){.nep-input-search{grid-template-columns:repeat(2,minmax(0,1fr))}}@media screen and (min-width: 1240px) and (max-width: 1440px){.nep-input-search{grid-template-columns:repeat(4,minmax(0,1fr))}}@media screen and (min-width: 1440px) and (max-width: 1920px){.nep-input-search{grid-template-columns:repeat(4,minmax(0,1fr))}}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "component", type: SaffronAdvancedFilterModalComponent, selector: "saffron-advanced-filter-modal", inputs: ["formGroup", "openModal", "secondryFilters"], outputs: ["openModalChange"] }, { kind: "component", type: SaffronInputComponent, selector: "saffron-input", inputs: ["dataType", "formGroup", "controlName", "placeholder", "min", "max", "isButton", "isReadOnly", "icon", "tooltip", "position", "maxlength", "showLength", "showToPersian"], outputs: ["onClick", "enterPressed"] }, { kind: "component", type: SaffronButtonComponent, selector: "saffron-button", inputs: ["title", "buttonStyle", "matIcon", "buttonType", "htmlButtonType", "tooltip"], outputs: ["buttonClicked"] }, { kind: "component", type: SaffronChipsComponent, selector: "saffron-chips", inputs: ["chipList"], outputs: ["remove"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronAdvancedFilterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-advanced-filter', standalone: true, imports: [
                        CommonModule,
                        FormsModule,
                        SaffronAdvancedFilterModalComponent,
                        SaffronInputComponent,
                        SaffronButtonComponent,
                        SaffronChipsComponent,
                    ], template: "<div class=\"nep-search-panel\">\r\n  <div class=\"nep-content-search\">\r\n    <div class=\"nep-input-search\">\r\n      <div *ngFor=\"let filter of primaryFilters.slice(0, maxPrimaryFilters);let index = index;\">\r\n        <div [ngSwitch]=\"true\">\r\n          <div *ngSwitchCase=\"inputTypes.includes(filter.dataType)\">\r\n            <saffron-input [formGroup]=\"formGroup\" [dataType]=\"filter.dataType\" [placeholder]=\"filter.title\"\r\n              [controlName]=\"filter.controlName\">\r\n            </saffron-input>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class=\"nep-chips\">\r\n      <saffron-chips [chipList]=\"chipList\" (remove)=\"onChipRemove($event)\"></saffron-chips>\r\n    </div>\r\n  </div>\r\n  <div class=\"nep-footer-search\">\r\n    <div>\r\n      <saffron-button [title]=\"'\u062C\u0633\u062A\u062C\u0648\u06CC \u067E\u06CC\u0634\u0631\u0641\u062A\u0647'\" (click)=\"this.openModal = true\" [matIcon]=\"'ads_click'\"\r\n        [buttonType]=\"SaffronButtonTypes.Basic\">\r\n      </saffron-button>\r\n      <saffron-button (click)=\"onSearch()\" [title]=\"'\u0627\u0639\u0645\u0627\u0644 \u062C\u0633\u062A\u062C\u0648'\" [matIcon]=\"'manage_search'\" [buttonType]=\"SaffronButtonTypes.Primary\">\r\n      </saffron-button>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<saffron-advanced-filter-modal [(openModal)]=\"openModal\" [formGroup]=\"formGroup\" [secondryFilters]=\"secondryFilters\">\r\n</saffron-advanced-filter-modal>", styles: ["mat-chip,h2{font-family:iransans!important}.nep-search-panel{display:flex;flex-direction:column;border-radius:.4rem;overflow:hidden;box-shadow:0 0 3px #0000001a,0 1px 10px -1px #0000001a}.nep-search-panel .nep-content-search{display:flex;flex-direction:column;padding:2rem 2rem 0}.nep-input-search{display:grid;gap:1rem;width:100%}.nep-input-search div{flex-grow:1}.nep-chips{display:flex;margin-bottom:1.5rem;margin-top:.8rem}.nep-chips .mat-mdc-chip.mat-mdc-standard-chip{border:1px solid #b8d5f1;background-color:#e8f1fb;min-height:26px;height:26px;font-size:12px;color:#333}.nep-chips .mat-mdc-chip.mat-mdc-standard-chip .mat-mdc-chip-remove{color:#4791db;opacity:none}.nep-chips .mat-mdc-chip.mat-mdc-standard-chip .mat-mdc-chip-remove,.nep-chips .mat-mdc-chip.mat-mdc-standard-chip .mat-mdc-chip-trailing-icon{width:16px;height:16px}.nep-chips .mat-mdc-chip.mat-mdc-standard-chip:hover{background-color:transparent!important;border-color:#bedcf9}.nep-footer-search{background-color:#f1f1f1;padding:1rem 1.5rem;display:flex;flex-direction:row-reverse}.nep-footer-search div{display:flex;gap:1rem}@media screen and (min-width: 992px) and (max-width: 1240px){.nep-input-search{grid-template-columns:repeat(2,minmax(0,1fr))}}@media screen and (min-width: 1240px) and (max-width: 1440px){.nep-input-search{grid-template-columns:repeat(4,minmax(0,1fr))}}@media screen and (min-width: 1440px) and (max-width: 1920px){.nep-input-search{grid-template-columns:repeat(4,minmax(0,1fr))}}\n"] }]
        }], ctorParameters: () => [], propDecorators: { formGroup: [{
                type: Input
            }], primaryFilters: [{
                type: Input
            }], secondryFilters: [{
                type: Input
            }], searched: [{
                type: Output
            }] } });

class SaffronAutoCompleteComponent {
    constructor(fb) {
        this.fb = fb;
        this.controlName = '';
        this.options = [];
        this.defaultText = 'گزینه مورد نظر را انتخاب نمایید';
        this.internalFormGroup = this.fb.group({
            searchInput: [null],
        });
    }
    ngOnChanges(changes) {
        this.setControl(changes);
        if (this.formGroup && this.controlName) {
            this.filteredOptions =
                this.internalFormGroup.get('searchInput')?.valueChanges.pipe(tap(() => {
                    this.formGroup.get(this.controlName)?.setValue(undefined);
                }), startWith(''), map((value) => this._filter(value || ''))) ?? of([]);
            this.setDefault();
        }
    }
    setControl(changes) {
        if (changes['formGroup'] || changes['controlName']) {
            this.control = this.formGroup.controls[this.controlName];
        }
    }
    async setDefault() {
        const value = `${this.formGroup.value[this.controlName]}`;
        const option = this.options.find((x) => x.value === value);
        if (option) {
            this.internalFormGroup.get('searchInput')?.setValue(option.title);
            this.formGroup.get(this.controlName)?.setValue(option.value);
        }
    }
    optionSelected(matOption) {
        this.formGroup.get(this.controlName)?.setValue(matOption.id);
    }
    _filter(filterValue) {
        filterValue = filterValue.toLowerCase();
        return this.options.filter((option) => option.title.toLowerCase().includes(filterValue));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronAutoCompleteComponent, deps: [{ token: i1$1.FormBuilder }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronAutoCompleteComponent, isStandalone: true, selector: "saffron-auto-complete", inputs: { formGroup: "formGroup", controlName: "controlName", options: "options", placeHolder: "placeHolder" }, usesOnChanges: true, ngImport: i0, template: "<div id=\"saffron-auto-complete-component\" direction=\"rtl\" dir=\"rtl\" style=\"direction: rtl\" [formGroup]=\"formGroup\">\r\n  <mat-form-field appearance=\"outline\" [hideRequiredMarker]=\"true\" style=\"width: 100%;\" [formGroup]=\"formGroup\">\r\n    <mat-label>\r\n      <saffron-input-label [control]=\"control\" [placeholder]=\"placeHolder\"></saffron-input-label>\r\n    </mat-label>\r\n    <div [formGroup]=\"internalFormGroup\">\r\n      <input type=\"text\" [formControlName]=\"'searchInput'\" [placeholder]=\"defaultText\" matInput [matAutocomplete]=\"auto\">\r\n    </div>\r\n    <mat-autocomplete (optionSelected)=\"optionSelected($event.option)\" autoActiveFirstOption #auto=\"matAutocomplete\">\r\n      <mat-option *ngFor=\"let option of filteredOptions | async\" [value]=\"option.title\" [id]=\"option.value\">\r\n        {{option.title}}\r\n      </mat-option>\r\n    </mat-autocomplete>\r\n  </mat-form-field>\r\n\r\n   <div *ngIf=\"control.errors && control.touched\" class=\"saffron-mat-error-container\">\r\n    <saffron-input-error [errors]=\"control.errors\"></saffron-input-error>\r\n  </div>\r\n</div>", styles: ["mat-form-field,mat-select,mat-error,mat-option,mat-label,input{font-family:iransans!important}.default-text{color:#5e5c5c}:host::ng-deep .mat-mdc-form-field-outline,:host::ng-deep .mat-mdc-form-field-outline:hover,:host::ng-deep saffron-number-input:hover,:host::ng-deep mat-form-field-infix:hover{outline:#6299cf!important}:host::ng-deep .mat-mdc-form-field-appearance-outline .mat-mdc-form-field-outline-thick{color:#6299cf!important}:host{width:100%}a{color:#00f}#saffron-auto-complete-component::ng-deep mat-form-field .mat-mdc-form-field-wrapper{padding-bottom:0!important}.saffron-mat-error-container{display:flex;padding:0px 1rem;color:#f44336}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "ngmodule", type: MatFormFieldModule }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i4.Dir, selector: "[dir]", inputs: ["dir"], outputs: ["dirChange"], exportAs: ["dir"] }, { kind: "ngmodule", type: MatAutocompleteModule }, { kind: "component", type: i5$1.MatAutocomplete, selector: "mat-autocomplete", inputs: ["aria-label", "aria-labelledby", "displayWith", "autoActiveFirstOption", "autoSelectActiveOption", "requireSelection", "panelWidth", "disableRipple", "class", "hideSingleSelectionIndicator"], outputs: ["optionSelected", "opened", "closed", "optionActivated"], exportAs: ["matAutocomplete"] }, { kind: "component", type: i6.MatOption, selector: "mat-option", inputs: ["value", "id", "disabled"], outputs: ["onSelectionChange"], exportAs: ["matOption"] }, { kind: "directive", type: i5$1.MatAutocompleteTrigger, selector: "input[matAutocomplete], textarea[matAutocomplete]", inputs: ["matAutocomplete", "matAutocompletePosition", "matAutocompleteConnectedTo", "autocomplete", "matAutocompleteDisabled"], exportAs: ["matAutocompleteTrigger"] }, { kind: "component", type: SaffronInputLabelComponent, selector: "saffron-input-label", inputs: ["control", "placeholder"] }, { kind: "component", type: SaffronInputErrorComponent, selector: "saffron-input-error", inputs: ["errors"] }, { kind: "ngmodule", type: MatInputModule }, { kind: "directive", type: i5.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronAutoCompleteComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-auto-complete', standalone: true, imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        MatFormFieldModule,
                        MatAutocompleteModule,
                        SaffronInputLabelComponent,
                        SaffronInputErrorComponent,
                        MatInputModule
                    ], template: "<div id=\"saffron-auto-complete-component\" direction=\"rtl\" dir=\"rtl\" style=\"direction: rtl\" [formGroup]=\"formGroup\">\r\n  <mat-form-field appearance=\"outline\" [hideRequiredMarker]=\"true\" style=\"width: 100%;\" [formGroup]=\"formGroup\">\r\n    <mat-label>\r\n      <saffron-input-label [control]=\"control\" [placeholder]=\"placeHolder\"></saffron-input-label>\r\n    </mat-label>\r\n    <div [formGroup]=\"internalFormGroup\">\r\n      <input type=\"text\" [formControlName]=\"'searchInput'\" [placeholder]=\"defaultText\" matInput [matAutocomplete]=\"auto\">\r\n    </div>\r\n    <mat-autocomplete (optionSelected)=\"optionSelected($event.option)\" autoActiveFirstOption #auto=\"matAutocomplete\">\r\n      <mat-option *ngFor=\"let option of filteredOptions | async\" [value]=\"option.title\" [id]=\"option.value\">\r\n        {{option.title}}\r\n      </mat-option>\r\n    </mat-autocomplete>\r\n  </mat-form-field>\r\n\r\n   <div *ngIf=\"control.errors && control.touched\" class=\"saffron-mat-error-container\">\r\n    <saffron-input-error [errors]=\"control.errors\"></saffron-input-error>\r\n  </div>\r\n</div>", styles: ["mat-form-field,mat-select,mat-error,mat-option,mat-label,input{font-family:iransans!important}.default-text{color:#5e5c5c}:host::ng-deep .mat-mdc-form-field-outline,:host::ng-deep .mat-mdc-form-field-outline:hover,:host::ng-deep saffron-number-input:hover,:host::ng-deep mat-form-field-infix:hover{outline:#6299cf!important}:host::ng-deep .mat-mdc-form-field-appearance-outline .mat-mdc-form-field-outline-thick{color:#6299cf!important}:host{width:100%}a{color:#00f}#saffron-auto-complete-component::ng-deep mat-form-field .mat-mdc-form-field-wrapper{padding-bottom:0!important}.saffron-mat-error-container{display:flex;padding:0px 1rem;color:#f44336}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.FormBuilder }], propDecorators: { formGroup: [{
                type: Input
            }], controlName: [{
                type: Input
            }], options: [{
                type: Input
            }], placeHolder: [{
                type: Input
            }] } });

class SaffronAutoCompleteModel {
}

class SaffronCardViewComponent {
    constructor() {
        this.actionButtons = [];
        this.cardColor = 'white';
        this.actionClicked = new EventEmitter();
    }
    onActionClicked(button) {
        this.actionClicked.emit(button);
    }
    emptyMethod(id) { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronCardViewComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronCardViewComponent, isStandalone: true, selector: "saffron-card-view", inputs: { cardTemplate: "cardTemplate", actionButtons: "actionButtons", cardColor: "cardColor" }, outputs: { actionClicked: "actionClicked" }, ngImport: i0, template: "<mat-card id=\"saffron-card-view-mat-card\" style=\"display: flex;\r\nflex-direction: column;\" [ngStyle]=\"{'background-color': cardColor ? cardColor : 'white'}\">\r\n  <mat-card-content\r\n    [ngClass]=\"{'saffron-card-view-with-action': actionButtons.length > 0,'saffron-card-view-without-action': actionButtons.length === 0}\"\r\n    class=\"saffron-card-view-with-action\">\r\n    <ng-container *ngTemplateOutlet=\"cardTemplate\">\r\n    </ng-container>\r\n  </mat-card-content>\r\n  <mat-card-actions *ngIf=\"actionButtons.length ?? 0 > 0\" id=\"saffron-card-actions\" align=\"end\">\r\n    <button id=\"saffron-card-view-button\" *ngFor=\"let button of actionButtons\" mat-raised-button [ngClass]=\"{'is-disabled':button.disabled}\"\r\n      [color]=\"button.color\" (click)=\"onActionClicked(button);(button.action || emptyMethod)(button.id);\">\r\n      <div class=\"icon-container\">\r\n        <mat-icon *ngIf=\"button.icon\" [innerText]=\"button.icon\"></mat-icon>\r\n        <span class=\"button-title\" style=\"margin-inline-start: 0.5rem\" [innerText]=\"button.title\"></span>\r\n      </div>\r\n    </button>\r\n  </mat-card-actions>\r\n</mat-card>\r\n", styles: ["*{direction:rtl}:host{height:100%;width:100%;display:block}.mat-button,.button-title{font-family:iransans!important;font-size:14px;margin-inline-end:.5rem;white-space:nowrap}#saffron-card-view-mat-card{height:100%!important}.saffron-card-view-with-action{height:calc(100% - 3.7rem)!important}.saffron-card-view-without-action{height:100%!important}mat-card-actions{height:2.7rem!important;padding:0!important;margin:1rem 0px 0px}mat-card-content{margin:0!important}mat-card{box-shadow:none!important;padding:1.5rem!important;display:block}mat-icon{font-size:x-large!important}.icon-container{display:flex;justify-content:center;align-items:center}.is-disabled{opacity:.6;pointer-events:none}#saffron-card-view-button{min-width:10rem!important;margin:0!important}#saffron-card-actions{display:flex;gap:1rem}button{letter-spacing:unset!important}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: MatCardModule }, { kind: "component", type: i2$1.MatCard, selector: "mat-card", inputs: ["appearance"], exportAs: ["matCard"] }, { kind: "directive", type: i2$1.MatCardActions, selector: "mat-card-actions", inputs: ["align"], exportAs: ["matCardActions"] }, { kind: "directive", type: i2$1.MatCardContent, selector: "mat-card-content" }, { kind: "component", type: MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i3$2.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronCardViewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-card-view', standalone: true, imports: [CommonModule, FormsModule, MatCardModule, MatIcon, MatButtonModule], template: "<mat-card id=\"saffron-card-view-mat-card\" style=\"display: flex;\r\nflex-direction: column;\" [ngStyle]=\"{'background-color': cardColor ? cardColor : 'white'}\">\r\n  <mat-card-content\r\n    [ngClass]=\"{'saffron-card-view-with-action': actionButtons.length > 0,'saffron-card-view-without-action': actionButtons.length === 0}\"\r\n    class=\"saffron-card-view-with-action\">\r\n    <ng-container *ngTemplateOutlet=\"cardTemplate\">\r\n    </ng-container>\r\n  </mat-card-content>\r\n  <mat-card-actions *ngIf=\"actionButtons.length ?? 0 > 0\" id=\"saffron-card-actions\" align=\"end\">\r\n    <button id=\"saffron-card-view-button\" *ngFor=\"let button of actionButtons\" mat-raised-button [ngClass]=\"{'is-disabled':button.disabled}\"\r\n      [color]=\"button.color\" (click)=\"onActionClicked(button);(button.action || emptyMethod)(button.id);\">\r\n      <div class=\"icon-container\">\r\n        <mat-icon *ngIf=\"button.icon\" [innerText]=\"button.icon\"></mat-icon>\r\n        <span class=\"button-title\" style=\"margin-inline-start: 0.5rem\" [innerText]=\"button.title\"></span>\r\n      </div>\r\n    </button>\r\n  </mat-card-actions>\r\n</mat-card>\r\n", styles: ["*{direction:rtl}:host{height:100%;width:100%;display:block}.mat-button,.button-title{font-family:iransans!important;font-size:14px;margin-inline-end:.5rem;white-space:nowrap}#saffron-card-view-mat-card{height:100%!important}.saffron-card-view-with-action{height:calc(100% - 3.7rem)!important}.saffron-card-view-without-action{height:100%!important}mat-card-actions{height:2.7rem!important;padding:0!important;margin:1rem 0px 0px}mat-card-content{margin:0!important}mat-card{box-shadow:none!important;padding:1.5rem!important;display:block}mat-icon{font-size:x-large!important}.icon-container{display:flex;justify-content:center;align-items:center}.is-disabled{opacity:.6;pointer-events:none}#saffron-card-view-button{min-width:10rem!important;margin:0!important}#saffron-card-actions{display:flex;gap:1rem}button{letter-spacing:unset!important}\n"] }]
        }], ctorParameters: () => [], propDecorators: { cardTemplate: [{
                type: Input
            }], actionButtons: [{
                type: Input
            }], cardColor: [{
                type: Input
            }], actionClicked: [{
                type: Output
            }] } });

class SaffronCardButton {
}

class SaffronConfirmDialogComponent {
    constructor(dialogRef, data) {
        this.dialogRef = dialogRef;
        this.data = data;
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronConfirmDialogComponent, deps: [{ token: i1$2.MatDialogRef }, { token: MAT_DIALOG_DATA }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronConfirmDialogComponent, isStandalone: true, selector: "confirm-dialog", ngImport: i0, template: "<div direction=\"rtl\" dir=\"rtl\">\r\n\r\n  <div class=\"header-dialog\">\r\n    <h2 class=\"iransans\" mat-dialog-title>{{data.title}}</h2>\r\n    <button mat-icon-button (click)=\"dialogRef.close(false);\">\r\n      <mat-icon>close</mat-icon>\r\n    </button>\r\n  </div>\r\n\r\n  <div mat-dialog-content>\r\n    <p class=\"iransans\">{{data.message}}</p>\r\n  </div>\r\n\r\n  <div mat-dialog-actions [align]=\"'end'\">\r\n    <button class=\"iransans\" style=\"width: 8rem;\" mat-raised-button (click)=\"dialogRef.close(false);\">\r\n      <ng-container *ngIf=\"data.cancelCaption;else cancelCaption\">\r\n        {{data.cancelCaption}}\r\n      </ng-container>\r\n      <ng-template #cancelCaption>\u0627\u0646\u0635\u0631\u0627\u0641</ng-template>\r\n    </button>\r\n\r\n    <button class=\"iransans\" style=\"width: 8rem;\" [ngStyle]=\"{'background-color':data.acceptButonColor ? data.acceptButonColor : ''}\"\r\n      mat-raised-button color=\"primary\" (click)=\"dialogRef.close(true);\">\r\n\r\n      <ng-container *ngIf=\"data.confirmCaption;else confirmCaption\">\r\n        {{data.confirmCaption}}\r\n      </ng-container>\r\n      <ng-template #confirmCaption>\u062A\u0627\u06CC\u06CC\u062F</ng-template>\r\n    </button>\r\n\r\n  </div>\r\n</div>\r\n", styles: [".header-dialog{display:flex;justify-content:space-between;align-items:center;margin-bottom:16px}.header-dialog>h2{margin:0}.iransans{font-family:iransans!important}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i3$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i4.Dir, selector: "[dir]", inputs: ["dir"], outputs: ["dirChange"], exportAs: ["dir"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronConfirmDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'confirm-dialog', standalone: true, imports: [CommonModule, FormsModule, MatIconModule], template: "<div direction=\"rtl\" dir=\"rtl\">\r\n\r\n  <div class=\"header-dialog\">\r\n    <h2 class=\"iransans\" mat-dialog-title>{{data.title}}</h2>\r\n    <button mat-icon-button (click)=\"dialogRef.close(false);\">\r\n      <mat-icon>close</mat-icon>\r\n    </button>\r\n  </div>\r\n\r\n  <div mat-dialog-content>\r\n    <p class=\"iransans\">{{data.message}}</p>\r\n  </div>\r\n\r\n  <div mat-dialog-actions [align]=\"'end'\">\r\n    <button class=\"iransans\" style=\"width: 8rem;\" mat-raised-button (click)=\"dialogRef.close(false);\">\r\n      <ng-container *ngIf=\"data.cancelCaption;else cancelCaption\">\r\n        {{data.cancelCaption}}\r\n      </ng-container>\r\n      <ng-template #cancelCaption>\u0627\u0646\u0635\u0631\u0627\u0641</ng-template>\r\n    </button>\r\n\r\n    <button class=\"iransans\" style=\"width: 8rem;\" [ngStyle]=\"{'background-color':data.acceptButonColor ? data.acceptButonColor : ''}\"\r\n      mat-raised-button color=\"primary\" (click)=\"dialogRef.close(true);\">\r\n\r\n      <ng-container *ngIf=\"data.confirmCaption;else confirmCaption\">\r\n        {{data.confirmCaption}}\r\n      </ng-container>\r\n      <ng-template #confirmCaption>\u062A\u0627\u06CC\u06CC\u062F</ng-template>\r\n    </button>\r\n\r\n  </div>\r\n</div>\r\n", styles: [".header-dialog{display:flex;justify-content:space-between;align-items:center;margin-bottom:16px}.header-dialog>h2{margin:0}.iransans{font-family:iransans!important}\n"] }]
        }], ctorParameters: () => [{ type: i1$2.MatDialogRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_DIALOG_DATA]
                }] }] });

class SaffronConfirmDialogService {
    constructor(dialog) {
        this.dialog = dialog;
    }
    confirmDialog(data) {
        return this.dialog
            .open(SaffronConfirmDialogComponent, {
            data,
            width: '400px',
            disableClose: true,
        })
            .afterClosed();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronConfirmDialogService, deps: [{ token: i1$2.MatDialog }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronConfirmDialogService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronConfirmDialogService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: i1$2.MatDialog }] });

const PERSIAN_DATE_FORMATS = {
    parse: {
        dateInput: 'jYYYY/jMM/jDD',
    },
    display: {
        dateInput: 'jYYYY/jMM/jDD',
        monthYearLabel: 'jYYYY jMMMM',
        dateA11yLabel: 'jYYYY/jMM/jDD',
        monthYearA11yLabel: 'jYYYY jMMMM',
    },
};
class SaffronPersianDateAdapter extends DateAdapter {
    constructor() {
        super();
        super.setLocale('fa');
    }
    getYear(date) {
        return this.clone(date).jYear();
    }
    getMonth(date) {
        return this.clone(date).jMonth();
    }
    getDate(date) {
        return this.clone(date).jDate();
    }
    getDayOfWeek(date) {
        return this.clone(date).day();
    }
    getMonthNames(style) {
        switch (style) {
            case 'long':
            case 'short':
                return jalaliMoment.localeData('fa').jMonths().slice(0);
            case 'narrow':
                return jalaliMoment.localeData('fa').jMonthsShort().slice(0);
        }
    }
    getDateNames() {
        const valuesArray = Array(31);
        for (let i = 0; i < 31; i++) {
            valuesArray[i] = String(i + 1);
        }
        return valuesArray;
    }
    getDayOfWeekNames(style) {
        switch (style) {
            case 'long':
                return jalaliMoment.localeData('fa').weekdays().slice(0);
            case 'short':
                return jalaliMoment.localeData('fa').weekdaysShort().slice(0);
            case 'narrow':
                return ['ی', 'د', 'س', 'چ', 'پ', 'ج', 'ش'];
        }
    }
    getYearName(date) {
        return this.clone(date).jYear().toString();
    }
    getFirstDayOfWeek() {
        return jalaliMoment.localeData('fa').firstDayOfWeek();
    }
    getNumDaysInMonth(date) {
        return this.clone(date).jDaysInMonth();
    }
    clone(date) {
        return date.clone().locale('fa');
    }
    createDate(year, month, date) {
        if (month < 0 || month > 11) {
            throw Error(`Invalid month index "${month}". Month index has to be between 0 and 11.`);
        }
        if (date < 1) {
            throw Error(`Invalid date "${date}". Date has to be greater than 0.`);
        }
        const result = jalaliMoment()
            .jYear(year)
            .jMonth(month)
            .jDate(date)
            .hours(0)
            .minutes(0)
            .seconds(0)
            .milliseconds(0)
            .locale('fa');
        if (this.getMonth(result) !== month) {
            throw Error(`Invalid date ${date} for month with index ${month}.`);
        }
        if (!result.isValid()) {
            throw Error(`Invalid date "${date}" for month with index "${month}".`);
        }
        return result;
    }
    today() {
        return jalaliMoment().locale('fa');
    }
    parse(value, parseFormat) {
        if (value && typeof value === 'string') {
            return jalaliMoment(value, parseFormat, 'fa');
        }
        return value ? jalaliMoment(value).locale('fa') : null;
    }
    format(date, displayFormat) {
        date = this.clone(date);
        if (!this.isValid(date)) {
            throw Error('JalaliMomentDateAdapter: Cannot format invalid date.');
        }
        return date.format(displayFormat);
    }
    addCalendarYears(date, years) {
        return this.clone(date).add(years, 'jYear');
    }
    addCalendarMonths(date, months) {
        return this.clone(date).add(months, 'jmonth');
    }
    addCalendarDays(date, days) {
        return this.clone(date).add(days, 'jDay');
    }
    toIso8601(date) {
        return this.clone(date).format();
    }
    isDateInstance(obj) {
        return jalaliMoment.isMoment(obj);
    }
    isValid(date) {
        return this.clone(date).isValid();
    }
    invalid() {
        return jalaliMoment.invalid();
    }
    overridedeserialize(value) {
        let date;
        if (value instanceof Date) {
            date = jalaliMoment(value);
        }
        if (typeof value === 'string') {
            if (!value) {
                return null;
            }
            date = jalaliMoment(value).locale('fa');
        }
        if (date && this.isValid(date)) {
            return date;
        }
        return super.deserialize(value);
    }
}

class SaffronDatePickerComponent {
    constructor() {
        this.controlName = '';
        this.placeholder = '';
        this.isRangePicker = false;
        this.rangeStartControlName = '';
        this.rangeEndControlName = '';
    }
    ngOnChanges(changes) {
        this.setControl(changes);
    }
    setControl(changes) {
        if (changes['formGroup'] || changes['controlName']) {
            this.control = this.formGroup.controls[this.controlName];
            this.control.valueChanges.subscribe((momentValue) => {
                this.currentValue = momentValue?._d;
            });
        }
    }
    blurred() {
        this.control.markAsTouched();
    }
    onKey(event) {
        const inputText = event.currentTarget.value;
        if (inputText.length === 8 &&
            !(inputText.includes('/') || inputText.includes('-'))) {
            this.control.setValue(new Date(inputText.substring(0, 2) +
                '/' +
                inputText.substring(2, 4) +
                '/' +
                inputText.substring(4, 8)));
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronDatePickerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronDatePickerComponent, isStandalone: true, selector: "saffron-date-picker", inputs: { formGroup: "formGroup", controlName: "controlName", placeholder: "placeholder", isRangePicker: "isRangePicker", rangeStartControlName: "rangeStartControlName", rangeEndControlName: "rangeEndControlName", max: "max", min: "min" }, providers: [
            {
                provide: DateAdapter,
                useClass: SaffronPersianDateAdapter,
                deps: [MAT_DATE_LOCALE],
            },
            { provide: MAT_DATE_FORMATS, useValue: PERSIAN_DATE_FORMATS },
        ], usesOnChanges: true, ngImport: i0, template: "<div direction=\"rtl\" dir=\"rtl\" [formGroup]=\"formGroup\" id=\"saffron-date-picker-container\">\r\n  <mat-form-field appearance=\"outline\" (click)=\"picker.open()\" style=\"width: 100%\" [hideRequiredMarker]=\"true\">\r\n    <mat-label>\r\n      <saffron-input-label [control]=\"control\" [placeholder]=\"placeholder\"></saffron-input-label>\r\n    </mat-label>\r\n    <input matInput (focus)=\"picker.open()\" class=\"input-of-saffron\" [formControlName]=\"controlName\" [matDatepicker]=\"picker\"\r\n      autocomplete=\"off\" (keyup)=\"onKey($event)\" (blur)=\"blurred()\" [max]=\"max\" [min]=\"min\">\r\n    <mat-datepicker-toggle matSuffix [for]=\"picker\"></mat-datepicker-toggle>\r\n    <mat-datepicker #picker></mat-datepicker>\r\n    <mat-error>\r\n      <saffron-input-error [errors]=\"control.errors\"></saffron-input-error>\r\n    </mat-error>\r\n  </mat-form-field>\r\n</div>", styles: [".mat-button,.mat-calendar-body,.mat-calendar-body-cell,#mat-calendar-button-1,#mat-calendar-button-0,.mat-button .mat-button-wrapper,.mat-calendar-table-header{font-family:iransans!important}mat-calendar-body,mat-calendar-body-cell,#mat-calendar-button-1,#mat-calendar-button-0,mat-button mat-button-wrapper,mat-calendar-table-header{font-family:iransans!important}.mat-form-field-outline,.mat-form-field-outline:hover,saffron-number-input:hover,mat-form-field-infix:hover{outline:#6299cf!important}.mat-form-field-appearance-outline .mat-form-field-outline-thick{color:#6299cf!important}.mat-form-field-appearance-outline.mat-form-field-invalid.mat-form-field-invalid .mat-form-field-outline-thick{color:red!important}.mat-calendar-content,.mat-calendar,.mat-calendar-table{font-family:iransans!important}mat-form-field,mat-select,mat-option{font-family:iransans!important}saffron-date-picker,.mat-focus-indicator,.mat-calendar-body-cell,.mat-calendar{font-family:iransans!important}saffron-date-picker{width:100%}#saffron-date-picker-container .mat-datepicker-input{font-family:iransans!important}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "ngmodule", type: MatFormFieldModule }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatError, selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix], [matIconSuffix], [matTextSuffix]", inputs: ["matTextSuffix"] }, { kind: "directive", type: i4.Dir, selector: "[dir]", inputs: ["dir"], outputs: ["dirChange"], exportAs: ["dir"] }, { kind: "ngmodule", type: MatInputModule }, { kind: "directive", type: i5.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "ngmodule", type: MatDatepickerModule }, { kind: "component", type: i4$1.MatDatepicker, selector: "mat-datepicker", exportAs: ["matDatepicker"] }, { kind: "directive", type: i4$1.MatDatepickerInput, selector: "input[matDatepicker]", inputs: ["matDatepicker", "min", "max", "matDatepickerFilter"], exportAs: ["matDatepickerInput"] }, { kind: "component", type: i4$1.MatDatepickerToggle, selector: "mat-datepicker-toggle", inputs: ["for", "tabIndex", "aria-label", "disabled", "disableRipple"], exportAs: ["matDatepickerToggle"] }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: SaffronInputErrorComponent, selector: "saffron-input-error", inputs: ["errors"] }, { kind: "component", type: SaffronInputLabelComponent, selector: "saffron-input-label", inputs: ["control", "placeholder"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronDatePickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-date-picker', encapsulation: ViewEncapsulation.None, standalone: true, imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        MatFormFieldModule,
                        MatInputModule,
                        MatDatepickerModule,
                        MatIconModule,
                        SaffronInputErrorComponent,
                        SaffronInputLabelComponent,
                    ], providers: [
                        {
                            provide: DateAdapter,
                            useClass: SaffronPersianDateAdapter,
                            deps: [MAT_DATE_LOCALE],
                        },
                        { provide: MAT_DATE_FORMATS, useValue: PERSIAN_DATE_FORMATS },
                    ], template: "<div direction=\"rtl\" dir=\"rtl\" [formGroup]=\"formGroup\" id=\"saffron-date-picker-container\">\r\n  <mat-form-field appearance=\"outline\" (click)=\"picker.open()\" style=\"width: 100%\" [hideRequiredMarker]=\"true\">\r\n    <mat-label>\r\n      <saffron-input-label [control]=\"control\" [placeholder]=\"placeholder\"></saffron-input-label>\r\n    </mat-label>\r\n    <input matInput (focus)=\"picker.open()\" class=\"input-of-saffron\" [formControlName]=\"controlName\" [matDatepicker]=\"picker\"\r\n      autocomplete=\"off\" (keyup)=\"onKey($event)\" (blur)=\"blurred()\" [max]=\"max\" [min]=\"min\">\r\n    <mat-datepicker-toggle matSuffix [for]=\"picker\"></mat-datepicker-toggle>\r\n    <mat-datepicker #picker></mat-datepicker>\r\n    <mat-error>\r\n      <saffron-input-error [errors]=\"control.errors\"></saffron-input-error>\r\n    </mat-error>\r\n  </mat-form-field>\r\n</div>", styles: [".mat-button,.mat-calendar-body,.mat-calendar-body-cell,#mat-calendar-button-1,#mat-calendar-button-0,.mat-button .mat-button-wrapper,.mat-calendar-table-header{font-family:iransans!important}mat-calendar-body,mat-calendar-body-cell,#mat-calendar-button-1,#mat-calendar-button-0,mat-button mat-button-wrapper,mat-calendar-table-header{font-family:iransans!important}.mat-form-field-outline,.mat-form-field-outline:hover,saffron-number-input:hover,mat-form-field-infix:hover{outline:#6299cf!important}.mat-form-field-appearance-outline .mat-form-field-outline-thick{color:#6299cf!important}.mat-form-field-appearance-outline.mat-form-field-invalid.mat-form-field-invalid .mat-form-field-outline-thick{color:red!important}.mat-calendar-content,.mat-calendar,.mat-calendar-table{font-family:iransans!important}mat-form-field,mat-select,mat-option{font-family:iransans!important}saffron-date-picker,.mat-focus-indicator,.mat-calendar-body-cell,.mat-calendar{font-family:iransans!important}saffron-date-picker{width:100%}#saffron-date-picker-container .mat-datepicker-input{font-family:iransans!important}\n"] }]
        }], ctorParameters: () => [], propDecorators: { formGroup: [{
                type: Input
            }], controlName: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], isRangePicker: [{
                type: Input
            }], rangeStartControlName: [{
                type: Input
            }], rangeEndControlName: [{
                type: Input
            }], max: [{
                type: Input
            }], min: [{
                type: Input
            }] } });

const defaultPageSizeOptions = [10, 50, 100, 250, 500];

class SaffronPersianPaginator {
    constructor() {
        this.changes = new Subject();
        this.firstPageLabel = `صفحه اول`;
        this.itemsPerPageLabel = `آیتم در صفحه:`;
        this.lastPageLabel = `صفحه آخر`;
        this.nextPageLabel = 'صفحه بعد';
        this.previousPageLabel = 'صفحه قبل';
    }
    getRangeLabel(page, pageSize, length) {
        if (length === 0) {
            return `صفحه 1 از 1`;
        }
        const amountPages = Math.ceil(length / pageSize);
        return `صفحه ${page + 1} از ${amountPages}` + `  -  ` + `تعداد کل :  ${length}`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronPersianPaginator, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronPersianPaginator }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronPersianPaginator, decorators: [{
            type: Injectable
        }] });

class SaffronTableFilter {
}

class SaffronTableHeadComponent {
    constructor() {
        this.filter = new SaffronTableFilter();
        this.sortState = { desc: false, asc: false };
        this.sortStateChange = new EventEmitter();
        this.filterChange = new EventEmitter();
    }
    onSortClick() {
        if (!this.sortState.asc && !this.sortState.desc) {
            this.sortState.asc = true;
        }
        else if (this.sortState.asc) {
            this.sortState.asc = false;
            this.sortState.desc = true;
        }
        else if (this.sortState.desc) {
            this.sortState.desc = false;
        }
        this.sortStateChange.emit(this.sortState);
    }
    onFilterClick() {
        this.filter.hasFilter = !this.filter?.hasFilter;
        this.filterChange.emit(this.filter);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTableHeadComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronTableHeadComponent, isStandalone: true, selector: "saffron-table-head-cell", inputs: { filter: "filter", title: "title", sortable: "sortable", sortState: "sortState", filterable: "filterable", columnType: "columnType" }, outputs: { sortStateChange: "sortStateChange", filterChange: "filterChange" }, ngImport: i0, template: "<div class=\"header-text\" >\r\n  <div style=\"white-space: nowrap;\">{{title}}</div>\r\n  <div class=\"perfect-center header-icon-contianer\" *ngIf=\"sortable || filterable\">\r\n    <div class=\"sort-container\" [ngClass]=\"{'active-icon-container': sortState.asc || sortState.desc}\" *ngIf=\"sortable\"\r\n      (click)=\"onSortClick()\">\r\n      <div class=\"icon-contianer\">\r\n        <mat-icon class=\"sort-icon\" [ngClass]=\"{'active-header-icon': sortState.asc}\" [innerText]=\"'arrow_drop_up'\">\r\n        </mat-icon>\r\n        <mat-icon class=\"sort-icon\" [ngClass]=\"{'active-header-icon': sortState.desc}\" [innerText]=\"'arrow_drop_down'\">\r\n        </mat-icon>\r\n      </div>\r\n    </div>\r\n    <div *ngIf=\"filterable\" class=\"perfect-center filter-container\"\r\n      [ngClass]=\"{'active-header-icon': filter.hasFilter ,'active-icon-container': filter.hasFilter}\" (click)=\"onFilterClick()\">\r\n      <mat-icon class=\"filter-icon\" [innerText]=\"'filter_alt'\"></mat-icon>\r\n    </div>\r\n  </div>\r\n</div>\r\n", styles: [".header-text{text-align:start;margin-right:1.5rem;margin-left:.5rem;display:flex;justify-content:space-between}.header-icon-contianer{width:4.5rem;justify-content:end!important}.sort-container{align-items:center;justify-content:center;display:flex;width:2rem;height:2rem;transition:background-color .2s}.sort-container:hover{cursor:pointer;background-color:#dbdbdb}.icon-contianer{display:flex;flex-direction:column}.active-header-icon{transition:color .15s;color:#1890ff}.sort-icon{display:flex;justify-content:center;align-items:center;width:.6rem;height:.6rem;transition:color .15s;transform:scale(1)}.filter-container{transition:background-color .2s;width:2rem;height:2rem}.filter-container:hover{background-color:#dbdbdb;cursor:pointer}.filter-icon{height:26px;transform:scale(.75);transition:background-color .15s;background-color:unset!important}.perfect-center{display:flex;justify-content:center;align-items:center}.active-icon-container{background-color:#dbdbdb}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTableHeadComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-table-head-cell', standalone: true, imports: [CommonModule, MatIcon], template: "<div class=\"header-text\" >\r\n  <div style=\"white-space: nowrap;\">{{title}}</div>\r\n  <div class=\"perfect-center header-icon-contianer\" *ngIf=\"sortable || filterable\">\r\n    <div class=\"sort-container\" [ngClass]=\"{'active-icon-container': sortState.asc || sortState.desc}\" *ngIf=\"sortable\"\r\n      (click)=\"onSortClick()\">\r\n      <div class=\"icon-contianer\">\r\n        <mat-icon class=\"sort-icon\" [ngClass]=\"{'active-header-icon': sortState.asc}\" [innerText]=\"'arrow_drop_up'\">\r\n        </mat-icon>\r\n        <mat-icon class=\"sort-icon\" [ngClass]=\"{'active-header-icon': sortState.desc}\" [innerText]=\"'arrow_drop_down'\">\r\n        </mat-icon>\r\n      </div>\r\n    </div>\r\n    <div *ngIf=\"filterable\" class=\"perfect-center filter-container\"\r\n      [ngClass]=\"{'active-header-icon': filter.hasFilter ,'active-icon-container': filter.hasFilter}\" (click)=\"onFilterClick()\">\r\n      <mat-icon class=\"filter-icon\" [innerText]=\"'filter_alt'\"></mat-icon>\r\n    </div>\r\n  </div>\r\n</div>\r\n", styles: [".header-text{text-align:start;margin-right:1.5rem;margin-left:.5rem;display:flex;justify-content:space-between}.header-icon-contianer{width:4.5rem;justify-content:end!important}.sort-container{align-items:center;justify-content:center;display:flex;width:2rem;height:2rem;transition:background-color .2s}.sort-container:hover{cursor:pointer;background-color:#dbdbdb}.icon-contianer{display:flex;flex-direction:column}.active-header-icon{transition:color .15s;color:#1890ff}.sort-icon{display:flex;justify-content:center;align-items:center;width:.6rem;height:.6rem;transition:color .15s;transform:scale(1)}.filter-container{transition:background-color .2s;width:2rem;height:2rem}.filter-container:hover{background-color:#dbdbdb;cursor:pointer}.filter-icon{height:26px;transform:scale(.75);transition:background-color .15s;background-color:unset!important}.perfect-center{display:flex;justify-content:center;align-items:center}.active-icon-container{background-color:#dbdbdb}\n"] }]
        }], ctorParameters: () => [], propDecorators: { filter: [{
                type: Input
            }], title: [{
                type: Input
            }], sortable: [{
                type: Input
            }], sortState: [{
                type: Input
            }], filterable: [{
                type: Input
            }], columnType: [{
                type: Input
            }], sortStateChange: [{
                type: Output
            }], filterChange: [{
                type: Output
            }] } });

class SaffronColumnType {
    static { this.actionColumn = 0; }
    static { this.string = 1; }
    static { this.number = 2; }
    static { this.date = 3; }
    static { this.positionColumn = 4; }
    static { this.cssIcon = 5; }
    static { this.imageIcon = 6; }
    static { this.jalaliMoment = 7; }
    static { this.ShamsiDateNumber = 8; }
    static { this.Currency = 9; }
    static { this.MiladiDateNumber = 10; }
}

class SaffronDateToPersianPipe {
    transform(value, isTime) {
        if (value == null)
            return 'تاریخی انتخاب نشده است';
        if (typeof value === 'string' || value instanceof String) {
            if (isTime)
                return jalaliMoment(value).locale('fa').format('YYYY/MM/DD HH:mm:ss');
            return jalaliMoment(value).locale('fa').format('YYYY/MM/DD');
        }
        else if (!(typeof value?.getMonth == 'function'))
            return '';
        const stringDate = new Intl.DateTimeFormat('fa-IR').format(value);
        return stringDate;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronDateToPersianPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "17.1.0", ngImport: i0, type: SaffronDateToPersianPipe, isStandalone: true, name: "dateToPersian" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronDateToPersianPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'dateToPersian',
                    standalone: true,
                }]
        }] });

class SaffronJalaliToPersianPipe {
    transform(value) {
        if (!value || !(value._d))
            return '';
        const stringDate = new Intl.DateTimeFormat('fa-IR').format(value._d);
        return stringDate;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronJalaliToPersianPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "17.1.0", ngImport: i0, type: SaffronJalaliToPersianPipe, isStandalone: true, name: "jalaliToPersian" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronJalaliToPersianPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'jalaliToPersian',
                    standalone: true,
                }]
        }] });

class SaffronShamsiDatePipe {
    transform(value) {
        if (!value)
            return '';
        const myValue = value + '';
        if (myValue.length === 0)
            return '';
        return `${myValue.substring(0, 4)}/${myValue.substring(4, 6)}/${myValue.substring(6, 8)}`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronShamsiDatePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "17.1.0", ngImport: i0, type: SaffronShamsiDatePipe, isStandalone: true, name: "shamsiDate" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronShamsiDatePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'shamsiDate',
                    standalone: true,
                }]
        }] });

class SaffronCurrencyFormatPipe {
    transform(value) {
        // if (value == null)
        //     return '0 '
        let cur = Math.floor(value);
        let asahar = value - cur;
        let a = ("" + cur);
        let res = "";
        let seperate = 0;
        a.split('').reverse().forEach(element => {
            if (seperate == 3) {
                res += ',';
                seperate = 0;
            }
            res += element;
            seperate++;
        });
        if (asahar == 0)
            return res.split('').reverse().join('');
        else
            return res.split('').reverse().join('') + asahar.toFixed(2).replace("0.", ".");
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronCurrencyFormatPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "17.1.0", ngImport: i0, type: SaffronCurrencyFormatPipe, isStandalone: true, name: "currencyFormat" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronCurrencyFormatPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'currencyFormat',
                    standalone: true,
                }]
        }] });

class SaffronTableDataCellComponent {
    constructor() {
        this.actionClicked = new EventEmitter();
        this.dataClicked = new EventEmitter();
        this.SaffronColumnType = SaffronColumnType;
    }
    onActionClicked(actionColumnData) {
        this.actionClicked.emit(actionColumnData);
    }
    onDataClick() {
        //column: SaffronTableColumn, row: T, rowIndex: number
        //clickData(column,rows[rowIndex],rowIndex)"
        if (this.isDataClickable) {
            this.dataClicked.emit();
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTableDataCellComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronTableDataCellComponent, isStandalone: true, selector: "saffron-table-data-cell", inputs: { data: "data", columnType: "columnType", actionColumnData: "actionColumnData", isDataClickable: "isDataClickable" }, outputs: { actionClicked: "actionClicked", dataClicked: "dataClicked" }, ngImport: i0, template: "<ng-container [ngSwitch]=\"columnType\">\r\n  <div class=\"cell-text\" *ngSwitchCase=\"SaffronColumnType.date\">{{data | dateToPersian}}</div>\r\n  <div class=\"cell-text\" *ngSwitchCase=\"SaffronColumnType.jalaliMoment\">{{data | jalaliToPersian}}</div>\r\n  <div class=\"cell-text\" *ngSwitchCase=\"SaffronColumnType.ShamsiDateNumber\">{{data | shamsiDate}}</div>\r\n  <div class=\"cell-text\" *ngSwitchCase=\"SaffronColumnType.Currency\">{{data | currencyFormat }}</div>\r\n  <div *ngSwitchCase=\"SaffronColumnType.actionColumn\" class=\"action-column-container cell-text\">\r\n    <ng-container *ngFor=\"let actionColumn of actionColumnData\">\r\n      <mat-icon *ngIf=\"actionColumn.icon\" [innerText]=\"actionColumn.icon\" [matTooltip]=\"actionColumn.toolTip ?? ''\"\r\n        [matTooltipPosition]=\"actionColumn?.toolTipPosition ?? 'after'\" (click)=\"onActionClicked(actionColumn)\"></mat-icon>\r\n      <div [matTooltip]=\"actionColumn.toolTip ?? ''\" [matTooltipPosition]=\"actionColumn?.toolTipPosition ?? 'after'\"\r\n        (click)=\"onActionClicked(actionColumn)\">\r\n        <img *ngIf=\"actionColumn.imageUrl\" [src]=\"actionColumn.imageUrl\"\r\n          [ngStyle]=\"{'width': actionColumn.imageWidthPx ?? '2rem', 'height':actionColumn.imageHeightPx ?? '2rem'}\"\r\n          style=\"cursor: pointer;\" />\r\n      </div>\r\n\r\n    </ng-container>\r\n  </div>\r\n  <div (click)=\"onDataClick()\" *ngSwitchCase=\"SaffronColumnType.cssIcon\" class=\"perfect-center icon-container\">\r\n    <mat-icon [innerText]=\"data\"></mat-icon>\r\n  </div>\r\n  <div (click)=\"onDataClick()\" *ngSwitchCase=\"SaffronColumnType.imageIcon\" class=\"perfect-center icon-container\">\r\n    <img style=\"width: 2rem;\" [src]=\"data\" alt=\"icon-column\">\r\n  </div>\r\n  <div (click)=\"onDataClick()\" style=\"direction: ltr;max-width: max-content;margin: 0rem 1rem;\" class=\"cell-text\"\r\n    *ngSwitchCase=\"SaffronColumnType.number\">\r\n    {{data}}</div>\r\n  <div (click)=\"onDataClick()\" class=\"cell-text\" *ngSwitchDefault>{{data}}</div>\r\n</ng-container>", styles: [".cell-text{text-align:start;margin-inline-start:1rem}.action-column-container{display:flex;gap:2px;justify-content:start;align-items:center}.action-column-container mat-icon{display:flex;align-items:center;justify-content:center;width:2rem!important;height:2rem!important;cursor:pointer;transition:all .5s}.action-column-container mat-icon:hover{background-color:#dbdbdb}.perfect-center{display:flex;justify-content:center;align-items:center}.icon-container{width:100%;height:2rem;cursor:pointer}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i1.NgSwitchDefault, selector: "[ngSwitchDefault]" }, { kind: "component", type: MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: MatTooltip, selector: "[matTooltip]", inputs: ["matTooltipPosition", "matTooltipPositionAtOrigin", "matTooltipDisabled", "matTooltipShowDelay", "matTooltipHideDelay", "matTooltipTouchGestures", "matTooltip", "matTooltipClass"], exportAs: ["matTooltip"] }, { kind: "pipe", type: SaffronDateToPersianPipe, name: "dateToPersian" }, { kind: "pipe", type: SaffronJalaliToPersianPipe, name: "jalaliToPersian" }, { kind: "pipe", type: SaffronShamsiDatePipe, name: "shamsiDate" }, { kind: "pipe", type: SaffronCurrencyFormatPipe, name: "currencyFormat" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTableDataCellComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-table-data-cell', standalone: true, imports: [
                        CommonModule,
                        MatIcon,
                        MatTooltip,
                        SaffronDateToPersianPipe,
                        SaffronJalaliToPersianPipe,
                        SaffronShamsiDatePipe,
                        SaffronCurrencyFormatPipe,
                    ], template: "<ng-container [ngSwitch]=\"columnType\">\r\n  <div class=\"cell-text\" *ngSwitchCase=\"SaffronColumnType.date\">{{data | dateToPersian}}</div>\r\n  <div class=\"cell-text\" *ngSwitchCase=\"SaffronColumnType.jalaliMoment\">{{data | jalaliToPersian}}</div>\r\n  <div class=\"cell-text\" *ngSwitchCase=\"SaffronColumnType.ShamsiDateNumber\">{{data | shamsiDate}}</div>\r\n  <div class=\"cell-text\" *ngSwitchCase=\"SaffronColumnType.Currency\">{{data | currencyFormat }}</div>\r\n  <div *ngSwitchCase=\"SaffronColumnType.actionColumn\" class=\"action-column-container cell-text\">\r\n    <ng-container *ngFor=\"let actionColumn of actionColumnData\">\r\n      <mat-icon *ngIf=\"actionColumn.icon\" [innerText]=\"actionColumn.icon\" [matTooltip]=\"actionColumn.toolTip ?? ''\"\r\n        [matTooltipPosition]=\"actionColumn?.toolTipPosition ?? 'after'\" (click)=\"onActionClicked(actionColumn)\"></mat-icon>\r\n      <div [matTooltip]=\"actionColumn.toolTip ?? ''\" [matTooltipPosition]=\"actionColumn?.toolTipPosition ?? 'after'\"\r\n        (click)=\"onActionClicked(actionColumn)\">\r\n        <img *ngIf=\"actionColumn.imageUrl\" [src]=\"actionColumn.imageUrl\"\r\n          [ngStyle]=\"{'width': actionColumn.imageWidthPx ?? '2rem', 'height':actionColumn.imageHeightPx ?? '2rem'}\"\r\n          style=\"cursor: pointer;\" />\r\n      </div>\r\n\r\n    </ng-container>\r\n  </div>\r\n  <div (click)=\"onDataClick()\" *ngSwitchCase=\"SaffronColumnType.cssIcon\" class=\"perfect-center icon-container\">\r\n    <mat-icon [innerText]=\"data\"></mat-icon>\r\n  </div>\r\n  <div (click)=\"onDataClick()\" *ngSwitchCase=\"SaffronColumnType.imageIcon\" class=\"perfect-center icon-container\">\r\n    <img style=\"width: 2rem;\" [src]=\"data\" alt=\"icon-column\">\r\n  </div>\r\n  <div (click)=\"onDataClick()\" style=\"direction: ltr;max-width: max-content;margin: 0rem 1rem;\" class=\"cell-text\"\r\n    *ngSwitchCase=\"SaffronColumnType.number\">\r\n    {{data}}</div>\r\n  <div (click)=\"onDataClick()\" class=\"cell-text\" *ngSwitchDefault>{{data}}</div>\r\n</ng-container>", styles: [".cell-text{text-align:start;margin-inline-start:1rem}.action-column-container{display:flex;gap:2px;justify-content:start;align-items:center}.action-column-container mat-icon{display:flex;align-items:center;justify-content:center;width:2rem!important;height:2rem!important;cursor:pointer;transition:all .5s}.action-column-container mat-icon:hover{background-color:#dbdbdb}.perfect-center{display:flex;justify-content:center;align-items:center}.icon-container{width:100%;height:2rem;cursor:pointer}\n"] }]
        }], ctorParameters: () => [], propDecorators: { data: [{
                type: Input
            }], columnType: [{
                type: Input
            }], actionColumnData: [{
                type: Input
            }], isDataClickable: [{
                type: Input
            }], actionClicked: [{
                type: Output
            }], dataClicked: [{
                type: Output
            }] } });

class SaffronTableWrapperComponent {
    constructor() {
        this.rows = [];
        this.columns = [];
        this.stickyHeader = true;
        this.actionClicked = new EventEmitter();
        this.sortStateChanged = new EventEmitter();
        this.dataClicked = new EventEmitter();
        this.tableHeaders = [];
        this.sortedColumns = [];
    }
    ngOnChanges(changes) {
        if (changes['columns']) {
            this.onColumnChange();
        }
    }
    onColumnChange() {
        this.tableHeaders = this.columns.map((x) => x.field);
        this.resetSort();
    }
    resetSort() {
        this.sortedColumns = [];
        [...Array(this.columns.length).keys()].forEach(() => {
            this.sortedColumns.push({ asc: false, desc: false });
        });
    }
    onSortStateChange(columnIndex, sortState) {
        this.sortedColumns[columnIndex] = sortState;
        this.sortStateChanged.emit(this.sortedColumns);
    }
    onActionClicked(actionColumnData, rowIndex, rowData) {
        this.actionClicked.emit({ actionColumnData, rowIndex, rowData });
    }
    onDataClicked(column, row, rowIndex) {
        this.dataClicked.emit({ column, row, rowIndex });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTableWrapperComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronTableWrapperComponent, isStandalone: true, selector: "saffron-table-wrapper", inputs: { rows: "rows", columns: "columns", stickyHeader: "stickyHeader" }, outputs: { actionClicked: "actionClicked", sortStateChanged: "sortStateChanged", dataClicked: "dataClicked" }, usesOnChanges: true, ngImport: i0, template: "<table mat-table [dataSource]=\"rows\">\r\n  <ng-container *ngFor=\"let column of columns;let columnIndex = index;\" [matColumnDef]=\"column.field\">\r\n    <th mat-header-cell *matHeaderCellDef [ngStyle]=\"{'width': column.width ?? 'unset'}\">\r\n      <saffron-table-head-cell [ngStyle]=\"{'width': column.width ?? 'unset','display':'block'}\" [title]=\"column.title\"\r\n        [sortable]=\"column.sortable\" [sortState]=\"sortedColumns[columnIndex]\" [filterable]=\"column.filterable\"\r\n        [columnType]=\"column.columnType\" (sortStateChange)=\"onSortStateChange(columnIndex,$event)\">\r\n      </saffron-table-head-cell>\r\n    </th>\r\n    <td mat-cell *matCellDef=\"let element;let rowIndex = index;\">\r\n      <saffron-table-data-cell [data]=\"element[column.field]\" [columnType]=\"column.columnType\" [actionColumnData]=\"column.actionColumnData\"\r\n        [isDataClickable]=\"column.isDataClickable\" (actionClicked)=\"onActionClicked($event, rowIndex ,rows[rowIndex])\"\r\n        (dataClicked)=\"onDataClicked(column,rows[rowIndex],rowIndex)\">\r\n      </saffron-table-data-cell>\r\n    </td>\r\n  </ng-container>\r\n  <tr mat-header-row *matHeaderRowDef=\"tableHeaders; sticky: stickyHeader\"></tr>\r\n  <tr mat-row *matRowDef=\"let row; columns: tableHeaders;\" class=\"data-row\"></tr>\r\n</table>\r\n", styles: ["th,td{text-align:center!important;padding:0!important;font-family:iransans!important}tr{transition:background .75s}tr.data-row:hover{background:#fafafa}th:not(:first-child):before{position:absolute;top:50%;right:0;width:1px;height:1.6em;background-color:#0000000f;transform:translateY(-50%);transition:background-color .3s;content:\"\"}th{font-size:14px;position:relative}table{width:100%}:host::ng-deep td.mat-mdc-cell,:host::ng-deep th.mat-mdc-header-cell{border-bottom-color:#f0f0f0!important}:host::ng-deep .mat-mdc-header-row{background-color:#fafafa;transition:background-color .8s}.perfect-center{display:flex;justify-content:center;align-items:center}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "ngmodule", type: FormsModule }, { kind: "component", type: SaffronTableHeadComponent, selector: "saffron-table-head-cell", inputs: ["filter", "title", "sortable", "sortState", "filterable", "columnType"], outputs: ["sortStateChange", "filterChange"] }, { kind: "component", type: SaffronTableDataCellComponent, selector: "saffron-table-data-cell", inputs: ["data", "columnType", "actionColumnData", "isDataClickable"], outputs: ["actionClicked", "dataClicked"] }, { kind: "ngmodule", type: MatTableModule }, { kind: "component", type: i2$2.MatTable, selector: "mat-table, table[mat-table]", exportAs: ["matTable"] }, { kind: "directive", type: i2$2.MatHeaderCellDef, selector: "[matHeaderCellDef]" }, { kind: "directive", type: i2$2.MatHeaderRowDef, selector: "[matHeaderRowDef]", inputs: ["matHeaderRowDef", "matHeaderRowDefSticky"] }, { kind: "directive", type: i2$2.MatColumnDef, selector: "[matColumnDef]", inputs: ["sticky", "matColumnDef"] }, { kind: "directive", type: i2$2.MatCellDef, selector: "[matCellDef]" }, { kind: "directive", type: i2$2.MatRowDef, selector: "[matRowDef]", inputs: ["matRowDefColumns", "matRowDefWhen"] }, { kind: "directive", type: i2$2.MatHeaderCell, selector: "mat-header-cell, th[mat-header-cell]" }, { kind: "directive", type: i2$2.MatCell, selector: "mat-cell, td[mat-cell]" }, { kind: "component", type: i2$2.MatHeaderRow, selector: "mat-header-row, tr[mat-header-row]", exportAs: ["matHeaderRow"] }, { kind: "component", type: i2$2.MatRow, selector: "mat-row, tr[mat-row]", exportAs: ["matRow"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTableWrapperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-table-wrapper', standalone: true, imports: [
                        CommonModule,
                        FormsModule,
                        SaffronTableHeadComponent,
                        SaffronTableDataCellComponent,
                        MatTableModule,
                    ], template: "<table mat-table [dataSource]=\"rows\">\r\n  <ng-container *ngFor=\"let column of columns;let columnIndex = index;\" [matColumnDef]=\"column.field\">\r\n    <th mat-header-cell *matHeaderCellDef [ngStyle]=\"{'width': column.width ?? 'unset'}\">\r\n      <saffron-table-head-cell [ngStyle]=\"{'width': column.width ?? 'unset','display':'block'}\" [title]=\"column.title\"\r\n        [sortable]=\"column.sortable\" [sortState]=\"sortedColumns[columnIndex]\" [filterable]=\"column.filterable\"\r\n        [columnType]=\"column.columnType\" (sortStateChange)=\"onSortStateChange(columnIndex,$event)\">\r\n      </saffron-table-head-cell>\r\n    </th>\r\n    <td mat-cell *matCellDef=\"let element;let rowIndex = index;\">\r\n      <saffron-table-data-cell [data]=\"element[column.field]\" [columnType]=\"column.columnType\" [actionColumnData]=\"column.actionColumnData\"\r\n        [isDataClickable]=\"column.isDataClickable\" (actionClicked)=\"onActionClicked($event, rowIndex ,rows[rowIndex])\"\r\n        (dataClicked)=\"onDataClicked(column,rows[rowIndex],rowIndex)\">\r\n      </saffron-table-data-cell>\r\n    </td>\r\n  </ng-container>\r\n  <tr mat-header-row *matHeaderRowDef=\"tableHeaders; sticky: stickyHeader\"></tr>\r\n  <tr mat-row *matRowDef=\"let row; columns: tableHeaders;\" class=\"data-row\"></tr>\r\n</table>\r\n", styles: ["th,td{text-align:center!important;padding:0!important;font-family:iransans!important}tr{transition:background .75s}tr.data-row:hover{background:#fafafa}th:not(:first-child):before{position:absolute;top:50%;right:0;width:1px;height:1.6em;background-color:#0000000f;transform:translateY(-50%);transition:background-color .3s;content:\"\"}th{font-size:14px;position:relative}table{width:100%}:host::ng-deep td.mat-mdc-cell,:host::ng-deep th.mat-mdc-header-cell{border-bottom-color:#f0f0f0!important}:host::ng-deep .mat-mdc-header-row{background-color:#fafafa;transition:background-color .8s}.perfect-center{display:flex;justify-content:center;align-items:center}\n"] }]
        }], ctorParameters: () => [], propDecorators: { rows: [{
                type: Input
            }], columns: [{
                type: Input
            }], stickyHeader: [{
                type: Input
            }], actionClicked: [{
                type: Output
            }], sortStateChanged: [{
                type: Output
            }], dataClicked: [{
                type: Output
            }] } });

class SaffronTableComponent {
    constructor() {
        this.rows = [];
        this.columns = [];
        this.totalCount = 100;
        this.pageSize = defaultPageSizeOptions[0];
        this.pageNumber = 1;
        this.pageSizeOptions = defaultPageSizeOptions;
        this.hideTopPaginator = false;
        this.hideBottomPaginator = false;
        this.stickyHeader = true;
        this.pageEvent = new EventEmitter();
        this.actionClicked = new EventEmitter();
        this.sortStateChanged = new EventEmitter();
        this.dataClicked = new EventEmitter();
        this.pageSizeChange = new EventEmitter();
        this.pageNumberChange = new EventEmitter();
        window.SaffronTableComponent = this;
    }
    onPageChange(pageEvent) {
        this.pageSize = pageEvent.pageSize;
        this.pageSizeChange.emit(this.pageSize);
        this.pageNumber = pageEvent.pageIndex + 1;
        this.pageNumberChange.emit(this.pageNumber);
        this.pageEvent.emit(pageEvent);
    }
    onSortStateChange(data) {
        this.sortStateChanged.emit(data);
    }
    onActionClicked(data) {
        this.actionClicked.emit(data);
    }
    onDataClicked(data) {
        this.dataClicked.emit(data);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTableComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronTableComponent, isStandalone: true, selector: "saffron-table", inputs: { rows: "rows", columns: "columns", totalCount: "totalCount", pageSize: "pageSize", pageNumber: "pageNumber", pageSizeOptions: "pageSizeOptions", hideTopPaginator: "hideTopPaginator", hideBottomPaginator: "hideBottomPaginator", stickyHeader: "stickyHeader" }, outputs: { pageEvent: "pageEvent", actionClicked: "actionClicked", sortStateChanged: "sortStateChanged", dataClicked: "dataClicked", pageSizeChange: "pageSizeChange", pageNumberChange: "pageNumberChange" }, providers: [{ provide: MatPaginatorIntl, useClass: SaffronPersianPaginator }], ngImport: i0, template: "<div id=\"saffron-table\" direction=\"rtl\" dir=\"rtl\" class=\"host-container\" style=\"display: flex;flex-direction: column;\">\r\n  <mat-paginator *ngIf=\"!hideTopPaginator\" [length]=\"totalCount\" [pageIndex]=\"pageNumber - 1 \" [pageSize]=\"pageSize\"\r\n    [pageSizeOptions]=\"pageSizeOptions\" aria-label=\"Select page\" (page)=\"onPageChange($event)\">\r\n  </mat-paginator>\r\n  <div class=\"table-container\">\r\n    <saffron-table-wrapper style=\"height: max-content\" [stickyHeader]=\"stickyHeader\" [rows]=\"rows\" [columns]=\"columns\"\r\n      (dataClicked)=\"onDataClicked($event)\" (actionClicked)=\"onActionClicked($event)\" (sortStateChanged)=\"onSortStateChange($event)\">\r\n    </saffron-table-wrapper>\r\n    <div *ngIf=\"!rows || rows.length === 0\" style=\"flex: 1;margin: 0 auto;width: max-content;display: flex;align-items: center;\">\r\n      <div style=\"background: #fafafa;padding: 1rem 5rem;border-radius: 7px;opacity: 0.5;\">\r\n        <h2>\u0627\u0637\u0644\u0627\u0639\u0627\u062A\u06CC \u0628\u0631\u0627\u06CC \u0646\u0645\u0627\u06CC\u0634 \u0645\u0648\u062C\u0648\u062F \u0646\u06CC\u0633\u062A.</h2>\r\n      </div>\r\n    </div>\r\n  </div>\r\n  <mat-paginator *ngIf=\"!hideBottomPaginator\" [length]=\"totalCount\" [pageIndex]=\"pageNumber - 1 \" [pageSize]=\"pageSize\"\r\n    [pageSizeOptions]=\"pageSizeOptions\" aria-label=\"Select page\" (page)=\"onPageChange($event)\">\r\n  </mat-paginator>\r\n</div>", styles: ["h2{font-family:iransans!important;margin:0!important}mat-paginator{height:5rem!important}.host-container{height:100%;width:100%}.table-container{overflow-y:auto;flex:1;display:flex;flex-direction:column;background-color:#fff}:host{width:100%;height:100%;display:block}:host::ng-deep .mat-mdc-paginator-container{justify-content:center!important;font-family:iransans!important}:host::ng-deep .mat-mdc-select-value-text{font-family:iransans!important}::ng-deep mat-option{font-family:iransans!important}*{direction:rtl}#saffron-table::ng-deep{border-radius:.4rem;overflow:hidden;box-shadow:0 0 3px #0000001a,0 1px 10px -1px #0000001a}#saffron-table::ng-deep th:not(:first-child):before{background-color:#00000024!important}#saffron-table::ng-deep tr:nth-child(2n){background-color:#fbfbfb}*::-webkit-scrollbar{width:4px;height:4px;background-color:#0000}*::-webkit-scrollbar-thumb{border-radius:20px;box-shadow:inset 0 0 0 20px #0000003d}*::-webkit-scrollbar:hover{width:8px;height:8px;background-color:#0000000f}.host-container{height:100%!important}.host-container saffron-table-wrapper{max-height:40rem}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: FormsModule }, { kind: "component", type: SaffronTableWrapperComponent, selector: "saffron-table-wrapper", inputs: ["rows", "columns", "stickyHeader"], outputs: ["actionClicked", "sortStateChanged", "dataClicked"] }, { kind: "ngmodule", type: MatPaginatorModule }, { kind: "component", type: i2$3.MatPaginator, selector: "mat-paginator", inputs: ["color", "pageIndex", "length", "pageSize", "pageSizeOptions", "hidePageSize", "showFirstLastButtons", "selectConfig", "disabled"], outputs: ["page"], exportAs: ["matPaginator"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-table', standalone: true, providers: [{ provide: MatPaginatorIntl, useClass: SaffronPersianPaginator }], imports: [
                        CommonModule,
                        FormsModule,
                        SaffronTableWrapperComponent,
                        MatPaginatorModule,
                    ], template: "<div id=\"saffron-table\" direction=\"rtl\" dir=\"rtl\" class=\"host-container\" style=\"display: flex;flex-direction: column;\">\r\n  <mat-paginator *ngIf=\"!hideTopPaginator\" [length]=\"totalCount\" [pageIndex]=\"pageNumber - 1 \" [pageSize]=\"pageSize\"\r\n    [pageSizeOptions]=\"pageSizeOptions\" aria-label=\"Select page\" (page)=\"onPageChange($event)\">\r\n  </mat-paginator>\r\n  <div class=\"table-container\">\r\n    <saffron-table-wrapper style=\"height: max-content\" [stickyHeader]=\"stickyHeader\" [rows]=\"rows\" [columns]=\"columns\"\r\n      (dataClicked)=\"onDataClicked($event)\" (actionClicked)=\"onActionClicked($event)\" (sortStateChanged)=\"onSortStateChange($event)\">\r\n    </saffron-table-wrapper>\r\n    <div *ngIf=\"!rows || rows.length === 0\" style=\"flex: 1;margin: 0 auto;width: max-content;display: flex;align-items: center;\">\r\n      <div style=\"background: #fafafa;padding: 1rem 5rem;border-radius: 7px;opacity: 0.5;\">\r\n        <h2>\u0627\u0637\u0644\u0627\u0639\u0627\u062A\u06CC \u0628\u0631\u0627\u06CC \u0646\u0645\u0627\u06CC\u0634 \u0645\u0648\u062C\u0648\u062F \u0646\u06CC\u0633\u062A.</h2>\r\n      </div>\r\n    </div>\r\n  </div>\r\n  <mat-paginator *ngIf=\"!hideBottomPaginator\" [length]=\"totalCount\" [pageIndex]=\"pageNumber - 1 \" [pageSize]=\"pageSize\"\r\n    [pageSizeOptions]=\"pageSizeOptions\" aria-label=\"Select page\" (page)=\"onPageChange($event)\">\r\n  </mat-paginator>\r\n</div>", styles: ["h2{font-family:iransans!important;margin:0!important}mat-paginator{height:5rem!important}.host-container{height:100%;width:100%}.table-container{overflow-y:auto;flex:1;display:flex;flex-direction:column;background-color:#fff}:host{width:100%;height:100%;display:block}:host::ng-deep .mat-mdc-paginator-container{justify-content:center!important;font-family:iransans!important}:host::ng-deep .mat-mdc-select-value-text{font-family:iransans!important}::ng-deep mat-option{font-family:iransans!important}*{direction:rtl}#saffron-table::ng-deep{border-radius:.4rem;overflow:hidden;box-shadow:0 0 3px #0000001a,0 1px 10px -1px #0000001a}#saffron-table::ng-deep th:not(:first-child):before{background-color:#00000024!important}#saffron-table::ng-deep tr:nth-child(2n){background-color:#fbfbfb}*::-webkit-scrollbar{width:4px;height:4px;background-color:#0000}*::-webkit-scrollbar-thumb{border-radius:20px;box-shadow:inset 0 0 0 20px #0000003d}*::-webkit-scrollbar:hover{width:8px;height:8px;background-color:#0000000f}.host-container{height:100%!important}.host-container saffron-table-wrapper{max-height:40rem}\n"] }]
        }], ctorParameters: () => [], propDecorators: { rows: [{
                type: Input
            }], columns: [{
                type: Input
            }], totalCount: [{
                type: Input
            }], pageSize: [{
                type: Input
            }], pageNumber: [{
                type: Input
            }], pageSizeOptions: [{
                type: Input
            }], hideTopPaginator: [{
                type: Input
            }], hideBottomPaginator: [{
                type: Input
            }], stickyHeader: [{
                type: Input
            }], pageEvent: [{
                type: Output
            }], actionClicked: [{
                type: Output
            }], sortStateChanged: [{
                type: Output
            }], dataClicked: [{
                type: Output
            }], pageSizeChange: [{
                type: Output
            }], pageNumberChange: [{
                type: Output
            }] } });

class SaffronActionColumnEvent {
}

class SaffronTableColumn {
}

class SaffronTableDataClick {
}

class SaffronTableSortState {
}

class SaffronTableModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTableModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.1.0", ngImport: i0, type: SaffronTableModule, imports: [SaffronTableComponent,
            SaffronTableWrapperComponent,
            SaffronTableHeadComponent,
            SaffronTableDataCellComponent], exports: [SaffronTableComponent,
            SaffronTableWrapperComponent,
            SaffronTableHeadComponent,
            SaffronTableDataCellComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTableModule, imports: [SaffronTableComponent,
            SaffronTableWrapperComponent,
            SaffronTableHeadComponent,
            SaffronTableDataCellComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTableModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        SaffronTableComponent,
                        SaffronTableWrapperComponent,
                        SaffronTableHeadComponent,
                        SaffronTableDataCellComponent,
                    ],
                    exports: [
                        SaffronTableComponent,
                        SaffronTableWrapperComponent,
                        SaffronTableHeadComponent,
                        SaffronTableDataCellComponent,
                    ],
                    providers: [],
                }]
        }] });

class DemoTableConfig {
    constructor() {
        this.rows = [];
        this.columns = [];
        this.fillRows();
        this.setColumns();
    }
    fillRows() {
        this.rows = [];
        Array.from(Array(50).keys()).forEach((x) => {
            this.rows.push({
                position: x + 1,
                myCssIcon: 'mail',
                myImageIcon: '/assets/icons/home.svg',
                requestDate: new Date(),
                accountNumber: 90000 + x * 31 * 19 * 3,
                accountType: x % 2 === 0 ? 'حساب نوع یک' : 'حساب نوع دو',
                paperCount: x % 3 === 0 ? 25 : x % 3 === 1 ? 50 : 100,
                office: 8000 + x * 2,
                branchCode: 2000 + x * 6,
                printCenter: 3000 + x * 10,
                customerId: 4000 + x * 19 + x * 6,
                requestEntrance: 'شعبه',
                status: 'درخواست های دسته چک ثبت شده ',
                lastActionDate: new Date(),
                actor: x % 2 === 0 ? 'از طریق بام صاحب حساب' : 'آیوا',
                shamsiDateNumber: 14010930,
            });
        });
    }
    setColumns() {
        this.columns = [
            {
                field: 'position',
                title: 'ردیف',
                columnType: SaffronColumnType.positionColumn,
                width: '5rem',
            },
            {
                field: 'actions',
                title: 'اقدامات',
                columnType: SaffronColumnType.actionColumn,
                actionColumnData: [
                    {
                        id: 'edit',
                        icon: 'edit_note',
                        toolTip: 'ویرایش',
                        toolTipPosition: 'right',
                    },
                    {
                        id: 'delete',
                        icon: 'delete_outline',
                        toolTip: 'حذف',
                        toolTipPosition: 'left',
                    },
                ],
                width: '10rem',
            },
            {
                field: 'myCssIcon',
                title: 'آیکن',
                columnType: SaffronColumnType.cssIcon,
                sortable: false,
                filterable: false,
                isDataClickable: true,
            },
            {
                field: 'myImageIcon',
                title: 'تصویر',
                columnType: SaffronColumnType.imageIcon,
                sortable: false,
                filterable: false,
                isDataClickable: true,
            },
            {
                field: 'requestDate',
                title: 'تاریخ درخواست',
                columnType: SaffronColumnType.date,
                sortable: true,
                filterable: true,
                width: '20rem',
            },
            {
                field: 'accountNumber',
                title: 'شماره حساب',
                columnType: SaffronColumnType.number,
                sortable: false,
                filterable: false,
                width: '10rem',
            },
            {
                field: 'accountType',
                title: 'نوع حساب',
                columnType: SaffronColumnType.string,
                sortable: true,
                filterable: true,
            },
            {
                field: 'paperCount',
                title: 'تعداد برگ چک',
                columnType: SaffronColumnType.number,
                sortable: true,
                filterable: true,
            },
            {
                field: 'lastActionDate',
                title: 'تاریخ آخرین اقدام',
                columnType: SaffronColumnType.date,
                sortable: true,
            },
            {
                field: 'shamsiDateNumber',
                title: 'تاریخ شمسی عددی',
                columnType: SaffronColumnType.ShamsiDateNumber,
                sortable: true,
                filterable: true,
            },
        ];
    }
}

class DemoTableModel {
}

class SaffronFieldsetDirective {
    constructor(elementRef) {
        this.elementRef = elementRef;
        this.fieldsetHeight = 'max-content';
        this.elementRef.nativeElement.style.boxShadow =
            'rgba(99, 99, 99, 0.2) 0px 2px 8px 0px';
        this.elementRef.nativeElement.style.borderColor = '#ebebeb';
        this.elementRef.nativeElement.style.borderStyle = 'solid';
        this.elementRef.nativeElement.style.display = 'flex';
        this.elementRef.nativeElement.style.alignItems = 'center';
        this.elementRef.nativeElement.style.justifyContent = 'center';
        this.elementRef.nativeElement.style.width = '100%';
        this.elementRef.nativeElement.style.maxWidth = '100%';
        this.elementRef.nativeElement.style.margin = '0px 1rem';
        this.elementRef.nativeElement.style.borderRadius = '6px';
        this.elementRef.nativeElement.style.minWidth = '0';
        this.elementRef.nativeElement.style.boxSizing = 'border-box';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronFieldsetDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.1.0", type: SaffronFieldsetDirective, isStandalone: true, selector: "[appFieldset]", inputs: { fieldsetHeight: "fieldsetHeight" }, host: { properties: { "style.height": "this.fieldsetHeight" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronFieldsetDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appFieldset]',
                    standalone: true,
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { fieldsetHeight: [{
                type: HostBinding,
                args: ['style.height']
            }, {
                type: Input
            }] } });

class SaffronLabelBoxComponent {
    constructor() {
        this.placeholder = '';
    }
    ngOnInit() { }
    ngOnChanges(changes) {
        if (changes['placeholder'])
            if (changes['placeholder'].currentValue)
                this.placeholder = changes['placeholder'].currentValue;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronLabelBoxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronLabelBoxComponent, isStandalone: true, selector: "saffron-label-box", inputs: { placeholder: "placeholder", template: "template" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"input-read\" direction=\"rtl\" dir=\"rtl\" style=\"direction: rtl\">\r\n  <div class=\"label\">\r\n    <mat-label>{{placeholder}}</mat-label>\r\n  </div>\r\n  <div class=\"value\">\r\n    <div *ngIf=\"!template\" style=\"padding: 0px !important;\">\r\n      <ng-content></ng-content>\r\n    </div>\r\n    <div *ngIf=\"template\" style=\"padding: 0px !important;\">\r\n      <ng-container *ngTemplateOutlet=\"template\">\r\n      </ng-container>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n", styles: [":host::ng-deep{width:100%}:host::ng-deep .value{font-weight:300;font-size:15px;border-top:1px solid #e4e4e4;font-family:iransans;line-height:3.2}:host::ng-deep .label{line-height:3.2}:host::ng-deep .input-read div{padding-right:10px!important}:host::ng-deep mat-label,:host::ng-deep .mat-form-field-label{font-size:14px;font-family:iransans;font-weight:400}:host::ng-deep mat-label .mat-form-field-label,:host::ng-deep .mat-form-field-label span{color:red!important}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: MatLabel, selector: "mat-label" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronLabelBoxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-label-box', standalone: true, imports: [CommonModule, MatLabel], template: "<div class=\"input-read\" direction=\"rtl\" dir=\"rtl\" style=\"direction: rtl\">\r\n  <div class=\"label\">\r\n    <mat-label>{{placeholder}}</mat-label>\r\n  </div>\r\n  <div class=\"value\">\r\n    <div *ngIf=\"!template\" style=\"padding: 0px !important;\">\r\n      <ng-content></ng-content>\r\n    </div>\r\n    <div *ngIf=\"template\" style=\"padding: 0px !important;\">\r\n      <ng-container *ngTemplateOutlet=\"template\">\r\n      </ng-container>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n", styles: [":host::ng-deep{width:100%}:host::ng-deep .value{font-weight:300;font-size:15px;border-top:1px solid #e4e4e4;font-family:iransans;line-height:3.2}:host::ng-deep .label{line-height:3.2}:host::ng-deep .input-read div{padding-right:10px!important}:host::ng-deep mat-label,:host::ng-deep .mat-form-field-label{font-size:14px;font-family:iransans;font-weight:400}:host::ng-deep mat-label .mat-form-field-label,:host::ng-deep .mat-form-field-label span{color:red!important}\n"] }]
        }], ctorParameters: () => [], propDecorators: { placeholder: [{
                type: Input,
                args: ['placeholder']
            }], template: [{
                type: Input
            }] } });

class SaffronRangePickerComponent {
    constructor() {
        this.startControlName = '';
        this.endControlName = '';
        this.placeholder = '';
        this.startTitle = 'تاریخ شروع';
        this.endTitle = 'تاریخ پایان';
    }
    ngOnChanges(changes) {
        this.setControl(changes);
    }
    setControl(changes) {
        if (changes['formGroup'] ||
            changes['startControlName'] ||
            changes['endControlName']) {
            this.control = this.formGroup.controls[this.startControlName];
        }
    }
    blurred() {
        this.control.markAsTouched();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronRangePickerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronRangePickerComponent, isStandalone: true, selector: "saffron-range-picker", inputs: { formGroup: "formGroup", startControlName: "startControlName", endControlName: "endControlName", placeholder: "placeholder" }, providers: [
            {
                provide: DateAdapter,
                useClass: SaffronPersianDateAdapter,
                deps: [MAT_DATE_LOCALE],
            },
            { provide: MAT_DATE_FORMATS, useValue: PERSIAN_DATE_FORMATS },
        ], usesOnChanges: true, ngImport: i0, template: "<div direction=\"rtl\" dir=\"rtl\" [formGroup]=\"formGroup\">\r\n  <mat-form-field appearance=\"outline\" (click)=\"picker.open()\" style=\"width: 100%\" [hideRequiredMarker]=\"true\">\r\n    <mat-label>\r\n      <saffron-input-label [control]=\"control\" [placeholder]=\"placeholder\"></saffron-input-label>\r\n    </mat-label>\r\n    <mat-date-range-input [rangePicker]=\"picker\">\r\n      <input matStartDate [placeholder]=\"startTitle\" [formControlName]=\"startControlName\" (blur)=\"blurred()\">\r\n      <input matEndDate [placeholder]=\"endTitle\" [formControlName]=\"endControlName\" (blur)=\"blurred()\">\r\n    </mat-date-range-input>\r\n    <mat-datepicker-toggle matIconSuffix [for]=\"picker\"></mat-datepicker-toggle>\r\n    <mat-date-range-picker #picker></mat-date-range-picker>\r\n    <mat-error>\r\n      <saffron-input-error [errors]=\"control.errors\"></saffron-input-error>\r\n    </mat-error>\r\n  </mat-form-field>\r\n</div>\r\n", styles: [".mat-button,.mat-calendar-body,.mat-calendar-body-cell,#mat-calendar-button-1,#mat-calendar-button-0,.mat-button .mat-button-wrapper,.mat-calendar-table-header{font-family:iransans!important}mat-calendar-body,mat-calendar-body-cell,#mat-calendar-button-1,#mat-calendar-button-0,mat-button mat-button-wrapper,mat-calendar-table-header{font-family:iransans!important}.mat-form-field-outline,.mat-form-field-outline:hover,saffron-number-input:hover,mat-form-field-infix:hover{outline:#6299cf!important}.mat-form-field-appearance-outline .mat-form-field-outline-thick{color:#6299cf!important}.mat-form-field-appearance-outline.mat-form-field-invalid.mat-form-field-invalid .mat-form-field-outline-thick{color:red!important}.mat-calendar-content,.mat-calendar,.mat-calendar-table{font-family:iransans!important}mat-form-field,mat-select,mat-option{font-family:iransans!important}saffron-range-picker,.mat-focus-indicator,.mat-calendar-body-cell,.mat-calendar{font-family:iransans!important}saffron-range-picker{width:100%}saffron-range-picker .mat-form-field-infix{display:flex;padding:0!important}saffron-range-picker .mat-button-wrapper{display:flex;justify-content:center}saffron-range-picker mat-date-range-input{display:flex;padding:1em 0}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "ngmodule", type: MatFormFieldModule }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatError, selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix], [matIconSuffix], [matTextSuffix]", inputs: ["matTextSuffix"] }, { kind: "directive", type: i4.Dir, selector: "[dir]", inputs: ["dir"], outputs: ["dirChange"], exportAs: ["dir"] }, { kind: "component", type: SaffronInputLabelComponent, selector: "saffron-input-label", inputs: ["control", "placeholder"] }, { kind: "component", type: SaffronInputErrorComponent, selector: "saffron-input-error", inputs: ["errors"] }, { kind: "ngmodule", type: MatDatepickerModule }, { kind: "component", type: i4$1.MatDatepickerToggle, selector: "mat-datepicker-toggle", inputs: ["for", "tabIndex", "aria-label", "disabled", "disableRipple"], exportAs: ["matDatepickerToggle"] }, { kind: "component", type: i4$1.MatDateRangeInput, selector: "mat-date-range-input", inputs: ["rangePicker", "required", "dateFilter", "min", "max", "disabled", "separator", "comparisonStart", "comparisonEnd"], exportAs: ["matDateRangeInput"] }, { kind: "directive", type: i4$1.MatStartDate, selector: "input[matStartDate]", outputs: ["dateChange", "dateInput"] }, { kind: "directive", type: i4$1.MatEndDate, selector: "input[matEndDate]", outputs: ["dateChange", "dateInput"] }, { kind: "component", type: i4$1.MatDateRangePicker, selector: "mat-date-range-picker", exportAs: ["matDateRangePicker"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronRangePickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-range-picker', encapsulation: ViewEncapsulation.None, standalone: true, imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        MatFormFieldModule,
                        SaffronInputLabelComponent,
                        SaffronInputErrorComponent,
                        MatDatepickerModule,
                    ], providers: [
                        {
                            provide: DateAdapter,
                            useClass: SaffronPersianDateAdapter,
                            deps: [MAT_DATE_LOCALE],
                        },
                        { provide: MAT_DATE_FORMATS, useValue: PERSIAN_DATE_FORMATS },
                    ], template: "<div direction=\"rtl\" dir=\"rtl\" [formGroup]=\"formGroup\">\r\n  <mat-form-field appearance=\"outline\" (click)=\"picker.open()\" style=\"width: 100%\" [hideRequiredMarker]=\"true\">\r\n    <mat-label>\r\n      <saffron-input-label [control]=\"control\" [placeholder]=\"placeholder\"></saffron-input-label>\r\n    </mat-label>\r\n    <mat-date-range-input [rangePicker]=\"picker\">\r\n      <input matStartDate [placeholder]=\"startTitle\" [formControlName]=\"startControlName\" (blur)=\"blurred()\">\r\n      <input matEndDate [placeholder]=\"endTitle\" [formControlName]=\"endControlName\" (blur)=\"blurred()\">\r\n    </mat-date-range-input>\r\n    <mat-datepicker-toggle matIconSuffix [for]=\"picker\"></mat-datepicker-toggle>\r\n    <mat-date-range-picker #picker></mat-date-range-picker>\r\n    <mat-error>\r\n      <saffron-input-error [errors]=\"control.errors\"></saffron-input-error>\r\n    </mat-error>\r\n  </mat-form-field>\r\n</div>\r\n", styles: [".mat-button,.mat-calendar-body,.mat-calendar-body-cell,#mat-calendar-button-1,#mat-calendar-button-0,.mat-button .mat-button-wrapper,.mat-calendar-table-header{font-family:iransans!important}mat-calendar-body,mat-calendar-body-cell,#mat-calendar-button-1,#mat-calendar-button-0,mat-button mat-button-wrapper,mat-calendar-table-header{font-family:iransans!important}.mat-form-field-outline,.mat-form-field-outline:hover,saffron-number-input:hover,mat-form-field-infix:hover{outline:#6299cf!important}.mat-form-field-appearance-outline .mat-form-field-outline-thick{color:#6299cf!important}.mat-form-field-appearance-outline.mat-form-field-invalid.mat-form-field-invalid .mat-form-field-outline-thick{color:red!important}.mat-calendar-content,.mat-calendar,.mat-calendar-table{font-family:iransans!important}mat-form-field,mat-select,mat-option{font-family:iransans!important}saffron-range-picker,.mat-focus-indicator,.mat-calendar-body-cell,.mat-calendar{font-family:iransans!important}saffron-range-picker{width:100%}saffron-range-picker .mat-form-field-infix{display:flex;padding:0!important}saffron-range-picker .mat-button-wrapper{display:flex;justify-content:center}saffron-range-picker mat-date-range-input{display:flex;padding:1em 0}\n"] }]
        }], ctorParameters: () => [], propDecorators: { formGroup: [{
                type: Input
            }], startControlName: [{
                type: Input
            }], endControlName: [{
                type: Input
            }], placeholder: [{
                type: Input
            }] } });

class DemoDatePicker {
    constructor(fb) {
        this.fb = fb;
        this.placeHolder = 'تاریخ';
        this.placeHolderRange = 'بازه زمانی';
        this.SaffronDataType = SaffronDataType;
        this.startDateString = '';
        this.endDateString = '';
        this.formGroup = this.fb.group({
            myDate: [jalaliMoment(), Validators.required],
            myDateRequired: [null, Validators.required],
            startRange: [jalaliMoment(), Validators.required],
            endRange: [jalaliMoment().add(3, 'day'), Validators.required],
        });
        this.selectedDate =
            this.formGroup.get('myDate')?.value?._d?.toLocaleDateString('fa-IR') ?? undefined;
        this.startDateString =
            this.formGroup.get('startRange')?.value?._d?.toLocaleDateString('fa-IR') ?? undefined;
        this.endDateString =
            this.formGroup.get('endRange')?.value?._d?.toLocaleDateString('fa-IR') ?? undefined;
        this.formGroup.get('myDate')?.valueChanges.subscribe((value) => {
            this.selectedDate =
                value?._d?.toLocaleDateString('fa-IR') ?? undefined;
        });
        this.formGroup.get('myDateRequired')?.markAllAsTouched();
        this.formGroup
            .get('myDateRequired')
            ?.valueChanges.subscribe((value) => {
            this.selectedDate2 =
                value?._d?.toLocaleDateString('fa-IR') ?? undefined;
        });
        this.formGroup.get('startRange')?.valueChanges.subscribe((value) => {
            this.startDateString =
                value?._d?.toLocaleDateString('fa-IR') ?? undefined;
        });
        this.formGroup.get('endRange')?.valueChanges.subscribe((value) => {
            this.endDateString =
                value?._d?.toLocaleDateString('fa-IR') ?? undefined;
        });
    }
    enterPressed() {
        //alert('enter pressed');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoDatePicker, deps: [{ token: i1$1.FormBuilder }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoDatePicker, selector: "demo-date-picker", ngImport: i0, template: "<div [formGroup]=\"formGroup\"\r\n  style=\"display: flex;align-items: center; flex-direction: column; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend class=\"tw-font-inter tw-text-base\">saffron-date-picker</legend>\r\n    <div class=\"date-container\">\r\n      <saffron-date-picker [formGroup]=\"formGroup\" [placeholder]=\"placeHolder\" [controlName]=\"'myDate'\">\r\n      </saffron-date-picker>\r\n      <div *ngIf=\"selectedDate\" class=\"tw-font-iransans\" style=\"display:flex;justify-content: center;\">{{selectedDate}}\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend class=\"tw-font-inter tw-text-base\">saffron-date-picker(Touched)</legend>\r\n    <div class=\"date-container\">\r\n      <saffron-date-picker [formGroup]=\"formGroup\" [placeholder]=\"placeHolder\" [controlName]=\"'myDateRequired'\">\r\n      </saffron-date-picker>\r\n      <div *ngIf=\"selectedDate2\" class=\"tw-font-iransans\" style=\"display:flex;justify-content: center;\">\r\n        {{selectedDate2}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\" style=\"height: max-content;\">\r\n    <legend class=\"tw-font-inter tw-text-base\">saffron-range-picker</legend>\r\n    <div class=\"date-container\">\r\n      <saffron-range-picker [formGroup]=\"formGroup\" [placeholder]=\"placeHolderRange\" [startControlName]=\"'startRange'\"\r\n        [endControlName]=\"'endRange'\">\r\n      </saffron-range-picker>\r\n      <div style=\"display: flex;\">\r\n        <saffron-label-box [placeholder]=\"'\u0628\u0627\u0632\u0647 \u067E\u0627\u06CC\u0627\u0646'\">\r\n          {{endDateString}}\r\n        </saffron-label-box>\r\n        <saffron-label-box [placeholder]=\"'\u0628\u0627\u0632\u0647 \u0634\u0631\u0648\u0639'\">\r\n          {{startDateString}}\r\n        </saffron-label-box>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n", styles: ["fieldset{box-shadow:#63636333 0 2px 8px;border-color:#ebebeb;border-style:solid;display:flex;align-items:center;justify-content:center;width:100%;margin:0px 1rem}saffron-number-input,saffron-select,.date-container{width:20rem}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: SaffronDatePickerComponent, selector: "saffron-date-picker", inputs: ["formGroup", "controlName", "placeholder", "isRangePicker", "rangeStartControlName", "rangeEndControlName", "max", "min"] }, { kind: "component", type: SaffronLabelBoxComponent, selector: "saffron-label-box", inputs: ["placeholder", "template"] }, { kind: "component", type: SaffronRangePickerComponent, selector: "saffron-range-picker", inputs: ["formGroup", "startControlName", "endControlName", "placeholder"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoDatePicker, decorators: [{
            type: Component,
            args: [{ selector: 'demo-date-picker', template: "<div [formGroup]=\"formGroup\"\r\n  style=\"display: flex;align-items: center; flex-direction: column; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend class=\"tw-font-inter tw-text-base\">saffron-date-picker</legend>\r\n    <div class=\"date-container\">\r\n      <saffron-date-picker [formGroup]=\"formGroup\" [placeholder]=\"placeHolder\" [controlName]=\"'myDate'\">\r\n      </saffron-date-picker>\r\n      <div *ngIf=\"selectedDate\" class=\"tw-font-iransans\" style=\"display:flex;justify-content: center;\">{{selectedDate}}\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend class=\"tw-font-inter tw-text-base\">saffron-date-picker(Touched)</legend>\r\n    <div class=\"date-container\">\r\n      <saffron-date-picker [formGroup]=\"formGroup\" [placeholder]=\"placeHolder\" [controlName]=\"'myDateRequired'\">\r\n      </saffron-date-picker>\r\n      <div *ngIf=\"selectedDate2\" class=\"tw-font-iransans\" style=\"display:flex;justify-content: center;\">\r\n        {{selectedDate2}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\" style=\"height: max-content;\">\r\n    <legend class=\"tw-font-inter tw-text-base\">saffron-range-picker</legend>\r\n    <div class=\"date-container\">\r\n      <saffron-range-picker [formGroup]=\"formGroup\" [placeholder]=\"placeHolderRange\" [startControlName]=\"'startRange'\"\r\n        [endControlName]=\"'endRange'\">\r\n      </saffron-range-picker>\r\n      <div style=\"display: flex;\">\r\n        <saffron-label-box [placeholder]=\"'\u0628\u0627\u0632\u0647 \u067E\u0627\u06CC\u0627\u0646'\">\r\n          {{endDateString}}\r\n        </saffron-label-box>\r\n        <saffron-label-box [placeholder]=\"'\u0628\u0627\u0632\u0647 \u0634\u0631\u0648\u0639'\">\r\n          {{startDateString}}\r\n        </saffron-label-box>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n", styles: ["fieldset{box-shadow:#63636333 0 2px 8px;border-color:#ebebeb;border-style:solid;display:flex;align-items:center;justify-content:center;width:100%;margin:0px 1rem}saffron-number-input,saffron-select,.date-container{width:20rem}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.FormBuilder }] });

class SaffronTooltipComponent {
    constructor() {
        this.tooltipText = '';
        this.position = 'above';
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTooltipComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronTooltipComponent, isStandalone: true, selector: "saffron-tooltip", inputs: { tooltipText: ["tooltip", "tooltipText"], position: "position" }, ngImport: i0, template: "<a *ngIf=\"tooltipText\" (click)=\"tooltip.show()\" #tooltip=\"matTooltip\" matSuffix mat-icon-button\r\n  [matTooltip]=\"tooltipText\" [matTooltipPosition]=\"position\">\r\n  <mat-icon class=\"search-icon\">info</mat-icon>\r\n</a>\r\n", styles: ["a{color:#009ef7}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: MatTooltip, selector: "[matTooltip]", inputs: ["matTooltipPosition", "matTooltipPositionAtOrigin", "matTooltipDisabled", "matTooltipShowDelay", "matTooltipHideDelay", "matTooltipTouchGestures", "matTooltip", "matTooltipClass"], exportAs: ["matTooltip"] }, { kind: "component", type: MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTooltipComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-tooltip', standalone: true, imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        MatTooltip,
                        MatIcon,
                    ], template: "<a *ngIf=\"tooltipText\" (click)=\"tooltip.show()\" #tooltip=\"matTooltip\" matSuffix mat-icon-button\r\n  [matTooltip]=\"tooltipText\" [matTooltipPosition]=\"position\">\r\n  <mat-icon class=\"search-icon\">info</mat-icon>\r\n</a>\r\n", styles: ["a{color:#009ef7}\n"] }]
        }], ctorParameters: () => [], propDecorators: { tooltipText: [{
                type: Input,
                args: ['tooltip']
            }], position: [{
                type: Input,
                args: ['position']
            }] } });

class DemoInput {
    constructor(fb) {
        this.fb = fb;
        this.accountNumber = 'شماره حساب';
        this.nationalCodeTitle = 'شماره ملی';
        this.nameTitle = 'نام';
        this.amountTitle = 'مبلغ چک';
        this.SaffronButtonTypes = SaffronButtonTypes;
        this.SaffronDataType = SaffronDataType;
        this.formGroup = this.fb.group({
            serialNumber: [
                undefined,
                [Validators.required, Validators.minLength(2), Validators.maxLength(12)],
            ],
            amount: ['1000000'],
            branchName: ['', Validators.required],
            serialNumberDirty: ['', Validators.required],
            nestedFormExample: this.fb.array([]),
        });
        this.addFormArray();
        this.formGroup.get('serialNumberDirty')?.markAllAsTouched();
        window.DemoInput = this;
    }
    get nestedFormControls() {
        return this.formGroup.controls['nestedFormExample']
            .controls;
    }
    ngAfterViewInit() {
        const listOfInputs = document.getElementsByClassName('input-of-saffron');
        listOfInputs[0]?.focus();
    }
    addFormArray() {
        const formArray = this.fb.group({
            name: ['', Validators.required],
            nationalCode: ['', Validators.required],
        });
        this.nestedFormControls.push(formArray);
    }
    enterPressed() {
        //alert('enter pressed');
    }
    onSearch() {
        console.log('search-clicked');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoInput, deps: [{ token: i1$1.FormBuilder }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoInput, selector: "demo-input", ngImport: i0, template: "<div style=\"display: flex; justify-content: center;align-items: center; width: 100%;flex-direction: column;\">\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(number)</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [isButton]=\"true\" (onClick)=\"onSearch()\" [dataType]=\"SaffronDataType.Number\" [placeholder]=\"accountNumber\"\r\n        [controlName]=\"'serialNumber'\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['serialNumber'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(icon)</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [isButton]=\"true\" (onClick)=\"onSearch()\" [dataType]=\"SaffronDataType.Number\" [placeholder]=\"accountNumber\" [icon]=\"'home'\"\r\n        [controlName]=\"'amount'\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['amount'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(readonly)</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [isButton]=\"true\" (onClick)=\"onSearch()\" [dataType]=\"SaffronDataType.Number\" [placeholder]=\"accountNumber\" [isReadOnly]=\"true\"\r\n        [controlName]=\"'amount'\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['amount'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(tool-tip) amount</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [tooltip]=\"'\u0645\u0628\u0644\u063A \u0631\u0627 \u0648\u0627\u0631\u062F \u0646\u0645\u0627\u06CC\u06CC\u062F'\" [controlName]=\"'amount'\" [isButton]=\"true\" (onClick)=\"onSearch()\"\r\n        [dataType]=\"SaffronDataType.Currency\" [placeholder]=\"amountTitle\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['amount'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(currency)</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [controlName]=\"'amount'\" [isButton]=\"true\" (onClick)=\"onSearch()\" [dataType]=\"SaffronDataType.Currency\"\r\n        [placeholder]=\"amountTitle\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['amount'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(text)</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [placeholder]=\"accountNumber\" [controlName]=\"'branchName'\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['branchName'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(Touched)</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [isButton]=\"true\" (onClick)=\"onSearch()\" [dataType]=\"SaffronDataType.Number\" [placeholder]=\"accountNumber\"\r\n        [controlName]=\"'serialNumberDirty'\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['serialNumberDirty'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend> tooltip </legend>\r\n    <div class=\"input-container\">\r\n      'after', 'before', 'above', 'below', 'left', 'right'\r\n      <saffron-tooltip [tooltip]=\"'\u062A\u0633\u062A'\" [position]=\"'after'\"></saffron-tooltip>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\" style=\"height: max-content !important;\">\r\n    <legend>saffron-input(FormArray Example)</legend>\r\n    <div style=\"display: flex;flex-direction:column;align-items: center;\">\r\n      <saffron-button [title]=\"'Add FormArray'\" (click)=\"addFormArray()\" [matIcon]=\"'add_circle_outline'\" [buttonType]=\"SaffronButtonTypes.Basic\"\r\n        [tooltip]=\"'this is tooltip'\">\r\n      </saffron-button>\r\n      <div class=\"input-container\" *ngFor=\"let nestedFormGroup of nestedFormControls; let i = index\"\r\n        style=\"margin-top: 2rem;display: flex;width: 42rem;justify-content: space-between;\">\r\n        <div style=\"width: 20rem;\">\r\n          <saffron-input autocomplete=\"off\" [formGroup]=\"nestedFormGroup\" [placeholder]=\"nameTitle\" [controlName]=\"'name'\">\r\n          </saffron-input>\r\n          <div style=\"height: 1rem;\">{{nestedFormGroup.controls['name'].value}}</div>\r\n        </div>\r\n        <div style=\"width: 20rem;\">\r\n          <saffron-input autocomplete=\"off\" [formGroup]=\"nestedFormGroup\" [controlName]=\"'nationalCode'\" [dataType]=\"SaffronDataType.Number\"\r\n            [placeholder]=\"nationalCodeTitle\">\r\n          </saffron-input>\r\n          <div style=\"height: 1rem;\">{{nestedFormGroup.controls['nationalCode'].value}}</div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n", styles: ["saffron-number-input,saffron-select,.input-container{width:20rem}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: SaffronButtonComponent, selector: "saffron-button", inputs: ["title", "buttonStyle", "matIcon", "buttonType", "htmlButtonType", "tooltip"], outputs: ["buttonClicked"] }, { kind: "component", type: SaffronInputComponent, selector: "saffron-input", inputs: ["dataType", "formGroup", "controlName", "placeholder", "min", "max", "isButton", "isReadOnly", "icon", "tooltip", "position", "maxlength", "showLength", "showToPersian"], outputs: ["onClick", "enterPressed"] }, { kind: "component", type: SaffronTooltipComponent, selector: "saffron-tooltip", inputs: ["tooltip", "position"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoInput, decorators: [{
            type: Component,
            args: [{ selector: 'demo-input', template: "<div style=\"display: flex; justify-content: center;align-items: center; width: 100%;flex-direction: column;\">\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(number)</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [isButton]=\"true\" (onClick)=\"onSearch()\" [dataType]=\"SaffronDataType.Number\" [placeholder]=\"accountNumber\"\r\n        [controlName]=\"'serialNumber'\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['serialNumber'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(icon)</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [isButton]=\"true\" (onClick)=\"onSearch()\" [dataType]=\"SaffronDataType.Number\" [placeholder]=\"accountNumber\" [icon]=\"'home'\"\r\n        [controlName]=\"'amount'\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['amount'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(readonly)</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [isButton]=\"true\" (onClick)=\"onSearch()\" [dataType]=\"SaffronDataType.Number\" [placeholder]=\"accountNumber\" [isReadOnly]=\"true\"\r\n        [controlName]=\"'amount'\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['amount'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(tool-tip) amount</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [tooltip]=\"'\u0645\u0628\u0644\u063A \u0631\u0627 \u0648\u0627\u0631\u062F \u0646\u0645\u0627\u06CC\u06CC\u062F'\" [controlName]=\"'amount'\" [isButton]=\"true\" (onClick)=\"onSearch()\"\r\n        [dataType]=\"SaffronDataType.Currency\" [placeholder]=\"amountTitle\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['amount'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(currency)</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [controlName]=\"'amount'\" [isButton]=\"true\" (onClick)=\"onSearch()\" [dataType]=\"SaffronDataType.Currency\"\r\n        [placeholder]=\"amountTitle\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['amount'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(text)</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [placeholder]=\"accountNumber\" [controlName]=\"'branchName'\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['branchName'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend>saffron-input(Touched)</legend>\r\n    <div class=\"input-container\">\r\n      <saffron-input [formGroup]=\"formGroup\" [isButton]=\"true\" (onClick)=\"onSearch()\" [dataType]=\"SaffronDataType.Number\" [placeholder]=\"accountNumber\"\r\n        [controlName]=\"'serialNumberDirty'\" (enterPressed)=\"enterPressed()\">\r\n      </saffron-input>\r\n      <div>{{formGroup.controls['serialNumberDirty'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\">\r\n    <legend> tooltip </legend>\r\n    <div class=\"input-container\">\r\n      'after', 'before', 'above', 'below', 'left', 'right'\r\n      <saffron-tooltip [tooltip]=\"'\u062A\u0633\u062A'\" [position]=\"'after'\"></saffron-tooltip>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\" style=\"height: max-content !important;\">\r\n    <legend>saffron-input(FormArray Example)</legend>\r\n    <div style=\"display: flex;flex-direction:column;align-items: center;\">\r\n      <saffron-button [title]=\"'Add FormArray'\" (click)=\"addFormArray()\" [matIcon]=\"'add_circle_outline'\" [buttonType]=\"SaffronButtonTypes.Basic\"\r\n        [tooltip]=\"'this is tooltip'\">\r\n      </saffron-button>\r\n      <div class=\"input-container\" *ngFor=\"let nestedFormGroup of nestedFormControls; let i = index\"\r\n        style=\"margin-top: 2rem;display: flex;width: 42rem;justify-content: space-between;\">\r\n        <div style=\"width: 20rem;\">\r\n          <saffron-input autocomplete=\"off\" [formGroup]=\"nestedFormGroup\" [placeholder]=\"nameTitle\" [controlName]=\"'name'\">\r\n          </saffron-input>\r\n          <div style=\"height: 1rem;\">{{nestedFormGroup.controls['name'].value}}</div>\r\n        </div>\r\n        <div style=\"width: 20rem;\">\r\n          <saffron-input autocomplete=\"off\" [formGroup]=\"nestedFormGroup\" [controlName]=\"'nationalCode'\" [dataType]=\"SaffronDataType.Number\"\r\n            [placeholder]=\"nationalCodeTitle\">\r\n          </saffron-input>\r\n          <div style=\"height: 1rem;\">{{nestedFormGroup.controls['nationalCode'].value}}</div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n", styles: ["saffron-number-input,saffron-select,.input-container{width:20rem}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.FormBuilder }] });

const saffronUUID = () => {
    return v4();
};

class TransferTemplateTableConfig {
    constructor() {
        this.rows = [];
        this.columns = [];
        this.fillRows();
        this.setColumns();
    }
    fillRows() {
        this.rows = [];
        this.rows.push({
            position: 1,
            id: saffronUUID(),
            beyneBanki: 9000000000,
            beyneHesabhayeKhod: 9000000000,
            daroonBanki: 9000000000,
        });
        this.rows.push({
            position: 2,
            id: saffronUUID(),
            beyneBanki: 5000000000,
            beyneHesabhayeKhod: 5000000000,
            daroonBanki: 5000000000,
        });
        this.rows.push({
            position: 3,
            id: saffronUUID(),
            beyneBanki: 4000000000,
            beyneHesabhayeKhod: 4000000000,
            daroonBanki: 4000000000,
        });
    }
    setColumns() {
        this.columns = [
            {
                field: 'position',
                title: 'ردیف',
                columnType: SaffronColumnType.positionColumn,
                width: '5rem',
            },
            {
                field: 'apply',
                title: 'اعمال الگو',
                columnType: SaffronColumnType.actionColumn,
                actionColumnData: [
                    {
                        id: 'daily',
                        imageUrl: '/assets/icons/01-transfer/daily-icon.png',
                        imageWidthPx: '24px',
                        imageHeightPx: '24px',
                        toolTip: 'سقف روزانه',
                        toolTipPosition: 'right',
                    },
                    {
                        id: 'monthly',
                        imageUrl: '/assets/icons/01-transfer/monthly-icon.png',
                        imageWidthPx: '24px',
                        imageHeightPx: '24px',
                        toolTip: 'سقف ماهانه',
                        toolTipPosition: 'left',
                    },
                ],
                width: '10rem',
            },
            {
                field: 'beyneBanki',
                title: 'بین بانکی',
                columnType: SaffronColumnType.number,
                sortable: false,
                filterable: false,
            },
            {
                field: 'beyneHesabhayeKhod',
                title: 'بین بانکی',
                columnType: SaffronColumnType.number,
                sortable: false,
                filterable: false,
            },
            {
                field: 'daroonBanki',
                title: 'بین بانکی',
                columnType: SaffronColumnType.number,
                sortable: false,
                filterable: false,
            },
            {
                field: 'edits',
                title: 'ویرایش',
                columnType: SaffronColumnType.actionColumn,
                actionColumnData: [
                    {
                        id: 'edit',
                        icon: 'edit_note',
                        toolTip: 'ویرایش',
                        toolTipPosition: 'right',
                    },
                    {
                        id: 'delete',
                        icon: 'delete_outline',
                        toolTip: 'حذف',
                        toolTipPosition: 'left',
                    },
                ],
                width: '10rem',
            },
        ];
    }
}

class DemoTable {
    constructor(tableConfig, transferTableConfig) {
        this.tableConfig = tableConfig;
        this.transferTableConfig = transferTableConfig;
        this.pageSizeOptions = defaultPageSizeOptions;
        this.rows = [];
        this.columns = [];
        this.transferRows = [];
        this.transferColumns = [];
        this.totalCount = 50;
        this.rows = this.tableConfig.rows;
        this.columns = this.tableConfig.columns;
        window.DemoTable = this;
        this.transferColumns = this.transferTableConfig.columns;
        this.transferRows = this.transferTableConfig.rows;
    }
    onActionClicked(actionEvent) {
        alert(actionEvent?.actionColumnData?.toolTip);
    }
    dataClicked(dataClicked) {
        alert(`data clicked\n rowIndex : ${dataClicked.rowIndex}\n column field: ${dataClicked.column.field}`);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoTable, deps: [{ token: DemoTableConfig }, { token: TransferTemplateTableConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoTable, selector: "demo-table", providers: [DemoTableConfig, TransferTemplateTableConfig], ngImport: i0, template: "<div style=\"display: flex; justify-content: center; width: 100%;flex-direction: column;gap: 2rem;\">\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>simple-table</legend>\r\n    <div style=\"margin: 3rem 0rem;width: 100%;height: max-content\">\r\n      <saffron-table [rows]=\"transferRows\" [columns]=\"transferColumns\" [hideTopPaginator]=\"true\"\r\n        [hideBottomPaginator]=\"true\"></saffron-table>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-table</legend>\r\n    <div style=\"margin: 3rem 0rem;width: 100%;height: 50rem;\">\r\n      <saffron-table [rows]=\"rows\" [columns]=\"columns\" (actionClicked)=\"onActionClicked($event)\" (dataClicked)=\"dataClicked($event)\"\r\n        [totalCount]=\"totalCount\" [pageSizeOptions]=\"pageSizeOptions\"></saffron-table>\r\n    </div>\r\n  </fieldset>\r\n</div>", styles: [""], dependencies: [{ kind: "component", type: SaffronTableComponent, selector: "saffron-table", inputs: ["rows", "columns", "totalCount", "pageSize", "pageNumber", "pageSizeOptions", "hideTopPaginator", "hideBottomPaginator", "stickyHeader"], outputs: ["pageEvent", "actionClicked", "sortStateChanged", "dataClicked", "pageSizeChange", "pageNumberChange"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoTable, decorators: [{
            type: Component,
            args: [{ selector: 'demo-table', providers: [DemoTableConfig, TransferTemplateTableConfig], template: "<div style=\"display: flex; justify-content: center; width: 100%;flex-direction: column;gap: 2rem;\">\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>simple-table</legend>\r\n    <div style=\"margin: 3rem 0rem;width: 100%;height: max-content\">\r\n      <saffron-table [rows]=\"transferRows\" [columns]=\"transferColumns\" [hideTopPaginator]=\"true\"\r\n        [hideBottomPaginator]=\"true\"></saffron-table>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-table</legend>\r\n    <div style=\"margin: 3rem 0rem;width: 100%;height: 50rem;\">\r\n      <saffron-table [rows]=\"rows\" [columns]=\"columns\" (actionClicked)=\"onActionClicked($event)\" (dataClicked)=\"dataClicked($event)\"\r\n        [totalCount]=\"totalCount\" [pageSizeOptions]=\"pageSizeOptions\"></saffron-table>\r\n    </div>\r\n  </fieldset>\r\n</div>" }]
        }], ctorParameters: () => [{ type: DemoTableConfig }, { type: TransferTemplateTableConfig }] });

class DemoAdvancedFilterConfigs {
    constructor(fb) {
        this.fb = fb;
        this.primaryFilters = [
            {
                id: '1',
                title: 'شماره حساب',
                controlName: 'test1',
                dataType: SaffronDataType.Text,
            },
            {
                id: '2',
                title: 'شناسه ملی',
                controlName: 'test2',
                dataType: SaffronDataType.Text,
            },
            {
                id: '3',
                title: 'کد شعبه',
                controlName: 'test3',
                dataType: SaffronDataType.Text,
            },
            {
                id: '4',
                title: 'نوع حساب',
                controlName: 'test4',
                dataType: SaffronDataType.Text,
            },
            {
                id: '5',
                title: 'کد درخواست',
                controlName: 'test5',
                dataType: SaffronDataType.Text,
            },
        ];
        this.secondryFilters = [
            {
                id: '10',
                title: 'ورودی 10',
                controlName: 'test10',
                dataType: SaffronDataType.Text,
            },
            {
                id: '11',
                title: 'ورودی 11',
                controlName: 'test11',
                dataType: SaffronDataType.Text,
            },
            {
                id: '12',
                title: 'ورودی 12',
                controlName: 'test12',
                dataType: SaffronDataType.Text,
            },
            {
                id: '13',
                title: 'ورودی 13',
                controlName: 'test13',
                dataType: SaffronDataType.Text,
            },
            {
                id: '14',
                title: 'ورودی 14',
                controlName: 'test14',
                dataType: SaffronDataType.Text,
            },
            {
                id: '15',
                title: 'ورودی 15',
                controlName: 'test15',
                dataType: SaffronDataType.Text,
            },
            {
                id: '16',
                title: 'ورودی 16',
                controlName: 'test16',
                dataType: SaffronDataType.Text,
            },
            {
                id: '17',
                title: 'ورودی 17',
                controlName: 'test17',
                dataType: SaffronDataType.Text,
            },
            {
                id: '18',
                title: 'ورودی 18',
                controlName: 'test18',
                dataType: SaffronDataType.Text,
            },
            {
                id: '19',
                title: 'ورودی 19',
                controlName: 'test19',
                dataType: SaffronDataType.Text,
            },
            {
                id: '20',
                title: 'ورودی 20',
                controlName: 'test20',
                dataType: SaffronDataType.Text,
            },
            {
                id: '21',
                title: 'ورودی 21',
                controlName: 'test21',
                dataType: SaffronDataType.Text,
            },
            {
                id: '22',
                title: 'ورودی 22',
                controlName: 'test22',
                dataType: SaffronDataType.Text,
            },
            {
                id: '23',
                title: 'ورودی 23',
                controlName: 'test23',
                dataType: SaffronDataType.Text,
            },
            {
                id: '24',
                title: 'ورودی 24',
                controlName: 'test24',
                dataType: SaffronDataType.Text,
            },
            {
                id: '25',
                title: 'ورودی 25',
                controlName: 'test25',
                dataType: SaffronDataType.Text,
            },
            {
                id: '26',
                title: 'ورودی 26',
                controlName: 'test26',
                dataType: SaffronDataType.Text,
            },
        ];
        this.formGroup = this.fb.group({
            test1: ['123'],
            test2: ['456'],
            test3: ['789'],
            test4: ['012'],
            test5: ['345'],
            test10: [undefined],
            test11: [undefined],
            test12: [undefined],
            test13: [undefined],
            test14: [undefined],
            test15: [undefined],
            test16: [undefined],
            test17: [undefined],
            test18: [undefined],
            test19: [undefined],
            test20: [undefined],
            test21: [undefined],
            test22: [undefined],
            test23: [undefined],
            test24: [undefined],
            test25: [undefined],
            test26: [undefined],
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoAdvancedFilterConfigs, deps: [{ token: i1$1.FormBuilder }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoAdvancedFilterConfigs }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoAdvancedFilterConfigs, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: i1$1.FormBuilder }] });

class DemoAdvancedFilterComponent {
    constructor(configs) {
        this.configs = configs;
        this.primaryFilters = [];
        this.secondryFilters = [];
        this.primaryFilters = configs.primaryFilters;
        this.secondryFilters = configs.secondryFilters;
    }
    ngOnInit() {
        this.formGroup = this.configs.formGroup;
    }
    searched() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoAdvancedFilterComponent, deps: [{ token: DemoAdvancedFilterConfigs }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoAdvancedFilterComponent, selector: "demo-advanced-filter", providers: [DemoAdvancedFilterConfigs], ngImport: i0, template: "<div style=\"display: flex; justify-content: center; width: 100%;\">\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-table</legend>\r\n    <div style=\"margin: 5rem ;width: 100%;height: 30rem;\">\r\n      <saffron-advanced-filter (searched)=\"searched()\" [formGroup]=\"formGroup\" [primaryFilters]=\"primaryFilters\"\r\n        [secondryFilters]=\"secondryFilters\"></saffron-advanced-filter>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n", styles: [""], dependencies: [{ kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: SaffronAdvancedFilterComponent, selector: "saffron-advanced-filter", inputs: ["formGroup", "primaryFilters", "secondryFilters"], outputs: ["searched"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoAdvancedFilterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'demo-advanced-filter', providers: [DemoAdvancedFilterConfigs], template: "<div style=\"display: flex; justify-content: center; width: 100%;\">\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-table</legend>\r\n    <div style=\"margin: 5rem ;width: 100%;height: 30rem;\">\r\n      <saffron-advanced-filter (searched)=\"searched()\" [formGroup]=\"formGroup\" [primaryFilters]=\"primaryFilters\"\r\n        [secondryFilters]=\"secondryFilters\"></saffron-advanced-filter>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n" }]
        }], ctorParameters: () => [{ type: DemoAdvancedFilterConfigs }] });

class DemoChipsComponent {
    constructor() {
        this.chipList = [
            { id: 1, title: 'شماره حساب' },
            { id: 2, title: 'شناسه ملی' },
            { id: 3, title: 'کد شعبه' },
            { id: 4, title: 'نوع حساب' },
            { id: 5, title: 'کد درخواست' },
        ];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoChipsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoChipsComponent, selector: "demo-chips", ngImport: i0, template: "<p>demo-chips works!</p>,\r\n<saffron-chips [chipList]=\"chipList\"></saffron-chips>", styles: [":host{display:block}\n"], dependencies: [{ kind: "component", type: SaffronChipsComponent, selector: "saffron-chips", inputs: ["chipList"], outputs: ["remove"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoChipsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'demo-chips', template: "<p>demo-chips works!</p>,\r\n<saffron-chips [chipList]=\"chipList\"></saffron-chips>", styles: [":host{display:block}\n"] }]
        }] });

class SaffronFormContainerComponent {
    constructor() {
        this.title = 'جستجو';
        this.icon = 'manage_search';
        this.iconColor = 'blue';
        this.actionButtons = [];
        this.backgroundColor = '#dadde4';
        this.foregroundColor = 'white';
        this.showExpand = true;
        this.isExpanded = true;
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronFormContainerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronFormContainerComponent, isStandalone: true, selector: "saffron-form-container", inputs: { title: "title", icon: "icon", iconColor: "iconColor", template: "template", actionButtons: "actionButtons", backgroundColor: "backgroundColor", foregroundColor: "foregroundColor", showExpand: "showExpand" }, ngImport: i0, template: "<saffron-card-view *ngIf=\"template\" [cardTemplate]=\"myTemplate\" [actionButtons]=\"actionButtons\" [cardColor]=\"backgroundColor\">\r\n</saffron-card-view>\r\n\r\n<h2 *ngIf=\"!template\">\r\n  No_Template_Is_Defined\r\n</h2>\r\n\r\n<ng-template #myTemplate>\r\n  <mat-card-content class=\"form-container-content\" [ngStyle]=\"{'background-color': foregroundColor,'height': '100%','padding': '1.5rem'}\"\r\n    style=\"display: block;\">\r\n    <div style=\"display: flex;flex-direction: row;align-items: center;gap:1rem\">\r\n      <div\r\n        style=\"display: flex ; justify-content: center;align-items: center;background-color: #0c9ff7;border-radius: 2rem;padding: 0.4rem;\">\r\n        <mat-icon style=\"color:white ;\" [innerText]=\"icon\">\r\n        </mat-icon>\r\n      </div>\r\n      <h3 class=\"form-container-title\" [innerText]=\"title\"></h3>\r\n      <div style=\"flex: 1;height: 2px;background-color: #eeeeee;\">\r\n      </div>\r\n      <mat-icon *ngIf=\"showExpand\" (click)=\"isExpanded = !isExpanded\" [ngClass]=\"{'not-expanded': !isExpanded}\"\r\n        class=\"form-container-expand-icon\" [innerText]=\"'expand_more'\"></mat-icon>\r\n    </div>\r\n    <div style=\"padding: 0.5rem;\">\r\n      <ng-container *ngTemplateOutlet=\"template\">\r\n      </ng-container>\r\n    </div>\r\n  </mat-card-content>\r\n</ng-template>", styles: [":host{width:100%;height:100%}.form-container-content{box-shadow:0 1px 3px #0000001a,0 1px 10px -1px #0000001a;border-radius:1rem}.form-container-title{font-family:iransans!important;margin:0}.form-container-expand-icon{color:#b6b6b6;cursor:pointer;transition:all .3s}.not-expanded{transform:rotate(180deg)}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i3$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: SaffronCardViewComponent, selector: "saffron-card-view", inputs: ["cardTemplate", "actionButtons", "cardColor"], outputs: ["actionClicked"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronFormContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-form-container', standalone: true, imports: [CommonModule, FormsModule, MatIconModule, SaffronCardViewComponent], template: "<saffron-card-view *ngIf=\"template\" [cardTemplate]=\"myTemplate\" [actionButtons]=\"actionButtons\" [cardColor]=\"backgroundColor\">\r\n</saffron-card-view>\r\n\r\n<h2 *ngIf=\"!template\">\r\n  No_Template_Is_Defined\r\n</h2>\r\n\r\n<ng-template #myTemplate>\r\n  <mat-card-content class=\"form-container-content\" [ngStyle]=\"{'background-color': foregroundColor,'height': '100%','padding': '1.5rem'}\"\r\n    style=\"display: block;\">\r\n    <div style=\"display: flex;flex-direction: row;align-items: center;gap:1rem\">\r\n      <div\r\n        style=\"display: flex ; justify-content: center;align-items: center;background-color: #0c9ff7;border-radius: 2rem;padding: 0.4rem;\">\r\n        <mat-icon style=\"color:white ;\" [innerText]=\"icon\">\r\n        </mat-icon>\r\n      </div>\r\n      <h3 class=\"form-container-title\" [innerText]=\"title\"></h3>\r\n      <div style=\"flex: 1;height: 2px;background-color: #eeeeee;\">\r\n      </div>\r\n      <mat-icon *ngIf=\"showExpand\" (click)=\"isExpanded = !isExpanded\" [ngClass]=\"{'not-expanded': !isExpanded}\"\r\n        class=\"form-container-expand-icon\" [innerText]=\"'expand_more'\"></mat-icon>\r\n    </div>\r\n    <div style=\"padding: 0.5rem;\">\r\n      <ng-container *ngTemplateOutlet=\"template\">\r\n      </ng-container>\r\n    </div>\r\n  </mat-card-content>\r\n</ng-template>", styles: [":host{width:100%;height:100%}.form-container-content{box-shadow:0 1px 3px #0000001a,0 1px 10px -1px #0000001a;border-radius:1rem}.form-container-title{font-family:iransans!important;margin:0}.form-container-expand-icon{color:#b6b6b6;cursor:pointer;transition:all .3s}.not-expanded{transform:rotate(180deg)}\n"] }]
        }], ctorParameters: () => [], propDecorators: { title: [{
                type: Input
            }], icon: [{
                type: Input
            }], iconColor: [{
                type: Input
            }], template: [{
                type: Input
            }], actionButtons: [{
                type: Input
            }], backgroundColor: [{
                type: Input
            }], foregroundColor: [{
                type: Input
            }], showExpand: [{
                type: Input
            }] } });

class DemoFormContainerComponent {
    constructor(tableConfig) {
        this.tableConfig = tableConfig;
        this.pageSizeOptions = defaultPageSizeOptions;
        this.rows = [];
        this.columns = [];
        this.totalCount = 50;
        this.actionButtons = [
            {
                id: 'dis',
                title: 'غیر فعال',
                color: 'primary',
                disabled: true,
                action: () => {
                    alert('action clicked');
                },
            },
            {
                id: 'action',
                title: 'انجام عملیات',
                color: 'primary',
                action: () => {
                    alert('action clicked');
                },
            },
            {
                id: 'delete',
                title: 'پاک کردن',
                icon: 'delete',
                action: () => {
                    alert('action clicked');
                },
            },
        ];
        this.rows = this.tableConfig.rows;
        this.columns = this.tableConfig.columns;
    }
    ngOnInit() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoFormContainerComponent, deps: [{ token: DemoTableConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoFormContainerComponent, selector: "demo-form-container", providers: [DemoTableConfig], ngImport: i0, template: "<div style=\"display: flex; justify-content: center; width: 100%;\">\r\n  <fieldset appFieldset style=\"background-color: #fafafa\">\r\n    <legend>saffron-form-container</legend>\r\n    <div style=\"margin: 5rem ;width: 100%;height: 30rem;\">\r\n      <saffron-form-container [actionButtons]=\"actionButtons\" [template]=\"template\" [icon]=\"'info'\"\r\n        [title]=\"'\u062A\u0633\u062A'\"></saffron-form-container>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<ng-template #template>\r\n  <div style=\"width: 100%;height: 200px\">\r\n    <h1>Test Form</h1>\r\n  </div>\r\n</ng-template>\r\n\r\n<div style=\"display: flex; justify-content: center; width: 100%;\">\r\n  <fieldset appFieldset style=\"background-color: #fafafa\">\r\n    <legend>saffron-form-container</legend>\r\n    <div style=\"margin: 5rem ;width: 100%;height: 30rem;\">\r\n      <saffron-form-container [actionButtons]=\"actionButtons\" [template]=\"template2\" [icon]=\"'info'\"\r\n        [title]=\"'\u062A\u0633\u062A'\"></saffron-form-container>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<ng-template #template2>\r\n  <div style=\"width: 100%;height: 200px\">\r\n    <saffron-table [rows]=\"rows\" [columns]=\"columns\" [totalCount]=\"totalCount\" [pageSizeOptions]=\"pageSizeOptions\"></saffron-table>\r\n  </div>\r\n</ng-template>\r\n\r\n<div style=\"display: flex; justify-content: center; width: 100%;\">\r\n  <fieldset appFieldset style=\"background-color: #fafafa\">\r\n    <legend>saffron-form-container</legend>\r\n    <div style=\"margin: 5rem ;width: 100%;\">\r\n      <saffron-form-container [actionButtons]=\"actionButtons\" [template]=\"template3\" [icon]=\"'info'\"\r\n        [title]=\"'\u062A\u0633\u062A'\"></saffron-form-container>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<ng-template #template3>\r\n  <saffron-table [rows]=\"rows\" [columns]=\"columns\" [totalCount]=\"totalCount\" [pageSizeOptions]=\"pageSizeOptions\"></saffron-table>\r\n</ng-template>\r\n", styles: [":host{display:flex;flex-direction:column;gap:2rem}\n"], dependencies: [{ kind: "component", type: SaffronFormContainerComponent, selector: "saffron-form-container", inputs: ["title", "icon", "iconColor", "template", "actionButtons", "backgroundColor", "foregroundColor", "showExpand"] }, { kind: "component", type: SaffronTableComponent, selector: "saffron-table", inputs: ["rows", "columns", "totalCount", "pageSize", "pageNumber", "pageSizeOptions", "hideTopPaginator", "hideBottomPaginator", "stickyHeader"], outputs: ["pageEvent", "actionClicked", "sortStateChanged", "dataClicked", "pageSizeChange", "pageNumberChange"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoFormContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'demo-form-container', providers: [DemoTableConfig], template: "<div style=\"display: flex; justify-content: center; width: 100%;\">\r\n  <fieldset appFieldset style=\"background-color: #fafafa\">\r\n    <legend>saffron-form-container</legend>\r\n    <div style=\"margin: 5rem ;width: 100%;height: 30rem;\">\r\n      <saffron-form-container [actionButtons]=\"actionButtons\" [template]=\"template\" [icon]=\"'info'\"\r\n        [title]=\"'\u062A\u0633\u062A'\"></saffron-form-container>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<ng-template #template>\r\n  <div style=\"width: 100%;height: 200px\">\r\n    <h1>Test Form</h1>\r\n  </div>\r\n</ng-template>\r\n\r\n<div style=\"display: flex; justify-content: center; width: 100%;\">\r\n  <fieldset appFieldset style=\"background-color: #fafafa\">\r\n    <legend>saffron-form-container</legend>\r\n    <div style=\"margin: 5rem ;width: 100%;height: 30rem;\">\r\n      <saffron-form-container [actionButtons]=\"actionButtons\" [template]=\"template2\" [icon]=\"'info'\"\r\n        [title]=\"'\u062A\u0633\u062A'\"></saffron-form-container>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<ng-template #template2>\r\n  <div style=\"width: 100%;height: 200px\">\r\n    <saffron-table [rows]=\"rows\" [columns]=\"columns\" [totalCount]=\"totalCount\" [pageSizeOptions]=\"pageSizeOptions\"></saffron-table>\r\n  </div>\r\n</ng-template>\r\n\r\n<div style=\"display: flex; justify-content: center; width: 100%;\">\r\n  <fieldset appFieldset style=\"background-color: #fafafa\">\r\n    <legend>saffron-form-container</legend>\r\n    <div style=\"margin: 5rem ;width: 100%;\">\r\n      <saffron-form-container [actionButtons]=\"actionButtons\" [template]=\"template3\" [icon]=\"'info'\"\r\n        [title]=\"'\u062A\u0633\u062A'\"></saffron-form-container>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<ng-template #template3>\r\n  <saffron-table [rows]=\"rows\" [columns]=\"columns\" [totalCount]=\"totalCount\" [pageSizeOptions]=\"pageSizeOptions\"></saffron-table>\r\n</ng-template>\r\n", styles: [":host{display:flex;flex-direction:column;gap:2rem}\n"] }]
        }], ctorParameters: () => [{ type: DemoTableConfig }] });

class SaffronJsonEditorComponent {
    constructor(chRef) {
        this.chRef = chRef;
        this.controlName = '';
        this.setOptions();
    }
    ngAfterViewInit() {
        if (!this.options) {
            this.setOptions();
        }
        this.chRef.detectChanges();
    }
    setOptions() {
        this.options = new JsonEditorOptions();
        this.options.modes = ['code', 'text', 'tree', 'view'];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronJsonEditorComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronJsonEditorComponent, isStandalone: true, selector: "saffron-json-editor", inputs: { formGroup: "formGroup", controlName: "controlName", options: "options" }, viewQueries: [{ propertyName: "editor", first: true, predicate: JsonEditorComponent, descendants: true }], ngImport: i0, template: "<div [formGroup]=\"formGroup\">\r\n  <json-editor [options]=\"options\" [formControlName]=\"controlName\">\r\n  </json-editor>\r\n</div>\r\n", styles: [".jsoneditor,.jsoneditor-modal{-webkit-text-size-adjust:none;text-size-adjust:none}.jsoneditor input,.jsoneditor input:not([type]),.jsoneditor input[type=search],.jsoneditor input[type=text],.jsoneditor-modal input,.jsoneditor-modal input:not([type]),.jsoneditor-modal input[type=search],.jsoneditor-modal input[type=text]{height:auto;border:inherit;box-shadow:none;font-size:inherit;box-sizing:inherit;padding:inherit;font-family:inherit;transition:none;line-height:inherit}.jsoneditor input:focus,.jsoneditor input:not([type]):focus,.jsoneditor input[type=search]:focus,.jsoneditor input[type=text]:focus,.jsoneditor-modal input:focus,.jsoneditor-modal input:not([type]):focus,.jsoneditor-modal input[type=search]:focus,.jsoneditor-modal input[type=text]:focus{border:inherit;box-shadow:inherit}.jsoneditor textarea,.jsoneditor-modal textarea{height:inherit}.jsoneditor select,.jsoneditor-modal select{display:inherit;height:inherit}.jsoneditor label,.jsoneditor-modal label{font-size:inherit;font-weight:inherit;color:inherit}.jsoneditor table,.jsoneditor-modal table{border-collapse:collapse;width:auto}.jsoneditor td,.jsoneditor th,.jsoneditor-modal td,.jsoneditor-modal th{padding:0;display:table-cell;text-align:left;vertical-align:inherit;border-radius:inherit}.jsoneditor .autocomplete.dropdown{position:absolute;background:#fff;box-shadow:2px 2px 12px #8080804d;border:1px solid #d3d3d3;overflow-x:hidden;overflow-y:auto;cursor:default;margin:0;padding:5px;text-align:left;outline:0;font-family:consolas,menlo,monaco,Ubuntu Mono,source-code-pro,monospace;font-size:14px}.jsoneditor .autocomplete.dropdown .item{color:#1a1a1a}.jsoneditor .autocomplete.dropdown .item.hover{background-color:#ebebeb}.jsoneditor .autocomplete.hint{color:#a1a1a1;top:4px;left:4px}.jsoneditor-contextmenu-root{position:relative;width:0;height:0}.jsoneditor-contextmenu{position:absolute;box-sizing:content-box;z-index:2}.jsoneditor-contextmenu .jsoneditor-menu{position:relative;left:0;top:0;width:128px;height:auto;background:#fff;border:1px solid #d3d3d3;box-shadow:2px 2px 12px #8080804d;list-style:none;margin:0;padding:0}.jsoneditor-contextmenu .jsoneditor-menu button{position:relative;padding:0 8px 0 0;margin:0;width:128px;height:auto;border:none;cursor:pointer;color:#4d4d4d;background:0 0;font-size:14px;font-family:arial,sans-serif;box-sizing:border-box;text-align:left}.jsoneditor-contextmenu .jsoneditor-menu button::-moz-focus-inner{padding:0;border:0}.jsoneditor-contextmenu .jsoneditor-menu button.jsoneditor-default{width:96px}.jsoneditor-contextmenu .jsoneditor-menu button.jsoneditor-expand{float:right;width:32px;height:24px;border-left:1px solid #e5e5e5}.jsoneditor-contextmenu .jsoneditor-menu li{overflow:hidden}.jsoneditor-contextmenu .jsoneditor-menu li ul{display:none;position:relative;left:-10px;top:0;border:none;box-shadow:inset 0 0 10px #80808080;padding:0 10px;-webkit-transition:all .3s ease-out;-moz-transition:all .3s ease-out;-o-transition:all .3s ease-out;transition:all .3s ease-out}.jsoneditor-contextmenu .jsoneditor-menu li ul .jsoneditor-icon{margin-left:24px}.jsoneditor-contextmenu .jsoneditor-menu li ul li button{padding-left:24px;animation:all ease-in-out 1s}.jsoneditor-contextmenu .jsoneditor-menu li button .jsoneditor-expand{position:absolute;top:0;right:0;width:24px;height:24px;padding:0;margin:0 4px 0 0;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:0 -72px}.jsoneditor-contextmenu .jsoneditor-icon{position:absolute;top:0;left:0;width:24px;height:24px;border:none;padding:0;margin:0;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A')}.jsoneditor-contextmenu .jsoneditor-text{padding:4px 0 4px 24px;word-wrap:break-word}.jsoneditor-contextmenu .jsoneditor-text.jsoneditor-right-margin{padding-right:24px}.jsoneditor-contextmenu .jsoneditor-separator{height:0;border-top:1px solid #e5e5e5;padding-top:5px;margin-top:5px}.jsoneditor-contextmenu button.jsoneditor-remove .jsoneditor-icon{background-position:-24px 0}.jsoneditor-contextmenu button.jsoneditor-append .jsoneditor-icon,.jsoneditor-contextmenu button.jsoneditor-insert .jsoneditor-icon{background-position:0 0}.jsoneditor-contextmenu button.jsoneditor-duplicate .jsoneditor-icon{background-position:-48px 0}.jsoneditor-contextmenu button.jsoneditor-sort-asc .jsoneditor-icon{background-position:-168px 0}.jsoneditor-contextmenu button.jsoneditor-sort-desc .jsoneditor-icon{background-position:-192px 0}.jsoneditor-contextmenu button.jsoneditor-transform .jsoneditor-icon{background-position:-216px 0}.jsoneditor-contextmenu button.jsoneditor-extract .jsoneditor-icon{background-position:0 -24px}.jsoneditor-contextmenu button.jsoneditor-type-string .jsoneditor-icon{background-position:-144px 0}.jsoneditor-contextmenu button.jsoneditor-type-auto .jsoneditor-icon{background-position:-120px 0}.jsoneditor-contextmenu button.jsoneditor-type-object .jsoneditor-icon{background-position:-72px 0}.jsoneditor-contextmenu button.jsoneditor-type-array .jsoneditor-icon{background-position:-96px 0}.jsoneditor-contextmenu button.jsoneditor-type-modes .jsoneditor-icon{background-image:none;width:6px}.jsoneditor-contextmenu li,.jsoneditor-contextmenu ul{box-sizing:content-box;position:relative}.jsoneditor-contextmenu .jsoneditor-menu button:focus,.jsoneditor-contextmenu .jsoneditor-menu button:hover{color:#1a1a1a;background-color:#f5f5f5;outline:0}.jsoneditor-contextmenu .jsoneditor-menu li button.jsoneditor-selected,.jsoneditor-contextmenu .jsoneditor-menu li button.jsoneditor-selected:focus,.jsoneditor-contextmenu .jsoneditor-menu li button.jsoneditor-selected:hover{color:#fff;background-color:#ee422e}.jsoneditor-contextmenu .jsoneditor-menu li ul li button:focus,.jsoneditor-contextmenu .jsoneditor-menu li ul li button:hover{background-color:#f5f5f5}.jsoneditor-modal{max-width:95%;border-radius:2px!important;padding:45px 15px 15px!important;box-shadow:2px 2px 12px #8080804d;color:#4d4d4d;line-height:1.3em}.jsoneditor-modal.jsoneditor-modal-transform{width:600px!important}.jsoneditor-modal .pico-modal-header{position:absolute;box-sizing:border-box;top:0;left:0;width:100%;padding:0 10px;height:30px;line-height:30px;font-family:arial,sans-serif;font-size:11pt;background:#3883fa;color:#fff}.jsoneditor-modal table{width:100%}.jsoneditor-modal table td{padding:3px 0}.jsoneditor-modal table td.jsoneditor-modal-input{text-align:right;padding-right:0;white-space:nowrap}.jsoneditor-modal table td.jsoneditor-modal-actions{padding-top:15px}.jsoneditor-modal table th{vertical-align:middle}.jsoneditor-modal p:first-child{margin-top:0}.jsoneditor-modal a{color:#3883fa}.jsoneditor-modal .jsoneditor-jmespath-block{margin-bottom:10px}.jsoneditor-modal .pico-close{background:0 0!important;font-size:24px!important;top:7px!important;right:7px!important;color:#fff}.jsoneditor-modal input{padding:4px}.jsoneditor-modal input[type=text]{cursor:inherit}.jsoneditor-modal input[disabled]{background:#d3d3d3;color:gray}.jsoneditor-modal .jsoneditor-select-wrapper{position:relative;display:inline-block}.jsoneditor-modal .jsoneditor-select-wrapper:after{content:\"\";width:0;height:0;border-left:5px solid transparent;border-right:5px solid transparent;border-top:6px solid #666;position:absolute;right:8px;top:14px;pointer-events:none}.jsoneditor-modal select{padding:3px 24px 3px 10px;min-width:180px;max-width:350px;-webkit-appearance:none;-moz-appearance:none;appearance:none;text-indent:0;text-overflow:\"\";font-size:14px;line-height:1.5em}.jsoneditor-modal select::-ms-expand{display:none}.jsoneditor-modal .jsoneditor-button-group input{padding:4px 10px;margin:0;border-radius:0;border-left-style:none}.jsoneditor-modal .jsoneditor-button-group input.jsoneditor-button-first{border-top-left-radius:3px;border-bottom-left-radius:3px;border-left-style:solid}.jsoneditor-modal .jsoneditor-button-group input.jsoneditor-button-last{border-top-right-radius:3px;border-bottom-right-radius:3px}.jsoneditor-modal .jsoneditor-transform-preview{background:#f5f5f5;height:200px}.jsoneditor-modal .jsoneditor-transform-preview.jsoneditor-error{color:#ee422e}.jsoneditor-modal .jsoneditor-jmespath-wizard{line-height:1.2em;width:100%;padding:0;border-radius:3px}.jsoneditor-modal .jsoneditor-jmespath-label{font-weight:700;color:#1e90ff;margin-top:20px;margin-bottom:5px}.jsoneditor-modal .jsoneditor-jmespath-wizard-table{width:100%;border-collapse:collapse}.jsoneditor-modal .jsoneditor-jmespath-wizard-label{font-style:italic;margin:4px 0 2px}.jsoneditor-modal .jsoneditor-inline{position:relative;display:inline-block;width:100%;padding-top:2px;padding-bottom:2px}.jsoneditor-modal .jsoneditor-inline:not(:last-child){padding-right:2px}.jsoneditor-modal .jsoneditor-jmespath-filter{display:flex;flex-wrap:wrap}.jsoneditor-modal .jsoneditor-jmespath-filter-field{width:180px}.jsoneditor-modal .jsoneditor-jmespath-filter-relation{width:100px}.jsoneditor-modal .jsoneditor-jmespath-filter-value{min-width:180px;flex:1}.jsoneditor-modal .jsoneditor-jmespath-sort-field{width:170px}.jsoneditor-modal .jsoneditor-jmespath-sort-order{width:150px}.jsoneditor-modal .jsoneditor-jmespath-select-fields{width:100%}.jsoneditor-modal .selectr-selected{border-color:#d3d3d3;padding:4px 28px 4px 8px}.jsoneditor-modal .selectr-selected .selectr-tag{background-color:#3883fa;border-radius:5px}.jsoneditor-modal table td,.jsoneditor-modal table th{text-align:left;vertical-align:middle;font-weight:400;color:#4d4d4d;border-spacing:0;border-collapse:collapse}.jsoneditor-modal #query,.jsoneditor-modal input,.jsoneditor-modal input[type=text],.jsoneditor-modal input[type=text]:focus,.jsoneditor-modal select,.jsoneditor-modal textarea{background:#fff;border:1px solid #d3d3d3;color:#4d4d4d;border-radius:3px;padding:4px}.jsoneditor-modal #query,.jsoneditor-modal textarea{border-radius:unset}.jsoneditor-modal,.jsoneditor-modal #query,.jsoneditor-modal input,.jsoneditor-modal input[type=text],.jsoneditor-modal option,.jsoneditor-modal select,.jsoneditor-modal table td,.jsoneditor-modal table th,.jsoneditor-modal textarea{font-size:10.5pt;font-family:arial,sans-serif}.jsoneditor-modal #query,.jsoneditor-modal .jsoneditor-transform-preview{font-family:consolas,menlo,monaco,Ubuntu Mono,source-code-pro,monospace;font-size:14px;width:100%;box-sizing:border-box}.jsoneditor-modal input[type=button],.jsoneditor-modal input[type=submit]{background:#f5f5f5;padding:4px 20px}.jsoneditor-modal input,.jsoneditor-modal select{cursor:pointer}.jsoneditor-modal .jsoneditor-button-group.jsoneditor-button-group-value-asc input.jsoneditor-button-asc,.jsoneditor-modal .jsoneditor-button-group.jsoneditor-button-group-value-desc input.jsoneditor-button-desc{background:#3883fa;border-color:#3883fa;color:#fff}.jsoneditor{color:#1a1a1a;border:thin solid #3883fa;-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box;width:100%;height:100%;position:relative;padding:0;line-height:100%}a.jsoneditor-value,div.jsoneditor-default,div.jsoneditor-field,div.jsoneditor-readonly,div.jsoneditor-value{border:1px solid transparent;min-height:16px;min-width:32px;line-height:16px;padding:2px;margin:1px;word-wrap:break-word;word-break:break-word;overflow-wrap:break-word;float:left}div.jsoneditor-field p,div.jsoneditor-value p{margin:0}div.jsoneditor-value.jsoneditor-empty:after{content:\"value\"}div.jsoneditor-value.jsoneditor-string{color:#006000}div.jsoneditor-value.jsoneditor-number{color:#ee422e}div.jsoneditor-value.jsoneditor-boolean{color:#ff8c00}div.jsoneditor-value.jsoneditor-null{color:#004ed0}div.jsoneditor-value.jsoneditor-color-value,div.jsoneditor-value.jsoneditor-invalid{color:#1a1a1a}div.jsoneditor-readonly{min-width:16px;color:gray}div.jsoneditor-empty{border-color:#d3d3d3;border-style:dashed;border-radius:2px}div.jsoneditor-field.jsoneditor-empty:after{content:\"field\"}div.jsoneditor td{vertical-align:top}div.jsoneditor td.jsoneditor-separator{padding:3px 0;vertical-align:top;color:gray}div.jsoneditor td.jsoneditor-tree{vertical-align:top}div.jsoneditor.busy pre.jsoneditor-preview{background:#f5f5f5;color:gray}div.jsoneditor.busy div.jsoneditor-busy{display:inherit}div.jsoneditor code.jsoneditor-preview{background:0 0}div.jsoneditor.jsoneditor-mode-preview pre.jsoneditor-preview{width:100%;height:100%;box-sizing:border-box;overflow:auto;padding:2px;margin:0;white-space:pre-wrap;word-break:break-all}div.jsoneditor-default{color:gray;padding-left:10px}div.jsoneditor-tree{width:100%;height:100%;position:relative;overflow:auto;background:#fff}div.jsoneditor-tree button.jsoneditor-button{width:24px;height:24px;padding:0;margin:0;border:none;cursor:pointer;background-color:transparent;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A')}div.jsoneditor-tree button.jsoneditor-button:focus{background-color:#f5f5f5;outline:#e5e5e5 solid 1px}div.jsoneditor-tree button.jsoneditor-collapsed{background-position:0 -48px}div.jsoneditor-tree button.jsoneditor-expanded{background-position:0 -72px}div.jsoneditor-tree button.jsoneditor-contextmenu-button{background-position:-48px -72px}div.jsoneditor-tree button.jsoneditor-invisible{visibility:hidden;background:0 0}div.jsoneditor-tree button.jsoneditor-dragarea{background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:-72px -72px;cursor:move}div.jsoneditor-tree :focus{outline:0}div.jsoneditor-tree div.jsoneditor-show-more{display:inline-block;padding:3px 4px;margin:2px 0;background-color:#e5e5e5;border-radius:3px;color:gray;font-family:arial,sans-serif;font-size:14px}div.jsoneditor-tree div.jsoneditor-show-more a{display:inline-block;color:gray}div.jsoneditor-tree div.jsoneditor-color{display:inline-block;width:12px;height:12px;margin:4px;border:1px solid grey;cursor:pointer}div.jsoneditor-tree div.jsoneditor-color.jsoneditor-color-readonly{cursor:inherit}div.jsoneditor-tree div.jsoneditor-date{background:#a1a1a1;color:#fff;font-family:arial,sans-serif;border-radius:3px;display:inline-block;padding:3px;margin:0 3px}div.jsoneditor-tree table.jsoneditor-tree{border-collapse:collapse;border-spacing:0;width:100%}div.jsoneditor-tree .jsoneditor-button{display:block}div.jsoneditor-tree .jsoneditor-button.jsoneditor-schema-error{width:24px;height:24px;padding:0;margin:0 4px 0 0;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:-168px -48px;background-color:transparent}div.jsoneditor-outer{position:static;width:100%;height:100%;margin:0;padding:0;-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box}div.jsoneditor-outer.has-nav-bar{margin-top:-26px;padding-top:26px}div.jsoneditor-outer.has-nav-bar.has-main-menu-bar{margin-top:-61px;padding-top:61px}div.jsoneditor-outer.has-status-bar{margin-bottom:-26px;padding-bottom:26px}div.jsoneditor-outer.has-main-menu-bar{margin-top:-35px;padding-top:35px}div.jsoneditor-busy{position:absolute;top:15%;left:0;box-sizing:border-box;width:100%;text-align:center;display:none}div.jsoneditor-busy span{background-color:#ffffab;border:1px solid #fe0;border-radius:3px;padding:5px 15px;box-shadow:0 0 5px #0006}div.jsoneditor-field.jsoneditor-empty:after,div.jsoneditor-value.jsoneditor-empty:after{pointer-events:none;color:#d3d3d3;font-size:8pt}a.jsoneditor-value.jsoneditor-url,div.jsoneditor-value.jsoneditor-url{color:#006000;text-decoration:underline}a.jsoneditor-value.jsoneditor-url{display:inline-block;padding:2px;margin:2px}a.jsoneditor-value.jsoneditor-url:focus,a.jsoneditor-value.jsoneditor-url:hover{color:#ee422e}div.jsoneditor-field.jsoneditor-highlight,div.jsoneditor-field[contenteditable=true]:focus,div.jsoneditor-field[contenteditable=true]:hover,div.jsoneditor-value.jsoneditor-highlight,div.jsoneditor-value[contenteditable=true]:focus,div.jsoneditor-value[contenteditable=true]:hover{background-color:#ffffab;border:1px solid #fe0;border-radius:2px}div.jsoneditor-field.jsoneditor-highlight-active,div.jsoneditor-field.jsoneditor-highlight-active:focus,div.jsoneditor-field.jsoneditor-highlight-active:hover,div.jsoneditor-value.jsoneditor-highlight-active,div.jsoneditor-value.jsoneditor-highlight-active:focus,div.jsoneditor-value.jsoneditor-highlight-active:hover{background-color:#fe0;border:1px solid #ffc700;border-radius:2px}div.jsoneditor-value.jsoneditor-array,div.jsoneditor-value.jsoneditor-object{min-width:16px}div.jsoneditor-tree button.jsoneditor-contextmenu-button.jsoneditor-selected,div.jsoneditor-tree button.jsoneditor-contextmenu-button:focus,div.jsoneditor-tree button.jsoneditor-contextmenu-button:hover,tr.jsoneditor-selected.jsoneditor-first button.jsoneditor-contextmenu-button{background-position:-48px -48px}div.jsoneditor-tree div.jsoneditor-show-more a:focus,div.jsoneditor-tree div.jsoneditor-show-more a:hover{color:#ee422e}.ace-jsoneditor,textarea.jsoneditor-text{min-height:150px}.ace-jsoneditor.ace_editor,textarea.jsoneditor-text.ace_editor{font-family:consolas,menlo,monaco,Ubuntu Mono,source-code-pro,monospace}textarea.jsoneditor-text{width:100%;height:100%;margin:0;-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box;outline-width:0;border:none;background-color:#fff;resize:none}tr.jsoneditor-highlight,tr.jsoneditor-selected{background-color:#d3d3d3}tr.jsoneditor-selected button.jsoneditor-contextmenu-button,tr.jsoneditor-selected button.jsoneditor-dragarea{visibility:hidden}tr.jsoneditor-selected.jsoneditor-first button.jsoneditor-contextmenu-button,tr.jsoneditor-selected.jsoneditor-first button.jsoneditor-dragarea{visibility:visible}div.jsoneditor-tree button.jsoneditor-dragarea:focus,div.jsoneditor-tree button.jsoneditor-dragarea:hover,tr.jsoneditor-selected.jsoneditor-first button.jsoneditor-dragarea{background-position:-72px -48px}div.jsoneditor td,div.jsoneditor th,div.jsoneditor tr{padding:0;margin:0}.jsoneditor-popover,.jsoneditor-schema-error,div.jsoneditor td,div.jsoneditor textarea,div.jsoneditor th,div.jsoneditor-field,div.jsoneditor-value,pre.jsoneditor-preview{font-family:consolas,menlo,monaco,Ubuntu Mono,source-code-pro,monospace;font-size:14px;color:#1a1a1a}.jsoneditor-schema-error{cursor:default;display:inline-block;height:24px;line-height:24px;position:relative;text-align:center;width:24px}.jsoneditor-popover{background-color:#4c4c4c;border-radius:3px;box-shadow:0 0 5px #0006;color:#fff;padding:7px 10px;position:absolute;cursor:auto;width:200px}.jsoneditor-popover.jsoneditor-above{bottom:32px;left:-98px}.jsoneditor-popover.jsoneditor-above:before{border-top:7px solid #4c4c4c;bottom:-7px}.jsoneditor-popover.jsoneditor-below{top:32px;left:-98px}.jsoneditor-popover.jsoneditor-below:before{border-bottom:7px solid #4c4c4c;top:-7px}.jsoneditor-popover.jsoneditor-left{top:-7px;right:32px}.jsoneditor-popover.jsoneditor-left:before{border-left:7px solid #4c4c4c;border-top:7px solid transparent;border-bottom:7px solid transparent;content:\"\";top:19px;right:-14px;left:inherit;margin-left:inherit;margin-top:-7px;position:absolute}.jsoneditor-popover.jsoneditor-right{top:-7px;left:32px}.jsoneditor-popover.jsoneditor-right:before{border-right:7px solid #4c4c4c;border-top:7px solid transparent;border-bottom:7px solid transparent;content:\"\";top:19px;left:-14px;margin-left:inherit;margin-top:-7px;position:absolute}.jsoneditor-popover:before{border-right:7px solid transparent;border-left:7px solid transparent;content:\"\";display:block;left:50%;margin-left:-7px;position:absolute}.jsoneditor-text-errors tr.jump-to-line:hover{text-decoration:underline;cursor:pointer}.jsoneditor-schema-error:focus .jsoneditor-popover,.jsoneditor-schema-error:hover .jsoneditor-popover{display:block;animation:fade-in .3s linear 1,move-up .3s linear 1}@keyframes fade-in{0%{opacity:0}to{opacity:1}}.jsoneditor .jsoneditor-validation-errors-container{max-height:130px;overflow-y:auto}.jsoneditor .jsoneditor-validation-errors{width:100%;overflow:hidden}.jsoneditor .jsoneditor-additional-errors{position:absolute;margin:auto;bottom:31px;left:calc(50% - 92px);color:gray;background-color:#ebebeb;padding:7px 15px;border-radius:8px}.jsoneditor .jsoneditor-additional-errors.visible{visibility:visible;opacity:1;transition:opacity 2s linear}.jsoneditor .jsoneditor-additional-errors.hidden{visibility:hidden;opacity:0;transition:visibility 0s 2s,opacity 2s linear}.jsoneditor .jsoneditor-text-errors{width:100%;border-collapse:collapse;border-top:1px solid #ffc700}.jsoneditor .jsoneditor-text-errors td{padding:3px 6px;vertical-align:middle}.jsoneditor .jsoneditor-text-errors td pre{margin:0;white-space:pre-wrap}.jsoneditor .jsoneditor-text-errors tr{background-color:#ffffab}.jsoneditor .jsoneditor-text-errors tr.parse-error{background-color:#ee2e2e70}.jsoneditor-text-errors .jsoneditor-schema-error{border:none;width:24px;height:24px;padding:0;margin:0 4px 0 0;cursor:pointer}.jsoneditor-text-errors tr .jsoneditor-schema-error{background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:-168px -48px;background-color:transparent}.jsoneditor-text-errors tr.parse-error .jsoneditor-schema-error{background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:-25px 0;background-color:transparent}.jsoneditor-anchor{cursor:pointer}.jsoneditor-anchor .picker_wrapper.popup.popup_bottom{top:28px;left:-10px}.fadein{-webkit-animation:fadein .3s;animation:fadein .3s;-moz-animation:fadein .3s;-o-animation:fadein .3s}@keyframes fadein{0%{opacity:0}to{opacity:1}}.jsoneditor-modal input[type=search].selectr-input{border:1px solid #d3d3d3;width:calc(100% - 4px);margin:2px;padding:4px;box-sizing:border-box}.jsoneditor-modal button.selectr-input-clear{right:8px}.jsoneditor-menu{width:100%;height:35px;padding:2px;margin:0;-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box;color:#fff;background-color:#3883fa;border-bottom:1px solid #3883fa}.jsoneditor-menu>.jsoneditor-modes>button,.jsoneditor-menu>button{width:26px;height:26px;margin:2px;padding:0;border-radius:2px;border:1px solid transparent;background-color:transparent;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');color:#fff;opacity:.8;font-family:arial,sans-serif;font-size:14px;float:left}.jsoneditor-menu>.jsoneditor-modes>button:hover,.jsoneditor-menu>button:hover{background-color:#fff3;border:1px solid rgba(255,255,255,.4)}.jsoneditor-menu>.jsoneditor-modes>button:active,.jsoneditor-menu>.jsoneditor-modes>button:focus,.jsoneditor-menu>button:active,.jsoneditor-menu>button:focus{background-color:#ffffff4d}.jsoneditor-menu>.jsoneditor-modes>button:disabled,.jsoneditor-menu>button:disabled{opacity:.5;background-color:transparent;border:none}.jsoneditor-menu>button.jsoneditor-collapse-all{background-position:0 -96px}.jsoneditor-menu>button.jsoneditor-expand-all{background-position:0 -120px}.jsoneditor-menu>button.jsoneditor-sort{background-position:-120px -96px}.jsoneditor-menu>button.jsoneditor-transform{background-position:-144px -96px}.jsoneditor.jsoneditor-mode-form>.jsoneditor-menu>button.jsoneditor-sort,.jsoneditor.jsoneditor-mode-form>.jsoneditor-menu>button.jsoneditor-transform,.jsoneditor.jsoneditor-mode-view>.jsoneditor-menu>button.jsoneditor-sort,.jsoneditor.jsoneditor-mode-view>.jsoneditor-menu>button.jsoneditor-transform{display:none}.jsoneditor-menu>button.jsoneditor-undo{background-position:-24px -96px}.jsoneditor-menu>button.jsoneditor-undo:disabled{background-position:-24px -120px}.jsoneditor-menu>button.jsoneditor-redo{background-position:-48px -96px}.jsoneditor-menu>button.jsoneditor-redo:disabled{background-position:-48px -120px}.jsoneditor-menu>button.jsoneditor-compact{background-position:-72px -96px}.jsoneditor-menu>button.jsoneditor-format{background-position:-72px -120px}.jsoneditor-menu>button.jsoneditor-repair{background-position:-96px -96px}.jsoneditor-menu>.jsoneditor-modes{display:inline-block;float:left}.jsoneditor-menu>.jsoneditor-modes>button{background-image:none;width:auto;padding-left:6px;padding-right:6px}.jsoneditor-menu>.jsoneditor-modes>button.jsoneditor-separator,.jsoneditor-menu>button.jsoneditor-separator{margin-left:10px}.jsoneditor-menu a{font-family:arial,sans-serif;font-size:14px;color:#fff;opacity:.8;vertical-align:middle}.jsoneditor-menu a:hover{opacity:1}.jsoneditor-menu a.jsoneditor-poweredBy{font-size:8pt;position:absolute;right:0;top:0;padding:10px}.jsoneditor-navigation-bar{width:100%;height:26px;line-height:26px;padding:0;margin:0;border-bottom:1px solid #d3d3d3;-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box;color:gray;background-color:#ebebeb;overflow:hidden;font-family:arial,sans-serif;font-size:14px}.jsoneditor-search{font-family:arial,sans-serif;position:absolute;right:4px;top:4px;border-collapse:collapse;border-spacing:0;display:flex}.jsoneditor-search input{color:#1a1a1a;width:120px;border:none;outline:0;margin:1px;line-height:20px;font-family:arial,sans-serif}.jsoneditor-search button{width:16px;height:24px;padding:0;margin:0;border:none;background:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');vertical-align:top}.jsoneditor-search button:hover{background-color:transparent}.jsoneditor-search button.jsoneditor-refresh{width:18px;background-position:-99px -73px}.jsoneditor-search button.jsoneditor-next{cursor:pointer;background-position:-124px -73px}.jsoneditor-search button.jsoneditor-next:hover{background-position:-124px -49px}.jsoneditor-search button.jsoneditor-previous{cursor:pointer;background-position:-148px -73px;margin-right:2px}.jsoneditor-search button.jsoneditor-previous:hover{background-position:-148px -49px}.jsoneditor-results{font-family:arial,sans-serif;color:#fff;padding-right:5px;line-height:26px}.jsoneditor-frame{border:1px solid transparent;background-color:#fff;padding:0 2px;margin:0}.jsoneditor-statusbar{line-height:26px;height:26px;color:gray;background-color:#ebebeb;border-top:1px solid #d3d3d3;-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box;font-size:14px}.jsoneditor-statusbar>.jsoneditor-curserinfo-val{margin-right:12px}.jsoneditor-statusbar>.jsoneditor-curserinfo-count{margin-left:4px}.jsoneditor-statusbar>.jsoneditor-validation-error-icon{float:right;width:24px;height:24px;padding:0;margin-top:1px;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:-168px -48px;cursor:pointer}.jsoneditor-statusbar>.jsoneditor-validation-error-count{float:right;margin:0 4px 0 0;cursor:pointer}.jsoneditor-statusbar>.jsoneditor-parse-error-icon{float:right;width:24px;height:24px;padding:0;margin:1px;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:-25px 0}.jsoneditor-statusbar .jsoneditor-array-info a{color:inherit}div.jsoneditor-statusbar>.jsoneditor-curserinfo-label,div.jsoneditor-statusbar>.jsoneditor-size-info{margin:0 4px}.jsoneditor-treepath{padding:0 5px;overflow:hidden;white-space:nowrap;outline:0}.jsoneditor-treepath.show-all{word-wrap:break-word;white-space:normal;position:absolute;background-color:#ebebeb;z-index:1;box-shadow:2px 2px 12px #8080804d}.jsoneditor-treepath.show-all span.jsoneditor-treepath-show-all-btn{display:none}.jsoneditor-treepath div.jsoneditor-contextmenu-root{position:absolute;left:0}.jsoneditor-treepath .jsoneditor-treepath-show-all-btn{position:absolute;background-color:#ebebeb;left:0;height:20px;padding:0 3px;cursor:pointer}.jsoneditor-treepath .jsoneditor-treepath-element{margin:1px;font-family:arial,sans-serif;font-size:14px}.jsoneditor-treepath .jsoneditor-treepath-seperator{margin:2px;font-size:9pt;font-family:arial,sans-serif}.jsoneditor-treepath span.jsoneditor-treepath-element:hover,.jsoneditor-treepath span.jsoneditor-treepath-seperator:hover{cursor:pointer;text-decoration:underline}.selectr-container{position:relative}.selectr-container li{list-style:none}.selectr-hidden{position:absolute;overflow:hidden;clip:rect(0,0,0,0);width:1px;height:1px;margin:-1px;padding:0;border:0 none}.selectr-visible{position:absolute;left:0;top:0;width:100%;height:100%;opacity:0;z-index:11}.selectr-desktop.multiple .selectr-visible{display:none}.selectr-desktop.multiple.native-open .selectr-visible{top:100%;min-height:200px!important;height:auto;opacity:1;display:block}.selectr-container.multiple.selectr-mobile .selectr-selected{z-index:0}.selectr-selected{position:relative;z-index:1;box-sizing:border-box;width:100%;padding:7px 28px 7px 14px;cursor:pointer;border:1px solid #999;border-radius:3px;background-color:#fff}.selectr-selected:before{position:absolute;top:50%;right:10px;width:0;height:0;content:\"\";-o-transform:rotate(0) translate3d(0,-50%,0);-ms-transform:rotate(0) translate3d(0,-50%,0);-moz-transform:rotate(0) translate3d(0,-50%,0);-webkit-transform:rotate(0) translate3d(0,-50%,0);transform:rotate(0) translate3d(0,-50%,0);border-width:4px 4px 0 4px;border-style:solid;border-color:#6c7a86 transparent transparent}.selectr-container.native-open .selectr-selected:before,.selectr-container.open .selectr-selected:before{border-width:0 4px 4px 4px;border-style:solid;border-color:transparent transparent #6c7a86}.selectr-label{display:none;overflow:hidden;width:100%;white-space:nowrap;text-overflow:ellipsis}.selectr-placeholder{color:#6c7a86}.selectr-tags{margin:0;padding:0;white-space:normal}.has-selected .selectr-tags{margin:0 0 -2px}.selectr-tag{list-style:none;position:relative;float:left;padding:2px 25px 2px 8px;margin:0 2px 2px 0;cursor:default;color:#fff;border:medium none;border-radius:10px;background:#acb7bf none repeat scroll 0 0}.selectr-container.multiple.has-selected .selectr-selected{padding:5px 28px 5px 5px}.selectr-options-container{position:absolute;z-index:10000;top:calc(100% - 1px);left:0;display:none;box-sizing:border-box;width:100%;border-width:0 1px 1px;border-style:solid;border-color:transparent #999 #999;border-radius:0 0 3px 3px;background-color:#fff}.selectr-container.open .selectr-options-container{display:block}.selectr-input-container{position:relative;display:none}.selectr-clear,.selectr-input-clear,.selectr-tag-remove{position:absolute;top:50%;right:22px;width:20px;height:20px;padding:0;cursor:pointer;-o-transform:translate3d(0,-50%,0);-ms-transform:translate3d(0,-50%,0);-moz-transform:translate3d(0,-50%,0);-webkit-transform:translate3d(0,-50%,0);transform:translate3d(0,-50%,0);border:medium none;background-color:transparent;z-index:11}.selectr-clear,.selectr-input-clear{display:none}.selectr-container.has-selected .selectr-clear,.selectr-input-container.active .selectr-input-clear{display:block}.selectr-selected .selectr-tag-remove{right:2px}.selectr-clear:after,.selectr-clear:before,.selectr-input-clear:after,.selectr-input-clear:before,.selectr-tag-remove:after,.selectr-tag-remove:before{position:absolute;top:5px;left:9px;width:2px;height:10px;content:\" \";background-color:#6c7a86}.selectr-tag-remove:after,.selectr-tag-remove:before{top:4px;width:3px;height:12px;background-color:#fff}.selectr-clear:before,.selectr-input-clear:before,.selectr-tag-remove:before{-o-transform:rotate(45deg);-ms-transform:rotate(45deg);-moz-transform:rotate(45deg);-webkit-transform:rotate(45deg);transform:rotate(45deg)}.selectr-clear:after,.selectr-input-clear:after,.selectr-tag-remove:after{-o-transform:rotate(-45deg);-ms-transform:rotate(-45deg);-moz-transform:rotate(-45deg);-webkit-transform:rotate(-45deg);transform:rotate(-45deg)}.selectr-input-container.active,.selectr-input-container.active .selectr-clear{display:block}.selectr-input{top:5px;left:5px;box-sizing:border-box;width:calc(100% - 30px);margin:10px 15px;padding:7px 30px 7px 9px;border:1px solid #999;border-radius:3px}.selectr-notice{display:none;box-sizing:border-box;width:100%;padding:8px 16px;border-top:1px solid #999;border-radius:0 0 3px 3px;background-color:#fff}.selectr-container.notice .selectr-notice{display:block}.selectr-container.notice .selectr-selected{border-radius:3px 3px 0 0}.selectr-options{position:relative;top:calc(100% + 2px);display:none;overflow-x:auto;overflow-y:scroll;max-height:200px;margin:0;padding:0}.selectr-container.notice .selectr-options-container,.selectr-container.open .selectr-input-container,.selectr-container.open .selectr-options{display:block}.selectr-option{position:relative;display:block;padding:5px 20px;list-style:outside none none;cursor:pointer;font-weight:400}.selectr-options.optgroups>.selectr-option{padding-left:25px}.selectr-optgroup{font-weight:700;padding:0}.selectr-optgroup--label{font-weight:700;margin-top:10px;padding:5px 15px}.selectr-match{text-decoration:underline}.selectr-option.selected{background-color:#ddd}.selectr-option.active{color:#fff;background-color:#5897fb}.selectr-option.disabled{opacity:.4}.selectr-option.excluded{display:none}.selectr-container.open .selectr-selected{border-color:#999 #999 transparent #999;border-radius:3px 3px 0 0}.selectr-container.open .selectr-selected:after{-o-transform:rotate(180deg) translate3d(0,50%,0);-ms-transform:rotate(180deg) translate3d(0,50%,0);-moz-transform:rotate(180deg) translate3d(0,50%,0);-webkit-transform:rotate(180deg) translate3d(0,50%,0);transform:rotate(180deg) translate3d(0,50%,0)}.selectr-disabled{opacity:.6}.has-selected .selectr-placeholder,.selectr-empty{display:none}.has-selected .selectr-label{display:block}.taggable .selectr-selected{padding:4px 28px 4px 4px}.taggable .selectr-selected:after{display:table;content:\" \";clear:both}.taggable .selectr-label{width:auto}.taggable .selectr-tags{float:left;display:block}.taggable .selectr-placeholder{display:none}.input-tag{float:left;min-width:90px;width:auto}.selectr-tag-input{border:medium none;padding:3px 10px;width:100%;font-family:inherit;font-weight:inherit;font-size:inherit}.selectr-input-container.loading:after{position:absolute;top:50%;right:20px;width:20px;height:20px;content:\"\";-o-transform:translate3d(0,-50%,0);-ms-transform:translate3d(0,-50%,0);-moz-transform:translate3d(0,-50%,0);-webkit-transform:translate3d(0,-50%,0);transform:translate3d(0,-50%,0);-o-transform-origin:50% 0 0;-ms-transform-origin:50% 0 0;-moz-transform-origin:50% 0 0;-webkit-transform-origin:50% 0 0;transform-origin:50% 0 0;-moz-animation:.5s linear 0s normal forwards infinite running selectr-spin;-webkit-animation:.5s linear 0s normal forwards infinite running selectr-spin;animation:.5s linear 0s normal forwards infinite running selectr-spin;border-width:3px;border-style:solid;border-color:#aaa #ddd #ddd;border-radius:50%}@-webkit-keyframes selectr-spin{0%{-webkit-transform:rotate(0) translate3d(0,-50%,0);transform:rotate(0) translate3d(0,-50%,0)}to{-webkit-transform:rotate(360deg) translate3d(0,-50%,0);transform:rotate(360deg) translate3d(0,-50%,0)}}@keyframes selectr-spin{0%{-webkit-transform:rotate(0) translate3d(0,-50%,0);transform:rotate(0) translate3d(0,-50%,0)}to{-webkit-transform:rotate(360deg) translate3d(0,-50%,0);transform:rotate(360deg) translate3d(0,-50%,0)}}.selectr-container.open.inverted .selectr-selected{border-color:transparent #999 #999;border-radius:0 0 3px 3px}.selectr-container.inverted .selectr-options-container{border-width:1px 1px 0;border-color:#999 #999 transparent;border-radius:3px 3px 0 0;background-color:#fff}.selectr-container.inverted .selectr-options-container{top:auto;bottom:calc(100% - 1px)}.selectr-container ::-webkit-input-placeholder{color:#6c7a86;opacity:1}.selectr-container ::-moz-placeholder{color:#6c7a86;opacity:1}.selectr-container :-ms-input-placeholder{color:#6c7a86;opacity:1}.selectr-container ::placeholder{color:#6c7a86;opacity:1}:host{width:100%}\n/*! Bundled license information:\n\njsoneditor/dist/jsoneditor.min.css:\n  (*!\n  * Selectr 2.4.13\n  * http://mobius.ovh/docs/selectr\n  *\n  * Released under the MIT license\n  *)\n*/\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: NgJsonEditorModule }, { kind: "component", type: i2$4.JsonEditorComponent, selector: "json-editor", inputs: ["options", "debug", "data"], outputs: ["change", "jsonChange"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronJsonEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-json-editor', encapsulation: ViewEncapsulation.None, standalone: true, imports: [CommonModule, FormsModule, NgJsonEditorModule, ReactiveFormsModule], template: "<div [formGroup]=\"formGroup\">\r\n  <json-editor [options]=\"options\" [formControlName]=\"controlName\">\r\n  </json-editor>\r\n</div>\r\n", styles: [".jsoneditor,.jsoneditor-modal{-webkit-text-size-adjust:none;text-size-adjust:none}.jsoneditor input,.jsoneditor input:not([type]),.jsoneditor input[type=search],.jsoneditor input[type=text],.jsoneditor-modal input,.jsoneditor-modal input:not([type]),.jsoneditor-modal input[type=search],.jsoneditor-modal input[type=text]{height:auto;border:inherit;box-shadow:none;font-size:inherit;box-sizing:inherit;padding:inherit;font-family:inherit;transition:none;line-height:inherit}.jsoneditor input:focus,.jsoneditor input:not([type]):focus,.jsoneditor input[type=search]:focus,.jsoneditor input[type=text]:focus,.jsoneditor-modal input:focus,.jsoneditor-modal input:not([type]):focus,.jsoneditor-modal input[type=search]:focus,.jsoneditor-modal input[type=text]:focus{border:inherit;box-shadow:inherit}.jsoneditor textarea,.jsoneditor-modal textarea{height:inherit}.jsoneditor select,.jsoneditor-modal select{display:inherit;height:inherit}.jsoneditor label,.jsoneditor-modal label{font-size:inherit;font-weight:inherit;color:inherit}.jsoneditor table,.jsoneditor-modal table{border-collapse:collapse;width:auto}.jsoneditor td,.jsoneditor th,.jsoneditor-modal td,.jsoneditor-modal th{padding:0;display:table-cell;text-align:left;vertical-align:inherit;border-radius:inherit}.jsoneditor .autocomplete.dropdown{position:absolute;background:#fff;box-shadow:2px 2px 12px #8080804d;border:1px solid #d3d3d3;overflow-x:hidden;overflow-y:auto;cursor:default;margin:0;padding:5px;text-align:left;outline:0;font-family:consolas,menlo,monaco,Ubuntu Mono,source-code-pro,monospace;font-size:14px}.jsoneditor .autocomplete.dropdown .item{color:#1a1a1a}.jsoneditor .autocomplete.dropdown .item.hover{background-color:#ebebeb}.jsoneditor .autocomplete.hint{color:#a1a1a1;top:4px;left:4px}.jsoneditor-contextmenu-root{position:relative;width:0;height:0}.jsoneditor-contextmenu{position:absolute;box-sizing:content-box;z-index:2}.jsoneditor-contextmenu .jsoneditor-menu{position:relative;left:0;top:0;width:128px;height:auto;background:#fff;border:1px solid #d3d3d3;box-shadow:2px 2px 12px #8080804d;list-style:none;margin:0;padding:0}.jsoneditor-contextmenu .jsoneditor-menu button{position:relative;padding:0 8px 0 0;margin:0;width:128px;height:auto;border:none;cursor:pointer;color:#4d4d4d;background:0 0;font-size:14px;font-family:arial,sans-serif;box-sizing:border-box;text-align:left}.jsoneditor-contextmenu .jsoneditor-menu button::-moz-focus-inner{padding:0;border:0}.jsoneditor-contextmenu .jsoneditor-menu button.jsoneditor-default{width:96px}.jsoneditor-contextmenu .jsoneditor-menu button.jsoneditor-expand{float:right;width:32px;height:24px;border-left:1px solid #e5e5e5}.jsoneditor-contextmenu .jsoneditor-menu li{overflow:hidden}.jsoneditor-contextmenu .jsoneditor-menu li ul{display:none;position:relative;left:-10px;top:0;border:none;box-shadow:inset 0 0 10px #80808080;padding:0 10px;-webkit-transition:all .3s ease-out;-moz-transition:all .3s ease-out;-o-transition:all .3s ease-out;transition:all .3s ease-out}.jsoneditor-contextmenu .jsoneditor-menu li ul .jsoneditor-icon{margin-left:24px}.jsoneditor-contextmenu .jsoneditor-menu li ul li button{padding-left:24px;animation:all ease-in-out 1s}.jsoneditor-contextmenu .jsoneditor-menu li button .jsoneditor-expand{position:absolute;top:0;right:0;width:24px;height:24px;padding:0;margin:0 4px 0 0;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:0 -72px}.jsoneditor-contextmenu .jsoneditor-icon{position:absolute;top:0;left:0;width:24px;height:24px;border:none;padding:0;margin:0;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A')}.jsoneditor-contextmenu .jsoneditor-text{padding:4px 0 4px 24px;word-wrap:break-word}.jsoneditor-contextmenu .jsoneditor-text.jsoneditor-right-margin{padding-right:24px}.jsoneditor-contextmenu .jsoneditor-separator{height:0;border-top:1px solid #e5e5e5;padding-top:5px;margin-top:5px}.jsoneditor-contextmenu button.jsoneditor-remove .jsoneditor-icon{background-position:-24px 0}.jsoneditor-contextmenu button.jsoneditor-append .jsoneditor-icon,.jsoneditor-contextmenu button.jsoneditor-insert .jsoneditor-icon{background-position:0 0}.jsoneditor-contextmenu button.jsoneditor-duplicate .jsoneditor-icon{background-position:-48px 0}.jsoneditor-contextmenu button.jsoneditor-sort-asc .jsoneditor-icon{background-position:-168px 0}.jsoneditor-contextmenu button.jsoneditor-sort-desc .jsoneditor-icon{background-position:-192px 0}.jsoneditor-contextmenu button.jsoneditor-transform .jsoneditor-icon{background-position:-216px 0}.jsoneditor-contextmenu button.jsoneditor-extract .jsoneditor-icon{background-position:0 -24px}.jsoneditor-contextmenu button.jsoneditor-type-string .jsoneditor-icon{background-position:-144px 0}.jsoneditor-contextmenu button.jsoneditor-type-auto .jsoneditor-icon{background-position:-120px 0}.jsoneditor-contextmenu button.jsoneditor-type-object .jsoneditor-icon{background-position:-72px 0}.jsoneditor-contextmenu button.jsoneditor-type-array .jsoneditor-icon{background-position:-96px 0}.jsoneditor-contextmenu button.jsoneditor-type-modes .jsoneditor-icon{background-image:none;width:6px}.jsoneditor-contextmenu li,.jsoneditor-contextmenu ul{box-sizing:content-box;position:relative}.jsoneditor-contextmenu .jsoneditor-menu button:focus,.jsoneditor-contextmenu .jsoneditor-menu button:hover{color:#1a1a1a;background-color:#f5f5f5;outline:0}.jsoneditor-contextmenu .jsoneditor-menu li button.jsoneditor-selected,.jsoneditor-contextmenu .jsoneditor-menu li button.jsoneditor-selected:focus,.jsoneditor-contextmenu .jsoneditor-menu li button.jsoneditor-selected:hover{color:#fff;background-color:#ee422e}.jsoneditor-contextmenu .jsoneditor-menu li ul li button:focus,.jsoneditor-contextmenu .jsoneditor-menu li ul li button:hover{background-color:#f5f5f5}.jsoneditor-modal{max-width:95%;border-radius:2px!important;padding:45px 15px 15px!important;box-shadow:2px 2px 12px #8080804d;color:#4d4d4d;line-height:1.3em}.jsoneditor-modal.jsoneditor-modal-transform{width:600px!important}.jsoneditor-modal .pico-modal-header{position:absolute;box-sizing:border-box;top:0;left:0;width:100%;padding:0 10px;height:30px;line-height:30px;font-family:arial,sans-serif;font-size:11pt;background:#3883fa;color:#fff}.jsoneditor-modal table{width:100%}.jsoneditor-modal table td{padding:3px 0}.jsoneditor-modal table td.jsoneditor-modal-input{text-align:right;padding-right:0;white-space:nowrap}.jsoneditor-modal table td.jsoneditor-modal-actions{padding-top:15px}.jsoneditor-modal table th{vertical-align:middle}.jsoneditor-modal p:first-child{margin-top:0}.jsoneditor-modal a{color:#3883fa}.jsoneditor-modal .jsoneditor-jmespath-block{margin-bottom:10px}.jsoneditor-modal .pico-close{background:0 0!important;font-size:24px!important;top:7px!important;right:7px!important;color:#fff}.jsoneditor-modal input{padding:4px}.jsoneditor-modal input[type=text]{cursor:inherit}.jsoneditor-modal input[disabled]{background:#d3d3d3;color:gray}.jsoneditor-modal .jsoneditor-select-wrapper{position:relative;display:inline-block}.jsoneditor-modal .jsoneditor-select-wrapper:after{content:\"\";width:0;height:0;border-left:5px solid transparent;border-right:5px solid transparent;border-top:6px solid #666;position:absolute;right:8px;top:14px;pointer-events:none}.jsoneditor-modal select{padding:3px 24px 3px 10px;min-width:180px;max-width:350px;-webkit-appearance:none;-moz-appearance:none;appearance:none;text-indent:0;text-overflow:\"\";font-size:14px;line-height:1.5em}.jsoneditor-modal select::-ms-expand{display:none}.jsoneditor-modal .jsoneditor-button-group input{padding:4px 10px;margin:0;border-radius:0;border-left-style:none}.jsoneditor-modal .jsoneditor-button-group input.jsoneditor-button-first{border-top-left-radius:3px;border-bottom-left-radius:3px;border-left-style:solid}.jsoneditor-modal .jsoneditor-button-group input.jsoneditor-button-last{border-top-right-radius:3px;border-bottom-right-radius:3px}.jsoneditor-modal .jsoneditor-transform-preview{background:#f5f5f5;height:200px}.jsoneditor-modal .jsoneditor-transform-preview.jsoneditor-error{color:#ee422e}.jsoneditor-modal .jsoneditor-jmespath-wizard{line-height:1.2em;width:100%;padding:0;border-radius:3px}.jsoneditor-modal .jsoneditor-jmespath-label{font-weight:700;color:#1e90ff;margin-top:20px;margin-bottom:5px}.jsoneditor-modal .jsoneditor-jmespath-wizard-table{width:100%;border-collapse:collapse}.jsoneditor-modal .jsoneditor-jmespath-wizard-label{font-style:italic;margin:4px 0 2px}.jsoneditor-modal .jsoneditor-inline{position:relative;display:inline-block;width:100%;padding-top:2px;padding-bottom:2px}.jsoneditor-modal .jsoneditor-inline:not(:last-child){padding-right:2px}.jsoneditor-modal .jsoneditor-jmespath-filter{display:flex;flex-wrap:wrap}.jsoneditor-modal .jsoneditor-jmespath-filter-field{width:180px}.jsoneditor-modal .jsoneditor-jmespath-filter-relation{width:100px}.jsoneditor-modal .jsoneditor-jmespath-filter-value{min-width:180px;flex:1}.jsoneditor-modal .jsoneditor-jmespath-sort-field{width:170px}.jsoneditor-modal .jsoneditor-jmespath-sort-order{width:150px}.jsoneditor-modal .jsoneditor-jmespath-select-fields{width:100%}.jsoneditor-modal .selectr-selected{border-color:#d3d3d3;padding:4px 28px 4px 8px}.jsoneditor-modal .selectr-selected .selectr-tag{background-color:#3883fa;border-radius:5px}.jsoneditor-modal table td,.jsoneditor-modal table th{text-align:left;vertical-align:middle;font-weight:400;color:#4d4d4d;border-spacing:0;border-collapse:collapse}.jsoneditor-modal #query,.jsoneditor-modal input,.jsoneditor-modal input[type=text],.jsoneditor-modal input[type=text]:focus,.jsoneditor-modal select,.jsoneditor-modal textarea{background:#fff;border:1px solid #d3d3d3;color:#4d4d4d;border-radius:3px;padding:4px}.jsoneditor-modal #query,.jsoneditor-modal textarea{border-radius:unset}.jsoneditor-modal,.jsoneditor-modal #query,.jsoneditor-modal input,.jsoneditor-modal input[type=text],.jsoneditor-modal option,.jsoneditor-modal select,.jsoneditor-modal table td,.jsoneditor-modal table th,.jsoneditor-modal textarea{font-size:10.5pt;font-family:arial,sans-serif}.jsoneditor-modal #query,.jsoneditor-modal .jsoneditor-transform-preview{font-family:consolas,menlo,monaco,Ubuntu Mono,source-code-pro,monospace;font-size:14px;width:100%;box-sizing:border-box}.jsoneditor-modal input[type=button],.jsoneditor-modal input[type=submit]{background:#f5f5f5;padding:4px 20px}.jsoneditor-modal input,.jsoneditor-modal select{cursor:pointer}.jsoneditor-modal .jsoneditor-button-group.jsoneditor-button-group-value-asc input.jsoneditor-button-asc,.jsoneditor-modal .jsoneditor-button-group.jsoneditor-button-group-value-desc input.jsoneditor-button-desc{background:#3883fa;border-color:#3883fa;color:#fff}.jsoneditor{color:#1a1a1a;border:thin solid #3883fa;-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box;width:100%;height:100%;position:relative;padding:0;line-height:100%}a.jsoneditor-value,div.jsoneditor-default,div.jsoneditor-field,div.jsoneditor-readonly,div.jsoneditor-value{border:1px solid transparent;min-height:16px;min-width:32px;line-height:16px;padding:2px;margin:1px;word-wrap:break-word;word-break:break-word;overflow-wrap:break-word;float:left}div.jsoneditor-field p,div.jsoneditor-value p{margin:0}div.jsoneditor-value.jsoneditor-empty:after{content:\"value\"}div.jsoneditor-value.jsoneditor-string{color:#006000}div.jsoneditor-value.jsoneditor-number{color:#ee422e}div.jsoneditor-value.jsoneditor-boolean{color:#ff8c00}div.jsoneditor-value.jsoneditor-null{color:#004ed0}div.jsoneditor-value.jsoneditor-color-value,div.jsoneditor-value.jsoneditor-invalid{color:#1a1a1a}div.jsoneditor-readonly{min-width:16px;color:gray}div.jsoneditor-empty{border-color:#d3d3d3;border-style:dashed;border-radius:2px}div.jsoneditor-field.jsoneditor-empty:after{content:\"field\"}div.jsoneditor td{vertical-align:top}div.jsoneditor td.jsoneditor-separator{padding:3px 0;vertical-align:top;color:gray}div.jsoneditor td.jsoneditor-tree{vertical-align:top}div.jsoneditor.busy pre.jsoneditor-preview{background:#f5f5f5;color:gray}div.jsoneditor.busy div.jsoneditor-busy{display:inherit}div.jsoneditor code.jsoneditor-preview{background:0 0}div.jsoneditor.jsoneditor-mode-preview pre.jsoneditor-preview{width:100%;height:100%;box-sizing:border-box;overflow:auto;padding:2px;margin:0;white-space:pre-wrap;word-break:break-all}div.jsoneditor-default{color:gray;padding-left:10px}div.jsoneditor-tree{width:100%;height:100%;position:relative;overflow:auto;background:#fff}div.jsoneditor-tree button.jsoneditor-button{width:24px;height:24px;padding:0;margin:0;border:none;cursor:pointer;background-color:transparent;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A')}div.jsoneditor-tree button.jsoneditor-button:focus{background-color:#f5f5f5;outline:#e5e5e5 solid 1px}div.jsoneditor-tree button.jsoneditor-collapsed{background-position:0 -48px}div.jsoneditor-tree button.jsoneditor-expanded{background-position:0 -72px}div.jsoneditor-tree button.jsoneditor-contextmenu-button{background-position:-48px -72px}div.jsoneditor-tree button.jsoneditor-invisible{visibility:hidden;background:0 0}div.jsoneditor-tree button.jsoneditor-dragarea{background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:-72px -72px;cursor:move}div.jsoneditor-tree :focus{outline:0}div.jsoneditor-tree div.jsoneditor-show-more{display:inline-block;padding:3px 4px;margin:2px 0;background-color:#e5e5e5;border-radius:3px;color:gray;font-family:arial,sans-serif;font-size:14px}div.jsoneditor-tree div.jsoneditor-show-more a{display:inline-block;color:gray}div.jsoneditor-tree div.jsoneditor-color{display:inline-block;width:12px;height:12px;margin:4px;border:1px solid grey;cursor:pointer}div.jsoneditor-tree div.jsoneditor-color.jsoneditor-color-readonly{cursor:inherit}div.jsoneditor-tree div.jsoneditor-date{background:#a1a1a1;color:#fff;font-family:arial,sans-serif;border-radius:3px;display:inline-block;padding:3px;margin:0 3px}div.jsoneditor-tree table.jsoneditor-tree{border-collapse:collapse;border-spacing:0;width:100%}div.jsoneditor-tree .jsoneditor-button{display:block}div.jsoneditor-tree .jsoneditor-button.jsoneditor-schema-error{width:24px;height:24px;padding:0;margin:0 4px 0 0;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:-168px -48px;background-color:transparent}div.jsoneditor-outer{position:static;width:100%;height:100%;margin:0;padding:0;-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box}div.jsoneditor-outer.has-nav-bar{margin-top:-26px;padding-top:26px}div.jsoneditor-outer.has-nav-bar.has-main-menu-bar{margin-top:-61px;padding-top:61px}div.jsoneditor-outer.has-status-bar{margin-bottom:-26px;padding-bottom:26px}div.jsoneditor-outer.has-main-menu-bar{margin-top:-35px;padding-top:35px}div.jsoneditor-busy{position:absolute;top:15%;left:0;box-sizing:border-box;width:100%;text-align:center;display:none}div.jsoneditor-busy span{background-color:#ffffab;border:1px solid #fe0;border-radius:3px;padding:5px 15px;box-shadow:0 0 5px #0006}div.jsoneditor-field.jsoneditor-empty:after,div.jsoneditor-value.jsoneditor-empty:after{pointer-events:none;color:#d3d3d3;font-size:8pt}a.jsoneditor-value.jsoneditor-url,div.jsoneditor-value.jsoneditor-url{color:#006000;text-decoration:underline}a.jsoneditor-value.jsoneditor-url{display:inline-block;padding:2px;margin:2px}a.jsoneditor-value.jsoneditor-url:focus,a.jsoneditor-value.jsoneditor-url:hover{color:#ee422e}div.jsoneditor-field.jsoneditor-highlight,div.jsoneditor-field[contenteditable=true]:focus,div.jsoneditor-field[contenteditable=true]:hover,div.jsoneditor-value.jsoneditor-highlight,div.jsoneditor-value[contenteditable=true]:focus,div.jsoneditor-value[contenteditable=true]:hover{background-color:#ffffab;border:1px solid #fe0;border-radius:2px}div.jsoneditor-field.jsoneditor-highlight-active,div.jsoneditor-field.jsoneditor-highlight-active:focus,div.jsoneditor-field.jsoneditor-highlight-active:hover,div.jsoneditor-value.jsoneditor-highlight-active,div.jsoneditor-value.jsoneditor-highlight-active:focus,div.jsoneditor-value.jsoneditor-highlight-active:hover{background-color:#fe0;border:1px solid #ffc700;border-radius:2px}div.jsoneditor-value.jsoneditor-array,div.jsoneditor-value.jsoneditor-object{min-width:16px}div.jsoneditor-tree button.jsoneditor-contextmenu-button.jsoneditor-selected,div.jsoneditor-tree button.jsoneditor-contextmenu-button:focus,div.jsoneditor-tree button.jsoneditor-contextmenu-button:hover,tr.jsoneditor-selected.jsoneditor-first button.jsoneditor-contextmenu-button{background-position:-48px -48px}div.jsoneditor-tree div.jsoneditor-show-more a:focus,div.jsoneditor-tree div.jsoneditor-show-more a:hover{color:#ee422e}.ace-jsoneditor,textarea.jsoneditor-text{min-height:150px}.ace-jsoneditor.ace_editor,textarea.jsoneditor-text.ace_editor{font-family:consolas,menlo,monaco,Ubuntu Mono,source-code-pro,monospace}textarea.jsoneditor-text{width:100%;height:100%;margin:0;-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box;outline-width:0;border:none;background-color:#fff;resize:none}tr.jsoneditor-highlight,tr.jsoneditor-selected{background-color:#d3d3d3}tr.jsoneditor-selected button.jsoneditor-contextmenu-button,tr.jsoneditor-selected button.jsoneditor-dragarea{visibility:hidden}tr.jsoneditor-selected.jsoneditor-first button.jsoneditor-contextmenu-button,tr.jsoneditor-selected.jsoneditor-first button.jsoneditor-dragarea{visibility:visible}div.jsoneditor-tree button.jsoneditor-dragarea:focus,div.jsoneditor-tree button.jsoneditor-dragarea:hover,tr.jsoneditor-selected.jsoneditor-first button.jsoneditor-dragarea{background-position:-72px -48px}div.jsoneditor td,div.jsoneditor th,div.jsoneditor tr{padding:0;margin:0}.jsoneditor-popover,.jsoneditor-schema-error,div.jsoneditor td,div.jsoneditor textarea,div.jsoneditor th,div.jsoneditor-field,div.jsoneditor-value,pre.jsoneditor-preview{font-family:consolas,menlo,monaco,Ubuntu Mono,source-code-pro,monospace;font-size:14px;color:#1a1a1a}.jsoneditor-schema-error{cursor:default;display:inline-block;height:24px;line-height:24px;position:relative;text-align:center;width:24px}.jsoneditor-popover{background-color:#4c4c4c;border-radius:3px;box-shadow:0 0 5px #0006;color:#fff;padding:7px 10px;position:absolute;cursor:auto;width:200px}.jsoneditor-popover.jsoneditor-above{bottom:32px;left:-98px}.jsoneditor-popover.jsoneditor-above:before{border-top:7px solid #4c4c4c;bottom:-7px}.jsoneditor-popover.jsoneditor-below{top:32px;left:-98px}.jsoneditor-popover.jsoneditor-below:before{border-bottom:7px solid #4c4c4c;top:-7px}.jsoneditor-popover.jsoneditor-left{top:-7px;right:32px}.jsoneditor-popover.jsoneditor-left:before{border-left:7px solid #4c4c4c;border-top:7px solid transparent;border-bottom:7px solid transparent;content:\"\";top:19px;right:-14px;left:inherit;margin-left:inherit;margin-top:-7px;position:absolute}.jsoneditor-popover.jsoneditor-right{top:-7px;left:32px}.jsoneditor-popover.jsoneditor-right:before{border-right:7px solid #4c4c4c;border-top:7px solid transparent;border-bottom:7px solid transparent;content:\"\";top:19px;left:-14px;margin-left:inherit;margin-top:-7px;position:absolute}.jsoneditor-popover:before{border-right:7px solid transparent;border-left:7px solid transparent;content:\"\";display:block;left:50%;margin-left:-7px;position:absolute}.jsoneditor-text-errors tr.jump-to-line:hover{text-decoration:underline;cursor:pointer}.jsoneditor-schema-error:focus .jsoneditor-popover,.jsoneditor-schema-error:hover .jsoneditor-popover{display:block;animation:fade-in .3s linear 1,move-up .3s linear 1}@keyframes fade-in{0%{opacity:0}to{opacity:1}}.jsoneditor .jsoneditor-validation-errors-container{max-height:130px;overflow-y:auto}.jsoneditor .jsoneditor-validation-errors{width:100%;overflow:hidden}.jsoneditor .jsoneditor-additional-errors{position:absolute;margin:auto;bottom:31px;left:calc(50% - 92px);color:gray;background-color:#ebebeb;padding:7px 15px;border-radius:8px}.jsoneditor .jsoneditor-additional-errors.visible{visibility:visible;opacity:1;transition:opacity 2s linear}.jsoneditor .jsoneditor-additional-errors.hidden{visibility:hidden;opacity:0;transition:visibility 0s 2s,opacity 2s linear}.jsoneditor .jsoneditor-text-errors{width:100%;border-collapse:collapse;border-top:1px solid #ffc700}.jsoneditor .jsoneditor-text-errors td{padding:3px 6px;vertical-align:middle}.jsoneditor .jsoneditor-text-errors td pre{margin:0;white-space:pre-wrap}.jsoneditor .jsoneditor-text-errors tr{background-color:#ffffab}.jsoneditor .jsoneditor-text-errors tr.parse-error{background-color:#ee2e2e70}.jsoneditor-text-errors .jsoneditor-schema-error{border:none;width:24px;height:24px;padding:0;margin:0 4px 0 0;cursor:pointer}.jsoneditor-text-errors tr .jsoneditor-schema-error{background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:-168px -48px;background-color:transparent}.jsoneditor-text-errors tr.parse-error .jsoneditor-schema-error{background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:-25px 0;background-color:transparent}.jsoneditor-anchor{cursor:pointer}.jsoneditor-anchor .picker_wrapper.popup.popup_bottom{top:28px;left:-10px}.fadein{-webkit-animation:fadein .3s;animation:fadein .3s;-moz-animation:fadein .3s;-o-animation:fadein .3s}@keyframes fadein{0%{opacity:0}to{opacity:1}}.jsoneditor-modal input[type=search].selectr-input{border:1px solid #d3d3d3;width:calc(100% - 4px);margin:2px;padding:4px;box-sizing:border-box}.jsoneditor-modal button.selectr-input-clear{right:8px}.jsoneditor-menu{width:100%;height:35px;padding:2px;margin:0;-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box;color:#fff;background-color:#3883fa;border-bottom:1px solid #3883fa}.jsoneditor-menu>.jsoneditor-modes>button,.jsoneditor-menu>button{width:26px;height:26px;margin:2px;padding:0;border-radius:2px;border:1px solid transparent;background-color:transparent;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');color:#fff;opacity:.8;font-family:arial,sans-serif;font-size:14px;float:left}.jsoneditor-menu>.jsoneditor-modes>button:hover,.jsoneditor-menu>button:hover{background-color:#fff3;border:1px solid rgba(255,255,255,.4)}.jsoneditor-menu>.jsoneditor-modes>button:active,.jsoneditor-menu>.jsoneditor-modes>button:focus,.jsoneditor-menu>button:active,.jsoneditor-menu>button:focus{background-color:#ffffff4d}.jsoneditor-menu>.jsoneditor-modes>button:disabled,.jsoneditor-menu>button:disabled{opacity:.5;background-color:transparent;border:none}.jsoneditor-menu>button.jsoneditor-collapse-all{background-position:0 -96px}.jsoneditor-menu>button.jsoneditor-expand-all{background-position:0 -120px}.jsoneditor-menu>button.jsoneditor-sort{background-position:-120px -96px}.jsoneditor-menu>button.jsoneditor-transform{background-position:-144px -96px}.jsoneditor.jsoneditor-mode-form>.jsoneditor-menu>button.jsoneditor-sort,.jsoneditor.jsoneditor-mode-form>.jsoneditor-menu>button.jsoneditor-transform,.jsoneditor.jsoneditor-mode-view>.jsoneditor-menu>button.jsoneditor-sort,.jsoneditor.jsoneditor-mode-view>.jsoneditor-menu>button.jsoneditor-transform{display:none}.jsoneditor-menu>button.jsoneditor-undo{background-position:-24px -96px}.jsoneditor-menu>button.jsoneditor-undo:disabled{background-position:-24px -120px}.jsoneditor-menu>button.jsoneditor-redo{background-position:-48px -96px}.jsoneditor-menu>button.jsoneditor-redo:disabled{background-position:-48px -120px}.jsoneditor-menu>button.jsoneditor-compact{background-position:-72px -96px}.jsoneditor-menu>button.jsoneditor-format{background-position:-72px -120px}.jsoneditor-menu>button.jsoneditor-repair{background-position:-96px -96px}.jsoneditor-menu>.jsoneditor-modes{display:inline-block;float:left}.jsoneditor-menu>.jsoneditor-modes>button{background-image:none;width:auto;padding-left:6px;padding-right:6px}.jsoneditor-menu>.jsoneditor-modes>button.jsoneditor-separator,.jsoneditor-menu>button.jsoneditor-separator{margin-left:10px}.jsoneditor-menu a{font-family:arial,sans-serif;font-size:14px;color:#fff;opacity:.8;vertical-align:middle}.jsoneditor-menu a:hover{opacity:1}.jsoneditor-menu a.jsoneditor-poweredBy{font-size:8pt;position:absolute;right:0;top:0;padding:10px}.jsoneditor-navigation-bar{width:100%;height:26px;line-height:26px;padding:0;margin:0;border-bottom:1px solid #d3d3d3;-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box;color:gray;background-color:#ebebeb;overflow:hidden;font-family:arial,sans-serif;font-size:14px}.jsoneditor-search{font-family:arial,sans-serif;position:absolute;right:4px;top:4px;border-collapse:collapse;border-spacing:0;display:flex}.jsoneditor-search input{color:#1a1a1a;width:120px;border:none;outline:0;margin:1px;line-height:20px;font-family:arial,sans-serif}.jsoneditor-search button{width:16px;height:24px;padding:0;margin:0;border:none;background:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');vertical-align:top}.jsoneditor-search button:hover{background-color:transparent}.jsoneditor-search button.jsoneditor-refresh{width:18px;background-position:-99px -73px}.jsoneditor-search button.jsoneditor-next{cursor:pointer;background-position:-124px -73px}.jsoneditor-search button.jsoneditor-next:hover{background-position:-124px -49px}.jsoneditor-search button.jsoneditor-previous{cursor:pointer;background-position:-148px -73px;margin-right:2px}.jsoneditor-search button.jsoneditor-previous:hover{background-position:-148px -49px}.jsoneditor-results{font-family:arial,sans-serif;color:#fff;padding-right:5px;line-height:26px}.jsoneditor-frame{border:1px solid transparent;background-color:#fff;padding:0 2px;margin:0}.jsoneditor-statusbar{line-height:26px;height:26px;color:gray;background-color:#ebebeb;border-top:1px solid #d3d3d3;-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box;font-size:14px}.jsoneditor-statusbar>.jsoneditor-curserinfo-val{margin-right:12px}.jsoneditor-statusbar>.jsoneditor-curserinfo-count{margin-left:4px}.jsoneditor-statusbar>.jsoneditor-validation-error-icon{float:right;width:24px;height:24px;padding:0;margin-top:1px;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:-168px -48px;cursor:pointer}.jsoneditor-statusbar>.jsoneditor-validation-error-count{float:right;margin:0 4px 0 0;cursor:pointer}.jsoneditor-statusbar>.jsoneditor-parse-error-icon{float:right;width:24px;height:24px;padding:0;margin:1px;background-image:url('data:image/svg+xml,<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>%0A<svg%0A   xmlns:dc=\"http://purl.org/dc/elements/1.1/\"%0A   xmlns:cc=\"http://creativecommons.org/ns%23\"%0A   xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns%23\"%0A   xmlns:svg=\"http://www.w3.org/2000/svg\"%0A   xmlns=\"http://www.w3.org/2000/svg\"%0A   xmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"%0A   xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"%0A   width=\"240\"%0A   height=\"144\"%0A   id=\"svg4136\"%0A   version=\"1.1\"%0A   inkscape:version=\"0.91 r13725\"%0A   sodipodi:docname=\"jsoneditor-icons.svg\">%0A  <title%0A     id=\"title6512\">JSON Editor Icons</title>%0A  <metadata%0A     id=\"metadata4148\">%0A    <rdf:RDF>%0A      <cc:Work%0A         rdf:about=\"\">%0A        <dc:format>image/svg+xml</dc:format>%0A        <dc:type%0A           rdf:resource=\"http://purl.org/dc/dcmitype/StillImage\" />%0A        <dc:title>JSON Editor Icons</dc:title>%0A      </cc:Work>%0A    </rdf:RDF>%0A  </metadata>%0A  <defs%0A     id=\"defs4146\" />%0A  <sodipodi:namedview%0A     pagecolor=\"%23ff63ff\"%0A     bordercolor=\"%23666666\"%0A     borderopacity=\"1\"%0A     objecttolerance=\"10\"%0A     gridtolerance=\"10\"%0A     guidetolerance=\"10\"%0A     inkscape:pageopacity=\"0\"%0A     inkscape:pageshadow=\"2\"%0A     inkscape:window-width=\"1920\"%0A     inkscape:window-height=\"1026\"%0A     id=\"namedview4144\"%0A     showgrid=\"true\"%0A     inkscape:zoom=\"4\"%0A     inkscape:cx=\"13.229181\"%0A     inkscape:cy=\"119.82429\"%0A     inkscape:window-x=\"0\"%0A     inkscape:window-y=\"0\"%0A     inkscape:window-maximized=\"1\"%0A     inkscape:current-layer=\"svg4136\"%0A     showguides=\"false\"%0A     borderlayer=\"false\"%0A     inkscape:showpageshadow=\"true\"%0A     showborder=\"true\">%0A    <inkscape:grid%0A       type=\"xygrid\"%0A       id=\"grid4640\"%0A       empspacing=\"24\" />%0A  </sodipodi:namedview>%0A  <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"4\" />%0A  <rect%0A     id=\"svg_1-7\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"28.000006\"%0A     style=\"fill:%23ec3f29;fill-opacity:0.94117647;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     x=\"52.000004\"%0A     y=\"3.999995\"%0A     width=\"16\"%0A     height=\"16\"%0A     id=\"rect4165\" />%0A  <rect%0A     id=\"rect4175\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.9999852\"%0A     x=\"172.00002\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4175-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"3.999995\"%0A     x=\"196\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <g%0A     id=\"g4299\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <g%0A     id=\"g4299-3\"%0A     transform=\"matrix(0.70710678,-0.70710678,0.70710678,0.70710678,19.029435,12.000001)\"%0A     style=\"stroke:none\">%0A    <rect%0A       x=\"7.0000048\"%0A       y=\"10.999998\"%0A       width=\"9.9999924\"%0A       height=\"1.9999986\"%0A       id=\"svg_1-1-0\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A    <rect%0A       x=\"11.000005\"%0A       y=\"7.0000114\"%0A       width=\"1.9999955\"%0A       height=\"9.9999838\"%0A       id=\"svg_1-1-1-9\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  </g>%0A  <rect%0A     id=\"svg_1-7-5\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"7.0000048\"%0A     x=\"55.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     x=\"58\"%0A     y=\"10.00001\"%0A     width=\"6.9999909\"%0A     height=\"6.9999905\"%0A     id=\"rect4354\" />%0A  <rect%0A     id=\"svg_1-7-5-7\"%0A     height=\"6.9999905\"%0A     width=\"6.9999909\"%0A     y=\"10.000005\"%0A     x=\"58.000004\"%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%233c80df;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94117647\" />%0A  <g%0A     id=\"g4378\">%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"10.999999\"%0A       width=\"7.9999909\"%0A       height=\"1.9999965\"%0A       id=\"svg_1-7-5-3\" />%0A    <rect%0A       id=\"rect4374\"%0A       height=\"1.9999946\"%0A       width=\"11.999995\"%0A       y=\"7.0000005\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       id=\"rect4376\"%0A       height=\"1.9999995\"%0A       width=\"3.9999928\"%0A       y=\"14.999996\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A  </g>%0A  <g%0A     transform=\"matrix(1,0,0,-1,-23.999995,23.999995)\"%0A     id=\"g4383\">%0A    <rect%0A       id=\"rect4385\"%0A       height=\"1.9999965\"%0A       width=\"7.9999909\"%0A       y=\"10.999999\"%0A       x=\"198\"%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"7.0000005\"%0A       width=\"11.999995\"%0A       height=\"1.9999946\"%0A       id=\"rect4387\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:1;stroke:%23000000;stroke-width:0\"%0A       x=\"198\"%0A       y=\"14.999996\"%0A       width=\"3.9999928\"%0A       height=\"1.9999995\"%0A       id=\"rect4389\" />%0A  </g>%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-4\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"76\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 85.10447,6.0157384 -0.0156,1.4063 c 3.02669,-0.2402 0.33008,3.6507996 2.48438,4.5780996 -2.18694,1.0938 0.49191,4.9069 -2.45313,4.5781 l -0.0156,1.4219 c 5.70828,0.559 1.03264,-5.1005 4.70313,-5.2656 l 0,-1.4063 c -3.61303,-0.027 1.11893,-5.7069996 -4.70313,-5.3124996 z\"%0A     id=\"path4351\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:%23ffffff;stroke-width:0.2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 82.78125,5.9984384 0.0156,1.4063 c -3.02668,-0.2402 -0.33007,3.6506996 -2.48437,4.5780996 2.18694,1.0938 -0.49192,4.9069 2.45312,4.5781 l 0.0156,1.4219 c -5.70827,0.559 -1.03263,-5.1004 -4.70312,-5.2656 l 0,-1.4063 c 3.61303,-0.027 -1.11894,-5.7070996 4.70312,-5.3124996 z\"%0A     id=\"path4351-9\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-25\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"100\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 103.719,5.6719384 0,12.7187996 3.03125,0 0,-1.5313 -1.34375,0 0,-9.6249996 1.375,0 0,-1.5625 z\"%0A     id=\"path2987\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 112.2185,5.6721984 0,12.7187996 -3.03125,0 0,-1.5313 1.34375,0 0,-9.6249996 -1.375,0 0,-1.5625 z\"%0A     id=\"path2987-1\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-73\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"124\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 126.2824,17.602938 1.78957,0 1.14143,-2.8641 5.65364,0 1.14856,2.8641 1.76565,0 -4.78687,-11.1610996 -1.91903,0 z\"%0A     id=\"path3780\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccc\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     d=\"m 129.72704,13.478838 4.60852,0.01 -2.30426,-5.5497996 z\"%0A     id=\"path3782\"%0A     inkscape:connector-curvature=\"0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none\"%0A     id=\"rect3754-35\"%0A     width=\"16\"%0A     height=\"16\"%0A     x=\"148\"%0A     y=\"3.9999199\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 156.47655,5.8917384 0,2.1797 0.46093,2.3983996 1.82813,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:1;stroke:none\"%0A     d=\"m 152.51561,5.8906384 0,2.1797 0.46094,2.3983996 1.82812,0 0.39844,-2.3983996 0,-2.1797 z\"%0A     id=\"path5008-2-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccc\" />%0A  <rect%0A     id=\"svg_1-7-2\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"64\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"svg_1-7-2-2\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"52\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"52\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4561\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"80.000008\"%0A     y=\"58\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4563\" />%0A  <rect%0A     id=\"rect4565\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"58\"%0A     x=\"85.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4567\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"64\"%0A     x=\"80.000008\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"85.000008\"%0A     y=\"64\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4569\" />%0A  <circle%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%234c4c4c;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4571\"%0A     cx=\"110.06081\"%0A     cy=\"57.939209\"%0A     r=\"4.7438836\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"116.64566\"%0A     y=\"-31.79752\"%0A     width=\"4.229713\"%0A     height=\"6.4053884\"%0A     id=\"rect4563-2\"%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\" />%0A  <path%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 125,56 138.77027,56.095 132,64 Z\"%0A     id=\"path4613\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615\"%0A     d=\"M 149,64 162.77027,63.905 156,56 Z\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"54\"%0A     y=\"53\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4638\" />%0A  <rect%0A     id=\"svg_1-7-2-24\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-56\"%0A     x=\"53\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\"%0A     x=\"53\"%0A     y=\"-66\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4657\" />%0A  <rect%0A     id=\"rect4659\"%0A     height=\"0.99999291\"%0A     width=\"11.999999\"%0A     y=\"57\"%0A     x=\"54\"%0A     style=\"fill:%234c4c4c;fill-opacity:0.98431373;stroke:none;stroke-width:0\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"88.000122\"%0A     width=\"11.999996\"%0A     height=\"1.9999961\"%0A     id=\"rect4661\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"76.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4663\" />%0A  <rect%0A     id=\"rect4665\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"76.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     id=\"rect4667\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"82.000122\"%0A     x=\"80.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"85.000008\"%0A     y=\"82.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4669\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"80.000008\"%0A     y=\"88.000122\"%0A     width=\"2.9999907\"%0A     height=\"2.9999905\"%0A     id=\"rect4671\" />%0A  <rect%0A     id=\"rect4673\"%0A     height=\"2.9999905\"%0A     width=\"2.9999907\"%0A     y=\"88.000122\"%0A     x=\"85.000008\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <circle%0A     r=\"4.7438836\"%0A     cy=\"81.939331\"%0A     cx=\"110.06081\"%0A     id=\"circle4675\"%0A     style=\"opacity:1;fill:none;fill-opacity:1;stroke:%23d3d3d3;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0.70710678,0.70710678,-0.70710678,0.70710678,0,0)\"%0A     id=\"rect4677\"%0A     height=\"6.4053884\"%0A     width=\"4.229713\"%0A     y=\"-14.826816\"%0A     x=\"133.6163\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:%23d3d3d3;stroke-width:0;stroke-opacity:1\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4679\"%0A     d=\"m 125,80.000005 13.77027,0.09499 L 132,87.999992 Z\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"fill:%23d3d3d3;fill-opacity:1;fill-rule:evenodd;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"M 149,88.0002 162.77027,87.9052 156,80.0002 Z\"%0A     id=\"path4681\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <rect%0A     id=\"rect4683\"%0A     height=\"1.9999961\"%0A     width=\"11.999996\"%0A     y=\"77.000122\"%0A     x=\"54\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\" />%0A  <rect%0A     transform=\"matrix(0,1,-1,0,0,0)\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"77.000122\"%0A     y=\"-56\"%0A     width=\"12.99999\"%0A     height=\"1.9999957\"%0A     id=\"rect4685\" />%0A  <rect%0A     id=\"rect4687\"%0A     height=\"1.9999957\"%0A     width=\"12.99999\"%0A     y=\"-66\"%0A     x=\"77.000122\"%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     transform=\"matrix(0,1,-1,0,0,0)\" />%0A  <rect%0A     style=\"fill:%23d3d3d3;fill-opacity:1;stroke:none;stroke-width:0;stroke-opacity:1\"%0A     x=\"54\"%0A     y=\"81.000122\"%0A     width=\"11.999999\"%0A     height=\"0.99999291\"%0A     id=\"rect4689\" />%0A  <rect%0A     id=\"rect4761-1\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"101\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-0\"%0A     height=\"1.9999945\"%0A     width=\"15.99999\"%0A     y=\"105\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-7\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"109\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1\"%0A     height=\"1.9999945\"%0A     width=\"12\"%0A     y=\"125\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"137\"%0A     x=\"76.000008\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4\"%0A     height=\"1.9999945\"%0A     width=\"10\"%0A     y=\"129\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <rect%0A     id=\"rect4761-1-1-4-4-3\"%0A     height=\"1.9999945\"%0A     width=\"9\"%0A     y=\"133\"%0A     x=\"82\"%0A     style=\"fill:%23ffffff;fill-opacity:0.8;stroke:none;stroke-width:0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,100.0254 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,100.5991 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1452 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533865,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550756,0 6.710442,-2.4113 7.650391,-5.9414 0.939949,-3.5301 -0.618463,-7.2736 -3.710938,-9.0703 -1.159678,-0.6738 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.8;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,99.9629 c -1.270084,0.039 -2.541493,0.3887 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5402 -3.710937,9.0703 0.939949,3.5301 4.09768,5.9414 7.648437,5.9414 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4056 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,100 0,2 -2.4999996,0 L 12,107 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     id=\"path3055-0-77\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9850574,108.015 14.0298856,-0.03\"%0A     id=\"path5244-5-0-5\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     style=\"opacity:0.8;fill:none;stroke:%23ffffff;stroke-width:1.96599996;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\"%0A     d=\"m 4.9849874,132.015 14.0298866,-0.03\"%0A     id=\"path5244-5-0-5-8\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cc\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 36.398438,123.9629 c -0.423362,-0.013 -0.846847,0.01 -1.265626,0.062 -1.656562,0.2196 -3.244567,0.9739 -4.507812,2.2266 L 29,124.5366 l -2.324219,7.7129 7.826172,-1.9062 -1.804687,-1.9063 c 1.597702,-1.5308 4.048706,-1.8453 5.984375,-0.7207 1.971162,1.1453 2.881954,3.3975 2.308593,5.5508 -0.573361,2.1533 -2.533864,3.6953 -4.830078,3.6953 l 0,3.0742 c 3.550757,0 6.710442,-2.4093 7.650391,-5.9394 0.939949,-3.5301 -0.618463,-7.2756 -3.710938,-9.0723 -1.159678,-0.6737 -2.431087,-1.0231 -3.701171,-1.0625 z\"%0A     id=\"path4138-12\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"color:%23000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:%23000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:0.4;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:%23000000;solid-opacity:1;fill:%234d4d4d;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.66157866;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate\"%0A     d=\"m 59.722656,123.9629 c -1.270084,0.039 -2.541493,0.3888 -3.701172,1.0625 -3.092475,1.7967 -4.650886,5.5422 -3.710937,9.0723 0.939949,3.5301 4.09768,5.9394 7.648437,5.9394 l 0,-3.0742 c -2.296214,0 -4.256717,-1.542 -4.830078,-3.6953 -0.573361,-2.1533 0.337432,-4.4055 2.308594,-5.5508 1.935731,-1.1246 4.38863,-0.8102 5.986326,0.7207 l -1.806638,1.9063 7.828128,1.9062 -2.32422,-7.7129 -1.62696,1.7168 c -1.26338,-1.2531 -2.848917,-2.0088 -4.505855,-2.2285 -0.418778,-0.055 -0.842263,-0.076 -1.265625,-0.062 z\"%0A     id=\"path4138-1-3\" />%0A  <path%0A     id=\"path6191\"%0A     d=\"m 10.5,116 0,-2 -2.4999996,0 L 12,109 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     inkscape:connector-curvature=\"0\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     d=\"m 10.5,129 0,-2 -2.4999996,0 L 12,122 l 4,5 -2.5,0 0,2 -3,0 z\"%0A     id=\"path6193\" />%0A  <path%0A     id=\"path6195\"%0A     d=\"m 10.5,135 0,2 -2.4999996,0 L 12,142 l 4,-5 -2.5,0 0,-2 -3,0 z\"%0A     style=\"opacity:0.8;fill:%23ffffff;fill-opacity:1;stroke:none;stroke-width:1.96599996;stroke-miterlimit:4;stroke-dasharray:none\"%0A     inkscape:connector-curvature=\"0\" />%0A  <path%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4500\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073242 -3.833708,2.213392 -3.8337072,2.213393 0,-4.426785 0,-4.426784 3.8337082,2.213392 z\"%0A     inkscape:transform-center-x=\"-1.2779026\" />%0A  <path%0A     inkscape:transform-center-x=\"1.277902\"%0A     d=\"m -31.500004,60.073242 -3.833708,2.213392 -3.833707,2.213393 0,-4.426785 0,-4.426784 3.833707,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073242\"%0A     sodipodi:cx=\"-36.611614\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4502\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"scale(-1,1)\" />%0A  <path%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\"%0A     inkscape:randomized=\"0\"%0A     inkscape:rounded=\"0\"%0A     inkscape:flatsided=\"false\"%0A     sodipodi:arg2=\"1.0471976\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:sides=\"3\"%0A     id=\"path4504\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     sodipodi:type=\"star\"%0A     transform=\"matrix(0,1,-1,0,72.0074,71.7877)\"%0A     inkscape:transform-center-y=\"1.2779029\" />%0A  <path%0A     inkscape:transform-center-y=\"-1.2779026\"%0A     transform=\"matrix(0,-1,-1,0,96,96)\"%0A     sodipodi:type=\"star\"%0A     style=\"fill:%234d4d4d;fill-opacity:0.90196078;stroke:%23d3d3d3;stroke-width:0;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none\"%0A     id=\"path4506\"%0A     sodipodi:sides=\"3\"%0A     sodipodi:cx=\"11.55581\"%0A     sodipodi:cy=\"60.073212\"%0A     sodipodi:r1=\"5.1116104\"%0A     sodipodi:r2=\"2.5558052\"%0A     sodipodi:arg1=\"0\"%0A     sodipodi:arg2=\"1.0471976\"%0A     inkscape:flatsided=\"false\"%0A     inkscape:rounded=\"0\"%0A     inkscape:randomized=\"0\"%0A     d=\"m 16.66742,60.073212 -3.833708,2.213392 -3.8337072,2.213392 0,-4.426784 0,-4.426785 3.8337082,2.213392 z\" />%0A  <path%0A     sodipodi:nodetypes=\"cccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4615-5\"%0A     d=\"m 171.82574,65.174193 16.34854,0 -8.17427,-13.348454 z\"%0A     style=\"fill:%23fbb917;fill-opacity:1;fill-rule:evenodd;stroke:%23fbb917;stroke-width:1.65161395;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,55 0,6 2,0 0,-6\"%0A     id=\"path4300\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"opacity:1;fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 179,62 0,2 2,0 0,-2\"%0A     id=\"path4300-6\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccc\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:%23ffffff;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:round;stroke-opacity:0.8\"%0A     d=\"M 99.994369,113.0221 102,114.98353 l 7,-6.9558 3,0.97227 2,-1 1,-2 0,-3 -3,3 -3,-3 3,-3 -3,0 -2,1 -1,2 0.99437,3.0221 z\"%0A     id=\"path4268\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"ccccccccccccccc\" />%0A  <rect%0A     id=\"rect4175-3-5\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"4\"%0A     x=\"220\"%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\" />%0A  <path%0A     style=\"fill:%23ffffff;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 234,6 0,2 -5,5 0,5 -2,0 0,-5 -5,-5 0,-2\"%0A     id=\"path3546\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <g%0A     transform=\"matrix(1.3333328,0,0,-1.5999992,-139.9999,127.19999)\"%0A     id=\"g4383-6\">%0A    <rect%0A       id=\"rect4385-2\"%0A       height=\"1.2499905\"%0A       width=\"5.9999924\"%0A       y=\"12.625005\"%0A       x=\"198.00002\"%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"15.125007\"%0A       width=\"7.4999928\"%0A       height=\"1.2499949\"%0A       id=\"rect4387-9\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"7.6250024\"%0A       width=\"2.9999909\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-0\" />%0A    <rect%0A       style=\"fill:%23ffffff;fill-opacity:0.8;stroke:%23000000;stroke-width:0\"%0A       x=\"198.00002\"%0A       y=\"10.125004\"%0A       width=\"4.4999919\"%0A       height=\"1.2499905\"%0A       id=\"rect4389-1-9\" />%0A    <path%0A       style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A       d=\"m 207.00001,16.375004 0,-5.625005 -2.25,0 3,-3.1250014 3,3.1250014 -2.25,0 0,5.625005 -1.5,0\"%0A       id=\"path4402\"%0A       inkscape:connector-curvature=\"0\"%0A       sodipodi:nodetypes=\"cccccccc\" />%0A  </g>%0A  <path%0A     style=\"fill:%23ffffff;fill-opacity:0.8;fill-rule:evenodd;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\"%0A     d=\"m 164,100 0,3 -6,6 0,7 -4,0 0,-7 -6,-6 0,-3\"%0A     id=\"path3546-2-2\"%0A     inkscape:connector-curvature=\"0\"%0A     sodipodi:nodetypes=\"cccccccc\" />%0A  <rect%0A     style=\"fill:%234c4c4c;fill-opacity:1;stroke:none;stroke-width:0\"%0A     id=\"svg_1-3\"%0A     height=\"16\"%0A     width=\"16\"%0A     y=\"28\"%0A     x=\"4\" />%0A  <path%0A     sodipodi:nodetypes=\"ccccccccc\"%0A     inkscape:connector-curvature=\"0\"%0A     id=\"path4402-5-7\"%0A     d=\"m 15,41 0,-7 -4,0 0,3 -5,-4 5,-4 0,3 6,0 0,9\"%0A     style=\"fill:%23ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.68465352px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1\" />%0A</svg>%0A');background-position:-25px 0}.jsoneditor-statusbar .jsoneditor-array-info a{color:inherit}div.jsoneditor-statusbar>.jsoneditor-curserinfo-label,div.jsoneditor-statusbar>.jsoneditor-size-info{margin:0 4px}.jsoneditor-treepath{padding:0 5px;overflow:hidden;white-space:nowrap;outline:0}.jsoneditor-treepath.show-all{word-wrap:break-word;white-space:normal;position:absolute;background-color:#ebebeb;z-index:1;box-shadow:2px 2px 12px #8080804d}.jsoneditor-treepath.show-all span.jsoneditor-treepath-show-all-btn{display:none}.jsoneditor-treepath div.jsoneditor-contextmenu-root{position:absolute;left:0}.jsoneditor-treepath .jsoneditor-treepath-show-all-btn{position:absolute;background-color:#ebebeb;left:0;height:20px;padding:0 3px;cursor:pointer}.jsoneditor-treepath .jsoneditor-treepath-element{margin:1px;font-family:arial,sans-serif;font-size:14px}.jsoneditor-treepath .jsoneditor-treepath-seperator{margin:2px;font-size:9pt;font-family:arial,sans-serif}.jsoneditor-treepath span.jsoneditor-treepath-element:hover,.jsoneditor-treepath span.jsoneditor-treepath-seperator:hover{cursor:pointer;text-decoration:underline}.selectr-container{position:relative}.selectr-container li{list-style:none}.selectr-hidden{position:absolute;overflow:hidden;clip:rect(0,0,0,0);width:1px;height:1px;margin:-1px;padding:0;border:0 none}.selectr-visible{position:absolute;left:0;top:0;width:100%;height:100%;opacity:0;z-index:11}.selectr-desktop.multiple .selectr-visible{display:none}.selectr-desktop.multiple.native-open .selectr-visible{top:100%;min-height:200px!important;height:auto;opacity:1;display:block}.selectr-container.multiple.selectr-mobile .selectr-selected{z-index:0}.selectr-selected{position:relative;z-index:1;box-sizing:border-box;width:100%;padding:7px 28px 7px 14px;cursor:pointer;border:1px solid #999;border-radius:3px;background-color:#fff}.selectr-selected:before{position:absolute;top:50%;right:10px;width:0;height:0;content:\"\";-o-transform:rotate(0) translate3d(0,-50%,0);-ms-transform:rotate(0) translate3d(0,-50%,0);-moz-transform:rotate(0) translate3d(0,-50%,0);-webkit-transform:rotate(0) translate3d(0,-50%,0);transform:rotate(0) translate3d(0,-50%,0);border-width:4px 4px 0 4px;border-style:solid;border-color:#6c7a86 transparent transparent}.selectr-container.native-open .selectr-selected:before,.selectr-container.open .selectr-selected:before{border-width:0 4px 4px 4px;border-style:solid;border-color:transparent transparent #6c7a86}.selectr-label{display:none;overflow:hidden;width:100%;white-space:nowrap;text-overflow:ellipsis}.selectr-placeholder{color:#6c7a86}.selectr-tags{margin:0;padding:0;white-space:normal}.has-selected .selectr-tags{margin:0 0 -2px}.selectr-tag{list-style:none;position:relative;float:left;padding:2px 25px 2px 8px;margin:0 2px 2px 0;cursor:default;color:#fff;border:medium none;border-radius:10px;background:#acb7bf none repeat scroll 0 0}.selectr-container.multiple.has-selected .selectr-selected{padding:5px 28px 5px 5px}.selectr-options-container{position:absolute;z-index:10000;top:calc(100% - 1px);left:0;display:none;box-sizing:border-box;width:100%;border-width:0 1px 1px;border-style:solid;border-color:transparent #999 #999;border-radius:0 0 3px 3px;background-color:#fff}.selectr-container.open .selectr-options-container{display:block}.selectr-input-container{position:relative;display:none}.selectr-clear,.selectr-input-clear,.selectr-tag-remove{position:absolute;top:50%;right:22px;width:20px;height:20px;padding:0;cursor:pointer;-o-transform:translate3d(0,-50%,0);-ms-transform:translate3d(0,-50%,0);-moz-transform:translate3d(0,-50%,0);-webkit-transform:translate3d(0,-50%,0);transform:translate3d(0,-50%,0);border:medium none;background-color:transparent;z-index:11}.selectr-clear,.selectr-input-clear{display:none}.selectr-container.has-selected .selectr-clear,.selectr-input-container.active .selectr-input-clear{display:block}.selectr-selected .selectr-tag-remove{right:2px}.selectr-clear:after,.selectr-clear:before,.selectr-input-clear:after,.selectr-input-clear:before,.selectr-tag-remove:after,.selectr-tag-remove:before{position:absolute;top:5px;left:9px;width:2px;height:10px;content:\" \";background-color:#6c7a86}.selectr-tag-remove:after,.selectr-tag-remove:before{top:4px;width:3px;height:12px;background-color:#fff}.selectr-clear:before,.selectr-input-clear:before,.selectr-tag-remove:before{-o-transform:rotate(45deg);-ms-transform:rotate(45deg);-moz-transform:rotate(45deg);-webkit-transform:rotate(45deg);transform:rotate(45deg)}.selectr-clear:after,.selectr-input-clear:after,.selectr-tag-remove:after{-o-transform:rotate(-45deg);-ms-transform:rotate(-45deg);-moz-transform:rotate(-45deg);-webkit-transform:rotate(-45deg);transform:rotate(-45deg)}.selectr-input-container.active,.selectr-input-container.active .selectr-clear{display:block}.selectr-input{top:5px;left:5px;box-sizing:border-box;width:calc(100% - 30px);margin:10px 15px;padding:7px 30px 7px 9px;border:1px solid #999;border-radius:3px}.selectr-notice{display:none;box-sizing:border-box;width:100%;padding:8px 16px;border-top:1px solid #999;border-radius:0 0 3px 3px;background-color:#fff}.selectr-container.notice .selectr-notice{display:block}.selectr-container.notice .selectr-selected{border-radius:3px 3px 0 0}.selectr-options{position:relative;top:calc(100% + 2px);display:none;overflow-x:auto;overflow-y:scroll;max-height:200px;margin:0;padding:0}.selectr-container.notice .selectr-options-container,.selectr-container.open .selectr-input-container,.selectr-container.open .selectr-options{display:block}.selectr-option{position:relative;display:block;padding:5px 20px;list-style:outside none none;cursor:pointer;font-weight:400}.selectr-options.optgroups>.selectr-option{padding-left:25px}.selectr-optgroup{font-weight:700;padding:0}.selectr-optgroup--label{font-weight:700;margin-top:10px;padding:5px 15px}.selectr-match{text-decoration:underline}.selectr-option.selected{background-color:#ddd}.selectr-option.active{color:#fff;background-color:#5897fb}.selectr-option.disabled{opacity:.4}.selectr-option.excluded{display:none}.selectr-container.open .selectr-selected{border-color:#999 #999 transparent #999;border-radius:3px 3px 0 0}.selectr-container.open .selectr-selected:after{-o-transform:rotate(180deg) translate3d(0,50%,0);-ms-transform:rotate(180deg) translate3d(0,50%,0);-moz-transform:rotate(180deg) translate3d(0,50%,0);-webkit-transform:rotate(180deg) translate3d(0,50%,0);transform:rotate(180deg) translate3d(0,50%,0)}.selectr-disabled{opacity:.6}.has-selected .selectr-placeholder,.selectr-empty{display:none}.has-selected .selectr-label{display:block}.taggable .selectr-selected{padding:4px 28px 4px 4px}.taggable .selectr-selected:after{display:table;content:\" \";clear:both}.taggable .selectr-label{width:auto}.taggable .selectr-tags{float:left;display:block}.taggable .selectr-placeholder{display:none}.input-tag{float:left;min-width:90px;width:auto}.selectr-tag-input{border:medium none;padding:3px 10px;width:100%;font-family:inherit;font-weight:inherit;font-size:inherit}.selectr-input-container.loading:after{position:absolute;top:50%;right:20px;width:20px;height:20px;content:\"\";-o-transform:translate3d(0,-50%,0);-ms-transform:translate3d(0,-50%,0);-moz-transform:translate3d(0,-50%,0);-webkit-transform:translate3d(0,-50%,0);transform:translate3d(0,-50%,0);-o-transform-origin:50% 0 0;-ms-transform-origin:50% 0 0;-moz-transform-origin:50% 0 0;-webkit-transform-origin:50% 0 0;transform-origin:50% 0 0;-moz-animation:.5s linear 0s normal forwards infinite running selectr-spin;-webkit-animation:.5s linear 0s normal forwards infinite running selectr-spin;animation:.5s linear 0s normal forwards infinite running selectr-spin;border-width:3px;border-style:solid;border-color:#aaa #ddd #ddd;border-radius:50%}@-webkit-keyframes selectr-spin{0%{-webkit-transform:rotate(0) translate3d(0,-50%,0);transform:rotate(0) translate3d(0,-50%,0)}to{-webkit-transform:rotate(360deg) translate3d(0,-50%,0);transform:rotate(360deg) translate3d(0,-50%,0)}}@keyframes selectr-spin{0%{-webkit-transform:rotate(0) translate3d(0,-50%,0);transform:rotate(0) translate3d(0,-50%,0)}to{-webkit-transform:rotate(360deg) translate3d(0,-50%,0);transform:rotate(360deg) translate3d(0,-50%,0)}}.selectr-container.open.inverted .selectr-selected{border-color:transparent #999 #999;border-radius:0 0 3px 3px}.selectr-container.inverted .selectr-options-container{border-width:1px 1px 0;border-color:#999 #999 transparent;border-radius:3px 3px 0 0;background-color:#fff}.selectr-container.inverted .selectr-options-container{top:auto;bottom:calc(100% - 1px)}.selectr-container ::-webkit-input-placeholder{color:#6c7a86;opacity:1}.selectr-container ::-moz-placeholder{color:#6c7a86;opacity:1}.selectr-container :-ms-input-placeholder{color:#6c7a86;opacity:1}.selectr-container ::placeholder{color:#6c7a86;opacity:1}:host{width:100%}\n/*! Bundled license information:\n\njsoneditor/dist/jsoneditor.min.css:\n  (*!\n  * Selectr 2.4.13\n  * http://mobius.ovh/docs/selectr\n  *\n  * Released under the MIT license\n  *)\n*/\n"] }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { formGroup: [{
                type: Input
            }], controlName: [{
                type: Input
            }], options: [{
                type: Input
            }], editor: [{
                type: ViewChild,
                args: [JsonEditorComponent, { static: false }]
            }] } });

class DemoJsonEditorComponent {
    constructor(formBuilder) {
        this.formBuilder = formBuilder;
        this.setData();
        this.formGroup = this.formBuilder.group({
            myinput: [this.data],
        });
    }
    ngAfterViewInit() {
        this.saffronJsonEditor.editor.expandAll();
    }
    setData() {
        this.data = {
            products: [
                {
                    name: 'car',
                    product: [
                        {
                            name: 'honda',
                            model: [
                                { id: 'civic', name: 'civic' },
                                { id: 'accord', name: 'accord' },
                                { id: 'crv', name: 'crv' },
                                { id: 'pilot', name: 'pilot' },
                                { id: 'odyssey', name: 'odyssey' },
                            ],
                        },
                    ],
                },
            ],
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoJsonEditorComponent, deps: [{ token: i1$1.FormBuilder }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoJsonEditorComponent, selector: "demo-json-editor", viewQueries: [{ propertyName: "saffronJsonEditor", first: true, predicate: SaffronJsonEditorComponent, descendants: true }], ngImport: i0, template: "<div style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\" direction=\"ltr\" dir=\"ltr\" style=\"direction: ltr\">\r\n  <fieldset appFieldset>\r\n    <legend>saffron-json-editor</legend>\r\n    <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 100%;\">\r\n      <saffron-json-editor [formGroup]=\"formGroup\" [controlName]=\"'myinput'\"></saffron-json-editor>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n", styles: [""], dependencies: [{ kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i4.Dir, selector: "[dir]", inputs: ["dir"], outputs: ["dirChange"], exportAs: ["dir"] }, { kind: "component", type: SaffronJsonEditorComponent, selector: "saffron-json-editor", inputs: ["formGroup", "controlName", "options"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoJsonEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'demo-json-editor', template: "<div style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\" direction=\"ltr\" dir=\"ltr\" style=\"direction: ltr\">\r\n  <fieldset appFieldset>\r\n    <legend>saffron-json-editor</legend>\r\n    <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 100%;\">\r\n      <saffron-json-editor [formGroup]=\"formGroup\" [controlName]=\"'myinput'\"></saffron-json-editor>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n" }]
        }], ctorParameters: () => [{ type: i1$1.FormBuilder }], propDecorators: { saffronJsonEditor: [{
                type: ViewChild,
                args: [SaffronJsonEditorComponent, { static: false }]
            }] } });

class DemoMessageServiceComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoMessageServiceComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoMessageServiceComponent, selector: "lib-demo-message-service", ngImport: i0, template: "<div style=\"display: flex;gap: 2rem;flex-direction: column;padding-right: 2rem;\">\r\n  <saffron-button [title]=\"'\u067E\u06CC\u0627\u0645 \u062E\u0637\u0627'\" style=\"width: 20rem;\"></saffron-button>\r\n  <saffron-button [title]=\"'\u067E\u06CC\u0627\u0645 \u0647\u0634\u062F\u0627\u0631'\" style=\"width: 20rem;\"></saffron-button>\r\n  <saffron-button [title]=\"'\u067E\u06CC\u0627\u0645 \u0633\u0627\u062F\u0647'\" style=\"width: 20rem;\"></saffron-button>\r\n</div>\r\n", styles: [""], dependencies: [{ kind: "component", type: SaffronButtonComponent, selector: "saffron-button", inputs: ["title", "buttonStyle", "matIcon", "buttonType", "htmlButtonType", "tooltip"], outputs: ["buttonClicked"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoMessageServiceComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-demo-message-service', template: "<div style=\"display: flex;gap: 2rem;flex-direction: column;padding-right: 2rem;\">\r\n  <saffron-button [title]=\"'\u067E\u06CC\u0627\u0645 \u062E\u0637\u0627'\" style=\"width: 20rem;\"></saffron-button>\r\n  <saffron-button [title]=\"'\u067E\u06CC\u0627\u0645 \u0647\u0634\u062F\u0627\u0631'\" style=\"width: 20rem;\"></saffron-button>\r\n  <saffron-button [title]=\"'\u067E\u06CC\u0627\u0645 \u0633\u0627\u062F\u0647'\" style=\"width: 20rem;\"></saffron-button>\r\n</div>\r\n" }]
        }], ctorParameters: () => [] });

class DemoTreeViewData {
    static { this.data = {
        data: [
            {
                label: "Documents",
                data: "Documents Folder",
                expandedIcon: "pi pi-folder-open",
                collapsedIcon: "pi pi-folder",
                children: [
                    {
                        label: "Work",
                        data: "Work Folder",
                        expandedIcon: "pi pi-folder-open",
                        collapsedIcon: "pi pi-folder",
                        children: [
                            {
                                label: "Expenses.doc",
                                icon: "pi pi-file",
                                data: "Expenses Document"
                            },
                            {
                                label: "Resume.doc",
                                icon: "pi pi-file",
                                data: "Resume Document"
                            }
                        ]
                    },
                    {
                        label: "Home",
                        data: "Home Folder",
                        expandedIcon: "pi pi-folder-open",
                        collapsedIcon: "pi pi-folder",
                        children: [
                            {
                                label: "Invoices.txt",
                                icon: "pi pi-file",
                                data: "Invoices for this month"
                            }
                        ]
                    }
                ]
            },
            {
                label: "Pictures",
                data: "Pictures Folder",
                expandedIcon: "pi pi-folder-open",
                collapsedIcon: "pi pi-folder",
                children: [
                    {
                        label: "barcelona.jpg",
                        icon: "pi pi-image",
                        data: "Barcelona Photo"
                    },
                    {
                        label: "logo.jpg",
                        icon: "pi pi-image",
                        data: "PrimeFaces Logo"
                    },
                    {
                        label: "primeui.png",
                        icon: "pi pi-image",
                        data: "PrimeUI Logo"
                    }
                ]
            },
            {
                label: "Movies",
                data: "Movies Folder",
                expandedIcon: "pi pi-folder-open",
                collapsedIcon: "pi pi-folder",
                children: [
                    {
                        label: "Al Pacino",
                        data: "Pacino Movies",
                        children: [
                            {
                                label: "Scarface",
                                icon: "pi pi-video",
                                data: "Scarface Movie"
                            },
                            {
                                label: "Serpico",
                                icon: "pi pi-video",
                                data: "Serpico Movie"
                            }
                        ]
                    },
                    {
                        label: "Robert De Niro",
                        data: "De Niro Movies",
                        children: [
                            {
                                label: "Goodfellas",
                                icon: "pi pi-video",
                                data: "Goodfellas Movie"
                            },
                            {
                                label: "Untouchables",
                                icon: "pi pi-video",
                                data: "Untouchables Movie"
                            }
                        ]
                    }
                ]
            }
        ]
    }; }
}

class SaffronPrimeTreeViewComponent {
    constructor(chRef) {
        this.chRef = chRef;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronPrimeTreeViewComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronPrimeTreeViewComponent, isStandalone: true, selector: "saffron-tree-view", inputs: { nodes: "nodes" }, viewQueries: [{ propertyName: "treeComponent", first: true, predicate: Tree, descendants: true }], ngImport: i0, template: "<div direction=\"ltr\" dir=\"ltr\" style=\"direction: ltr;\">\r\n  <p-tree [value]=\"nodes\" layout=\"horizontal\" selectionMode=\"single\" [(selection)]=\"selectedNode\"></p-tree>\r\n</div>\r\n", styles: [""], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: TreeModule }, { kind: "component", type: i1$3.Tree, selector: "p-tree", inputs: ["value", "selectionMode", "selection", "style", "styleClass", "contextMenu", "layout", "draggableScope", "droppableScope", "draggableNodes", "droppableNodes", "metaKeySelection", "propagateSelectionUp", "propagateSelectionDown", "loading", "loadingIcon", "emptyMessage", "ariaLabel", "togglerAriaLabel", "ariaLabelledBy", "validateDrop", "filter", "filterBy", "filterMode", "filterPlaceholder", "filteredNodes", "filterLocale", "scrollHeight", "lazy", "virtualScroll", "virtualScrollItemSize", "virtualScrollOptions", "indentation", "_templateMap", "trackBy", "virtualNodeHeight"], outputs: ["selectionChange", "onNodeSelect", "onNodeUnselect", "onNodeExpand", "onNodeCollapse", "onNodeContextMenuSelect", "onNodeDrop", "onLazyLoad", "onScroll", "onScrollIndexChange", "onFilter"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronPrimeTreeViewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-tree-view', standalone: true, imports: [CommonModule, FormsModule, TreeModule], template: "<div direction=\"ltr\" dir=\"ltr\" style=\"direction: ltr;\">\r\n  <p-tree [value]=\"nodes\" layout=\"horizontal\" selectionMode=\"single\" [(selection)]=\"selectedNode\"></p-tree>\r\n</div>\r\n" }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { nodes: [{
                type: Input
            }], treeComponent: [{
                type: ViewChild,
                args: [Tree]
            }] } });

class DemoTreeViewComponent {
    constructor() {
        this.nodes = [
            {
                label: 'Root',
                children: DemoTreeViewData.data.data,
            },
        ];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoTreeViewComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoTreeViewComponent, selector: "lib-demo-tree-view", viewQueries: [{ propertyName: "treeComponent", first: true, predicate: SaffronPrimeTreeViewComponent, descendants: true }], ngImport: i0, template: "<div style=\"display: flex;flex-direction: column; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset>\r\n    <legend>saffron-tree-view</legend>\r\n    <div style=\"display: flex; justify-content: center;padding: 3rem 0rem;width: 100%;\">\r\n      <div style=\"padding: 2rem; width: 100%;height: 100%;\">\r\n        <saffron-tree-view [nodes]=\"nodes\"></saffron-tree-view>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n", styles: ["button{margin-right:.5rem}:host ::ng-deep .p-tree a{color:#2196f3}:host saffron-tree-view{width:100%}\n"], dependencies: [{ kind: "component", type: SaffronPrimeTreeViewComponent, selector: "saffron-tree-view", inputs: ["nodes"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoTreeViewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-demo-tree-view', template: "<div style=\"display: flex;flex-direction: column; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset>\r\n    <legend>saffron-tree-view</legend>\r\n    <div style=\"display: flex; justify-content: center;padding: 3rem 0rem;width: 100%;\">\r\n      <div style=\"padding: 2rem; width: 100%;height: 100%;\">\r\n        <saffron-tree-view [nodes]=\"nodes\"></saffron-tree-view>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n", styles: ["button{margin-right:.5rem}:host ::ng-deep .p-tree a{color:#2196f3}:host saffron-tree-view{width:100%}\n"] }]
        }], ctorParameters: () => [], propDecorators: { treeComponent: [{
                type: ViewChild,
                args: [SaffronPrimeTreeViewComponent]
            }] } });

const SaffronSelectAllValue = '$selectAllValue';

class SaffronSelectComponent {
    constructor(chRef) {
        this.chRef = chRef;
        this.controlName = '';
        this.valueField = '';
        this.labelField = '';
        this.tooltip = '';
        this.isMultiple = false;
        this.selectAll = true;
        this.position = 'above';
        this.selectionChange = new EventEmitter();
        this.defaultText = 'گزینه مورد نظر را انتخاب نمایید';
        this.selectAllText = 'انتخاب همه';
        this.selectTriggerTitle = '';
        this.customOptionClass = 'customOptionClass';
        this.allSelected = false;
        this.allTitles = 'همه موارد';
        this.SaffronSelectAllValue = SaffronSelectAllValue;
    }
    ngOnChanges(changes) {
        this.setControl(changes);
    }
    setControl(changes) {
        if (changes['formGroup'] || changes['controlName']) {
            this.control = this.formGroup.controls[this.controlName];
            this.checkAllValues();
        }
        if (changes['selectAll']) {
            this.checkAllValues();
        }
    }
    checkAllValues() {
        if (!this.isMultiple || !this.selectAll) {
            return;
        }
        const all = this.Items.map((x) => x[this.valueField]);
        if (all.length > 0) {
            this.control.setValue([...all, SaffronSelectAllValue]);
            this.allSelected = true;
        }
    }
    getAllValues() {
        return this.control.value ?? [];
    }
    OptionChanged(event) {
        this.selectionChange.emit(event);
    }
    getValue(item) {
        return this.valueField ? item[this.valueField] : item;
    }
    getLabel(item) {
        return this.labelField ? item[this.labelField] : item;
    }
    itemSelect() {
        setTimeout(() => {
            this.checkSelectAll();
        }, 0);
    }
    checkSelectAll() {
        const values = this.control.value || [];
        const itemsValues = this.Items.map((x) => x[this.valueField]);
        const filterdValues = values.filter((x) => itemsValues.includes(x));
        this.allSelected = this.Items.length === filterdValues.length;
        if (this.allSelected) {
            this.selectAllOption.select();
        }
        else {
            this.selectAllOption.deselect();
        }
    }
    toggleAllSelection() {
        const selectedCount = this.getSelectedCount();
        if (selectedCount !== this.Items.length) {
            this.select.options.forEach((item) => item.select());
            this.allSelected = true;
        }
        else {
            this.allSelected = false;
            this.select.options.forEach((item) => item.deselect());
        }
    }
    getSelectedCount() {
        return (this.control.value || []).length;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronSelectComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronSelectComponent, isStandalone: true, selector: "saffron-select", inputs: { formGroup: "formGroup", controlName: "controlName", placeholder: "placeholder", Items: "Items", valueField: "valueField", labelField: "labelField", tooltip: "tooltip", isMultiple: "isMultiple", selectAll: "selectAll", position: "position" }, outputs: { selectionChange: "selectionChange" }, providers: [], viewQueries: [{ propertyName: "select", first: true, predicate: ["select"], descendants: true }, { propertyName: "selectAllOption", first: true, predicate: ["selectAllOption"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div direction=\"rtl\" dir=\"rtl\" [formGroup]=\"formGroup\">\r\n  <mat-form-field appearance=\"outline\" style=\"width: 100%\" [hideRequiredMarker]=\"true\">\r\n    <mat-label>\r\n      <saffron-input-label [control]=\"control\" [placeholder]=\"placeholder\"></saffron-input-label>\r\n    </mat-label>\r\n    <mat-select *ngIf=\"!isMultiple\" [formControlName]=\"controlName\" class=\"input-of-saffron\" (selectionChange)=\"OptionChanged($event)\">\r\n      <mat-option class=\"default-text\">{{defaultText}}</mat-option>\r\n      <mat-option *ngFor=\"let item of Items\" [value]=\"getValue(item)\">\r\n        <strong> {{getLabel(item)}}</strong>\r\n      </mat-option>\r\n    </mat-select>\r\n\r\n    <mat-select #select *ngIf=\"isMultiple\" [formControlName]=\"controlName\"  class=\"input-of-saffron\" multiple>\r\n      <mat-select-trigger *ngIf=\"allSelected\">{{allTitles}}</mat-select-trigger>\r\n      <mat-option #selectAllOption [value]=\"SaffronSelectAllValue\" (click)=\"toggleAllSelection()\">\r\n        {{selectAllText}}\r\n      </mat-option>\r\n      <mat-option (click)=\"itemSelect()\" [class]=\"customOptionClass\" *ngFor=\"let item of Items\" [value]=\"getValue(item)\">\r\n        <strong> {{getLabel(item)}}</strong>\r\n      </mat-option>\r\n    </mat-select>\r\n    <a [tabIndex]=\"-1\" *ngIf=\"tooltip\" (click)=\"tooltipCtrl.show()\" #tooltipCtrl=\"matTooltip\" matSuffix mat-icon-button\r\n      [matTooltip]=\"tooltip\" [matTooltipPosition]=\"position\">\r\n      <mat-icon class=\"search-icon\">info</mat-icon>\r\n    </a>\r\n    <mat-error>\r\n      <saffron-input-error [errors]=\"control.errors\"></saffron-input-error>\r\n    </mat-error>\r\n  </mat-form-field>\r\n</div>", styles: ["mat-form-field,mat-select,mat-error,mat-option,mat-label,input{font-family:iransans!important}.default-text{color:#5e5c5c}:host::ng-deep .mat-mdc-form-field-outline,:host::ng-deep .mat-mdc-form-field-outline:hover,:host::ng-deep saffron-number-input:hover,:host::ng-deep mat-form-field-infix:hover{outline:#6299cf!important}:host::ng-deep .mat-mdc-form-field-appearance-outline .mat-mdc-form-field-outline-thick{color:#6299cf!important}:host{width:100%}a{color:#00f}.select-all{margin:5px 17px}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: MatFormField, selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "ngmodule", type: MatInputModule }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatError, selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix], [matIconSuffix], [matTextSuffix]", inputs: ["matTextSuffix"] }, { kind: "directive", type: i4.Dir, selector: "[dir]", inputs: ["dir"], outputs: ["dirChange"], exportAs: ["dir"] }, { kind: "component", type: MatOption, selector: "mat-option", inputs: ["value", "id", "disabled"], outputs: ["onSelectionChange"], exportAs: ["matOption"] }, { kind: "component", type: MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: MatSelectTrigger, selector: "mat-select-trigger" }, { kind: "directive", type: MatTooltip, selector: "[matTooltip]", inputs: ["matTooltipPosition", "matTooltipPositionAtOrigin", "matTooltipDisabled", "matTooltipShowDelay", "matTooltipHideDelay", "matTooltipTouchGestures", "matTooltip", "matTooltipClass"], exportAs: ["matTooltip"] }, { kind: "ngmodule", type: MatFormFieldModule }, { kind: "ngmodule", type: MatSelectModule }, { kind: "component", type: i5$2.MatSelect, selector: "mat-select", inputs: ["aria-describedby", "panelClass", "disabled", "disableRipple", "tabIndex", "hideSingleSelectionIndicator", "placeholder", "required", "multiple", "disableOptionCentering", "compareWith", "value", "aria-label", "aria-labelledby", "errorStateMatcher", "typeaheadDebounceInterval", "sortComparator", "id", "panelWidth"], outputs: ["openedChange", "opened", "closed", "selectionChange", "valueChange"], exportAs: ["matSelect"] }, { kind: "component", type: SaffronInputErrorComponent, selector: "saffron-input-error", inputs: ["errors"] }, { kind: "component", type: SaffronInputLabelComponent, selector: "saffron-input-label", inputs: ["control", "placeholder"] }, { kind: "ngmodule", type: MatCheckboxModule }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-select', providers: [], standalone: true, imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        MatFormField,
                        MatInputModule,
                        MatOption,
                        MatIcon,
                        MatSelectTrigger,
                        MatLabel,
                        MatError,
                        MatTooltip,
                        MatFormFieldModule,
                        MatSelectModule,
                        SaffronInputErrorComponent,
                        SaffronInputLabelComponent,
                        MatCheckboxModule,
                    ], template: "<div direction=\"rtl\" dir=\"rtl\" [formGroup]=\"formGroup\">\r\n  <mat-form-field appearance=\"outline\" style=\"width: 100%\" [hideRequiredMarker]=\"true\">\r\n    <mat-label>\r\n      <saffron-input-label [control]=\"control\" [placeholder]=\"placeholder\"></saffron-input-label>\r\n    </mat-label>\r\n    <mat-select *ngIf=\"!isMultiple\" [formControlName]=\"controlName\" class=\"input-of-saffron\" (selectionChange)=\"OptionChanged($event)\">\r\n      <mat-option class=\"default-text\">{{defaultText}}</mat-option>\r\n      <mat-option *ngFor=\"let item of Items\" [value]=\"getValue(item)\">\r\n        <strong> {{getLabel(item)}}</strong>\r\n      </mat-option>\r\n    </mat-select>\r\n\r\n    <mat-select #select *ngIf=\"isMultiple\" [formControlName]=\"controlName\"  class=\"input-of-saffron\" multiple>\r\n      <mat-select-trigger *ngIf=\"allSelected\">{{allTitles}}</mat-select-trigger>\r\n      <mat-option #selectAllOption [value]=\"SaffronSelectAllValue\" (click)=\"toggleAllSelection()\">\r\n        {{selectAllText}}\r\n      </mat-option>\r\n      <mat-option (click)=\"itemSelect()\" [class]=\"customOptionClass\" *ngFor=\"let item of Items\" [value]=\"getValue(item)\">\r\n        <strong> {{getLabel(item)}}</strong>\r\n      </mat-option>\r\n    </mat-select>\r\n    <a [tabIndex]=\"-1\" *ngIf=\"tooltip\" (click)=\"tooltipCtrl.show()\" #tooltipCtrl=\"matTooltip\" matSuffix mat-icon-button\r\n      [matTooltip]=\"tooltip\" [matTooltipPosition]=\"position\">\r\n      <mat-icon class=\"search-icon\">info</mat-icon>\r\n    </a>\r\n    <mat-error>\r\n      <saffron-input-error [errors]=\"control.errors\"></saffron-input-error>\r\n    </mat-error>\r\n  </mat-form-field>\r\n</div>", styles: ["mat-form-field,mat-select,mat-error,mat-option,mat-label,input{font-family:iransans!important}.default-text{color:#5e5c5c}:host::ng-deep .mat-mdc-form-field-outline,:host::ng-deep .mat-mdc-form-field-outline:hover,:host::ng-deep saffron-number-input:hover,:host::ng-deep mat-form-field-infix:hover{outline:#6299cf!important}:host::ng-deep .mat-mdc-form-field-appearance-outline .mat-mdc-form-field-outline-thick{color:#6299cf!important}:host{width:100%}a{color:#00f}.select-all{margin:5px 17px}\n"] }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { formGroup: [{
                type: Input
            }], controlName: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], Items: [{
                type: Input
            }], valueField: [{
                type: Input
            }], labelField: [{
                type: Input
            }], tooltip: [{
                type: Input,
                args: ['tooltip']
            }], isMultiple: [{
                type: Input,
                args: ['isMultiple']
            }], selectAll: [{
                type: Input
            }], position: [{
                type: Input,
                args: ['position']
            }], selectionChange: [{
                type: Output
            }], select: [{
                type: ViewChild,
                args: ['select']
            }], selectAllOption: [{
                type: ViewChild,
                args: ['selectAllOption']
            }] } });

class DemoSelect {
    constructor(fb) {
        this.fb = fb;
        this.autoCompleteSelectedItem = '';
        this.numberValue = 1000;
        this.accountNumber = 'شماره حساب';
        this.selectPlaceHolder = 'مدرک تحصیلی';
        this.paperCountPlaceHolder = 'تعداد برگ چک';
        this.degree = [
            { value: 'bc', viewValue: 'کارشناسی' },
            { value: 'msc', viewValue: 'کارشناسی ارشد' },
            { value: 'phd', viewValue: 'دکتری' },
        ];
        this.paperCountItems = [
            { value: '25', title: '25 برگی' },
            { value: '50', title: '50 برگی' },
            { value: '100', title: '100 برگی' },
            { value: '200', title: '200 برگی' },
        ];
        this.autoCompleteOptions = [
            { title: 'شعبه 1', value: '1' },
            { title: 'شعبه 2', value: '2' },
            { title: 'شعبه 3', value: '3' },
            { title: 'شعبه 4', value: '4' },
            { title: 'شعبه 5', value: '5' },
            { title: 'شعبه 6', value: '6' },
            { title: 'شعبه 7', value: '7' },
            { title: 'شعبه 8', value: '8' },
            { title: 'شعبه 9', value: '9' },
            { title: 'شعبه 10', value: '10' },
            { title: 'شعبه 11', value: '11' },
            { title: 'شعبه 12', value: '12' },
            { title: 'شعبه 13', value: '13' },
            { title: 'شعبه 14', value: '14' },
            { title: 'شعبه 15', value: '15' },
            { title: 'شعبه 16', value: '16' },
            { title: 'شعبه 17', value: '17' },
            { title: 'شعبه 18', value: '18' },
            { title: 'شعبه 19', value: '19' },
            { title: 'شعبه 20', value: '20' },
        ];
        this.formGroup = this.fb.group({
            degree: ['bc'],
            multiSheetNo: [[SaffronSelectAllValue]],
            paperCount: [null, Validators.required],
            requiredDegree: [null, Validators.required],
            autoComplete: [/* undefined */ '1', Validators.required],
            disbaledSelect: [{ value: 'bc', disabled: true }, Validators.required],
        });
        this.formGroup.get('requiredDegree')?.markAllAsTouched();
        this.formGroup
            .get('autoComplete')
            ?.valueChanges.subscribe((newValue) => {
            this.autoCompleteSelectedItem = newValue;
        });
        window.DemoSelect = this;
        this.degreeControl = this.formGroup.get('degree');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoSelect, deps: [{ token: i1$1.FormBuilder }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoSelect, selector: "demo-select", ngImport: i0, template: "<div [formGroup]=\"formGroup\" style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset style=\"height: 10rem;\">\r\n    <legend>saffron-auto-complete</legend>\r\n    <div style=\"display: flex; flex-direction: column;align-items: center;\">\r\n      <div class=\"select-continer\">\r\n        <saffron-auto-complete [options]=\"autoCompleteOptions\" [placeHolder]=\"'\u06A9\u062F \u0634\u0639\u0628\u0647'\" [formGroup]=\"formGroup\"\r\n          [controlName]=\"'autoComplete'\"></saffron-auto-complete>\r\n      </div>\r\n      <div style=\"max-width: max-content;\">{{autoCompleteSelectedItem}}</div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<div [formGroup]=\"formGroup\" style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset style=\"height: 10rem;\">\r\n    <legend>saffron-select</legend>\r\n    <div class=\"select-continer\">\r\n      <saffron-select [formGroup]=\"formGroup\" [controlName]=\"'degree'\" [placeholder]=\"selectPlaceHolder\" [valueField]=\"'value'\"\r\n        [labelField]=\"'viewValue'\" [Items]=\"degree\">\r\n      </saffron-select>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<div [formGroup]=\"formGroup\" style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset style=\"height: 10rem;\">\r\n    <legend>saffron-select</legend>\r\n    <div class=\"select-continer\">\r\n      <saffron-select [formGroup]=\"formGroup\" [controlName]=\"'paperCount'\" [tooltip]=\"'\u062A\u0633\u062A '\" [placeholder]=\"paperCountPlaceHolder\"\r\n        [valueField]=\"'value'\" [labelField]=\"'title'\" [Items]=\"paperCountItems\">\r\n      </saffron-select>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<div [formGroup]=\"formGroup\" style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset style=\"height: 10rem;\">\r\n    <legend>saffron-select Multi select</legend>\r\n    <div class=\"select-continer\">\r\n      <saffron-select [formGroup]=\"formGroup\" [controlName]=\"'multiSheetNo'\" [isMultiple]=\"true\" [tooltip]=\"'\u062A\u0633\u062A '\"\r\n        [placeholder]=\"paperCountPlaceHolder\" [valueField]=\"'value'\" [labelField]=\"'title'\" [Items]=\"paperCountItems\">\r\n      </saffron-select>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n\r\n<div [formGroup]=\"formGroup\" style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset style=\"height: 10rem;\">\r\n    <legend>saffron-select(Touched)</legend>\r\n    <div class=\"select-continer\">\r\n      <saffron-select [formGroup]=\"formGroup\" [controlName]=\"'requiredDegree'\" [placeholder]=\"selectPlaceHolder\" [valueField]=\"'value'\"\r\n        [labelField]=\"'viewValue'\" [Items]=\"degree\">\r\n      </saffron-select>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<div style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset style=\"height: 10rem;\">\r\n    <legend>saffron-select(disbaled)</legend>\r\n\r\n    <div class=\"select-continer\">\r\n      <saffron-select [formGroup]=\"formGroup\" [controlName]=\"'disbaledSelect'\" [placeholder]=\"selectPlaceHolder\" [valueField]=\"'value'\"\r\n        [labelField]=\"'viewValue'\" [Items]=\"degree\">\r\n      </saffron-select>\r\n    </div>\r\n\r\n    <!--  <p>\r\n      <mat-checkbox [formControl]=\"disableSelect\">Disable select</mat-checkbox>\r\n    </p>\r\n\r\n    <h4>mat-select</h4>\r\n    <mat-form-field>\r\n      <mat-label>Choose an option</mat-label>\r\n      <mat-select [disabled]=\"disableSelect.value\">\r\n        <mat-option value=\"option1\">Option 1</mat-option>\r\n        <mat-option value=\"option2\" disabled>Option 2 (disabled)</mat-option>\r\n        <mat-option value=\"option3\">Option 3</mat-option>\r\n      </mat-select>\r\n    </mat-form-field>\r\n\r\n    <h4>native html select</h4>\r\n    <mat-form-field>\r\n      <mat-label>Choose an option</mat-label>\r\n      <select matNativeControl [disabled]=\"disableSelect.value\">\r\n        <option value=\"\" selected></option>\r\n        <option value=\"volvo\">Volvo</option>\r\n        <option value=\"saab\" disabled>Saab</option>\r\n        <option value=\"mercedes\">Mercedes</option>\r\n        <option value=\"audi\">Audi</option>\r\n      </select>\r\n    </mat-form-field> -->\r\n  </fieldset>\r\n</div>\r\n", styles: ["fieldset{box-shadow:#63636333 0 2px 8px;border-color:#ebebeb;border-style:solid;display:flex;align-items:center;justify-content:center;width:100%;margin:0px 1rem}.select-continer{width:20rem}:host{width:100%}\n"], dependencies: [{ kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: SaffronAutoCompleteComponent, selector: "saffron-auto-complete", inputs: ["formGroup", "controlName", "options", "placeHolder"] }, { kind: "component", type: SaffronSelectComponent, selector: "saffron-select", inputs: ["formGroup", "controlName", "placeholder", "Items", "valueField", "labelField", "tooltip", "isMultiple", "selectAll", "position"], outputs: ["selectionChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoSelect, decorators: [{
            type: Component,
            args: [{ selector: 'demo-select', template: "<div [formGroup]=\"formGroup\" style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset style=\"height: 10rem;\">\r\n    <legend>saffron-auto-complete</legend>\r\n    <div style=\"display: flex; flex-direction: column;align-items: center;\">\r\n      <div class=\"select-continer\">\r\n        <saffron-auto-complete [options]=\"autoCompleteOptions\" [placeHolder]=\"'\u06A9\u062F \u0634\u0639\u0628\u0647'\" [formGroup]=\"formGroup\"\r\n          [controlName]=\"'autoComplete'\"></saffron-auto-complete>\r\n      </div>\r\n      <div style=\"max-width: max-content;\">{{autoCompleteSelectedItem}}</div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<div [formGroup]=\"formGroup\" style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset style=\"height: 10rem;\">\r\n    <legend>saffron-select</legend>\r\n    <div class=\"select-continer\">\r\n      <saffron-select [formGroup]=\"formGroup\" [controlName]=\"'degree'\" [placeholder]=\"selectPlaceHolder\" [valueField]=\"'value'\"\r\n        [labelField]=\"'viewValue'\" [Items]=\"degree\">\r\n      </saffron-select>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<div [formGroup]=\"formGroup\" style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset style=\"height: 10rem;\">\r\n    <legend>saffron-select</legend>\r\n    <div class=\"select-continer\">\r\n      <saffron-select [formGroup]=\"formGroup\" [controlName]=\"'paperCount'\" [tooltip]=\"'\u062A\u0633\u062A '\" [placeholder]=\"paperCountPlaceHolder\"\r\n        [valueField]=\"'value'\" [labelField]=\"'title'\" [Items]=\"paperCountItems\">\r\n      </saffron-select>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<div [formGroup]=\"formGroup\" style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset style=\"height: 10rem;\">\r\n    <legend>saffron-select Multi select</legend>\r\n    <div class=\"select-continer\">\r\n      <saffron-select [formGroup]=\"formGroup\" [controlName]=\"'multiSheetNo'\" [isMultiple]=\"true\" [tooltip]=\"'\u062A\u0633\u062A '\"\r\n        [placeholder]=\"paperCountPlaceHolder\" [valueField]=\"'value'\" [labelField]=\"'title'\" [Items]=\"paperCountItems\">\r\n      </saffron-select>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n\r\n<div [formGroup]=\"formGroup\" style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset style=\"height: 10rem;\">\r\n    <legend>saffron-select(Touched)</legend>\r\n    <div class=\"select-continer\">\r\n      <saffron-select [formGroup]=\"formGroup\" [controlName]=\"'requiredDegree'\" [placeholder]=\"selectPlaceHolder\" [valueField]=\"'value'\"\r\n        [labelField]=\"'viewValue'\" [Items]=\"degree\">\r\n      </saffron-select>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<div style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset style=\"height: 10rem;\">\r\n    <legend>saffron-select(disbaled)</legend>\r\n\r\n    <div class=\"select-continer\">\r\n      <saffron-select [formGroup]=\"formGroup\" [controlName]=\"'disbaledSelect'\" [placeholder]=\"selectPlaceHolder\" [valueField]=\"'value'\"\r\n        [labelField]=\"'viewValue'\" [Items]=\"degree\">\r\n      </saffron-select>\r\n    </div>\r\n\r\n    <!--  <p>\r\n      <mat-checkbox [formControl]=\"disableSelect\">Disable select</mat-checkbox>\r\n    </p>\r\n\r\n    <h4>mat-select</h4>\r\n    <mat-form-field>\r\n      <mat-label>Choose an option</mat-label>\r\n      <mat-select [disabled]=\"disableSelect.value\">\r\n        <mat-option value=\"option1\">Option 1</mat-option>\r\n        <mat-option value=\"option2\" disabled>Option 2 (disabled)</mat-option>\r\n        <mat-option value=\"option3\">Option 3</mat-option>\r\n      </mat-select>\r\n    </mat-form-field>\r\n\r\n    <h4>native html select</h4>\r\n    <mat-form-field>\r\n      <mat-label>Choose an option</mat-label>\r\n      <select matNativeControl [disabled]=\"disableSelect.value\">\r\n        <option value=\"\" selected></option>\r\n        <option value=\"volvo\">Volvo</option>\r\n        <option value=\"saab\" disabled>Saab</option>\r\n        <option value=\"mercedes\">Mercedes</option>\r\n        <option value=\"audi\">Audi</option>\r\n      </select>\r\n    </mat-form-field> -->\r\n  </fieldset>\r\n</div>\r\n", styles: ["fieldset{box-shadow:#63636333 0 2px 8px;border-color:#ebebeb;border-style:solid;display:flex;align-items:center;justify-content:center;width:100%;margin:0px 1rem}.select-continer{width:20rem}:host{width:100%}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.FormBuilder }] });

class SaffronTextAreaComponent {
    constructor() {
        this.controlName = '';
        this.placeholder = '';
        this.rows = 3;
    }
    ngOnChanges(changes) {
        this.setControl(changes);
    }
    setControl(changes) {
        if (changes['formGroup'] || changes['controlName']) {
            this.control = this.formGroup.controls[this.controlName];
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTextAreaComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronTextAreaComponent, isStandalone: true, selector: "saffron-text-area", inputs: { formGroup: "formGroup", controlName: "controlName", placeholder: "placeholder", rows: "rows" }, usesOnChanges: true, ngImport: i0, template: "<div direction=\"rtl\" dir=\"rtl\" [formGroup]=\"formGroup\">\r\n  <mat-form-field appearance=\"outline\" style=\"width: 100%\" [hideRequiredMarker]=\"true\">\r\n    <mat-label>\r\n      <saffron-input-label [control]=\"control\" [placeholder]=\"placeholder\"></saffron-input-label>\r\n    </mat-label>\r\n    <textarea matInput [rows]=\"rows\" class=\"input-of-saffron\" [formControlName]=\"controlName\" autocomplete=\"off\"></textarea>\r\n    <mat-error>\r\n      <saffron-input-error [errors]=\"control.errors\"></saffron-input-error>\r\n    </mat-error>\r\n  </mat-form-field>\r\n</div>\r\n", styles: ["textarea{font-family:iransans!important}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: MatFormField, selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: MatLabel, selector: "mat-label" }, { kind: "directive", type: MatError, selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "component", type: SaffronInputErrorComponent, selector: "saffron-input-error", inputs: ["errors"] }, { kind: "component", type: SaffronInputLabelComponent, selector: "saffron-input-label", inputs: ["control", "placeholder"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTextAreaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-text-area', standalone: true, imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        MatFormField,
                        MatLabel,
                        MatError,
                        SaffronInputErrorComponent,
                        SaffronInputLabelComponent,
                    ], template: "<div direction=\"rtl\" dir=\"rtl\" [formGroup]=\"formGroup\">\r\n  <mat-form-field appearance=\"outline\" style=\"width: 100%\" [hideRequiredMarker]=\"true\">\r\n    <mat-label>\r\n      <saffron-input-label [control]=\"control\" [placeholder]=\"placeholder\"></saffron-input-label>\r\n    </mat-label>\r\n    <textarea matInput [rows]=\"rows\" class=\"input-of-saffron\" [formControlName]=\"controlName\" autocomplete=\"off\"></textarea>\r\n    <mat-error>\r\n      <saffron-input-error [errors]=\"control.errors\"></saffron-input-error>\r\n    </mat-error>\r\n  </mat-form-field>\r\n</div>\r\n", styles: ["textarea{font-family:iransans!important}\n"] }]
        }], ctorParameters: () => [], propDecorators: { formGroup: [{
                type: Input
            }], controlName: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], rows: [{
                type: Input,
                args: ['rows']
            }] } });

class DemoTextArea {
    get desc() {
        return this.formGroup.get('desc');
    }
    constructor(fb) {
        this.fb = fb;
        this.title = 'تست مقادیر';
        this.formGroup = this.fb.group({
            desc: ['', Validators.required],
            descTouched: ['', Validators.required],
        });
        this.formGroup.get('descTouched')?.markAllAsTouched();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoTextArea, deps: [{ token: i1$1.FormBuilder }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoTextArea, selector: "demo-text-area", ngImport: i0, template: "<div style=\"display: flex;align-items: center; flex-direction: column; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-text-area</legend>\r\n    <div class=\"d-flex flex-column\" style=\"width: 100%\">\r\n      <div style=\"margin: 3rem 0rem;width: 100%;\">\r\n        <div>\r\n          <saffron-text-area [formGroup]=\"formGroup\" [placeholder]=\"'\u0634\u0631\u062D'\" [controlName]=\"'desc'\"></saffron-text-area>\r\n        </div>\r\n      </div>\r\n      <div>{{formGroup.controls['desc'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-text-area(Touched)</legend>\r\n    <div class=\"d-flex flex-column\" style=\"width: 100%\">\r\n      <div style=\"margin: 3rem 0rem;width: 100%;\">\r\n        <div>\r\n          <saffron-text-area [formGroup]=\"formGroup\" [placeholder]=\"'\u0634\u0631\u062D'\" [controlName]=\"'descTouched'\"></saffron-text-area>\r\n        </div>\r\n      </div>\r\n      <div>{{formGroup.controls['descTouched'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n", styles: [""], dependencies: [{ kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: SaffronTextAreaComponent, selector: "saffron-text-area", inputs: ["formGroup", "controlName", "placeholder", "rows"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoTextArea, decorators: [{
            type: Component,
            args: [{ selector: 'demo-text-area', template: "<div style=\"display: flex;align-items: center; flex-direction: column; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-text-area</legend>\r\n    <div class=\"d-flex flex-column\" style=\"width: 100%\">\r\n      <div style=\"margin: 3rem 0rem;width: 100%;\">\r\n        <div>\r\n          <saffron-text-area [formGroup]=\"formGroup\" [placeholder]=\"'\u0634\u0631\u062D'\" [controlName]=\"'desc'\"></saffron-text-area>\r\n        </div>\r\n      </div>\r\n      <div>{{formGroup.controls['desc'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-text-area(Touched)</legend>\r\n    <div class=\"d-flex flex-column\" style=\"width: 100%\">\r\n      <div style=\"margin: 3rem 0rem;width: 100%;\">\r\n        <div>\r\n          <saffron-text-area [formGroup]=\"formGroup\" [placeholder]=\"'\u0634\u0631\u062D'\" [controlName]=\"'descTouched'\"></saffron-text-area>\r\n        </div>\r\n      </div>\r\n      <div>{{formGroup.controls['descTouched'].value}}</div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n" }]
        }], ctorParameters: () => [{ type: i1$1.FormBuilder }] });

class SaffronTabViewComponent {
    constructor() {
        this.tabData = [];
        this.tabTemplates = [];
        this.tabClicked = new EventEmitter();
        this.activeTabIndex = 0;
    }
    ngOnChanges(changes) {
        if (changes['tabData'] || changes['tabTemplates']) {
            this.setActiveTab(0);
        }
    }
    onTabClick(clickedTab, activeTabIndex) {
        this.setActiveTab(activeTabIndex);
        this.tabClicked.emit(clickedTab);
    }
    setActiveTab(activeTabIndex) {
        this.activeTabIndex = activeTabIndex;
        const hasTemplate = this.tabTemplates && this.tabTemplates.length > activeTabIndex;
        this.activeTabTemplate = hasTemplate
            ? this.tabTemplates[activeTabIndex]
            : null;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTabViewComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronTabViewComponent, isStandalone: true, selector: "saffron-tab-view", inputs: { tabData: "tabData", tabTemplates: "tabTemplates" }, outputs: { tabClicked: "tabClicked" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"saffron-card-view\">\r\n  <mat-card-content>\r\n    <div class=\"header-container\">\r\n      <mat-card-header style=\"z-index: inherit;\" *ngFor=\"let data of tabData;let tabIndex = index;\"\r\n        [ngClass]=\"{'active-header': tabIndex === activeTabIndex , 'inActive-header': tabIndex != activeTabIndex}\">\r\n        <div style=\"display:flex;z-index: inherit;\" class=\"title-container\" (click)=\"onTabClick(data,tabIndex)\">\r\n          <mat-icon style=\"color: #0c9ff7;margin-left: 10px;z-index: inherit;\" [innerText]=\"data.materialIcon\">\r\n          </mat-icon>\r\n          <h4>{{data.title}}</h4>\r\n        </div>\r\n      </mat-card-header>\r\n    </div>\r\n    <div class=\"row content-container\">\r\n      <ng-container *ngTemplateOutlet=\"activeTabTemplate\">\r\n      </ng-container>\r\n    </div>\r\n  </mat-card-content>\r\n</div>\r\n", styles: ["*{direction:rtl}h4{margin:0;font-family:iransans!important}.active-header{background-color:#ebf4fa;box-shadow:0 0 5px #0b658759;transition:all .15s}.inActive-header{box-shadow:0 0 5px #83838333;transition:all .15s}:host{width:100%;height:100%}mat-card-content{width:100%}mat-card-header{float:right}.saffron-card-view::ng-deep mat-card-content{margin:0!important}.saffron-card-view::ng-deep mat-card-header{padding:8px 20px;border-top-left-radius:10px;border-top-right-radius:10px;min-width:15rem;max-width:max-content}.saffron-card-view::ng-deep .header-container{display:flex;flex-direction:row;z-index:0;position:relative;padding:0rem .5rem;height:2.7rem}.saffron-card-view::ng-deep .mat-card{margin-bottom:10px}.saffron-card-view::ng-deep .mat-card{box-shadow:none!important}.saffron-card-view::ng-deep .mat-card-header-text{margin:0!important}.saffron-card-view::ng-deep .mat-card-content .row .value{font-weight:300;font-size:15px;border-top:1px solid #e4e4e4}.saffron-card-view::ng-deep .mat-card-content .row{padding:16px;box-shadow:0 0 5px #00000026,0 0 #00000024,0 1px #0000001f!important;background:#fff;box-sizing:border-box;border-radius:7px;border:1px solid rgba(216,216,216,.686);font-size:12px!important;width:100%}.content-container{position:relative;height:calc(100% - 2.7rem)!important;margin:0!important}.title-container{cursor:pointer;width:100%}.saffron-card-view{height:100%}mat-card-content{height:100%}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: MatCardContent, selector: "mat-card-content" }, { kind: "component", type: MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronTabViewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-tab-view', standalone: true, imports: [CommonModule, FormsModule, MatCard, MatCardContent, MatIcon], template: "<div class=\"saffron-card-view\">\r\n  <mat-card-content>\r\n    <div class=\"header-container\">\r\n      <mat-card-header style=\"z-index: inherit;\" *ngFor=\"let data of tabData;let tabIndex = index;\"\r\n        [ngClass]=\"{'active-header': tabIndex === activeTabIndex , 'inActive-header': tabIndex != activeTabIndex}\">\r\n        <div style=\"display:flex;z-index: inherit;\" class=\"title-container\" (click)=\"onTabClick(data,tabIndex)\">\r\n          <mat-icon style=\"color: #0c9ff7;margin-left: 10px;z-index: inherit;\" [innerText]=\"data.materialIcon\">\r\n          </mat-icon>\r\n          <h4>{{data.title}}</h4>\r\n        </div>\r\n      </mat-card-header>\r\n    </div>\r\n    <div class=\"row content-container\">\r\n      <ng-container *ngTemplateOutlet=\"activeTabTemplate\">\r\n      </ng-container>\r\n    </div>\r\n  </mat-card-content>\r\n</div>\r\n", styles: ["*{direction:rtl}h4{margin:0;font-family:iransans!important}.active-header{background-color:#ebf4fa;box-shadow:0 0 5px #0b658759;transition:all .15s}.inActive-header{box-shadow:0 0 5px #83838333;transition:all .15s}:host{width:100%;height:100%}mat-card-content{width:100%}mat-card-header{float:right}.saffron-card-view::ng-deep mat-card-content{margin:0!important}.saffron-card-view::ng-deep mat-card-header{padding:8px 20px;border-top-left-radius:10px;border-top-right-radius:10px;min-width:15rem;max-width:max-content}.saffron-card-view::ng-deep .header-container{display:flex;flex-direction:row;z-index:0;position:relative;padding:0rem .5rem;height:2.7rem}.saffron-card-view::ng-deep .mat-card{margin-bottom:10px}.saffron-card-view::ng-deep .mat-card{box-shadow:none!important}.saffron-card-view::ng-deep .mat-card-header-text{margin:0!important}.saffron-card-view::ng-deep .mat-card-content .row .value{font-weight:300;font-size:15px;border-top:1px solid #e4e4e4}.saffron-card-view::ng-deep .mat-card-content .row{padding:16px;box-shadow:0 0 5px #00000026,0 0 #00000024,0 1px #0000001f!important;background:#fff;box-sizing:border-box;border-radius:7px;border:1px solid rgba(216,216,216,.686);font-size:12px!important;width:100%}.content-container{position:relative;height:calc(100% - 2.7rem)!important;margin:0!important}.title-container{cursor:pointer;width:100%}.saffron-card-view{height:100%}mat-card-content{height:100%}\n"] }]
        }], ctorParameters: () => [], propDecorators: { tabData: [{
                type: Input
            }], tabTemplates: [{
                type: Input
            }], tabClicked: [{
                type: Output
            }] } });

class DemoTabView {
    constructor(tableConfig) {
        this.tableConfig = tableConfig;
        this.tabData = [];
        this.rows = [];
        this.columns = [];
        this.cardTwoRemSize = '40rem';
        this.cardTwoSizeRounded = 40;
        this.actionButtons = [
            {
                id: 'action',
                title: 'انجام عملیات',
                color: 'primary',
            },
            {
                id: 'delete',
                title: 'پاک کردن',
                icon: 'delete',
            },
        ];
        this.tabData.push({ id: '1', title: 'یک', materialIcon: 'manage_search' });
        this.tabData.push({ id: '2', title: 'دو', materialIcon: 'manage_search' });
        this.tabData.push({ id: '3', title: 'سه', materialIcon: 'manage_search' });
        this.rows = this.tableConfig.rows;
        this.columns = this.tableConfig.columns;
    }
    tabClicked(tabData) {
        this.message = `tab ${tabData.id} clicked`;
        setTimeout(() => {
            this.message = undefined;
        }, 1000);
    }
    onActionClicked(button) {
        alert(button.title);
    }
    onTableActionClicked(actionEvent) {
        alert(actionEvent?.actionColumnData?.toolTip);
    }
    dataClicked(dataClicked) {
        alert(`data clicked\n rowIndex : ${dataClicked.rowIndex}\n column field: ${dataClicked.column.field}`);
    }
    sliderOneChange(event) {
        debugger;
        this.cardTwoSizeRounded = Math.round(event.value ?? 10);
        this.cardTwoRemSize = `${this.cardTwoSizeRounded}rem`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoTabView, deps: [{ token: DemoTableConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoTabView, selector: "demo-tab-view", providers: [DemoTableConfig], ngImport: i0, template: "<div style=\"display: flex; justify-content: center;flex-direction: column; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset>\r\n    <legend>saffron-tab-view</legend>\r\n    <div style=\"margin: 3rem 0rem;width: 100%;\">\r\n      <saffron-tab-view [tabData]=\"tabData\" (tabClicked)=\"tabClicked($event)\"\r\n        [tabTemplates]=\"[tab1Template,tab2Template,tab3Template]\">\r\n      </saffron-tab-view>\r\n      <div style=\"display: flex; justify-content: center; margin-top: 1rem;height: 1rem;\">{{message}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <div style=\"margin-top: 1rem !important\">\r\n  </div>\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-card-view</legend>\r\n    <div style=\"display: flex;flex-direction: column; width: 100%;align-items: center;\">\r\n      <div style=\"display: flex;flex-direction: column; width: 10rem;align-items: center;\">\r\n        <div style=\"display: flex;\" direction=\"rtl\" dir=\"rtl\">\r\n          <div style=\"font-family: 'iransans' !important;\">\u0633\u0627\u06CC\u0632 \u06A9\u0627\u0631\u062A</div>\r\n          <div style=\"font-family: 'iransans' !important;\">:</div>\r\n          <div style=\"font-family: 'iransans' !important;\">{{cardTwoSizeRounded}}rem</div>\r\n        </div>\r\n        <mat-slider min=\"40\" max=\"80\" step=\"0.001\"    (change)=\"sliderOneChange($event)\" >\r\n          <input matSliderThumb name=\"cardTwoSizeRounded1\"  [(ngModel)]=\"cardTwoSizeRounded\" >\r\n        </mat-slider>\r\n      </div>\r\n      <div style=\"width: 100%;\" [ngStyle]=\"{'height': cardTwoRemSize}\">\r\n        <saffron-card-view [cardTemplate]=\"tableTabView\" [actionButtons]=\"actionButtons\" (actionClicked)=\"onActionClicked($event)\">\r\n        </saffron-card-view>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n\r\n<ng-template #tab1Template>\r\n  <div>tab 1 template</div>\r\n</ng-template>\r\n\r\n<ng-template #tab2Template>\r\n  <div>tab 2 template</div>\r\n</ng-template>\r\n\r\n<ng-template #tab3Template>\r\n  <div>tab 3 template</div>\r\n</ng-template>\r\n\r\n\r\n<ng-template #tableTabView>\r\n  <saffron-tab-view [tabData]=\"[tabData[0]]\" [tabTemplates]=\"[tableTabTemplate]\">\r\n  </saffron-tab-view>\r\n</ng-template>\r\n\r\n<ng-template #tableTabTemplate>\r\n  <saffron-table [rows]=\"rows\" [columns]=\"columns\" (actionClicked)=\"onTableActionClicked($event)\" (dataClicked)=\"dataClicked($event)\"></saffron-table>\r\n</ng-template>\r\n\r\n", styles: ["fieldset{box-shadow:#63636333 0 2px 8px;border-color:#ebebeb;border-style:solid;display:flex;align-items:center;justify-content:center;width:calc(100% - 2rem)!important;margin:0px 1rem}\n"], dependencies: [{ kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i1$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i4.Dir, selector: "[dir]", inputs: ["dir"], outputs: ["dirChange"], exportAs: ["dir"] }, { kind: "component", type: i5$3.MatSlider, selector: "mat-slider", inputs: ["disabled", "discrete", "showTickMarks", "min", "color", "disableRipple", "max", "step", "displayWith"], exportAs: ["matSlider"] }, { kind: "component", type: SaffronCardViewComponent, selector: "saffron-card-view", inputs: ["cardTemplate", "actionButtons", "cardColor"], outputs: ["actionClicked"] }, { kind: "component", type: SaffronTabViewComponent, selector: "saffron-tab-view", inputs: ["tabData", "tabTemplates"], outputs: ["tabClicked"] }, { kind: "component", type: SaffronTableComponent, selector: "saffron-table", inputs: ["rows", "columns", "totalCount", "pageSize", "pageNumber", "pageSizeOptions", "hideTopPaginator", "hideBottomPaginator", "stickyHeader"], outputs: ["pageEvent", "actionClicked", "sortStateChanged", "dataClicked", "pageSizeChange", "pageNumberChange"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoTabView, decorators: [{
            type: Component,
            args: [{ selector: 'demo-tab-view', providers: [DemoTableConfig], template: "<div style=\"display: flex; justify-content: center;flex-direction: column; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset>\r\n    <legend>saffron-tab-view</legend>\r\n    <div style=\"margin: 3rem 0rem;width: 100%;\">\r\n      <saffron-tab-view [tabData]=\"tabData\" (tabClicked)=\"tabClicked($event)\"\r\n        [tabTemplates]=\"[tab1Template,tab2Template,tab3Template]\">\r\n      </saffron-tab-view>\r\n      <div style=\"display: flex; justify-content: center; margin-top: 1rem;height: 1rem;\">{{message}}</div>\r\n    </div>\r\n  </fieldset>\r\n  <div style=\"margin-top: 1rem !important\">\r\n  </div>\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-card-view</legend>\r\n    <div style=\"display: flex;flex-direction: column; width: 100%;align-items: center;\">\r\n      <div style=\"display: flex;flex-direction: column; width: 10rem;align-items: center;\">\r\n        <div style=\"display: flex;\" direction=\"rtl\" dir=\"rtl\">\r\n          <div style=\"font-family: 'iransans' !important;\">\u0633\u0627\u06CC\u0632 \u06A9\u0627\u0631\u062A</div>\r\n          <div style=\"font-family: 'iransans' !important;\">:</div>\r\n          <div style=\"font-family: 'iransans' !important;\">{{cardTwoSizeRounded}}rem</div>\r\n        </div>\r\n        <mat-slider min=\"40\" max=\"80\" step=\"0.001\"    (change)=\"sliderOneChange($event)\" >\r\n          <input matSliderThumb name=\"cardTwoSizeRounded1\"  [(ngModel)]=\"cardTwoSizeRounded\" >\r\n        </mat-slider>\r\n      </div>\r\n      <div style=\"width: 100%;\" [ngStyle]=\"{'height': cardTwoRemSize}\">\r\n        <saffron-card-view [cardTemplate]=\"tableTabView\" [actionButtons]=\"actionButtons\" (actionClicked)=\"onActionClicked($event)\">\r\n        </saffron-card-view>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n\r\n<ng-template #tab1Template>\r\n  <div>tab 1 template</div>\r\n</ng-template>\r\n\r\n<ng-template #tab2Template>\r\n  <div>tab 2 template</div>\r\n</ng-template>\r\n\r\n<ng-template #tab3Template>\r\n  <div>tab 3 template</div>\r\n</ng-template>\r\n\r\n\r\n<ng-template #tableTabView>\r\n  <saffron-tab-view [tabData]=\"[tabData[0]]\" [tabTemplates]=\"[tableTabTemplate]\">\r\n  </saffron-tab-view>\r\n</ng-template>\r\n\r\n<ng-template #tableTabTemplate>\r\n  <saffron-table [rows]=\"rows\" [columns]=\"columns\" (actionClicked)=\"onTableActionClicked($event)\" (dataClicked)=\"dataClicked($event)\"></saffron-table>\r\n</ng-template>\r\n\r\n", styles: ["fieldset{box-shadow:#63636333 0 2px 8px;border-color:#ebebeb;border-style:solid;display:flex;align-items:center;justify-content:center;width:calc(100% - 2rem)!important;margin:0px 1rem}\n"] }]
        }], ctorParameters: () => [{ type: DemoTableConfig }] });

class DemoCardView {
    constructor(tableConfig) {
        this.tableConfig = tableConfig;
        this.rows = [];
        this.columns = [];
        this.cardTwoRemSize = '40rem';
        this.cardTwoSizeRounded = 40;
        this.tabData = [
            { id: '1', title: 'تب یک', materialIcon: 'manage_search' },
            { id: '2', title: 'تب دو', materialIcon: 'manage_search' },
            { id: '3', title: 'تب سه', materialIcon: 'manage_search' },
        ];
        this.actionButtons = [
            {
                id: 'dis',
                title: 'غیر فعال',
                color: 'primary',
                disabled: true,
            },
            {
                id: 'action',
                title: 'انجام عملیات',
                color: 'primary',
                action: () => {
                    alert('action clicked');
                },
            },
            {
                id: 'delete',
                title: 'پاک کردن',
                icon: 'delete',
            },
        ];
        this.rows = this.tableConfig.rows;
        this.columns = this.tableConfig.columns;
    }
    onActionClicked(button) {
        if (button.id !== 'action') {
            alert(button.title);
        }
    }
    onTableActionClicked(actionEvent) {
        alert(actionEvent?.actionColumnData?.toolTip);
    }
    dataClicked(dataClicked) {
        alert(`data clicked\n rowIndex : ${dataClicked.rowIndex}\n column field: ${dataClicked.column.field}`);
    }
    sliderOneChange(event) {
        this.cardTwoSizeRounded = Math.round(event.value ?? 10);
        this.cardTwoRemSize = `${this.cardTwoSizeRounded}rem`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoCardView, deps: [{ token: DemoTableConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoCardView, selector: "demo-card-view", providers: [DemoTableConfig], ngImport: i0, template: "<div id=\"demo-card-view-component\" style=\"display: flex;flex-direction: column; justify-content: center; width: calc(100% - 3rem); margin-top: 2rem;\">\r\n  <fieldset appFieldset>\r\n    <legend>saffron-card-view</legend>\r\n    <div style=\"padding: 3rem 0rem;width: 100%;height: 20rem;\">\r\n      <saffron-card-view [cardTemplate]=\"tabView\" [actionButtons]=\"actionButtons\" (actionClicked)=\"onActionClicked($event)\">\r\n      </saffron-card-view>\r\n    </div>\r\n  </fieldset>\r\n  <div style=\"margin-top: 1rem !important\">\r\n  </div>\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-card-view</legend>\r\n    <div style=\"display: flex;flex-direction: column; width: 100%;align-items: center;\">\r\n      <div style=\"display: flex;flex-direction: column; width: 10rem;align-items: center;\">\r\n        <div style=\"display: flex;\" direction=\"rtl\" dir=\"rtl\">\r\n          <div style=\"font-family: 'iransans' !important;\">\u0633\u0627\u06CC\u0632 \u06A9\u0627\u0631\u062A</div>\r\n          <div style=\"font-family: 'iransans' !important;\">:</div>\r\n          <div style=\"font-family: 'iransans' !important;\">{{cardTwoSizeRounded}}rem</div>\r\n        </div>\r\n        <mat-slider min=\"40\" max=\"80\" step=\"0.001\"  (change)=\"sliderOneChange($event)\" >\r\n          <input matSliderThumb  name=\"cardTwoSizeRounded\" [(ngModel)]=\"cardTwoSizeRounded\">\r\n        </mat-slider>\r\n      </div>\r\n      <div style=\"width: 100%;\" [ngStyle]=\"{'height': cardTwoRemSize}\">\r\n        <saffron-card-view [cardTemplate]=\"tableCardView\" [actionButtons]=\"actionButtons\" (actionClicked)=\"onActionClicked($event)\">\r\n        </saffron-card-view>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<ng-template #tabView>\r\n  <saffron-tab-view [tabData]=\"tabData\" [tabTemplates]=\"[tab1Template]\">\r\n  </saffron-tab-view>\r\n</ng-template>\r\n\r\n<ng-template #tab1Template>\r\n  <div>tab 1 template</div>\r\n</ng-template>\r\n\r\n<ng-template #tab2Template>\r\n  <div>tab 2 template</div>\r\n</ng-template>\r\n\r\n<ng-template #tab3Template>\r\n  <div>tab 3 template</div>\r\n</ng-template>\r\n\r\n<ng-template #tableCardView>\r\n  <saffron-table [rows]=\"rows\" [columns]=\"columns\" (actionClicked)=\"onTableActionClicked($event)\" (dataClicked)=\"dataClicked($event)\"></saffron-table>\r\n</ng-template>\r\n", styles: [""], dependencies: [{ kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i1$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i4.Dir, selector: "[dir]", inputs: ["dir"], outputs: ["dirChange"], exportAs: ["dir"] }, { kind: "component", type: i5$3.MatSlider, selector: "mat-slider", inputs: ["disabled", "discrete", "showTickMarks", "min", "color", "disableRipple", "max", "step", "displayWith"], exportAs: ["matSlider"] }, { kind: "component", type: SaffronCardViewComponent, selector: "saffron-card-view", inputs: ["cardTemplate", "actionButtons", "cardColor"], outputs: ["actionClicked"] }, { kind: "component", type: SaffronTabViewComponent, selector: "saffron-tab-view", inputs: ["tabData", "tabTemplates"], outputs: ["tabClicked"] }, { kind: "component", type: SaffronTableComponent, selector: "saffron-table", inputs: ["rows", "columns", "totalCount", "pageSize", "pageNumber", "pageSizeOptions", "hideTopPaginator", "hideBottomPaginator", "stickyHeader"], outputs: ["pageEvent", "actionClicked", "sortStateChanged", "dataClicked", "pageSizeChange", "pageNumberChange"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoCardView, decorators: [{
            type: Component,
            args: [{ selector: 'demo-card-view', providers: [DemoTableConfig], template: "<div id=\"demo-card-view-component\" style=\"display: flex;flex-direction: column; justify-content: center; width: calc(100% - 3rem); margin-top: 2rem;\">\r\n  <fieldset appFieldset>\r\n    <legend>saffron-card-view</legend>\r\n    <div style=\"padding: 3rem 0rem;width: 100%;height: 20rem;\">\r\n      <saffron-card-view [cardTemplate]=\"tabView\" [actionButtons]=\"actionButtons\" (actionClicked)=\"onActionClicked($event)\">\r\n      </saffron-card-view>\r\n    </div>\r\n  </fieldset>\r\n  <div style=\"margin-top: 1rem !important\">\r\n  </div>\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-card-view</legend>\r\n    <div style=\"display: flex;flex-direction: column; width: 100%;align-items: center;\">\r\n      <div style=\"display: flex;flex-direction: column; width: 10rem;align-items: center;\">\r\n        <div style=\"display: flex;\" direction=\"rtl\" dir=\"rtl\">\r\n          <div style=\"font-family: 'iransans' !important;\">\u0633\u0627\u06CC\u0632 \u06A9\u0627\u0631\u062A</div>\r\n          <div style=\"font-family: 'iransans' !important;\">:</div>\r\n          <div style=\"font-family: 'iransans' !important;\">{{cardTwoSizeRounded}}rem</div>\r\n        </div>\r\n        <mat-slider min=\"40\" max=\"80\" step=\"0.001\"  (change)=\"sliderOneChange($event)\" >\r\n          <input matSliderThumb  name=\"cardTwoSizeRounded\" [(ngModel)]=\"cardTwoSizeRounded\">\r\n        </mat-slider>\r\n      </div>\r\n      <div style=\"width: 100%;\" [ngStyle]=\"{'height': cardTwoRemSize}\">\r\n        <saffron-card-view [cardTemplate]=\"tableCardView\" [actionButtons]=\"actionButtons\" (actionClicked)=\"onActionClicked($event)\">\r\n        </saffron-card-view>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<ng-template #tabView>\r\n  <saffron-tab-view [tabData]=\"tabData\" [tabTemplates]=\"[tab1Template]\">\r\n  </saffron-tab-view>\r\n</ng-template>\r\n\r\n<ng-template #tab1Template>\r\n  <div>tab 1 template</div>\r\n</ng-template>\r\n\r\n<ng-template #tab2Template>\r\n  <div>tab 2 template</div>\r\n</ng-template>\r\n\r\n<ng-template #tab3Template>\r\n  <div>tab 3 template</div>\r\n</ng-template>\r\n\r\n<ng-template #tableCardView>\r\n  <saffron-table [rows]=\"rows\" [columns]=\"columns\" (actionClicked)=\"onTableActionClicked($event)\" (dataClicked)=\"dataClicked($event)\"></saffron-table>\r\n</ng-template>\r\n" }]
        }], ctorParameters: () => [{ type: DemoTableConfig }] });

class DemoLableBoxComponent {
    get desc() {
        return this.formGroup.get('desc');
    }
    constructor(fb) {
        this.fb = fb;
        this.title = 'تست مقادیر';
        this.formGroup = this.fb.group({
            desc: ['', Validators.required],
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoLableBoxComponent, deps: [{ token: i1$1.FormBuilder }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoLableBoxComponent, selector: "demo-label-box", ngImport: i0, template: "<div style=\"display: flex;flex-direction: column; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-label-box</legend>\r\n    <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 100%;\">\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0633\u0631\u06CC \u0648 \u0633\u0631\u06CC\u0627\u0644 \u0686\u06A9'\">\r\n          1234567894545\r\n        </saffron-label-box>\r\n      </div>\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0634\u0645\u0627\u0631\u0647 \u062D\u0633\u0627\u0628'\">\r\n          1234567894545\r\n        </saffron-label-box>\r\n      </div>\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0646\u0627\u0645 \u0635\u0627\u062D\u0628  \u062D\u0633\u0627\u0628'\">\r\n          \u0633\u0628\u062D\u0627\u0646 \u0645\u06CC\u0631\u0632\u0627\u06CC\u06CC\r\n        </saffron-label-box>\r\n      </div>\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0634\u0646\u0627\u0633\u0647 \u0635\u06CC\u0627\u062F'\">\r\n          6347000064636532\r\n        </saffron-label-box>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n  <br>\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-label-box (width template)</legend>\r\n    <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 100%;\">\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0633\u0631\u06CC \u0648 \u0633\u0631\u06CC\u0627\u0644 \u0686\u06A9'\" [template]=\"template\">\r\n        </saffron-label-box>\r\n      </div>\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0633\u0631\u06CC \u0648 \u0633\u0631\u06CC\u0627\u0644 \u0686\u06A9'\" [template]=\"template\">\r\n        </saffron-label-box>\r\n      </div>\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0633\u0631\u06CC \u0648 \u0633\u0631\u06CC\u0627\u0644 \u0686\u06A9'\" [template]=\"template\">\r\n        </saffron-label-box>\r\n      </div>\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0633\u0631\u06CC \u0648 \u0633\u0631\u06CC\u0627\u0644 \u0686\u06A9'\" [template]=\"template\">\r\n        </saffron-label-box>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<ng-template #template>\r\n  <div>test</div>\r\n  <div>test</div>\r\n  <div>test</div>\r\n</ng-template>\r\n", styles: [".lable-box-container{flex-grow:1;margin:0rem 4rem}\n"], dependencies: [{ kind: "component", type: SaffronLabelBoxComponent, selector: "saffron-label-box", inputs: ["placeholder", "template"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoLableBoxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'demo-label-box', template: "<div style=\"display: flex;flex-direction: column; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-label-box</legend>\r\n    <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 100%;\">\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0633\u0631\u06CC \u0648 \u0633\u0631\u06CC\u0627\u0644 \u0686\u06A9'\">\r\n          1234567894545\r\n        </saffron-label-box>\r\n      </div>\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0634\u0645\u0627\u0631\u0647 \u062D\u0633\u0627\u0628'\">\r\n          1234567894545\r\n        </saffron-label-box>\r\n      </div>\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0646\u0627\u0645 \u0635\u0627\u062D\u0628  \u062D\u0633\u0627\u0628'\">\r\n          \u0633\u0628\u062D\u0627\u0646 \u0645\u06CC\u0631\u0632\u0627\u06CC\u06CC\r\n        </saffron-label-box>\r\n      </div>\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0634\u0646\u0627\u0633\u0647 \u0635\u06CC\u0627\u062F'\">\r\n          6347000064636532\r\n        </saffron-label-box>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n  <br>\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>saffron-label-box (width template)</legend>\r\n    <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 100%;\">\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0633\u0631\u06CC \u0648 \u0633\u0631\u06CC\u0627\u0644 \u0686\u06A9'\" [template]=\"template\">\r\n        </saffron-label-box>\r\n      </div>\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0633\u0631\u06CC \u0648 \u0633\u0631\u06CC\u0627\u0644 \u0686\u06A9'\" [template]=\"template\">\r\n        </saffron-label-box>\r\n      </div>\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0633\u0631\u06CC \u0648 \u0633\u0631\u06CC\u0627\u0644 \u0686\u06A9'\" [template]=\"template\">\r\n        </saffron-label-box>\r\n      </div>\r\n      <div class=\"lable-box-container\">\r\n        <saffron-label-box [placeholder]=\"'\u0633\u0631\u06CC \u0648 \u0633\u0631\u06CC\u0627\u0644 \u0686\u06A9'\" [template]=\"template\">\r\n        </saffron-label-box>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<ng-template #template>\r\n  <div>test</div>\r\n  <div>test</div>\r\n  <div>test</div>\r\n</ng-template>\r\n", styles: [".lable-box-container{flex-grow:1;margin:0rem 4rem}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.FormBuilder }] });

class DemoModal {
    constructor() {
        this.SaffronButtonTypes = SaffronButtonTypes;
        this.openDefaultModal = false;
        this.openCustomModal = false;
        this.customButtons = [
            {
                id: '1',
                action: () => {
                    this.openCustomModal = false;
                },
                title: 'ثبت تغییرات',
                buttonType: SaffronButtonTypes.Primary,
            },
            {
                id: '2',
                action: () => {
                    this.openCustomModal = false;
                },
                title: 'بازگشت',
                buttonType: SaffronButtonTypes.Basic,
            },
        ];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoModal, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoModal, selector: "demo-modal", ngImport: i0, template: "<div style=\"display: flex;flex-direction: column;gap:2rem; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\" style=\"display: flex;justify-content: center;align-items: center;\">\r\n    <legend>saffron-modal(default-buttons)</legend>\r\n    <div style=\"width: 10rem; margin-top: 2rem;\">\r\n      <saffron-button [title]=\"'\u0646\u0645\u0627\u06CC\u0634 \u0645\u062F\u0627\u0644'\" (click)=\"openDefaultModal = true;\" [buttonType]=\"SaffronButtonTypes.Basic\"\r\n        [matIcon]=\"'open_in_new'\"></saffron-button>\r\n      <saffron-modal [disableAccept]=\"true\" [modalTemplate]=\"modalTemplate\" [open]=\"openDefaultModal\" [hasAccept]=\"true\" [hasCancel]=\"true\"\r\n        (acceptClicked)=\"openDefaultModal = false;\" (cancelClicked)=\"openDefaultModal = false;\">\r\n      </saffron-modal>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\" style=\"display: flex;justify-content: center;align-items: center;\">\r\n    <legend>saffron-modal(custom-buttons)</legend>\r\n    <div style=\"width: 10rem; margin-top: 2rem;\">\r\n      <saffron-button [title]=\"'\u0646\u0645\u0627\u06CC\u0634 \u0645\u062F\u0627\u0644'\" (click)=\"openCustomModal = true;\" [buttonType]=\"SaffronButtonTypes.Basic\"\r\n        [matIcon]=\"'open_in_new'\"></saffron-button>\r\n      <saffron-modal [modalTemplate]=\"modalTemplate\" [open]=\"openCustomModal\" [customButtons]=\"customButtons\">\r\n      </saffron-modal>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<ng-template #modalTemplate>\r\n  <h2 mat-dialog-title>Install Angular</h2>\r\n  <mat-dialog-content class=\"mat-typography\">\r\n    <h3>Develop across all platforms</h3>\r\n    <p>Learn one way to build applications with Angular and reuse your code and abilities to build\r\n      apps for any deployment target. For web, mobile web, native mobile and native desktop.</p>\r\n\r\n    <h3>Speed &amp; Performance</h3>\r\n    <p>Achieve the maximum speed possible on the Web Platform today, and take it further, via Web\r\n      Workers and server-side rendering. Angular puts you in control over scalability. Meet huge\r\n      data requirements by building data models on RxJS, Immutable.js or another push-model.</p>\r\n\r\n    <h3>Incredible tooling</h3>\r\n    <p>Build features quickly with simple, declarative templates. Extend the template language with\r\n      your own components and use a wide array of existing components. Get immediate Angular-specific\r\n      help and feedback with nearly every IDE and editor. All this comes together so you can focus\r\n      on building amazing apps rather than trying to make the code work.</p>\r\n\r\n    <h3>Loved by millions</h3>\r\n    <p>From prototype through global deployment, Angular delivers the productivity and scalable\r\n      infrastructure that supports Google's largest applications.</p>\r\n\r\n    <h3>What is Angular?</h3>\r\n\r\n    <p>Angular is a platform that makes it easy to build applications with the web. Angular\r\n      combines declarative templates, dependency injection, end to end tooling, and integrated\r\n      best practices to solve development challenges. Angular empowers developers to build\r\n      applications that live on the web, mobile, or the desktop</p>\r\n\r\n    <h3>Architecture overview</h3>\r\n\r\n    <p>Angular is a platform and framework for building client applications in HTML and TypeScript.\r\n      Angular is itself written in TypeScript. It implements core and optional functionality as a\r\n      set of TypeScript libraries that you import into your apps.</p>\r\n\r\n    <p>The basic building blocks of an Angular application are NgModules, which provide a compilation\r\n      context for components. NgModules collect related code into functional sets; an Angular app is\r\n      defined by a set of NgModules. An app always has at least a root module that enables\r\n      bootstrapping, and typically has many more feature modules.</p>\r\n\r\n    <p>Components define views, which are sets of screen elements that Angular can choose among and\r\n      modify according to your program logic and data. Every app has at least a root component.</p>\r\n\r\n    <p>Components use services, which provide specific functionality not directly related to views.\r\n      Service providers can be injected into components as dependencies, making your code modular,\r\n      reusable, and efficient.</p>\r\n\r\n    <p>Both components and services are simply classes, with decorators that mark their type and\r\n      provide metadata that tells Angular how to use them.</p>\r\n\r\n    <p>The metadata for a component class associates it with a template that defines a view. A\r\n      template combines ordinary HTML with Angular directives and binding markup that allow Angular\r\n      to modify the HTML before rendering it for display.</p>\r\n\r\n    <p>The metadata for a service class provides the information Angular needs to make it available\r\n      to components through Dependency Injection (DI).</p>\r\n\r\n    <p>An app's components typically define many views, arranged hierarchically. Angular provides\r\n      the Router service to help you define navigation paths among views. The router provides\r\n      sophisticated in-browser navigational capabilities.</p>\r\n  </mat-dialog-content>\r\n</ng-template>\r\n", styles: ["fieldset{box-shadow:#63636333 0 2px 8px;border-color:#ebebeb;border-style:solid;display:flex;align-items:center;justify-content:center;width:100%;margin:0px 1rem}saffron-number-input,saffron-select{width:20rem}\n"], dependencies: [{ kind: "directive", type: i1$2.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { kind: "component", type: SaffronButtonComponent, selector: "saffron-button", inputs: ["title", "buttonStyle", "matIcon", "buttonType", "htmlButtonType", "tooltip"], outputs: ["buttonClicked"] }, { kind: "component", type: SaffronModalComponent, selector: "saffron-modal", inputs: ["modalTemplate", "open", "hasAccept", "hasCancel", "disableCancel", "disableAccept", "acceptTitle", "cancelTitle", "config", "customButtons", "showHeaderBorder", "showFooterBorder"], outputs: ["acceptClicked", "cancelClicked"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoModal, decorators: [{
            type: Component,
            args: [{ selector: 'demo-modal', template: "<div style=\"display: flex;flex-direction: column;gap:2rem; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\" style=\"display: flex;justify-content: center;align-items: center;\">\r\n    <legend>saffron-modal(default-buttons)</legend>\r\n    <div style=\"width: 10rem; margin-top: 2rem;\">\r\n      <saffron-button [title]=\"'\u0646\u0645\u0627\u06CC\u0634 \u0645\u062F\u0627\u0644'\" (click)=\"openDefaultModal = true;\" [buttonType]=\"SaffronButtonTypes.Basic\"\r\n        [matIcon]=\"'open_in_new'\"></saffron-button>\r\n      <saffron-modal [disableAccept]=\"true\" [modalTemplate]=\"modalTemplate\" [open]=\"openDefaultModal\" [hasAccept]=\"true\" [hasCancel]=\"true\"\r\n        (acceptClicked)=\"openDefaultModal = false;\" (cancelClicked)=\"openDefaultModal = false;\">\r\n      </saffron-modal>\r\n    </div>\r\n  </fieldset>\r\n  <fieldset appFieldset [fieldsetHeight]=\"'10rem'\" style=\"display: flex;justify-content: center;align-items: center;\">\r\n    <legend>saffron-modal(custom-buttons)</legend>\r\n    <div style=\"width: 10rem; margin-top: 2rem;\">\r\n      <saffron-button [title]=\"'\u0646\u0645\u0627\u06CC\u0634 \u0645\u062F\u0627\u0644'\" (click)=\"openCustomModal = true;\" [buttonType]=\"SaffronButtonTypes.Basic\"\r\n        [matIcon]=\"'open_in_new'\"></saffron-button>\r\n      <saffron-modal [modalTemplate]=\"modalTemplate\" [open]=\"openCustomModal\" [customButtons]=\"customButtons\">\r\n      </saffron-modal>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n\r\n<ng-template #modalTemplate>\r\n  <h2 mat-dialog-title>Install Angular</h2>\r\n  <mat-dialog-content class=\"mat-typography\">\r\n    <h3>Develop across all platforms</h3>\r\n    <p>Learn one way to build applications with Angular and reuse your code and abilities to build\r\n      apps for any deployment target. For web, mobile web, native mobile and native desktop.</p>\r\n\r\n    <h3>Speed &amp; Performance</h3>\r\n    <p>Achieve the maximum speed possible on the Web Platform today, and take it further, via Web\r\n      Workers and server-side rendering. Angular puts you in control over scalability. Meet huge\r\n      data requirements by building data models on RxJS, Immutable.js or another push-model.</p>\r\n\r\n    <h3>Incredible tooling</h3>\r\n    <p>Build features quickly with simple, declarative templates. Extend the template language with\r\n      your own components and use a wide array of existing components. Get immediate Angular-specific\r\n      help and feedback with nearly every IDE and editor. All this comes together so you can focus\r\n      on building amazing apps rather than trying to make the code work.</p>\r\n\r\n    <h3>Loved by millions</h3>\r\n    <p>From prototype through global deployment, Angular delivers the productivity and scalable\r\n      infrastructure that supports Google's largest applications.</p>\r\n\r\n    <h3>What is Angular?</h3>\r\n\r\n    <p>Angular is a platform that makes it easy to build applications with the web. Angular\r\n      combines declarative templates, dependency injection, end to end tooling, and integrated\r\n      best practices to solve development challenges. Angular empowers developers to build\r\n      applications that live on the web, mobile, or the desktop</p>\r\n\r\n    <h3>Architecture overview</h3>\r\n\r\n    <p>Angular is a platform and framework for building client applications in HTML and TypeScript.\r\n      Angular is itself written in TypeScript. It implements core and optional functionality as a\r\n      set of TypeScript libraries that you import into your apps.</p>\r\n\r\n    <p>The basic building blocks of an Angular application are NgModules, which provide a compilation\r\n      context for components. NgModules collect related code into functional sets; an Angular app is\r\n      defined by a set of NgModules. An app always has at least a root module that enables\r\n      bootstrapping, and typically has many more feature modules.</p>\r\n\r\n    <p>Components define views, which are sets of screen elements that Angular can choose among and\r\n      modify according to your program logic and data. Every app has at least a root component.</p>\r\n\r\n    <p>Components use services, which provide specific functionality not directly related to views.\r\n      Service providers can be injected into components as dependencies, making your code modular,\r\n      reusable, and efficient.</p>\r\n\r\n    <p>Both components and services are simply classes, with decorators that mark their type and\r\n      provide metadata that tells Angular how to use them.</p>\r\n\r\n    <p>The metadata for a component class associates it with a template that defines a view. A\r\n      template combines ordinary HTML with Angular directives and binding markup that allow Angular\r\n      to modify the HTML before rendering it for display.</p>\r\n\r\n    <p>The metadata for a service class provides the information Angular needs to make it available\r\n      to components through Dependency Injection (DI).</p>\r\n\r\n    <p>An app's components typically define many views, arranged hierarchically. Angular provides\r\n      the Router service to help you define navigation paths among views. The router provides\r\n      sophisticated in-browser navigational capabilities.</p>\r\n  </mat-dialog-content>\r\n</ng-template>\r\n", styles: ["fieldset{box-shadow:#63636333 0 2px 8px;border-color:#ebebeb;border-style:solid;display:flex;align-items:center;justify-content:center;width:100%;margin:0px 1rem}saffron-number-input,saffron-select{width:20rem}\n"] }]
        }] });

class DemoConfirmDialog {
    constructor(confirmDialogService) {
        this.confirmDialogService = confirmDialogService;
        this.SaffronButtonTypes = SaffronButtonTypes;
    }
    onShowConfirm() {
        this.confirmDialogService
            .confirmDialog({
            title: 'سامانه',
            message: 'آیا از لغو ثبت چک اطمینان دارید؟',
            //acceptButonColor: 'red',
        })
            .subscribe((res) => { });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoConfirmDialog, deps: [{ token: SaffronConfirmDialogService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoConfirmDialog, selector: "demo-confirm-dialog", ngImport: i0, template: "<div style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>ConfirmDialogService</legend>\r\n    <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 100%;\">\r\n      <saffron-button [title]=\"'\u0646\u0645\u0627\u06CC\u0634 \u062A\u0627\u06CC\u06CC\u062F'\" (click)=\"onShowConfirm()\" [matIcon]=\"'check'\" [buttonType]=\"SaffronButtonTypes.Basic\">\r\n      </saffron-button>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n", styles: [""], dependencies: [{ kind: "component", type: SaffronButtonComponent, selector: "saffron-button", inputs: ["title", "buttonStyle", "matIcon", "buttonType", "htmlButtonType", "tooltip"], outputs: ["buttonClicked"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoConfirmDialog, decorators: [{
            type: Component,
            args: [{ selector: 'demo-confirm-dialog', template: "<div style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset style=\"background-color: white\">\r\n    <legend>ConfirmDialogService</legend>\r\n    <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 100%;\">\r\n      <saffron-button [title]=\"'\u0646\u0645\u0627\u06CC\u0634 \u062A\u0627\u06CC\u06CC\u062F'\" (click)=\"onShowConfirm()\" [matIcon]=\"'check'\" [buttonType]=\"SaffronButtonTypes.Basic\">\r\n      </saffron-button>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n" }]
        }], ctorParameters: () => [{ type: SaffronConfirmDialogService }] });

class DemoButton {
    constructor() {
        this.SaffronButtonTypes = SaffronButtonTypes;
    }
    clicked() {
        console.log('clicked');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoButton, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoButton, selector: "demo-button", ngImport: i0, template: "<div style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset>\r\n    <legend>saffron-button</legend>\r\n    <div>\r\n      <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 10rem;gap:3rem\">\r\n        <saffron-button [title]=\"'\u06A9\u0644\u06CC\u06A9'\" (click)=\"clicked()\" [matIcon]=\"'ads_click'\" [buttonType]=\"SaffronButtonTypes.Basic\">\r\n        </saffron-button>\r\n        <saffron-button [title]=\"'Click'\" (click)=\"clicked()\" [matIcon]=\"'ads_click'\" [buttonType]=\"SaffronButtonTypes.Basic\">\r\n        </saffron-button>\r\n        <saffron-button [title]=\"'\u06A9\u0644\u06CC\u06A9'\" (click)=\"clicked()\" [matIcon]=\"'ads_click'\" [buttonType]=\"SaffronButtonTypes.Primary\">\r\n        </saffron-button>\r\n      </div>\r\n      <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 10rem;gap:3rem\">\r\n        <saffron-button [title]=\"'\u06A9\u0644\u06CC\u06A9'\" (click)=\"clicked()\" [buttonType]=\"SaffronButtonTypes.Basic\">\r\n        </saffron-button>\r\n        <saffron-button [title]=\"'Click'\" (click)=\"clicked()\" [buttonType]=\"SaffronButtonTypes.Basic\">\r\n        </saffron-button>\r\n        <saffron-button [title]=\"'\u06A9\u0644\u06CC\u06A9'\" (click)=\"clicked()\" [buttonType]=\"SaffronButtonTypes.Primary\">\r\n        </saffron-button>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n", dependencies: [{ kind: "component", type: SaffronButtonComponent, selector: "saffron-button", inputs: ["title", "buttonStyle", "matIcon", "buttonType", "htmlButtonType", "tooltip"], outputs: ["buttonClicked"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoButton, decorators: [{
            type: Component,
            args: [{ selector: 'demo-button', template: "<div style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset>\r\n    <legend>saffron-button</legend>\r\n    <div>\r\n      <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 10rem;gap:3rem\">\r\n        <saffron-button [title]=\"'\u06A9\u0644\u06CC\u06A9'\" (click)=\"clicked()\" [matIcon]=\"'ads_click'\" [buttonType]=\"SaffronButtonTypes.Basic\">\r\n        </saffron-button>\r\n        <saffron-button [title]=\"'Click'\" (click)=\"clicked()\" [matIcon]=\"'ads_click'\" [buttonType]=\"SaffronButtonTypes.Basic\">\r\n        </saffron-button>\r\n        <saffron-button [title]=\"'\u06A9\u0644\u06CC\u06A9'\" (click)=\"clicked()\" [matIcon]=\"'ads_click'\" [buttonType]=\"SaffronButtonTypes.Primary\">\r\n        </saffron-button>\r\n      </div>\r\n      <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 10rem;gap:3rem\">\r\n        <saffron-button [title]=\"'\u06A9\u0644\u06CC\u06A9'\" (click)=\"clicked()\" [buttonType]=\"SaffronButtonTypes.Basic\">\r\n        </saffron-button>\r\n        <saffron-button [title]=\"'Click'\" (click)=\"clicked()\" [buttonType]=\"SaffronButtonTypes.Basic\">\r\n        </saffron-button>\r\n        <saffron-button [title]=\"'\u06A9\u0644\u06CC\u06A9'\" (click)=\"clicked()\" [buttonType]=\"SaffronButtonTypes.Primary\">\r\n        </saffron-button>\r\n      </div>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n" }]
        }] });

class SaffronLoaderComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronLoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronLoaderComponent, isStandalone: true, selector: "saffron-loader", ngImport: i0, template: "<div id=\"spinner-container\">\r\n    <div class=\"loader-overlay__inner\">\r\n      <div class=\"loader-overlay__content\"><span class=\"loader-spinner\"></span></div>\r\n    </div>\r\n</div>\r\n", styles: ["#spinner-container{background:#16161626!important;width:100%;height:100%;position:fixed;z-index:1051;top:0;display:none}.loader-overlay__inner{left:0;top:0;width:100%;height:100%;position:absolute}.loader-overlay__content{left:50%;position:absolute;top:50%;transform:translate(-50%,-50%)}.loader-spinner{width:50px;height:50px;display:inline-block;border-width:2px;border-color:#0000000d;border-top-color:#e35e5e;animation:loader-spin 1s infinite linear;border-radius:100%;border-style:solid}@keyframes loader-spin{to{transform:rotate(360deg)}}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronLoaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-loader', encapsulation: ViewEncapsulation.None, standalone: true, imports: [CommonModule], template: "<div id=\"spinner-container\">\r\n    <div class=\"loader-overlay__inner\">\r\n      <div class=\"loader-overlay__content\"><span class=\"loader-spinner\"></span></div>\r\n    </div>\r\n</div>\r\n", styles: ["#spinner-container{background:#16161626!important;width:100%;height:100%;position:fixed;z-index:1051;top:0;display:none}.loader-overlay__inner{left:0;top:0;width:100%;height:100%;position:absolute}.loader-overlay__content{left:50%;position:absolute;top:50%;transform:translate(-50%,-50%)}.loader-spinner{width:50px;height:50px;display:inline-block;border-width:2px;border-color:#0000000d;border-top-color:#e35e5e;animation:loader-spin 1s infinite linear;border-radius:100%;border-style:solid}@keyframes loader-spin{to{transform:rotate(360deg)}}\n"] }]
        }] });

class SaffronLoaderService {
    constructor() {
        this.targetId = undefined;
        this.isInjected = false;
    }
    setRootViewContainerRef(rootViewContainerRef) {
        if (!SaffronLoaderService.rootViewContainerRef) {
            SaffronLoaderService.rootViewContainerRef = rootViewContainerRef;
        }
    }
    open(targetId) {
        if (!SaffronLoaderService.rootViewContainerRef) {
            return;
        }
        this.injectLoaderToDom();
        this.targetId = targetId;
        this.spinner =
            this.spinner ??
                document.getElementById('spinner-container');
        const spinnerParent = this.spinner.parentNode;
        spinnerParent?.removeChild(this.spinner);
        const target = this.getTarget();
        target.appendChild(this.spinner);
        this.spinner.style.display = 'block';
    }
    injectLoaderToDom() {
        if (!this.isInjected) {
            SaffronLoaderService.rootViewContainerRef.createComponent(SaffronLoaderComponent);
            this.isInjected = true;
        }
    }
    close() {
        if (this.spinner) {
            const target = this.spinner.parentNode;
            this.spinner.style.display = 'none';
            target?.removeChild(this.spinner);
        }
    }
    showTempLoading(time = 500) {
        const promise = new Promise((resolve) => {
            this.open();
            setTimeout(() => {
                this.close();
                resolve();
            }, time);
        });
        return promise;
    }
    getTarget() {
        const target = this.targetId
            ? document.getElementById(this.targetId)
            : document.getElementsByTagName('BODY')[0];
        return target;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronLoaderService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronLoaderService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronLoaderService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }] });

class DemoLoader {
    constructor(loaderService) {
        this.loaderService = loaderService;
        this.SaffronButtonTypes = SaffronButtonTypes;
    }
    open() {
        this.loaderService.open();
        setTimeout(() => {
            this.loaderService.close();
        }, 1500);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoLoader, deps: [{ token: SaffronLoaderService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoLoader, selector: "demo-loader", ngImport: i0, template: "<div style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset>\r\n    <legend>SaffronLoaderService</legend>\r\n    <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 100%;\">\r\n      <saffron-button [title]=\"'\u0646\u0645\u0627\u06CC\u0634 \u0644\u0648\u062F\u06CC\u0646\u06AF'\" [matIcon]=\"'hourglass_top'\" [buttonType]=\"SaffronButtonTypes.Basic\"\r\n        (click)=\"open()\">\r\n      </saffron-button>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n", styles: [""], dependencies: [{ kind: "component", type: SaffronButtonComponent, selector: "saffron-button", inputs: ["title", "buttonStyle", "matIcon", "buttonType", "htmlButtonType", "tooltip"], outputs: ["buttonClicked"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoLoader, decorators: [{
            type: Component,
            args: [{ selector: 'demo-loader', template: "<div style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset>\r\n    <legend>SaffronLoaderService</legend>\r\n    <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 100%;\">\r\n      <saffron-button [title]=\"'\u0646\u0645\u0627\u06CC\u0634 \u0644\u0648\u062F\u06CC\u0646\u06AF'\" [matIcon]=\"'hourglass_top'\" [buttonType]=\"SaffronButtonTypes.Basic\"\r\n        (click)=\"open()\">\r\n      </saffron-button>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n" }]
        }], ctorParameters: () => [{ type: SaffronLoaderService }] });

// Optional (depending on usage)
class DemoViewerComponent {
    constructor(renderer, chRef, viewContainerRef, loaderService) {
        this.renderer = renderer;
        this.chRef = chRef;
        this.viewContainerRef = viewContainerRef;
        this.loaderService = loaderService;
        this.activeMenu = 'table';
        this.menuItems = [
            { id: 'button', title: 'دکمه', componentType: DemoButton },
            { id: 'table', title: 'جدول', componentType: DemoTable },
            {
                id: 'advanced-filter',
                title: 'فیلتر پیشرفته',
                componentType: DemoAdvancedFilterComponent,
            },
            {
                id: 'DemoChipsComponent',
                title: 'چیپس',
                componentType: DemoChipsComponent,
            },
            {
                id: 'form-container',
                title: 'قاب فرم',
                componentType: DemoFormContainerComponent,
            },
            {
                id: 'message-service',
                title: 'نمایش پیام',
                componentType: DemoMessageServiceComponent,
            },
            {
                id: 'tree-view',
                title: 'نمایش درختی',
                componentType: DemoTreeViewComponent,
            },
            {
                id: 'json-editor',
                title: 'ویرایشگر جی سان',
                componentType: DemoJsonEditorComponent,
            },
            { id: 'date-picker', title: 'تقویم', componentType: DemoDatePicker },
            { id: 'input', title: 'ورودی', componentType: DemoInput },
            { id: 'select', title: 'دراپ داون', componentType: DemoSelect },
            { id: 'text-area', title: 'متن', componentType: DemoTextArea },
            { id: 'tab-view', title: 'نمایش تب', componentType: DemoTabView },
            { id: 'card-view', title: 'نمایش کارت', componentType: DemoCardView },
            {
                id: 'label-box',
                title: 'نمایشگر عنوان',
                componentType: DemoLableBoxComponent,
            },
            { id: 'modal', title: 'مودال', componentType: DemoModal },
            {
                id: 'confirm-dialog',
                title: 'فرم تایید',
                componentType: DemoConfirmDialog,
            },
            { id: 'loader', title: 'لودینگ', componentType: DemoLoader },
        ];
        this.loaderService.setRootViewContainerRef(viewContainerRef);
    }
    ngAfterViewInit() {
        this.matSidenav.open();
        const lastMenuItem = sessionStorage.getItem('menuItem');
        this.activeMenu = lastMenuItem ?? this.activeMenu;
        const menuItem = this.menuItems.find((item) => item.id === lastMenuItem);
        this.addDynamicComponent(menuItem);
    }
    menuClicked(menuItem) {
        sessionStorage.setItem('menuItem', menuItem);
        this.activeMenu = menuItem;
        try {
            this.sideNavContent.remove(0);
        }
        catch (error) { }
        const item = this.menuItems.find((item) => item.id === menuItem);
        this.addDynamicComponent(item);
    }
    addDynamicComponent(menuItem) {
        if (menuItem) {
            this.sideNavContent.createComponent(menuItem.componentType ?? DemoTable);
        }
        this.chRef.detectChanges();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoViewerComponent, deps: [{ token: i0.Renderer2 }, { token: i0.ChangeDetectorRef }, { token: i0.ViewContainerRef }, { token: SaffronLoaderService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoViewerComponent, selector: "demo-viewer", viewQueries: [{ propertyName: "matSidenav", first: true, predicate: MatSidenav, descendants: true }, { propertyName: "sideNavContent", first: true, predicate: ["viewContainerRef"], descendants: true, read: ViewContainerRef }], ngImport: i0, template: "<div style=\"background-color: lightblue; width: 100%;height: 100%;direction: rtl\" direction=\"rtl\" dir=\"rtl\">\r\n  <mat-sidenav-container style=\"width: 100%;height: 100%;\">\r\n    <mat-sidenav #snav [mode]=\"'side'\" fixedTopGap=\"56\">\r\n      <mat-nav-list>\r\n        <a *ngFor=\"let item of menuItems\" mat-list-item routerLink=\".\" class=\"nav-list-link\"\r\n          [ngClass]=\"{'active-menu': activeMenu === item.id}\" (click)=\"menuClicked(item.id)\"><span id=\"demo-viewer-titles\"\r\n            [innerText]=\"item.title\"></span></a>\r\n      </mat-nav-list>\r\n    </mat-sidenav>\r\n    <mat-sidenav-content style=\"padding: 1rem;box-sizing: border-box;\">\r\n      <ng-template #viewContainerRef>\r\n      </ng-template>\r\n    </mat-sidenav-content>\r\n  </mat-sidenav-container>\r\n</div>", styles: ["table{width:100%}:host{width:100%;height:100%}.nav-list-link{width:12rem!important}#demo-viewer-titles{font-family:iransans!important}.active-menu{background-color:#f0f8ff}::ng-deep *{scrollbar-width:thin}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i4.Dir, selector: "[dir]", inputs: ["dir"], outputs: ["dirChange"], exportAs: ["dir"] }, { kind: "component", type: i4$2.MatSidenav, selector: "mat-sidenav", inputs: ["fixedInViewport", "fixedTopGap", "fixedBottomGap"], exportAs: ["matSidenav"] }, { kind: "component", type: i4$2.MatSidenavContainer, selector: "mat-sidenav-container", exportAs: ["matSidenavContainer"] }, { kind: "component", type: i4$2.MatSidenavContent, selector: "mat-sidenav-content" }, { kind: "component", type: i5$4.MatNavList, selector: "mat-nav-list", exportAs: ["matNavList"] }, { kind: "component", type: i5$4.MatListItem, selector: "mat-list-item, a[mat-list-item], button[mat-list-item]", inputs: ["activated"], exportAs: ["matListItem"] }, { kind: "directive", type: i1$4.RouterLink, selector: "[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "info", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoViewerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'demo-viewer', template: "<div style=\"background-color: lightblue; width: 100%;height: 100%;direction: rtl\" direction=\"rtl\" dir=\"rtl\">\r\n  <mat-sidenav-container style=\"width: 100%;height: 100%;\">\r\n    <mat-sidenav #snav [mode]=\"'side'\" fixedTopGap=\"56\">\r\n      <mat-nav-list>\r\n        <a *ngFor=\"let item of menuItems\" mat-list-item routerLink=\".\" class=\"nav-list-link\"\r\n          [ngClass]=\"{'active-menu': activeMenu === item.id}\" (click)=\"menuClicked(item.id)\"><span id=\"demo-viewer-titles\"\r\n            [innerText]=\"item.title\"></span></a>\r\n      </mat-nav-list>\r\n    </mat-sidenav>\r\n    <mat-sidenav-content style=\"padding: 1rem;box-sizing: border-box;\">\r\n      <ng-template #viewContainerRef>\r\n      </ng-template>\r\n    </mat-sidenav-content>\r\n  </mat-sidenav-container>\r\n</div>", styles: ["table{width:100%}:host{width:100%;height:100%}.nav-list-link{width:12rem!important}#demo-viewer-titles{font-family:iransans!important}.active-menu{background-color:#f0f8ff}::ng-deep *{scrollbar-width:thin}\n"] }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ChangeDetectorRef }, { type: i0.ViewContainerRef }, { type: SaffronLoaderService }], propDecorators: { matSidenav: [{
                type: ViewChild,
                args: [MatSidenav]
            }], sideNavContent: [{
                type: ViewChild,
                args: ['viewContainerRef', { read: ViewContainerRef }]
            }] } });

class SaffronHeaderDialogComponent {
    constructor() {
        this.title = "";
        this.close = new EventEmitter();
    }
    ngOnChanges(changes) {
        // if (changes['title'] || changes['title']) {
        //   this.title = changes['title'].currentValue;
        // }
    }
    onClose() {
        this.close.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronHeaderDialogComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: SaffronHeaderDialogComponent, isStandalone: true, selector: "saffron-header-dialog", inputs: { title: "title" }, outputs: { close: "close" }, usesOnChanges: true, ngImport: i0, template: "<h3 mat-dialog-title cdkDrag cdkDragRootElement=\".cdk-overlay-pane\" cdkDragHandle> {{title}}\r\n\r\n  <span class=\"btn_close\" style=\"float: right;\"><i class=\"material-icons\" (click)=\"onClose()\">close</i> </span>\r\n</h3>\r\n", styles: [".btn_close{cursor:pointer!important;position:absolute!important;top:4px;left:5px}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronHeaderDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'saffron-header-dialog', standalone: true, imports: [CommonModule], template: "<h3 mat-dialog-title cdkDrag cdkDragRootElement=\".cdk-overlay-pane\" cdkDragHandle> {{title}}\r\n\r\n  <span class=\"btn_close\" style=\"float: right;\"><i class=\"material-icons\" (click)=\"onClose()\">close</i> </span>\r\n</h3>\r\n", styles: [".btn_close{cursor:pointer!important;position:absolute!important;top:4px;left:5px}\n"] }]
        }], ctorParameters: () => [], propDecorators: { title: [{
                type: Input,
                args: ["title"]
            }], close: [{
                type: Output,
                args: ["close"]
            }] } });

class DemoLoginForm {
    constructor(loaderService) {
        this.loaderService = loaderService;
        this.SaffronButtonTypes = SaffronButtonTypes;
    }
    open() {
        this.loaderService.open();
        setTimeout(() => {
            this.loaderService.close();
        }, 1500);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoLoginForm, deps: [{ token: SaffronLoaderService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.0", type: DemoLoginForm, selector: "demo-login-form", ngImport: i0, template: "<div style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset>\r\n    <legend>SaffronLoaderService</legend>\r\n    <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 100%;\">\r\n      <saffron-button [title]=\"'\u0646\u0645\u0627\u06CC\u0634 \u0644\u0648\u062F\u06CC\u0646\u06AF'\" [matIcon]=\"'hourglass_top'\" [buttonType]=\"SaffronButtonTypes.Basic\"\r\n        (click)=\"open()\">\r\n      </saffron-button>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n", styles: [""], dependencies: [{ kind: "component", type: SaffronButtonComponent, selector: "saffron-button", inputs: ["title", "buttonStyle", "matIcon", "buttonType", "htmlButtonType", "tooltip"], outputs: ["buttonClicked"] }, { kind: "directive", type: SaffronFieldsetDirective, selector: "[appFieldset]", inputs: ["fieldsetHeight"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DemoLoginForm, decorators: [{
            type: Component,
            args: [{ selector: 'demo-login-form', template: "<div style=\"display: flex; justify-content: center; width: 100%; margin-top: 2rem;\">\r\n  <fieldset appFieldset>\r\n    <legend>SaffronLoaderService</legend>\r\n    <div style=\"display: flex; justify-content: center;margin: 3rem 0rem;width: 100%;\">\r\n      <saffron-button [title]=\"'\u0646\u0645\u0627\u06CC\u0634 \u0644\u0648\u062F\u06CC\u0646\u06AF'\" [matIcon]=\"'hourglass_top'\" [buttonType]=\"SaffronButtonTypes.Basic\"\r\n        (click)=\"open()\">\r\n      </saffron-button>\r\n    </div>\r\n  </fieldset>\r\n</div>\r\n" }]
        }], ctorParameters: () => [{ type: SaffronLoaderService }] });

class SaffronDemoModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronDemoModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.1.0", ngImport: i0, type: SaffronDemoModule, declarations: [
            //components
            DemoTable,
            DemoDatePicker,
            DemoButton,
            DemoInput,
            DemoSelect,
            DemoModal,
            DemoTabView,
            DemoCardView,
            DemoLableBoxComponent,
            DemoTextArea,
            DemoTreeViewComponent,
            DemoJsonEditorComponent,
            DemoAdvancedFilterComponent,
            DemoFormContainerComponent,
            DemoMessageServiceComponent,
            DemoChipsComponent,
            DemoViewerComponent,
            DemoLoginForm,
            DemoConfirmDialog,
            DemoLoader], imports: [CommonModule,
            FormsModule,
            ReactiveFormsModule,
            MatSidenavModule,
            MatIconModule,
            MatDrawerContainer,
            MatDrawer,
            MatNavList,
            MatSlider,
            MatDialogContent,
            MatListItem,
            MatCheckboxModule,
            FormsModule,
            MatFormFieldModule,
            MatSelectModule,
            MatInputModule, i1$4.RouterModule, SaffronAdvancedFilterComponent,
            SaffronAutoCompleteComponent,
            SaffronButtonComponent,
            SaffronCardViewComponent,
            SaffronChipsComponent,
            SaffronConfirmDialogComponent,
            SaffronDatePickerComponent,
            SaffronFormContainerComponent,
            SaffronHeaderDialogComponent,
            SaffronInputComponent,
            SaffronJsonEditorComponent,
            SaffronLabelBoxComponent,
            SaffronLoaderComponent,
            SaffronModalComponent,
            SaffronPrimeTreeViewComponent,
            SaffronRangePickerComponent,
            SaffronSelectComponent,
            SaffronTabViewComponent,
            SaffronTextAreaComponent,
            SaffronTooltipComponent,
            SaffronTableModule,
            // directives
            SaffronFieldsetDirective], exports: [DemoViewerComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronDemoModule, providers: [SaffronConfirmDialogService, SaffronLoaderService], imports: [CommonModule,
            FormsModule,
            ReactiveFormsModule,
            MatSidenavModule,
            MatIconModule,
            MatDrawerContainer,
            MatDrawer,
            MatNavList,
            MatSlider,
            MatListItem,
            MatCheckboxModule,
            FormsModule,
            MatFormFieldModule,
            MatSelectModule,
            MatInputModule,
            RouterModule.forChild([
                {
                    path: '',
                    component: DemoViewerComponent,
                },
            ]),
            SaffronAdvancedFilterComponent,
            SaffronAutoCompleteComponent,
            SaffronButtonComponent,
            SaffronCardViewComponent,
            SaffronChipsComponent,
            SaffronConfirmDialogComponent,
            SaffronDatePickerComponent,
            SaffronFormContainerComponent,
            SaffronHeaderDialogComponent,
            SaffronInputComponent,
            SaffronJsonEditorComponent,
            SaffronLabelBoxComponent,
            SaffronLoaderComponent,
            SaffronModalComponent,
            SaffronPrimeTreeViewComponent,
            SaffronRangePickerComponent,
            SaffronSelectComponent,
            SaffronTabViewComponent,
            SaffronTextAreaComponent,
            SaffronTooltipComponent,
            SaffronTableModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronDemoModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        //components
                        DemoTable,
                        DemoDatePicker,
                        DemoButton,
                        DemoInput,
                        DemoSelect,
                        DemoModal,
                        DemoTabView,
                        DemoCardView,
                        DemoLableBoxComponent,
                        DemoTextArea,
                        DemoTreeViewComponent,
                        DemoJsonEditorComponent,
                        DemoAdvancedFilterComponent,
                        DemoFormContainerComponent,
                        DemoMessageServiceComponent,
                        DemoChipsComponent,
                        DemoViewerComponent,
                        DemoLoginForm,
                        DemoConfirmDialog,
                        DemoLoader,
                    ],
                    exports: [DemoViewerComponent],
                    imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        MatSidenavModule,
                        MatIconModule,
                        MatDrawerContainer,
                        MatDrawer,
                        MatNavList,
                        MatSlider,
                        MatDialogContent,
                        MatListItem,
                        MatCheckboxModule,
                        FormsModule,
                        MatFormFieldModule,
                        MatSelectModule,
                        MatInputModule,
                        RouterModule.forChild([
                            {
                                path: '',
                                component: DemoViewerComponent,
                            },
                        ]),
                        SaffronAdvancedFilterComponent,
                        SaffronAutoCompleteComponent,
                        SaffronButtonComponent,
                        SaffronCardViewComponent,
                        SaffronChipsComponent,
                        SaffronConfirmDialogComponent,
                        SaffronDatePickerComponent,
                        SaffronFormContainerComponent,
                        SaffronHeaderDialogComponent,
                        SaffronInputComponent,
                        SaffronJsonEditorComponent,
                        SaffronLabelBoxComponent,
                        SaffronLoaderComponent,
                        SaffronModalComponent,
                        SaffronPrimeTreeViewComponent,
                        SaffronRangePickerComponent,
                        SaffronSelectComponent,
                        SaffronTabViewComponent,
                        SaffronTextAreaComponent,
                        SaffronTooltipComponent,
                        SaffronTableModule,
                        // directives
                        SaffronFieldsetDirective,
                    ],
                    providers: [SaffronConfirmDialogService, SaffronLoaderService],
                }]
        }] });

//modules

class DigitOnlyDirective {
    constructor(el) {
        this.el = el;
        this.hasDecimalPoint = false;
        this.hasNegativeSign = false;
        this.navigationKeys = [
            'Backspace',
            'Delete',
            'Tab',
            'Escape',
            'Enter',
            'Home',
            'End',
            'ArrowLeft',
            'ArrowRight',
            'Clear',
            'Copy',
            'Paste',
        ];
        this.decimal = false;
        this.decimalSeparator = '.';
        this.allowNegatives = false;
        this.allowPaste = true;
        this.negativeSign = '-';
        this.min = -Infinity;
        this.max = Infinity;
        this.regex = null;
        this.inputElement = el.nativeElement;
    }
    ngOnChanges(changes) {
        if (changes['pattern']) {
            this.regex = this.pattern ? RegExp(this.pattern) : null;
        }
        if (changes['min']) {
            const maybeMin = Number(this.min);
            this.min = isNaN(maybeMin) ? -Infinity : maybeMin;
        }
        if (changes['max']) {
            const maybeMax = Number(this.max);
            this.max = isNaN(maybeMax) ? Infinity : maybeMax;
        }
    }
    onBeforeInput(e) {
        if (isNaN(Number(e.data))) {
            if (e.data === this.decimalSeparator ||
                (e.data === this.negativeSign && this.allowNegatives)) {
                return; // go on
            }
            e.preventDefault();
            e.stopPropagation();
        }
    }
    onKeyDown(e) {
        if (this.navigationKeys.indexOf(e.key) > -1 || // Allow: navigation keys: backspace, delete, arrows etc.
            ((e.key === 'a' || e.code === 'KeyA') && e.ctrlKey === true) || // Allow: Ctrl+A
            ((e.key === 'c' || e.code === 'KeyC') && e.ctrlKey === true) || // Allow: Ctrl+C
            ((e.key === 'v' || e.code === 'KeyV') && e.ctrlKey === true) || // Allow: Ctrl+V
            ((e.key === 'x' || e.code === 'KeyX') && e.ctrlKey === true) || // Allow: Ctrl+X
            ((e.key === 'a' || e.code === 'KeyA') && e.metaKey === true) || // Allow: Cmd+A (Mac)
            ((e.key === 'c' || e.code === 'KeyC') && e.metaKey === true) || // Allow: Cmd+C (Mac)
            ((e.key === 'v' || e.code === 'KeyV') && e.metaKey === true) || // Allow: Cmd+V (Mac)
            ((e.key === 'x' || e.code === 'KeyX') && e.metaKey === true) // Allow: Cmd+X (Mac)
        ) {
            // let it happen, don't do anything
            return;
        }
        let newValue = '';
        if (this.decimal && e.key === this.decimalSeparator) {
            newValue = this.forecastValue(e.key);
            if (newValue.split(this.decimalSeparator).length > 2) {
                // has two or more decimal points
                e.preventDefault();
                return;
            }
            else {
                this.hasDecimalPoint = newValue.indexOf(this.decimalSeparator) > -1;
                return; // Allow: only one decimal point
            }
        }
        if (e.key === this.negativeSign && this.allowNegatives) {
            newValue = this.forecastValue(e.key);
            if (newValue.charAt(0) !== this.negativeSign ||
                newValue.split(this.negativeSign).length > 2) {
                e.preventDefault();
                return;
            }
            else {
                this.hasNegativeSign = newValue.split(this.negativeSign).length > -1;
                return;
            }
        }
        // Ensure that it is a number and stop the keypress
        if (e.key === ' ' || isNaN(Number(e.key))) {
            e.preventDefault();
            return;
        }
        newValue = newValue || this.forecastValue(e.key);
        // check the input pattern RegExp
        if (this.regex) {
            if (!this.regex.test(newValue)) {
                e.preventDefault();
                return;
            }
        }
        const newNumber = Number(newValue);
        if (newNumber > this.max || newNumber < this.min) {
            e.preventDefault();
        }
    }
    onPaste(event) {
        if (this.allowPaste === true) {
            let pastedInput = '';
            if (window['clipboardData']) {
                // Browser is IE
                pastedInput = window['clipboardData'].getData('text');
            }
            else if (event.clipboardData && event.clipboardData.getData) {
                // Other browsers
                pastedInput = event.clipboardData.getData('text/plain');
            }
            this.pasteData(pastedInput);
            event.preventDefault();
        }
        else {
            // this prevents the paste
            event.preventDefault();
            event.stopPropagation();
        }
    }
    onDrop(event) {
        const textData = event.dataTransfer?.getData('text') ?? '';
        this.inputElement.focus();
        this.pasteData(textData);
        event.preventDefault();
    }
    pasteData(pastedContent) {
        const sanitizedContent = this.sanitizeInput(pastedContent);
        if (sanitizedContent.includes(this.negativeSign) &&
            this.hasNegativeSign &&
            !this.getSelection().includes(this.negativeSign)) {
            return;
        }
        const pasted = document.execCommand('insertText', false, sanitizedContent);
        if (!pasted) {
            if (this.inputElement.setRangeText) {
                const { selectionStart: start, selectionEnd: end } = this.inputElement;
                this.inputElement.setRangeText(sanitizedContent, start ?? 0, end ?? 0, 'end');
                // Angular's Reactive Form relies on "input" event, but on Firefox, the setRangeText method doesn't trigger it
                // so we have to trigger it ourself.
                if (typeof window['InstallTrigger'] !==
                    'undefined') {
                    this.inputElement.dispatchEvent(new Event('input', { cancelable: true }));
                }
            }
            else {
                // Browser does not support setRangeText, e.g. IE
                this.insertAtCursor(this.inputElement, sanitizedContent);
            }
        }
        if (this.decimal) {
            this.hasDecimalPoint =
                this.inputElement.value.indexOf(this.decimalSeparator) > -1;
        }
        this.hasNegativeSign =
            this.inputElement.value.indexOf(this.negativeSign) > -1;
    }
    // The following 2 methods were added from the below article for browsers that do not support setRangeText
    // https://stackoverflow.com/questions/11076975/how-to-insert-text-into-the-textarea-at-the-current-cursor-position
    insertAtCursor(myField, myValue) {
        const startPos = myField.selectionStart ?? 0;
        const endPos = myField.selectionEnd ?? 0;
        myField.value =
            myField.value.substring(0, startPos) +
                myValue +
                myField.value.substring(endPos, myField.value.length);
        const pos = startPos + myValue.length;
        myField.focus();
        myField.setSelectionRange(pos, pos);
        this.triggerEvent(myField, 'input');
    }
    triggerEvent(el, type) {
        if ('createEvent' in document) {
            // modern browsers, IE9+
            const e = document.createEvent('HTMLEvents');
            e.initEvent(type, false, true);
            el.dispatchEvent(e);
        }
    }
    // end stack overflow code
    sanitizeInput(input) {
        let result = '';
        let regex;
        if (this.decimal && this.isValidDecimal(input)) {
            regex = new RegExp(`${this.getNegativeSignRegExp()}[^0-9${this.decimalSeparator}]`, 'g');
        }
        else {
            regex = new RegExp(`${this.getNegativeSignRegExp()}[^0-9]`, 'g');
        }
        result = input.replace(regex, '');
        const maxLength = this.inputElement.maxLength;
        if (maxLength > 0) {
            // the input element has maxLength limit
            const allowedLength = maxLength -
                this.inputElement.value.length +
                (result.includes(`${this.negativeSign}`) ? 1 : 0);
            result = allowedLength > 0 ? result.substring(0, allowedLength) : '';
        }
        return result;
    }
    getNegativeSignRegExp() {
        return this.allowNegatives &&
            (!this.hasNegativeSign || this.getSelection().includes(this.negativeSign))
            ? `(?!^${this.negativeSign})`
            : '';
    }
    isValidDecimal(string) {
        if (!this.hasDecimalPoint) {
            return string.split(this.decimalSeparator).length <= 2;
        }
        else {
            // the input element already has a decimal separator
            const selectedText = this.getSelection();
            if (selectedText && selectedText.indexOf(this.decimalSeparator) > -1) {
                return string.split(this.decimalSeparator).length <= 2;
            }
            else {
                return string.indexOf(this.decimalSeparator) < 0;
            }
        }
    }
    getSelection() {
        return this.inputElement.value.substring(this.inputElement.selectionStart ?? 0, this.inputElement.selectionEnd ?? 0);
    }
    forecastValue(key) {
        const selectionStart = this.inputElement.selectionStart ?? 0;
        const selectionEnd = this.inputElement.selectionEnd ?? 0;
        const oldValue = this.inputElement.value;
        return (oldValue.substring(0, selectionStart) +
            key +
            oldValue.substring(selectionEnd));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DigitOnlyDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.1.0", type: DigitOnlyDirective, isStandalone: true, selector: "[digitOnly]", inputs: { decimal: "decimal", decimalSeparator: "decimalSeparator", allowNegatives: "allowNegatives", allowPaste: "allowPaste", negativeSign: "negativeSign", min: "min", max: "max", pattern: "pattern" }, host: { listeners: { "beforeinput": "onBeforeInput($event)", "keydown": "onKeyDown($event)", "paste": "onPaste($event)", "drop": "onDrop($event)" } }, usesOnChanges: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: DigitOnlyDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[digitOnly]',
                    standalone: true,
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { decimal: [{
                type: Input
            }], decimalSeparator: [{
                type: Input
            }], allowNegatives: [{
                type: Input
            }], allowPaste: [{
                type: Input
            }], negativeSign: [{
                type: Input
            }], min: [{
                type: Input
            }], max: [{
                type: Input
            }], pattern: [{
                type: Input
            }], onBeforeInput: [{
                type: HostListener,
                args: ['beforeinput', ['$event']]
            }], onKeyDown: [{
                type: HostListener,
                args: ['keydown', ['$event']]
            }], onPaste: [{
                type: HostListener,
                args: ['paste', ['$event']]
            }], onDrop: [{
                type: HostListener,
                args: ['drop', ['$event']]
            }] } });

var CurrencyMaskInputMode;
(function (CurrencyMaskInputMode) {
    CurrencyMaskInputMode[CurrencyMaskInputMode["FINANCIAL"] = 0] = "FINANCIAL";
    CurrencyMaskInputMode[CurrencyMaskInputMode["NATURAL"] = 1] = "NATURAL";
})(CurrencyMaskInputMode || (CurrencyMaskInputMode = {}));
let CURRENCY_MASK_CONFIG = new InjectionToken("currency.mask.config");

class SaffronInputManager {
    constructor(htmlInputElement) {
        this.htmlInputElement = htmlInputElement;
    }
    setCursorAt(position) {
        if (this.htmlInputElement.setSelectionRange) {
            this.htmlInputElement.focus();
            this.htmlInputElement.setSelectionRange(position, position);
        }
        else if (this.htmlInputElement.createTextRange) {
            let textRange = this.htmlInputElement.createTextRange();
            textRange.collapse(true);
            textRange.moveEnd('character', position);
            textRange.moveStart('character', position);
            textRange.select();
        }
    }
    updateValueAndCursor(newRawValue, oldLength, selectionStart) {
        this.rawValue = newRawValue;
        let newLength = newRawValue.length;
        selectionStart = selectionStart - (oldLength - newLength);
        this.setCursorAt(selectionStart);
    }
    get canInputMoreNumbers() {
        let onlyNumbers = this.rawValue.replace(/[^0-9\u0660-\u0669\u06F0-\u06F9]/g, '');
        let haventReachedMaxLength = !(onlyNumbers.length >= this.htmlInputElement.maxLength &&
            this.htmlInputElement.maxLength >= 0);
        let selectionStart = this.inputSelection.selectionStart;
        let selectionEnd = this.inputSelection.selectionEnd;
        let haveNumberSelected = !!(selectionStart != selectionEnd &&
            this.htmlInputElement.value
                .substring(selectionStart, selectionEnd)
                .match(/[^0-9\u0660-\u0669\u06F0-\u06F9]/));
        let startWithZero = this.htmlInputElement.value.substring(0, 1) == '0';
        return haventReachedMaxLength || haveNumberSelected || startWithZero;
    }
    get inputSelection() {
        let selectionStart = 0;
        let selectionEnd = 0;
        if (typeof this.htmlInputElement.selectionStart == 'number' &&
            typeof this.htmlInputElement.selectionEnd == 'number') {
            selectionStart = this.htmlInputElement.selectionStart;
            selectionEnd = this.htmlInputElement.selectionEnd;
        }
        else {
            let range = document.selection.createRange();
            if (range && range.parentElement() == this.htmlInputElement) {
                let lenght = this.htmlInputElement.value.length;
                let normalizedValue = this.htmlInputElement.value.replace(/\r\n/g, '\n');
                let startRange = this.htmlInputElement.createTextRange();
                startRange.moveToBookmark(range.getBookmark());
                let endRange = this.htmlInputElement.createTextRange();
                endRange.collapse(false);
                if (startRange.compareEndPoints('StartToEnd', endRange) > -1) {
                    selectionStart = selectionEnd = lenght;
                }
                else {
                    selectionStart = -startRange.moveStart('character', -lenght);
                    selectionStart +=
                        normalizedValue.slice(0, selectionStart).split('\n').length - 1;
                    if (startRange.compareEndPoints('EndToEnd', endRange) > -1) {
                        selectionEnd = lenght;
                    }
                    else {
                        selectionEnd = -startRange.moveEnd('character', -lenght);
                        selectionEnd +=
                            normalizedValue.slice(0, selectionEnd).split('\n').length - 1;
                    }
                }
            }
        }
        return {
            selectionStart: selectionStart,
            selectionEnd: selectionEnd,
        };
    }
    get rawValue() {
        return this.htmlInputElement && this.htmlInputElement.value;
    }
    set rawValue(value) {
        this._storedRawValue = value;
        if (this.htmlInputElement) {
            this.htmlInputElement.value = value;
        }
    }
    get storedRawValue() {
        return this._storedRawValue || '';
    }
}

class SaffronInputService {
    initialize() {
        this.PER_AR_NUMBER.set("\u06F0", "0");
        this.PER_AR_NUMBER.set("\u06F1", "1");
        this.PER_AR_NUMBER.set("\u06F2", "2");
        this.PER_AR_NUMBER.set("\u06F3", "3");
        this.PER_AR_NUMBER.set("\u06F4", "4");
        this.PER_AR_NUMBER.set("\u06F5", "5");
        this.PER_AR_NUMBER.set("\u06F6", "6");
        this.PER_AR_NUMBER.set("\u06F7", "7");
        this.PER_AR_NUMBER.set("\u06F8", "8");
        this.PER_AR_NUMBER.set("\u06F9", "9");
        this.PER_AR_NUMBER.set("\u0660", "0");
        this.PER_AR_NUMBER.set("\u0661", "1");
        this.PER_AR_NUMBER.set("\u0662", "2");
        this.PER_AR_NUMBER.set("\u0663", "3");
        this.PER_AR_NUMBER.set("\u0664", "4");
        this.PER_AR_NUMBER.set("\u0665", "5");
        this.PER_AR_NUMBER.set("\u0666", "6");
        this.PER_AR_NUMBER.set("\u0667", "7");
        this.PER_AR_NUMBER.set("\u0668", "8");
        this.PER_AR_NUMBER.set("\u0669", "9");
    }
    constructor(htmlInputElement, options) {
        this.htmlInputElement = htmlInputElement;
        this.options = options;
        this.SINGLE_DIGIT_REGEX = new RegExp(/^[0-9\u0660-\u0669\u06F0-\u06F9]$/);
        this.ONLY_NUMBERS_REGEX = new RegExp(/[^0-9\u0660-\u0669\u06F0-\u06F9]/g);
        this.PER_AR_NUMBER = new Map();
        this.inputManager = new SaffronInputManager(htmlInputElement);
        this.initialize();
    }
    addNumber(keyCode) {
        const { decimal, precision, inputMode } = this.options;
        let keyChar = String.fromCharCode(keyCode);
        const isDecimalChar = keyChar === this.options.decimal;
        if (!this.rawValue) {
            this.rawValue = this.applyMask(false, keyChar);
            let selectionStart = undefined;
            if (inputMode === CurrencyMaskInputMode.NATURAL && precision > 0) {
                selectionStart = this.rawValue.indexOf(decimal);
                if (isDecimalChar) {
                    selectionStart++;
                }
            }
            this.updateFieldValue(selectionStart);
        }
        else {
            let selectionStart = this.inputSelection.selectionStart;
            let selectionEnd = this.inputSelection.selectionEnd;
            const rawValueStart = this.rawValue.substring(0, selectionStart);
            let rawValueEnd = this.rawValue.substring(selectionEnd, this.rawValue.length);
            // In natural mode, replace decimals instead of shifting them.
            const inDecimalPortion = rawValueStart.indexOf(decimal) !== -1;
            if (inputMode === CurrencyMaskInputMode.NATURAL && inDecimalPortion && selectionStart === selectionEnd) {
                rawValueEnd = rawValueEnd.substring(1);
            }
            const newValue = rawValueStart + keyChar + rawValueEnd;
            let nextSelectionStart = selectionStart + 1;
            const isDecimalOrThousands = isDecimalChar || keyChar === this.options.thousands;
            if (isDecimalOrThousands && keyChar === rawValueEnd[0]) {
                // If the cursor is just before the decimal or thousands separator and the user types the
                // decimal or thousands separator, move the cursor past it.
                nextSelectionStart++;
            }
            else if (!this.SINGLE_DIGIT_REGEX.test(keyChar)) {
                // Ignore other non-numbers.
                return;
            }
            this.rawValue = newValue;
            this.updateFieldValue(nextSelectionStart);
        }
    }
    applyMask(isNumber, rawValue, disablePadAndTrim = false) {
        let { allowNegative, decimal, precision, prefix, suffix, thousands, min, max, inputMode } = this.options;
        rawValue = isNumber ? new Number(rawValue).toFixed(precision) : rawValue;
        let onlyNumbers = rawValue.replace(this.ONLY_NUMBERS_REGEX, "");
        if (!onlyNumbers && rawValue !== decimal) {
            return "";
        }
        if (inputMode === CurrencyMaskInputMode.NATURAL && !isNumber && !disablePadAndTrim) {
            rawValue = this.padOrTrimPrecision(rawValue);
            onlyNumbers = rawValue.replace(this.ONLY_NUMBERS_REGEX, "");
        }
        let integerPart = onlyNumbers.slice(0, onlyNumbers.length - precision)
            .replace(/^\u0660*/g, "")
            .replace(/^\u06F0*/g, "")
            .replace(/^0*/g, "");
        if (integerPart == "") {
            integerPart = "0";
        }
        let integerValue = parseInt(integerPart);
        integerPart = integerPart.replace(/\B(?=([0-9\u0660-\u0669\u06F0-\u06F9]{3})+(?![0-9\u0660-\u0669\u06F0-\u06F9]))/g, thousands);
        if (thousands && integerPart.startsWith(thousands)) {
            integerPart = integerPart.substring(1);
        }
        let newRawValue = integerPart;
        let decimalPart = onlyNumbers.slice(onlyNumbers.length - precision);
        let decimalValue = parseInt(decimalPart) || 0;
        let isNegative = rawValue.indexOf("-") > -1;
        // Ensure max is at least as large as min.
        max = (this.isNullOrUndefined(max) || this.isNullOrUndefined(min)) ? max : Math.max(max, min);
        // Ensure precision number works well with more than 2 digits
        // 23 / 100... 233 / 1000 and so on
        const divideBy = Number('1'.padEnd(precision + 1, '0'));
        // Restrict to the min and max values.
        let newValue = integerValue + (decimalValue / divideBy);
        newValue = isNegative ? -newValue : newValue;
        if (!this.isNullOrUndefined(max) && newValue > max) {
            return this.applyMask(true, max + '');
        }
        else if (!this.isNullOrUndefined(min) && newValue < min) {
            return this.applyMask(true, min + '');
        }
        if (precision > 0) {
            if (newRawValue == "0" && decimalPart.length < precision) {
                newRawValue += decimal + "0".repeat(precision - 1) + decimalPart;
            }
            else {
                newRawValue += decimal + decimalPart;
            }
        }
        let isZero = newValue == 0;
        let operator = (isNegative && allowNegative && !isZero) ? "-" : "";
        return operator + prefix + newRawValue + suffix;
    }
    padOrTrimPrecision(rawValue) {
        let { decimal, precision } = this.options;
        let decimalIndex = rawValue.lastIndexOf(decimal);
        if (decimalIndex === -1) {
            decimalIndex = rawValue.length;
            rawValue += decimal;
        }
        let decimalPortion = rawValue.substring(decimalIndex).replace(this.ONLY_NUMBERS_REGEX, "");
        const actualPrecision = decimalPortion.length;
        if (actualPrecision < precision) {
            for (let i = actualPrecision; i < precision; i++) {
                decimalPortion += '0';
            }
        }
        else if (actualPrecision > precision) {
            decimalPortion = decimalPortion.substring(0, decimalPortion.length + precision - actualPrecision);
        }
        return rawValue.substring(0, decimalIndex) + decimal + decimalPortion;
    }
    clearMask(rawValue) {
        if (this.isNullable() && rawValue === "")
            return null;
        let value = (rawValue || "0").replace(this.options.prefix, "").replace(this.options.suffix, "");
        if (this.options.thousands) {
            value = value.replace(new RegExp("\\" + this.options.thousands, "g"), "");
        }
        if (this.options.decimal) {
            value = value.replace(this.options.decimal, ".");
        }
        this.PER_AR_NUMBER.forEach((val, key) => {
            const re = new RegExp(key, "g");
            value = value.replace(re, val);
        });
        return parseFloat(value);
    }
    changeToNegative() {
        if (this.options.allowNegative && this.rawValue != "" && this.rawValue.charAt(0) != "-" && this.value != 0) {
            // Apply the mask to ensure the min and max values are enforced.
            this.rawValue = this.applyMask(false, "-" + this.rawValue);
        }
    }
    changeToPositive() {
        // Apply the mask to ensure the min and max values are enforced.
        this.rawValue = this.applyMask(false, this.rawValue.replace("-", ""));
    }
    removeNumber(keyCode) {
        let { decimal, thousands, prefix, suffix, inputMode } = this.options;
        if (this.isNullable() && this.value == 0) {
            this.rawValue = null;
            return;
        }
        let selectionEnd = this.inputSelection.selectionEnd;
        let selectionStart = this.inputSelection.selectionStart;
        const suffixStart = this.rawValue.length - suffix.length;
        selectionEnd = Math.min(suffixStart, Math.max(selectionEnd, prefix.length));
        selectionStart = Math.min(suffixStart, Math.max(selectionStart, prefix.length));
        // Check if selection was entirely in the prefix or suffix.
        if (selectionStart === selectionEnd &&
            this.inputSelection.selectionStart !== this.inputSelection.selectionEnd) {
            this.updateFieldValue(selectionStart);
            return;
        }
        let decimalIndex = this.rawValue.indexOf(decimal);
        if (decimalIndex === -1) {
            decimalIndex = this.rawValue.length;
        }
        let shiftSelection = 0;
        let insertChars = '';
        const isCursorInDecimals = decimalIndex < selectionEnd;
        const isCursorImmediatelyAfterDecimalPoint = decimalIndex + 1 === selectionEnd;
        if (selectionEnd === selectionStart) {
            if (keyCode == 8) {
                if (selectionStart <= prefix.length) {
                    return;
                }
                selectionStart--;
                // If previous char isn't a number, go back one more.
                if (!this.rawValue.substr(selectionStart, 1).match(/\d/)) {
                    selectionStart--;
                }
                // In natural mode, jump backwards when in decimal portion of number.
                if (inputMode === CurrencyMaskInputMode.NATURAL && isCursorInDecimals) {
                    shiftSelection = -1;
                    // when removing a single whole number, replace it with 0
                    if (isCursorImmediatelyAfterDecimalPoint && this.value < 10 && this.value > -10) {
                        insertChars += '0';
                    }
                }
            }
            else if (keyCode == 46 || keyCode == 63272) {
                if (selectionStart === suffixStart) {
                    return;
                }
                selectionEnd++;
                // If next char isn't a number, go one more.
                if (!this.rawValue.substr(selectionStart, 1).match(/\d/)) {
                    selectionStart++;
                    selectionEnd++;
                }
            }
        }
        // In natural mode, replace decimals with 0s.
        if (inputMode === CurrencyMaskInputMode.NATURAL && selectionStart > decimalIndex) {
            const replacedDecimalCount = selectionEnd - selectionStart;
            for (let i = 0; i < replacedDecimalCount; i++) {
                insertChars += '0';
            }
        }
        let selectionFromEnd = this.rawValue.length - selectionEnd;
        this.rawValue = this.rawValue.substring(0, selectionStart) + insertChars + this.rawValue.substring(selectionEnd);
        // Remove leading thousand separator from raw value.
        const startChar = this.rawValue.substr(prefix.length, 1);
        if (startChar === thousands) {
            this.rawValue = this.rawValue.substring(0, prefix.length) + this.rawValue.substring(prefix.length + 1);
            selectionFromEnd = Math.min(selectionFromEnd, this.rawValue.length - prefix.length);
        }
        this.updateFieldValue(this.rawValue.length - selectionFromEnd + shiftSelection, true);
    }
    updateFieldValue(selectionStart, disablePadAndTrim = false) {
        let newRawValue = this.applyMask(false, this.rawValue || "", disablePadAndTrim);
        selectionStart = selectionStart == undefined ? this.rawValue.length : selectionStart;
        selectionStart = Math.max(this.options.prefix.length, Math.min(selectionStart, this.rawValue.length - this.options.suffix.length));
        this.inputManager.updateValueAndCursor(newRawValue, this.rawValue.length, selectionStart);
    }
    updateOptions(options) {
        let value = this.value;
        this.options = options;
        this.value = value;
    }
    prefixLength() {
        return this.options.prefix.length;
    }
    suffixLength() {
        return this.options.suffix.length;
    }
    isNullable() {
        return this.options.nullable;
    }
    get canInputMoreNumbers() {
        return this.inputManager.canInputMoreNumbers;
    }
    get inputSelection() {
        return this.inputManager.inputSelection;
    }
    get rawValue() {
        return this.inputManager.rawValue;
    }
    set rawValue(value) {
        this.inputManager.rawValue = value;
    }
    get storedRawValue() {
        return this.inputManager.storedRawValue;
    }
    get value() {
        return this.clearMask(this.rawValue);
    }
    set value(value) {
        this.rawValue = this.applyMask(true, "" + value);
    }
    isNullOrUndefined(value) {
        return value === null || value === undefined;
    }
}

class SaffronInputHandler {
    constructor(htmlInputElement, options) {
        this.inputService = new SaffronInputService(htmlInputElement, options);
    }
    handleCut(event) {
        setTimeout(() => {
            this.inputService.updateFieldValue();
            this.setValue(this.inputService.value);
            this.onModelChange(this.inputService.value);
        }, 0);
    }
    handleInput(event) {
        let selectionStart = this.inputService.inputSelection.selectionStart;
        let keyCode = this.inputService.rawValue.charCodeAt(selectionStart - 1);
        let rawValueLength = this.inputService.rawValue.length;
        let storedRawValueLength = this.inputService.storedRawValue.length;
        if (Math.abs(rawValueLength - storedRawValueLength) != 1) {
            this.inputService.updateFieldValue(selectionStart);
            this.onModelChange(this.inputService.value);
            return;
        }
        // Restore the old value.
        this.inputService.rawValue = this.inputService.storedRawValue;
        if (rawValueLength < storedRawValueLength) {
            // Chrome Android seems to move the cursor in response to a backspace AFTER processing the
            // input event, so we need to wrap this in a timeout.
            this.timer(() => {
                // Move the cursor to just after the deleted value.
                this.inputService.updateFieldValue(selectionStart + 1);
                // Then backspace it.
                this.inputService.removeNumber(8);
                this.onModelChange(this.inputService.value);
            }, 0);
        }
        if (rawValueLength > storedRawValueLength) {
            // Move the cursor to just before the new value.
            this.inputService.updateFieldValue(selectionStart - 1);
            // Process the character like a keypress.
            this.handleKeypressImpl(keyCode);
        }
    }
    handleKeydown(event) {
        let keyCode = event.which || event.charCode || event.keyCode;
        if (keyCode == 8 || keyCode == 46 || keyCode == 63272) {
            event.preventDefault();
            if (this.inputService.inputSelection.selectionStart <= this.inputService.prefixLength() &&
                this.inputService.inputSelection.selectionEnd >= this.inputService.rawValue.length - this.inputService.suffixLength()) {
                this.clearValue();
            }
            else {
                this.inputService.removeNumber(keyCode);
                this.onModelChange(this.inputService.value);
            }
        }
    }
    clearValue() {
        this.setValue(this.inputService.isNullable() ? null : 0);
        this.onModelChange(this.inputService.value);
    }
    handleKeypress(event) {
        let keyCode = event.which || event.charCode || event.keyCode;
        event.preventDefault();
        if (keyCode === 97 && event.ctrlKey) {
            return;
        }
        this.handleKeypressImpl(keyCode);
    }
    handleKeypressImpl(keyCode) {
        switch (keyCode) {
            case undefined:
            case 9:
            case 13:
                return;
            case 43:
                this.inputService.changeToPositive();
                break;
            case 45:
                this.inputService.changeToNegative();
                break;
            default:
                if (this.inputService.canInputMoreNumbers) {
                    let selectionRangeLength = Math.abs(this.inputService.inputSelection.selectionEnd - this.inputService.inputSelection.selectionStart);
                    if (selectionRangeLength == this.inputService.rawValue.length) {
                        this.setValue(null);
                    }
                    this.inputService.addNumber(keyCode);
                }
                break;
        }
        this.onModelChange(this.inputService.value);
    }
    handlePaste(event) {
        setTimeout(() => {
            this.inputService.updateFieldValue();
            this.setValue(this.inputService.value);
            this.onModelChange(this.inputService.value);
        }, 1);
    }
    updateOptions(options) {
        this.inputService.updateOptions(options);
    }
    getOnModelChange() {
        return this.onModelChange;
    }
    setOnModelChange(callbackFunction) {
        this.onModelChange = callbackFunction;
    }
    getOnModelTouched() {
        return this.onModelTouched;
    }
    setOnModelTouched(callbackFunction) {
        this.onModelTouched = callbackFunction;
    }
    setValue(value) {
        this.inputService.value = value;
    }
    /**
     * Passthrough to setTimeout that can be stubbed out in tests.
     */
    timer(callback, delayMillis) {
        setTimeout(callback, delayMillis);
    }
}

const CURRENCYMASKDIRECTIVE_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => SaffronCurrencyMaskDirective),
    multi: true,
};
class SaffronCurrencyMaskDirective {
    constructor(currencyMaskConfig, elementRef, keyValueDiffers) {
        this.currencyMaskConfig = currencyMaskConfig;
        this.elementRef = elementRef;
        this.keyValueDiffers = keyValueDiffers;
        this.options = {};
        this.optionsTemplate = {
            align: "right",
            allowNegative: true,
            allowZero: true,
            decimal: ".",
            precision: 2,
            prefix: "$ ",
            suffix: "",
            thousands: ",",
            nullable: false,
            inputMode: CurrencyMaskInputMode.FINANCIAL
        };
        if (currencyMaskConfig) {
            this.optionsTemplate = currencyMaskConfig;
        }
        this.keyValueDiffer = keyValueDiffers.find({}).create();
    }
    ngAfterViewInit() {
        this.elementRef.nativeElement.style.textAlign = this.options && this.options.align ? this.options.align : this.optionsTemplate.align;
    }
    ngDoCheck() {
        if (this.keyValueDiffer.diff(this.options)) {
            this.elementRef.nativeElement.style.textAlign = this.options.align ? this.options.align : this.optionsTemplate.align;
            this.inputHandler.updateOptions(Object.assign({}, this.optionsTemplate, this.options));
        }
    }
    ngOnInit() {
        this.inputHandler = new SaffronInputHandler(this.elementRef.nativeElement, Object.assign({}, this.optionsTemplate, this.options));
    }
    handleBlur(event) {
        this.inputHandler.getOnModelTouched().apply(event);
    }
    handleCut(event) {
        if (!this.isChromeAndroid()) {
            !this.isReadOnly() && this.inputHandler.handleCut(event);
        }
    }
    handleInput(event) {
        if (this.isChromeAndroid()) {
            !this.isReadOnly() && this.inputHandler.handleInput(event);
        }
    }
    handleKeydown(event) {
        if (!this.isChromeAndroid()) {
            !this.isReadOnly() && this.inputHandler.handleKeydown(event);
        }
    }
    handleKeypress(event) {
        if (!this.isChromeAndroid()) {
            !this.isReadOnly() && this.inputHandler.handleKeypress(event);
        }
    }
    handlePaste(event) {
        if (!this.isChromeAndroid()) {
            !this.isReadOnly() && this.inputHandler.handlePaste(event);
        }
    }
    handleDrop(event) {
        if (!this.isChromeAndroid()) {
            event.preventDefault();
        }
    }
    isChromeAndroid() {
        return /chrome/i.test(navigator.userAgent) && /android/i.test(navigator.userAgent);
    }
    isReadOnly() {
        return this.elementRef.nativeElement.hasAttribute('readonly');
    }
    registerOnChange(callbackFunction) {
        this.inputHandler.setOnModelChange(callbackFunction);
    }
    registerOnTouched(callbackFunction) {
        this.inputHandler.setOnModelTouched(callbackFunction);
    }
    setDisabledState(value) {
        this.elementRef.nativeElement.disabled = value;
    }
    writeValue(value) {
        this.inputHandler.setValue(value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronCurrencyMaskDirective, deps: [{ token: CURRENCY_MASK_CONFIG, optional: true }, { token: i0.ElementRef }, { token: i0.KeyValueDiffers }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.1.0", type: SaffronCurrencyMaskDirective, selector: "[currencyMask]", inputs: { options: "options" }, host: { listeners: { "blur": "handleBlur($event)", "cut": "handleCut($event)", "input": "handleInput($event)", "keydown": "handleKeydown($event)", "keypress": "handleKeypress($event)", "paste": "handlePaste($event)", "drop": "handleDrop($event)" } }, providers: [CURRENCYMASKDIRECTIVE_VALUE_ACCESSOR], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronCurrencyMaskDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: "[currencyMask]",
                    providers: [CURRENCYMASKDIRECTIVE_VALUE_ACCESSOR]
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [CURRENCY_MASK_CONFIG]
                }] }, { type: i0.ElementRef }, { type: i0.KeyValueDiffers }], propDecorators: { options: [{
                type: Input
            }], handleBlur: [{
                type: HostListener,
                args: ["blur", ["$event"]]
            }], handleCut: [{
                type: HostListener,
                args: ["cut", ["$event"]]
            }], handleInput: [{
                type: HostListener,
                args: ["input", ["$event"]]
            }], handleKeydown: [{
                type: HostListener,
                args: ["keydown", ["$event"]]
            }], handleKeypress: [{
                type: HostListener,
                args: ["keypress", ["$event"]]
            }], handlePaste: [{
                type: HostListener,
                args: ["paste", ["$event"]]
            }], handleDrop: [{
                type: HostListener,
                args: ["drop", ["$event"]]
            }] } });

class SaffronCurrencyModule {
    static forRoot(config) {
        return {
            ngModule: SaffronCurrencyModule,
            providers: [{
                    provide: CURRENCY_MASK_CONFIG,
                    useValue: config,
                }]
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronCurrencyModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.1.0", ngImport: i0, type: SaffronCurrencyModule, declarations: [SaffronCurrencyMaskDirective], imports: [CommonModule, FormsModule], exports: [SaffronCurrencyMaskDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronCurrencyModule, imports: [CommonModule, FormsModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronCurrencyModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [SaffronCurrencyMaskDirective],
                    exports: [SaffronCurrencyMaskDirective]
                }]
        }] });

class SaffronModalButton {
}

class SaffronSearchPipe {
    transform(value, keys, term) {
        if (!term)
            return value;
        return (value || []).filter((item) => keys.split(',').some(key => item.hasOwnProperty(key) && new RegExp(term, 'gi').test(item[key])));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronSearchPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "17.1.0", ngImport: i0, type: SaffronSearchPipe, isStandalone: true, name: "search" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronSearchPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'search',
                    standalone: true,
                }]
        }] });

class SaffronPrimeNgService {
    constructor(primengConfig) {
        this.primengConfig = primengConfig;
        this.primengConfig.ripple = true; // enable ripple for buttons
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronPrimeNgService, deps: [{ token: i1$5.PrimeNGConfig }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronPrimeNgService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronPrimeNgService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: i1$5.PrimeNGConfig }] });

class SaffronTabData {
}

function saffronDeepClone(obj) {
    const stringObj = JSON.stringify(obj);
    const clonedObject = JSON.parse(stringObj);
    return clonedObject;
}
function saffronGetRandom(min, max) {
    return Math.floor(Math.random() * (max - min + 1) + min);
}
function saffronAddDays(date, days) {
    var result = new Date(date);
    result.setDate(result.getDate() + days);
    return result;
}

function saffronNationalCodeValidator(control) {
    debugger;
    if (control.value) {
        let nationalCode = "" + control.value;
        let fakeCode = ["0000000000", "1111111111", "2222222222", "3333333333", "4444444444", "5555555555", "6666666666", "7777777777", "8888888888", "9999999999"];
        let Arr = Array.from(nationalCode);
        if (fakeCode.some(e => e == nationalCode)) {
            return { nationalCodeValid: true };
        }
        else if (Arr.length != 10) {
            return { nationalCodeValid: true };
        }
        else {
            let Sum = 0;
            let Last;
            for (let i = 0; i < 9; i++) {
                Sum += +Arr[i] * (10 - i);
            }
            let divideRemaining = Sum % 11;
            if (divideRemaining < 2) {
                Last = divideRemaining;
            }
            else {
                Last = 11 - (divideRemaining);
            }
            let n = Arr[9];
            return null;
        }
    }
    return null;
}

function saffronNationalCodeCompanyValidator(control) {
    debugger;
    if (control.value) {
        let code = "" + control.value;
        let L, C, D, S, I;
        let isValid = false;
        let fakeCode = ["00000000000", "11111111111", "22222222222", "33333333333", "44444444444", "55555555555", "66666666666", "77777777777", "88888888888", "99999999999"];
        if (fakeCode.some(e => e == code))
            return { nationalCodeValid: true };
        let Arr = Array.from(code);
        if (Arr.length != 11) {
            return { nationalCodeValid: true };
        }
        else {
            C = +code[10]; // شناسايي رقم كنترل
            L = code.length; // محاسبه طول كد
            D = (+code[9]) + 2; /// محاسبه دهگان +2
            S = 0; //1- براي محاسبه رقم کنترل از روي ساير ارقام ، هر رقم را  با رقم
            // دهگان کد +2 کرده و سپس در ضريب آن ضرب مي کنيم و حاصل را با هم جمع مي کنيم.
            S = S + ((D + (+code[0])) * 29);
            S = S + ((D + (+code[1])) * 27);
            S = S + ((D + (+code[2])) * 23);
            S = S + ((D + (+code[3])) * 19);
            S = S + ((D + (+code[4])) * 17);
            S = S + ((D + (+code[5])) * 29);
            S = S + ((D + (+code[6])) * 27);
            S = S + ((D + (+code[7])) * 23);
            S = S + ((D + (+code[8])) * 19);
            S = S + ((D + (+code[9])) * 17);
            S = S % 11; //2- مجموع بدست آمده از مرحله يک را بر 11 تقسيم مي کنيم
            if (S == 10) //3- اگر باقيمانده برابر 10 باشد ، باقيمانده را برابر 0 قرار مي دهيم
                S = 0;
            if (S == C) //4-اگر رقم کنترل برابر باقيمانده باشد شناسه ملي صحيح فرض مي شود
                return null;
            else
                return { nationalCodeValid: true }; //در غير اين صورت شناسه ملي مورد نظر صحيح نمي باشد
        }
    }
    return null;
}

/* import { cloneDeep } from 'lodash-es'; */
class SaffronCustomNavigationData {
    constructor() {
        this._compactNavigation = compactNavigation;
        this._defaultNavigation = defaultNavigation;
        this._futuristicNavigation = futuristicNavigation;
        this._horizontalNavigation = horizontalNavigation;
        this.setData();
    }
    setData() {
        // Fill compact navigation children using the default navigation
        this._compactNavigation.forEach((compactNavItem) => {
            this._defaultNavigation.forEach((defaultNavItem) => {
                if (defaultNavItem.id === compactNavItem.id) {
                    compactNavItem.children = this.cloneDeep(defaultNavItem.children);
                }
            });
        });
        // Fill futuristic navigation children using the default navigation
        this._futuristicNavigation.forEach((futuristicNavItem) => {
            this._defaultNavigation.forEach((defaultNavItem) => {
                if (defaultNavItem.id === futuristicNavItem.id) {
                    futuristicNavItem.children = this.cloneDeep(defaultNavItem.children);
                }
            });
        });
        // Fill horizontal navigation children using the default navigation
        this._horizontalNavigation.forEach((horizontalNavItem) => {
            this._defaultNavigation.forEach((defaultNavItem) => {
                if (defaultNavItem.id === horizontalNavItem.id) {
                    horizontalNavItem.children = this.cloneDeep(defaultNavItem.children);
                }
            });
        });
        this.navigationData = {
            compact: this.cloneDeep(this._compactNavigation),
            default: this.cloneDeep(this._defaultNavigation),
            futuristic: this.cloneDeep(this._futuristicNavigation),
            horizontal: this.cloneDeep(this._horizontalNavigation),
        };
    }
    cloneDeep(obj) {
        if (typeof obj !== 'object' || obj === null) {
            return obj;
        }
        try {
            return structuredClone(obj);
        }
        catch (error) {
            // Fallback to recursive cloning if structuredClone fails
            return this.cloneDeep(obj);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronCustomNavigationData, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronCustomNavigationData, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronCustomNavigationData, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [] });

/* eslint-disable */
const defaultNavigation = [
    {
        id: 'dashboards',
        title: 'داشبوردها',
        subtitle: 'طراحی های منحصر به فرد داشبورد',
        type: 'group',
        icon: 'heroicons_outline:home',
        children: [
            {
                id: 'dashboards.پروژه',
                title: 'پروژه',
                type: 'basic',
                icon: 'heroicons_outline:clipboard-check',
                link: '/dashboards/project',
            },
            {
                id: 'dashboards.تجزیه و تحلیل',
                title: 'تجزیه و تحلیل',
                type: 'basic',
                icon: 'heroicons_outline:chart-pie',
                link: '/dashboards/analytics',
            },
            {
                id: 'dashboards.finance',
                title: 'دارایی',
                type: 'basic',
                icon: 'heroicons_outline:cash',
                link: '/dashboards/finance',
            },
            {
                id: 'dashboards.crypto',
                title: 'رمزنگاری',
                type: 'basic',
                icon: 'heroicons_outline:currency-dollar',
                link: '/dashboards/crypto',
            },
        ],
    },
    {
        id: 'apps',
        title: 'برنامه های کاربردی',
        subtitle: 'طرح های کاربردی سفارشی',
        type: 'group',
        icon: 'heroicons_outline:home',
        children: [
            {
                id: 'apps.academy',
                title: 'آکادمی',
                type: 'basic',
                icon: 'heroicons_outline:academic-cap',
                link: '/apps/academy',
            },
            {
                id: 'apps.chat',
                title: 'گفتگو',
                type: 'basic',
                icon: 'heroicons_outline:chat-alt',
                link: '/apps/chat',
            },
            {
                id: 'apps.contacts',
                title: 'مخاطبین',
                type: 'basic',
                icon: 'heroicons_outline:user-group',
                link: '/apps/contacts',
            },
            {
                id: 'apps.ecommerce',
                title: 'تجارت الکترونیک',
                type: 'collapsable',
                icon: 'heroicons_outline:shopping-cart',
                children: [
                    {
                        id: 'apps.ecommerce.inventory',
                        title: 'فهرست',
                        type: 'basic',
                        link: '/apps/ecommerce/inventory',
                    },
                ],
            },
            {
                id: 'apps.file-manager',
                title: 'مدیر فایل',
                type: 'basic',
                icon: 'heroicons_outline:cloud',
                link: '/apps/file-manager',
            },
            {
                id: 'apps.help-center',
                title: 'مرکز کمک',
                type: 'collapsable',
                icon: 'heroicons_outline:support',
                link: '/apps/help-center',
                children: [
                    {
                        id: 'apps.help-center.home',
                        title: 'خانه',
                        type: 'basic',
                        link: '/apps/help-center',
                        exactMatch: true,
                    },
                    {
                        id: 'apps.help-center.faqs',
                        title: 'سوالات متداول',
                        type: 'basic',
                        link: '/apps/help-center/faqs',
                    },
                    {
                        id: 'apps.help-center.guides',
                        title: 'راهنماها',
                        type: 'basic',
                        link: '/apps/help-center/guides',
                    },
                    {
                        id: 'apps.help-center.support',
                        title: 'پشتیبانی',
                        type: 'basic',
                        link: '/apps/help-center/support',
                    },
                ],
            },
            {
                id: 'apps.mailbox',
                title: 'صندوق پستی',
                type: 'basic',
                icon: 'heroicons_outline:mail',
                link: '/apps/mailbox',
                badge: {
                    title: '27',
                    classes: 'px-2 bg-pink-600 text-white rounded-full',
                },
            },
            {
                id: 'apps.notes',
                title: 'یادداشت',
                type: 'basic',
                icon: 'heroicons_outline:pencil-alt',
                link: '/apps/notes',
            },
            {
                id: 'apps.scrumboard',
                title: 'اسکرامبورد',
                type: 'basic',
                icon: 'heroicons_outline:view-boards',
                link: '/apps/scrumboard',
            },
            {
                id: 'apps.tasks',
                title: 'Tasks',
                type: 'basic',
                icon: 'heroicons_outline:check-circle',
                link: '/apps/tasks',
            },
        ],
    },
    {
        id: 'pages',
        title: 'صفحات',
        subtitle: 'طراحی صفحات سفارشی',
        type: 'group',
        icon: 'heroicons_outline:document',
        children: [
            {
                id: 'pages.activities',
                title: 'فعالیت ها',
                type: 'basic',
                icon: 'heroicons_outline:menu-alt-2',
                link: '/pages/activities',
            },
            {
                id: 'pages.authentication',
                title: 'احراز هویت',
                type: 'collapsable',
                icon: 'heroicons_outline:lock-closed',
                children: [
                    {
                        id: 'pages.authentication.sign-in',
                        title: 'ورود',
                        type: 'collapsable',
                        children: [
                            {
                                id: 'pages.authentication.sign-in.classic',
                                title: 'کلاسیک',
                                type: 'basic',
                                link: '/pages/authentication/sign-in/classic',
                            },
                            {
                                id: 'pages.authentication.sign-in.modern',
                                title: 'مدرن',
                                type: 'basic',
                                link: '/pages/authentication/sign-in/modern',
                            },
                            {
                                id: 'pages.authentication.sign-in.modern-reversed',
                                title: 'معکوس مدرن',
                                type: 'basic',
                                link: '/pages/authentication/sign-in/modern-reversed',
                            },
                            {
                                id: 'pages.authentication.sign-in.split-screen',
                                title: 'تقسیم صفحه',
                                type: 'basic',
                                link: '/pages/authentication/sign-in/split-screen',
                            },
                            {
                                id: 'pages.authentication.sign-in.split-screen-reversed',
                                title: 'تقسیم صفحه نمایش معکوس',
                                type: 'basic',
                                link: '/pages/authentication/sign-in/split-screen-reversed',
                            },
                            {
                                id: 'pages.authentication.sign-in.fullscreen',
                                title: 'تمام صفحه',
                                type: 'basic',
                                link: '/pages/authentication/sign-in/fullscreen',
                            },
                            {
                                id: 'pages.authentication.sign-in.fullscreen-reversed',
                                title: 'تمام صفحه معکوس شده',
                                type: 'basic',
                                link: '/pages/authentication/sign-in/fullscreen-reversed',
                            },
                        ],
                    },
                    {
                        id: 'pages.authentication.sign-up',
                        title: 'ثبت نام',
                        type: 'collapsable',
                        link: '/pages/authentication/sign-up',
                        children: [
                            {
                                id: 'pages.authentication.sign-up.classic',
                                title: 'کلاسیک',
                                type: 'basic',
                                link: '/pages/authentication/sign-up/classic',
                            },
                            {
                                id: 'pages.authentication.sign-up.modern',
                                title: 'مدرن',
                                type: 'basic',
                                link: '/pages/authentication/sign-up/modern',
                            },
                            {
                                id: 'pages.authentication.sign-up.modern-reversed',
                                title: 'معکوس مدرن',
                                type: 'basic',
                                link: '/pages/authentication/sign-up/modern-reversed',
                            },
                            {
                                id: 'pages.authentication.sign-up.split-screen',
                                title: 'تقسیم صفحه',
                                type: 'basic',
                                link: '/pages/authentication/sign-up/split-screen',
                            },
                            {
                                id: 'pages.authentication.sign-up.split-screen-reversed',
                                title: 'تقسیم صفحه نمایش معکوس',
                                type: 'basic',
                                link: '/pages/authentication/sign-up/split-screen-reversed',
                            },
                            {
                                id: 'pages.authentication.sign-up.fullscreen',
                                title: 'تمام صفحه',
                                type: 'basic',
                                link: '/pages/authentication/sign-up/fullscreen',
                            },
                            {
                                id: 'pages.authentication.sign-up.fullscreen-reversed',
                                title: 'تمام صفحه معکوس شده',
                                type: 'basic',
                                link: '/pages/authentication/sign-up/fullscreen-reversed',
                            },
                        ],
                    },
                    {
                        id: 'pages.authentication.sign-out',
                        title: 'خروج از سیستم',
                        type: 'collapsable',
                        link: '/pages/authentication/sign-out',
                        children: [
                            {
                                id: 'pages.authentication.sign-out.classic',
                                title: 'کلاسیک',
                                type: 'basic',
                                link: '/pages/authentication/sign-out/classic',
                            },
                            {
                                id: 'pages.authentication.sign-out.modern',
                                title: 'مدرن',
                                type: 'basic',
                                link: '/pages/authentication/sign-out/modern',
                            },
                            {
                                id: 'pages.authentication.sign-out.modern-reversed',
                                title: 'معکوس مدرن',
                                type: 'basic',
                                link: '/pages/authentication/sign-out/modern-reversed',
                            },
                            {
                                id: 'pages.authentication.sign-out.split-screen',
                                title: 'تقسیم صفحه',
                                type: 'basic',
                                link: '/pages/authentication/sign-out/split-screen',
                            },
                            {
                                id: 'pages.authentication.sign-out.split-screen-reversed',
                                title: 'تقسیم صفحه نمایش معکوس',
                                type: 'basic',
                                link: '/pages/authentication/sign-out/split-screen-reversed',
                            },
                            {
                                id: 'pages.authentication.sign-out.fullscreen',
                                title: 'تمام صفحه',
                                type: 'basic',
                                link: '/pages/authentication/sign-out/fullscreen',
                            },
                            {
                                id: 'pages.authentication.sign-out.fullscreen-reversed',
                                title: 'معکوس تمام صفحه',
                                type: 'basic',
                                link: '/pages/authentication/sign-out/fullscreen-reversed',
                            },
                        ],
                    },
                    {
                        id: 'pages.authentication.forgot-password',
                        title: 'فراموشی رمز عبور',
                        type: 'collapsable',
                        link: '/pages/authentication/forgot-password',
                        children: [
                            {
                                id: 'pages.authentication.forgot-password.classic',
                                title: 'کلاسیک',
                                type: 'basic',
                                link: '/pages/authentication/forgot-password/classic',
                            },
                            {
                                id: 'pages.authentication.forgot-password.modern',
                                title: 'مدرن',
                                type: 'basic',
                                link: '/pages/authentication/forgot-password/modern',
                            },
                            {
                                id: 'pages.authentication.forgot-password.modern-reversed',
                                title: 'معکوس مدرن',
                                type: 'basic',
                                link: '/pages/authentication/forgot-password/modern-reversed',
                            },
                            {
                                id: 'pages.authentication.forgot-password.split-screen',
                                title: 'تقسیم صفحه',
                                type: 'basic',
                                link: '/pages/authentication/forgot-password/split-screen',
                            },
                            {
                                id: 'pages.authentication.forgot-password.split-screen-reversed',
                                title: 'تقسیم صفحه نمایش معکوس',
                                type: 'basic',
                                link: '/pages/authentication/forgot-password/split-screen-reversed',
                            },
                            {
                                id: 'pages.authentication.forgot-password.fullscreen',
                                title: 'تمام صفحه',
                                type: 'basic',
                                link: '/pages/authentication/forgot-password/fullscreen',
                            },
                            {
                                id: 'pages.authentication.forgot-password.fullscreen-reversed',
                                title: 'تمام صفحه معکوس شده',
                                type: 'basic',
                                link: '/pages/authentication/forgot-password/fullscreen-reversed',
                            },
                        ],
                    },
                    {
                        id: 'pages.authentication.reset-password',
                        title: 'بازنشانی رمز عبور',
                        type: 'collapsable',
                        link: '/pages/authentication/reset-password',
                        children: [
                            {
                                id: 'pages.authentication.reset-password.classic',
                                title: 'کلاسیک',
                                type: 'basic',
                                link: '/pages/authentication/reset-password/classic',
                            },
                            {
                                id: 'pages.authentication.reset-password.modern',
                                title: 'مدرن',
                                type: 'basic',
                                link: '/pages/authentication/reset-password/modern',
                            },
                            {
                                id: 'pages.authentication.reset-password.modern-reversed',
                                title: 'معکوس مدرن',
                                type: 'basic',
                                link: '/pages/authentication/reset-password/modern-reversed',
                            },
                            {
                                id: 'pages.authentication.reset-password.split-screen',
                                title: 'تقسیم صفحه نمایش',
                                type: 'basic',
                                link: '/pages/authentication/reset-password/split-screen',
                            },
                            {
                                id: 'pages.authentication.reset-password.split-screen-reversed',
                                title: 'تقسیم صفحه نمایش معکوس',
                                type: 'basic',
                                link: '/pages/authentication/reset-password/split-screen-reversed',
                            },
                            {
                                id: 'pages.authentication.reset-password.fullscreen',
                                title: 'تمام صفحه',
                                type: 'basic',
                                link: '/pages/authentication/reset-password/fullscreen',
                            },
                            {
                                id: 'pages.authentication.reset-password.fullscreen-reversed',
                                title: 'تمام صفحه معکوس شده',
                                type: 'basic',
                                link: '/pages/authentication/reset-password/fullscreen-reversed',
                            },
                        ],
                    },
                    {
                        id: 'pages.authentication.unlock-session',
                        title: 'باز کردن قفل',
                        type: 'collapsable',
                        link: '/pages/authentication/unlock-session',
                        children: [
                            {
                                id: 'pages.authentication.unlock-session.classic',
                                title: 'کلاسیک',
                                type: 'basic',
                                link: '/pages/authentication/unlock-session/classic',
                            },
                            {
                                id: 'pages.authentication.unlock-session.modern',
                                title: 'مدرن',
                                type: 'basic',
                                link: '/pages/authentication/unlock-session/modern',
                            },
                            {
                                id: 'pages.authentication.unlock-session.modern-reversed',
                                title: 'معکوس مدرن',
                                type: 'basic',
                                link: '/pages/authentication/unlock-session/modern-reversed',
                            },
                            {
                                id: 'pages.authentication.unlock-session.split-screen',
                                title: 'تقسیم صفحه',
                                type: 'basic',
                                link: '/pages/authentication/unlock-session/split-screen',
                            },
                            {
                                id: 'pages.authentication.unlock-session.split-screen-reversed',
                                title: 'تقسیم صفحه نمایش معکوس',
                                type: 'basic',
                                link: '/pages/authentication/unlock-session/split-screen-reversed',
                            },
                            {
                                id: 'pages.authentication.unlock-session.fullscreen',
                                title: 'تمام صفحه',
                                type: 'basic',
                                link: '/pages/authentication/unlock-session/fullscreen',
                            },
                            {
                                id: 'pages.authentication.unlock-session.fullscreen-reversed',
                                title: 'تمام صفحه معکوس شده',
                                type: 'basic',
                                link: '/pages/authentication/unlock-session/fullscreen-reversed',
                            },
                        ],
                    },
                    {
                        id: 'pages.authentication.confirmation-required',
                        title: 'نیازمند تایید',
                        type: 'collapsable',
                        link: '/pages/authentication/confirmation-required',
                        children: [
                            {
                                id: 'pages.authentication.confirmation-required.classic',
                                title: 'کلاسیک',
                                type: 'basic',
                                link: '/pages/authentication/confirmation-required/classic',
                            },
                            {
                                id: 'pages.authentication.confirmation-required.modern',
                                title: 'مدرن',
                                type: 'basic',
                                link: '/pages/authentication/confirmation-required/modern',
                            },
                            {
                                id: 'pages.authentication.confirmation-required.modern-reversed',
                                title: 'معکوس مدرن',
                                type: 'basic',
                                link: '/pages/authentication/confirmation-required/modern-reversed',
                            },
                            {
                                id: 'pages.authentication.confirmation-required.split-screen',
                                title: 'تقسیم صفحه',
                                type: 'basic',
                                link: '/pages/authentication/confirmation-required/split-screen',
                            },
                            {
                                id: 'pages.authentication.confirmation-required.split-screen-reversed',
                                title: 'تقسیم صفحه نمایش معکوس',
                                type: 'basic',
                                link: '/pages/authentication/confirmation-required/split-screen-reversed',
                            },
                            {
                                id: 'pages.authentication.confirmation-required.fullscreen',
                                title: 'تمام صفحه',
                                type: 'basic',
                                link: '/pages/authentication/confirmation-required/fullscreen',
                            },
                            {
                                id: 'pages.authentication.confirmation-required.fullscreen-reversed',
                                title: 'تمام صفحه معکوس شده',
                                type: 'basic',
                                link: '/pages/authentication/confirmation-required/fullscreen-reversed',
                            },
                        ],
                    },
                ],
            },
            {
                id: 'pages.coming-soon',
                title: 'به زودی',
                type: 'collapsable',
                icon: 'heroicons_outline:clock',
                link: '/pages/coming-soon',
                children: [
                    {
                        id: 'pages.coming-soon.classic',
                        title: 'کلاسیک',
                        type: 'basic',
                        link: '/pages/coming-soon/classic',
                    },
                    {
                        id: 'pages.coming-soon.modern',
                        title: 'مدرن',
                        type: 'basic',
                        link: '/pages/coming-soon/modern',
                    },
                    {
                        id: 'pages.coming-soon.modern-reversed',
                        title: 'معکوس مدرن',
                        type: 'basic',
                        link: '/pages/coming-soon/modern-reversed',
                    },
                    {
                        id: 'pages.coming-soon.split-screen',
                        title: 'تقسیم صفحه',
                        type: 'basic',
                        link: '/pages/coming-soon/split-screen',
                    },
                    {
                        id: 'pages.coming-soon.split-screen-reversed',
                        title: 'تقسیم صفحه نمایش معکوس',
                        type: 'basic',
                        link: '/pages/coming-soon/split-screen-reversed',
                    },
                    {
                        id: 'pages.coming-soon.fullscreen',
                        title: 'تمام صفحه',
                        type: 'basic',
                        link: '/pages/coming-soon/fullscreen',
                    },
                    {
                        id: 'pages.coming-soon.fullscreen-reversed',
                        title: 'تمام صفحه معکوس شده',
                        type: 'basic',
                        link: '/pages/coming-soon/fullscreen-reversed',
                    },
                ],
            },
            {
                id: 'pages.error',
                title: 'خطا',
                type: 'collapsable',
                icon: 'heroicons_outline:exclamation-circle',
                children: [
                    {
                        id: 'pages.error.404',
                        title: '404',
                        type: 'basic',
                        link: '/pages/error/404',
                    },
                    {
                        id: 'pages.error.500',
                        title: '500',
                        type: 'basic',
                        link: '/pages/error/500',
                    },
                ],
            },
            {
                id: 'pages.invoice',
                title: 'صورتحساب',
                type: 'collapsable',
                icon: 'heroicons_outline:calculator',
                children: [
                    {
                        id: 'pages.invoice.printable',
                        title: 'قابل چاپ',
                        type: 'collapsable',
                        children: [
                            {
                                id: 'pages.invoice.printable.compact',
                                title: 'فشرده',
                                type: 'basic',
                                link: '/pages/invoice/printable/compact',
                            },
                            {
                                id: 'pages.invoice.printable.modern',
                                title: 'مدرن',
                                type: 'basic',
                                link: '/pages/invoice/printable/modern',
                            },
                        ],
                    },
                ],
            },
            {
                id: 'pages.maintenance',
                title: 'نگهداری',
                type: 'basic',
                icon: 'heroicons_outline:exclamation',
                link: '/pages/maintenance',
            },
            {
                id: 'pages.pricing',
                title: 'قیمت گذاری',
                type: 'collapsable',
                icon: 'heroicons_outline:cash',
                children: [
                    {
                        id: 'pages.pricing.modern',
                        title: 'مدرن',
                        type: 'basic',
                        link: '/pages/pricing/modern',
                    },
                    {
                        id: 'pages.pricing.simple',
                        title: 'ساده',
                        type: 'basic',
                        link: '/pages/pricing/simple',
                    },
                    {
                        id: 'pages.pricing.single',
                        title: 'تنها',
                        type: 'basic',
                        link: '/pages/pricing/single',
                    },
                    {
                        id: 'pages.pricing.table',
                        title: 'جدول',
                        type: 'basic',
                        link: '/pages/pricing/table',
                    },
                ],
            },
            {
                id: 'pages.profile',
                title: 'مشخصات',
                type: 'basic',
                icon: 'heroicons_outline:user-circle',
                link: '/pages/profile',
            },
            {
                id: 'pages.settings',
                title: 'تنظیمات',
                type: 'basic',
                icon: 'heroicons_outline:cog',
                link: '/pages/settings',
            },
        ],
    },
    {
        id: 'user-interface',
        title: 'User Interface',
        subtitle: 'Building blocks of the UI & UX',
        type: 'group',
        icon: 'heroicons_outline:collection',
        children: [
            {
                id: 'user-interface.material-components',
                title: 'اجزای مواد',
                type: 'basic',
                icon: 'heroicons_outline:chip',
                link: '/ui/material-components',
            },
            {
                id: 'user-interface.fuse-components',
                title: 'اجزای فیوز',
                type: 'basic',
                icon: 'heroicons_outline:chip',
                link: '/ui/fuse-components',
            },
            {
                id: 'user-interface.other-components',
                title: 'اجزای دیگر',
                type: 'basic',
                icon: 'heroicons_outline:chip',
                link: '/ui/other-components',
            },
            {
                id: 'user-interface.tailwindcss',
                title: 'تیلویند Css کد',
                type: 'basic',
                icon: 'heroicons_outline:sparkles',
                link: '/ui/tailwindcss',
            },
            {
                id: 'user-interface.advanced-search',
                title: 'جستجوی پیشرفته',
                type: 'basic',
                icon: 'heroicons_outline:search-circle',
                link: '/ui/advanced-search',
            },
            {
                id: 'user-interface.animations',
                title: 'تصاویر متحرک',
                type: 'basic',
                icon: 'heroicons_outline:play',
                link: '/ui/animations',
            },
            {
                id: 'user-interface.cards',
                title: 'کارت ها',
                type: 'basic',
                icon: 'heroicons_outline:duplicate',
                link: '/ui/cards',
            },
            {
                id: 'user-interface.colors',
                title: 'رنگ ها',
                type: 'basic',
                icon: 'heroicons_outline:color-swatch',
                link: '/ui/colors',
            },
            {
                id: 'user-interface.confirmation-dialog',
                title: 'گفتگوی تایید',
                type: 'basic',
                icon: 'heroicons_outline:question-mark-circle',
                link: '/ui/confirmation-dialog',
            },
            {
                id: 'user-interface.datatable',
                title: 'جدول داده',
                type: 'basic',
                icon: 'heroicons_outline:view-list',
                link: '/ui/datatable',
            },
            {
                id: 'user-interface.forms',
                title: 'فرم ها',
                type: 'collapsable',
                icon: 'heroicons_outline:pencil-alt',
                children: [
                    {
                        id: 'user-interface.forms.fields',
                        title: 'فیلدها',
                        type: 'basic',
                        link: '/ui/forms/fields',
                    },
                    {
                        id: 'user-interface.forms.layouts',
                        title: 'چیدمان ها',
                        type: 'basic',
                        link: '/ui/forms/layouts',
                    },
                    {
                        id: 'user-interface.forms.wizards',
                        title: 'ویزاردها',
                        type: 'basic',
                        link: '/ui/forms/wizards',
                    },
                ],
            },
            {
                id: 'user-interface.icons',
                title: 'آیکون ها',
                type: 'collapsable',
                icon: 'heroicons_outline:lightning-bolt',
                children: [
                    {
                        id: 'user-interface.icons.heroicons-outline',
                        title: 'طرح کلی',
                        type: 'basic',
                        link: '/ui/icons/heroicons-outline',
                    },
                    {
                        id: 'user-interface.icons.heroicons-solid',
                        title: 'طرح جامد',
                        type: 'basic',
                        link: '/ui/icons/heroicons-solid',
                    },
                    {
                        id: 'user-interface.icons.material-twotone',
                        title: 'مواد 2',
                        type: 'basic',
                        link: '/ui/icons/material-twotone',
                    },
                    {
                        id: 'user-interface.icons.material-outline',
                        title: 'طرح کلی مواد',
                        type: 'basic',
                        link: '/ui/icons/material-outline',
                    },
                    {
                        id: 'user-interface.icons.material-solid',
                        title: 'مواد جامد',
                        type: 'basic',
                        link: '/ui/icons/material-solid',
                    },
                    {
                        id: 'user-interface.icons.feather',
                        title: 'ویژگی',
                        type: 'basic',
                        link: '/ui/icons/feather',
                    },
                ],
            },
            {
                id: 'user-interface.page-layouts',
                title: 'طرح بندی صفحه',
                type: 'collapsable',
                icon: 'heroicons_outline:template',
                children: [
                    {
                        id: 'user-interface.page-layouts.overview',
                        title: 'بررسی اجمالی',
                        type: 'basic',
                        link: '/ui/page-layouts/overview',
                    },
                    {
                        id: 'user-interface.page-layouts.empty',
                        title: 'خالی',
                        type: 'basic',
                        link: '/ui/page-layouts/empty',
                    },
                    {
                        id: 'user-interface.page-layouts.carded',
                        title: 'کارت شده',
                        type: 'collapsable',
                        children: [
                            {
                                id: 'user-interface.page-layouts.carded.fullwidth',
                                title: 'تمام عرض',
                                type: 'basic',
                                link: '/ui/page-layouts/carded/fullwidth',
                            },
                            {
                                id: 'user-interface.page-layouts.carded.left-sidebar-1',
                                title: 'نوار کناری سمت چپ شماره 1',
                                type: 'basic',
                                link: '/ui/page-layouts/carded/left-sidebar-1',
                            },
                            {
                                id: 'user-interface.page-layouts.carded.left-sidebar-2',
                                title: 'نوار کناری سمت چپ شماره 2',
                                type: 'basic',
                                link: '/ui/page-layouts/carded/left-sidebar-2',
                            },
                            {
                                id: 'user-interface.page-layouts.carded.right-sidebar-1',
                                title: 'نوار کناری سمت راست شماره 1',
                                type: 'basic',
                                link: '/ui/page-layouts/carded/right-sidebar-1',
                            },
                            {
                                id: 'user-interface.page-layouts.carded.right-sidebar-2',
                                title: 'نوار کناری سمت راست شماره 2',
                                type: 'basic',
                                link: '/ui/page-layouts/carded/right-sidebar-2',
                            },
                        ],
                    },
                    {
                        id: 'user-interface.page-layouts.simple',
                        title: 'ساده',
                        type: 'collapsable',
                        children: [
                            {
                                id: 'user-interface.page-layouts.simple.fullwidth-1',
                                title: 'عرض کامل شماره 1',
                                type: 'basic',
                                link: '/ui/page-layouts/simple/fullwidth-1',
                            },
                            {
                                id: 'user-interface.page-layouts.simple.fullwidth-2',
                                title: 'عرض کامل شماره 2',
                                type: 'basic',
                                link: '/ui/page-layouts/simple/fullwidth-2',
                            },
                            {
                                id: 'user-interface.page-layouts.simple.left-sidebar-1',
                                title: 'نوار کناری سمت چپ شماره 1',
                                type: 'basic',
                                link: '/ui/page-layouts/simple/left-sidebar-1',
                            },
                            {
                                id: 'user-interface.page-layouts.simple.left-sidebar-2',
                                title: 'نوار کناری سمت چپ شماره 2',
                                type: 'basic',
                                link: '/ui/page-layouts/simple/left-sidebar-2',
                            },
                            {
                                id: 'user-interface.page-layouts.simple.left-sidebar-3',
                                title: 'نوار کناری سمت چپ شماره 3',
                                type: 'basic',
                                link: '/ui/page-layouts/simple/left-sidebar-3',
                            },
                            {
                                id: 'user-interface.page-layouts.simple.right-sidebar-1',
                                title: 'نوار کناری سمت راست شماره 1',
                                type: 'basic',
                                link: '/ui/page-layouts/simple/right-sidebar-1',
                            },
                            {
                                id: 'user-interface.page-layouts.simple.right-sidebar-2',
                                title: 'نوار کناری سمت راست شماره 2',
                                type: 'basic',
                                link: '/ui/page-layouts/simple/right-sidebar-2',
                            },
                            {
                                id: 'user-interface.page-layouts.simple.right-sidebar-3',
                                title: 'نوار کناری سمت راست شماره 3',
                                type: 'basic',
                                link: '/ui/page-layouts/simple/right-sidebar-3',
                            },
                        ],
                    },
                ],
            },
            {
                id: 'user-interface.typography',
                title: 'تایپوگرافی',
                type: 'basic',
                icon: 'heroicons_outline:pencil',
                link: '/ui/typography',
            },
        ],
    },
    {
        id: 'divider-1',
        type: 'divider',
    },
    {
        id: 'documentation',
        title: 'مستندات',
        subtitle: 'هر آنچه که باید در مورد فیوز بدانید',
        type: 'group',
        icon: 'heroicons_outline:support',
        children: [
            {
                id: 'documentation.changelog',
                title: 'تغییرات',
                type: 'basic',
                icon: 'heroicons_outline:speakerphone',
                link: '/docs/changelog',
                badge: {
                    title: '15.2.0',
                    classes: 'px-2 bg-yellow-300 text-black rounded-full',
                },
            },
            {
                id: 'documentation.guides',
                title: 'راهنماها',
                type: 'basic',
                icon: 'heroicons_outline:book-open',
                link: '/docs/guides',
            },
        ],
    },
    {
        id: 'divider-2',
        type: 'divider',
    },
    {
        id: 'navigation-features',
        title: 'ویژگی های ناوبری',
        subtitle: 'Collapsable levels & badge styles',
        type: 'group',
        icon: 'heroicons_outline:menu',
        children: [
            {
                id: 'navigation-features.level.0',
                title: 'سطح 0',
                icon: 'heroicons_outline:check-circle',
                type: 'collapsable',
                children: [
                    {
                        id: 'navigation-features.level.0.1',
                        title: 'سطح 1',
                        type: 'collapsable',
                        children: [
                            {
                                id: 'navigation-features.level.0.1.2',
                                title: 'سطح 2',
                                type: 'collapsable',
                                children: [
                                    {
                                        id: 'navigation-features.level.0.1.2.3',
                                        title: 'سطح 3',
                                        type: 'collapsable',
                                        children: [
                                            {
                                                id: 'navigation-features.level.0.1.2.3.4',
                                                title: 'سطح 4',
                                                type: 'collapsable',
                                                children: [
                                                    {
                                                        id: 'navigation-features.level.0.1.2.3.4.5',
                                                        title: 'سطح 5',
                                                        type: 'collapsable',
                                                        children: [
                                                            {
                                                                id: 'navigation-features.level.0.1.2.3.4.5.6',
                                                                title: 'سطح 6',
                                                                type: 'basic',
                                                            },
                                                        ],
                                                    },
                                                ],
                                            },
                                        ],
                                    },
                                ],
                            },
                        ],
                    },
                ],
            },
            {
                id: 'navigation-features.level.0',
                title: 'سطح 0',
                subtitle: 'با زیرنویس',
                icon: 'heroicons_outline:check-circle',
                type: 'collapsable',
                children: [
                    {
                        id: 'navigation-features.level.0.1-1',
                        title: 'سطح 1.1',
                        type: 'basic',
                    },
                    {
                        id: 'navigation-features.level.0.1-2',
                        title: 'سطح 1.2',
                        type: 'basic',
                    },
                ],
            },
            {
                id: 'navigation-features.active',
                title: 'آیتم فعال',
                subtitle: 'به صورت دستی به عنوان فعال علامت گذاری شده است',
                icon: 'heroicons_outline:check-circle',
                type: 'basic',
                active: true,
            },
            {
                id: 'navigation-features.disabled-collapsable',
                title: 'غیرفعال تاشو',
                subtitle: 'تعدادی زیرنویس',
                icon: 'heroicons_outline:check-circle',
                type: 'collapsable',
                disabled: true,
                children: [
                    {
                        id: 'navigation-features.disabled-collapsable.child',
                        title: 'شما نباید این قسمت را ببینید',
                        type: 'basic',
                    },
                ],
            },
            {
                id: 'navigation-features.disabled-basic',
                title: 'غیرفعال پایه',
                subtitle: 'تعدادی زیرنویس',
                icon: 'heroicons_outline:check-circle',
                type: 'basic',
                disabled: true,
            },
            {
                id: 'navigation-features.badge-style-oval',
                title: 'نشان بیضی',
                icon: 'heroicons_outline:tag',
                type: 'basic',
                badge: {
                    title: '8',
                    classes: 'w-5 h-5 bg-teal-400 text-black rounded-full',
                },
            },
            {
                id: 'navigation-features.badge-style-rectangle',
                title: 'نشان مستطیل',
                icon: 'heroicons_outline:tag',
                type: 'basic',
                badge: {
                    title: 'Updated!',
                    classes: 'px-2 bg-teal-400 text-black rounded',
                },
            },
            {
                id: 'navigation-features.badge-style-rounded',
                title: 'نشان گرد',
                icon: 'heroicons_outline:tag',
                type: 'basic',
                badge: {
                    title: 'NEW',
                    classes: 'px-2.5 bg-teal-400 text-black rounded-full',
                },
            },
            {
                id: 'navigation-features.badge-style-simple',
                title: 'نشان ساده',
                icon: 'heroicons_outline:tag',
                type: 'basic',
                badge: {
                    title: '87 Unread',
                    classes: 'text-teal-500',
                },
            },
            {
                id: 'navigation-features.multi-line',
                title: 'مثال عنوان آیتم پیمایش چند خطی که به خوبی کار می کند',
                icon: 'heroicons_outline:check-circle',
                type: 'basic',
            },
        ],
    },
];
const compactNavigation = [
    {
        id: 'dashboards',
        title: 'داشبوردها',
        tooltip: 'Dashboards',
        type: 'aside',
        icon: 'heroicons_outline:home',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
    {
        id: 'apps',
        title: 'برنامه های کاربردی',
        tooltip: 'Apps',
        type: 'aside',
        icon: 'heroicons_outline:qrcode',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
    {
        id: 'pages',
        title: 'صفحات',
        tooltip: 'Pages',
        type: 'aside',
        icon: 'heroicons_outline:document-duplicate',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
    {
        id: 'user-interface',
        title: 'رابط کاربری',
        tooltip: 'UI',
        type: 'aside',
        icon: 'heroicons_outline:collection',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
    {
        id: 'navigation-features',
        title: 'جهت یابی',
        tooltip: 'Navigation',
        type: 'aside',
        icon: 'heroicons_outline:menu',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
];
const futuristicNavigation = [
    {
        id: 'dashboards',
        title: 'داشبوردها',
        type: 'group',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
    {
        id: 'apps',
        title: 'برنامه های کاربردی',
        type: 'group',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
    {
        id: 'others',
        title: 'دیگران',
        type: 'group',
    },
    {
        id: 'pages',
        title: 'صفحات',
        type: 'aside',
        icon: 'heroicons_outline:document-duplicate',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
    {
        id: 'user-interface',
        title: 'رابط کاربری',
        type: 'aside',
        icon: 'heroicons_outline:collection',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
    {
        id: 'navigation-features',
        title: 'ویژگی های ناوبری',
        type: 'aside',
        icon: 'heroicons_outline:menu',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
];
const horizontalNavigation = [
    {
        id: 'dashboards',
        title: 'داشبوردها',
        type: 'group',
        icon: 'heroicons_outline:home',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
    {
        id: 'apps',
        title: 'برنامه های کاربردی',
        type: 'group',
        icon: 'heroicons_outline:qrcode',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
    {
        id: 'pages',
        title: 'صفحات',
        type: 'group',
        icon: 'heroicons_outline:document-duplicate',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
    {
        id: 'user-interface',
        title: 'رابط کاربری',
        type: 'group',
        icon: 'heroicons_outline:collection',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
    {
        id: 'navigation-features',
        title: 'متفرقه',
        type: 'group',
        icon: 'heroicons_outline:menu',
        children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
    },
];

class SaffronNavigationService {
    /**
     * Constructor
     */
    constructor() {
        this.navigationReplaySubject = new ReplaySubject(1);
    }
    // -----------------------------------------------------------------------------------------------------
    // @ Accessors
    // -----------------------------------------------------------------------------------------------------
    /**
     * Getter for navigation
     */
    get navigation$() {
        return this.navigationReplaySubject.asObservable();
    }
    // -----------------------------------------------------------------------------------------------------
    // @ Public methods
    // -----------------------------------------------------------------------------------------------------
    /**
     * Get all navigation data
     */
    get() {
        return this.navigationReplaySubject;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronNavigationService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronNavigationService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronNavigationService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [] });

class FuseNavigationItem {
}
class Navigation {
}

/* eslint-disable */
const moduleMap = {};
function loadRemoteEntry(remoteEntry) {
    return new Promise((resolve, reject) => {
        if (moduleMap[remoteEntry]) {
            resolve();
            return;
        }
        const script = document.createElement('script');
        script.src = remoteEntry;
        script.onerror = reject;
        script.onload = () => {
            moduleMap[remoteEntry] = true;
            resolve(); // window is the global namespace
        };
        document.body.append(script);
    });
}
async function lookupExposedModule(remoteName, exposedModule) {
    // Initializes the share scope. This fills it with known provided modules from this build and all remotes
    await __webpack_init_sharing__('default');
    const container = window[remoteName]; // or get the container somewhere else
    // Initialize the container, it may provide shared modules
    await container.init(__webpack_share_scopes__.default);
    const factory = await container.get(exposedModule);
    const Module = factory();
    return Module;
}
async function SaffronLoadRemoteModule(options) {
    await loadRemoteEntry(options.remoteEntry);
    return await lookupExposedModule(options.remoteName, options.exposedModule);
}
function SaffronLoadRemoteComponent(loadComponentModel) {
    SaffronLoadRemoteModule({
        remoteEntry: loadComponentModel.remoteEntry,
        remoteName: loadComponentModel.remoteName,
        exposedModule: loadComponentModel.exposedModule,
    }).then((federated) => {
        const type = federated[loadComponentModel.exposedModule].ɵmod.exports.find((e) => e.name === loadComponentModel.componentName);
        const { instance } = loadComponentModel.componentContainerRef.createComponent(type, {
            injector: _createInjector(federated[loadComponentModel.exposedModule], loadComponentModel.injector),
        });
        loadComponentModel.chRef.detectChanges();
    });
}

class SaffronEventBus {
    constructor(router) {
        this.router = router;
        this.dynamicRoutes = new ReplaySubject(1);
        this.staticRoutes = new ReplaySubject(1);
    }
    resetAppRoutes() {
        return new Promise(async (resolve, reject) => {
            const dyRoutes = await firstValueFrom(this.dynamicRoutes);
            const stRoutes = await firstValueFrom(this.staticRoutes);
            const lazyRoutes = this.buildLazyRoutes(stRoutes, dyRoutes);
            this.router.resetConfig(lazyRoutes);
            resolve();
        });
    }
    buildLazyRoutes(staticRoutes, dynamicRoutes) {
        const dynRoutes = dynamicRoutes.map((route) => ({
            path: route.routePath,
            loadChildren: () => SaffronLoadRemoteModule(route).then((module) => module[route.ngModuleName]),
        }));
        return [...staticRoutes, ...dynRoutes];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronEventBus, deps: [{ token: i1$4.Router }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronEventBus, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronEventBus, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: i1$4.Router }] });

class SaffronLoadComponentModel {
}

class SaffronUserService {
    constructor() {
        this._user = new ReplaySubject(1);
    }
    set user(value) {
        this._user.next(value);
    }
    get user$() {
        return this._user.asObservable();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronUserService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronUserService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.0", ngImport: i0, type: SaffronUserService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [] });

// 01-saffron-advanced-filter

/**
 * Generated bundle index. Do not edit.
 */

export { AdvancedFilterInputTypes, CURRENCYMASKDIRECTIVE_VALUE_ACCESSOR, CURRENCY_MASK_CONFIG, CurrencyMaskInputMode, DemoButton, DemoCardView, DemoConfirmDialog, DemoDatePicker, DemoInput, DemoLableBoxComponent, DemoLoader, DemoModal, DemoSelect, DemoTabView, DemoTable, DemoTableConfig, DemoTableModel, DemoTextArea, DemoViewerComponent, DigitOnlyDirective, FuseNavigationItem, Navigation, PERSIAN_DATE_FORMATS, SaffronActionColumnEvent, SaffronAdvancedFilterComponent, SaffronAdvancedFilterModalComponent, SaffronAdvancedFilterModel, SaffronAutoCompleteComponent, SaffronAutoCompleteModel, SaffronButtonComponent, SaffronButtonTypes, SaffronCardButton, SaffronCardViewComponent, SaffronChipsComponent, SaffronColumnType, SaffronConfirmDialogComponent, SaffronConfirmDialogService, SaffronCurrencyFormatPipe, SaffronCurrencyMaskDirective, SaffronCurrencyModule, SaffronCustomNavigationData, SaffronDataType, SaffronDatePickerComponent, SaffronDateToPersianPipe, SaffronDemoModule, SaffronEventBus, SaffronFieldsetDirective, SaffronFormContainerComponent, SaffronHeaderDialogComponent, SaffronInputComponent, SaffronInputErrorComponent, SaffronInputHandler, SaffronInputLabelComponent, SaffronInputManager, SaffronInputService, SaffronJalaliToPersianPipe, SaffronJsonEditorComponent, SaffronLabelBoxComponent, SaffronLoadComponentModel, SaffronLoadRemoteComponent, SaffronLoadRemoteModule, SaffronLoaderComponent, SaffronLoaderService, SaffronModalButton, SaffronModalComponent, SaffronNavigationService, SaffronNumberToPersianPipe, SaffronPersianDateAdapter, SaffronPersianPaginator, SaffronPrimeNgService, SaffronPrimeTreeViewComponent, SaffronRangePickerComponent, SaffronSearchPipe, SaffronSelectAllValue, SaffronSelectComponent, SaffronShamsiDatePipe, SaffronTabData, SaffronTabViewComponent, SaffronTableColumn, SaffronTableComponent, SaffronTableDataCellComponent, SaffronTableDataClick, SaffronTableFilter, SaffronTableHeadComponent, SaffronTableModule, SaffronTableSortState, SaffronTableWrapperComponent, SaffronTextAreaComponent, SaffronTooltipComponent, SaffronUserService, compactNavigation, defaultNavigation, defaultPageSizeOptions, futuristicNavigation, horizontalNavigation, saffronAddDays, saffronDeepClone, saffronGetRandom, saffronNationalCodeCompanyValidator, saffronNationalCodeValidator, saffronUUID };
//# sourceMappingURL=ng-saffron.mjs.map
